!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1870) = -cima*dMB_QED2
      coupl(nGC_1871) = -cima*dMB_QCD2
      coupl(nGC_1873) = cima*dMW2_QED2
      coupl(nGC_1677) = coupl(nGC_806)*dcw_QED2 + coupl(nGC_807)*dsw_QED2 +    &
                        coupl(nGC_808)*dZee_QED2
      coupl(nGC_1648) = coupl(nGC_834)*da_QED2 + coupl(nGC_835)*dl2_QED4 +     &
                        coupl(nGC_836)*dl1_QED4 + coupl(nGC_837)*dl3_QED4
      coupl(nGC_1647) = coupl(nGC_1252)*da_QED2 + coupl(nGC_1253)*dl1_QED4 +   &
                        coupl(nGC_1254)*dl3_QED4
      coupl(nGC_1645) = coupl(nGC_1249)*dcw_QED2 + coupl(nGC_1250)*dZee_QED2 + &
                        coupl(nGC_1251)*da_QED2
      coupl(nGC_1643) = coupl(nGC_1255)*da_QED2 + coupl(nGC_1256)*dl1_QED4 +   &
                        coupl(nGC_1257)*dl3_QED4
      coupl(nGC_1642) = coupl(nGC_901)*da_QED2 + coupl(nGC_902)*dl2_QED4 +     &
                        coupl(nGC_903)*dl1_QED4 + coupl(nGC_904)*dl3_QED4
      coupl(nGC_1685) = -cima*dys_QED3
      coupl(nGC_1726) = coupl(nGC_1248)*dyc_QED1_QCD2
      coupl(nGC_TS_GC_212_Hl) = -coupl(nGC_212)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2070) = coupl(nGC_177)*dZZA_QED2/2d0
      coupl(nGC_2251) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2250) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1719) = coupl(nGC_363)*dytau_QED3 + coupl(nGC_365)*da_QED2
      coupl(nGC_1868) = -cima*dMS_QED2
      coupl(nGC_1715) = coupl(nGC_1074)*dym_QED3
      coupl(nGC_1714) = coupl(nGC_1245)*dye_QED3
      coupl(nGC_1711) = -cima*dye_QED3
      coupl(nGC_1713) = -cima*dytau_QED3
      coupl(nGC_1712) = -cima*dym_QED3
      coupl(nGC_1669) = coupl(nGC_1075)*dsw_QED2 + coupl(nGC_1076)*dZee_QED2 + &
                        coupl(nGC_1077)*dvev_QED1 + coupl(nGC_1078)*da_QED2
      coupl(nGC_1668) = coupl(nGC_349)*da_QED2 + coupl(nGC_351)*dvevs_QED1 +   &
                        coupl(nGC_353)*dvev_QED1 + coupl(nGC_355)*dl2_QED4 +   &
                        coupl(nGC_357)*dl3_QED4 + coupl(nGC_359)*dl1_QED4
      coupl(nGC_TS_GC_208_Hl) = -coupl(nGC_208)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1919) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_2248) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_2246) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_2244) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_2240) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_2241) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_227_Hh) = -coupl(nGC_227)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1879) = coupl(nGC_99)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_1702) = coupl(nGC_1246)*dys_QED1_QCD2
      coupl(nGC_1872) = cima*dMZ2_QED2
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1676) = coupl(nGC_828)*dcw_QED2 + coupl(nGC_829)*dsw_QED2 +    &
                        coupl(nGC_830)*dZee_QED2
      coupl(nGC_1670) = coupl(nGC_1094)*dsw_QED2 + coupl(nGC_1095)*dZee_QED2 + &
                        coupl(nGC_1096)*dvev_QED1 + coupl(nGC_1097)*da_QED2
      coupl(nGC_2129) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2128) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2124) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2123) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2121) = coupl(nGC_151)*dZZA_QED2/2d0
      coupl(nGC_2230) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_2237) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_2236) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_TS_GC_203_Hh) = -coupl(nGC_203)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1865) = -cima*dMT_QCD2
      coupl(nGC_TS_GC_204_Hl) = -coupl(nGC_204)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1861) = -cima*dMU_QCD2
      coupl(nGC_1952) = coupl(nGC_147)*dZZA_QED2/2d0
      coupl(nGC_2130) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_2131) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2132) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2221) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_2222) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_2224) = coupl(nGC_1865) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_2225) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_2226) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_TS_GC_92_Hl) = -coupl(nGC_92)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1857) = -cima*dME_QED2
      coupl(nGC_1854) = -cima*dMHL2_QED2
      coupl(nGC_1855) = -cima*dMHH2_QED2
      coupl(nGC_1858) = -cima*dMM_QED2
      coupl(nGC_1859) = -cima*dMTA_QED2
      coupl(nGC_1921) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_TS_GC_184_Hh) = -coupl(nGC_184)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2108) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_2102) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_2104) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_2107) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_2106) = coupl(nGC_145)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_164_Hl) = -coupl(nGC_164)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2028) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_2026) = -coupl(nGC_1715) - coupl(nGC_210)*dZmuMinusL_QED2/2d0  &
                         - coupl(nGC_210)*dZmuMinusR_QED2/2d0
      coupl(nGC_2024) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_2025) = coupl(nGC_1715) + coupl(nGC_210)*dZmuMinusL_QED2/2d0 + &
                        coupl(nGC_210)*dZmuMinusR_QED2/2d0
      coupl(nGC_2208) = coupl(nGC_1642) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0* &
                        coupl(nGC_34)*dZHl_QED2
      coupl(nGC_2114) = coupl(nGC_142)*dZZA_QED2/2d0
      coupl(nGC_2112) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_2111) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_1638) = -cima*dl1_QED4
      coupl(nGC_1630) = coupl(nGC_980)*dcw_QED2 + coupl(nGC_981)*dsw_QED2 +    &
                        coupl(nGC_982)*dZee_QED2
      coupl(nGC_1637) = coupl(nGC_1240)*dl1_QED4
      coupl(nGC_1634) = coupl(nGC_917)*dcw_QED2 + coupl(nGC_918)*dsw_QED2 +    &
                        coupl(nGC_919)*dZee_QED2
      coupl(nGC_1434) = coupl(nGC_19)**2d0*coupl(nGC_219)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1431) = coupl(nGC_19)**2d0*coupl(nGC_215)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1869) = -cima*dMS_QCD2
      coupl(nGC_1867) = -cima*dMD_QCD2
      coupl(nGC_1866) = -cima*dMD_QED2
      coupl(nGC_1864) = -cima*dMT_QED2
      coupl(nGC_1863) = -cima*dMC_QCD2
      coupl(nGC_1862) = -cima*dMC_QED2
      coupl(nGC_1860) = -cima*dMU_QED2
      coupl(nGC_TS_GC_199_Hh) = -coupl(nGC_199)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1308) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1306) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1302) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_190_Hl) = -coupl(nGC_190)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1703) = coupl(nGC_991)*dyb_QED3 + coupl(nGC_992)*da_QED2
      coupl(nGC_1701) = coupl(nGC_1246)*dys_QED3 + coupl(nGC_1247)*da_QED2
      coupl(nGC_1791) = coupl(nGC_937)*dcw_QED2 + coupl(nGC_938)*dsw_QED2 +    &
                        coupl(nGC_939)*dZee_QED2
      coupl(nGC_1790) = coupl(nGC_1064)*dcw_QED2 + coupl(nGC_1065)*dsw_QED2 +  &
                        coupl(nGC_1066)*dZee_QED2
      coupl(nGC_1792) = coupl(nGC_1025)*dcw_QED2 + coupl(nGC_1026)*dsw_QED2 +  &
                        coupl(nGC_1027)*dZee_QED2
      coupl(nGC_1575) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_193)**2d0 &
                         - coupl(nGC_197)**2d0 - coupl(nGC_201)**2d0 - coupl(  &
                        nGC_213)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_225)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1576) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_193)**2d0  &
                         + coupl(nGC_197)**2d0 + coupl(nGC_201)**2d0 + coupl(  &
                        nGC_213)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_225)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1975) = coupl(nGC_1647) + coupl(nGC_29)*dZHh_QED2/2d0 + coupl( &
                        nGC_29)*dZHl_QED2/2d0 + coupl(nGC_30)*dZHlHh_QED2/2d0  &
                         + coupl(nGC_31)*dZHhHl_QED2/2d0
      coupl(nGC_1977) = coupl(nGC_175)*dZZA_QED2/2d0
      coupl(nGC_1976) = coupl(nGC_161)*dZHh_QED2/2d0 + coupl(nGC_165)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1669)
      coupl(nGC_1445) = coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1440) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*coupl(  &
                        nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 + 4d0*cMTA*&
                        coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*coupl(nGC_177&
                        ) + 2d0*cima*coupl(nGC_164)*coupl(nGC_96))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2174) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_2175) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_2177) = coupl(nGC_1863) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_2178) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_2179) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_TS_GC_216_Hl) = -coupl(nGC_216)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1782) = coupl(nGC_1205)*dcw_QED2 + coupl(nGC_1206)*dsw_QED2 +  &
                        coupl(nGC_1207)*dZee_QED2
      coupl(nGC_1783) = coupl(nGC_1132)*dZee_QED2
      coupl(nGC_1781) = coupl(nGC_1006)*dcw_QED2 + coupl(nGC_1007)*dsw_QED2 +  &
                        coupl(nGC_1008)*dZee_QED2
      coupl(nGC_1786) = coupl(nGC_1031)*dsw_QED2 + coupl(nGC_1032)*dZee_QED2
      coupl(nGC_1787) = coupl(nGC_1087)*dcw_QED2 + coupl(nGC_1088)*dsw_QED2 +  &
                        coupl(nGC_1089)*dZee_QED2
      coupl(nGC_1784) = coupl(nGC_1109)*dZee_QED2
      coupl(nGC_1785) = coupl(nGC_387)*dZgs_QCD2
      coupl(nGC_1789) = coupl(nGC_905)*dcw_QED2 + coupl(nGC_906)*dsw_QED2 +    &
                        coupl(nGC_907)*dZee_QED2
      coupl(nGC_1564) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0  &
                         + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_220)**2d0 +   &
                        20d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217)*  &
                        coupl(nGC_220) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(    &
                        nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_200)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_216)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_200)* &
                        coupl(nGC_213)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_200  &
                        )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)**  &
                        2d0*coupl(nGC_204)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0* &
                        coupl(nGC_228)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(    &
                        nGC_204)*coupl(nGC_225)*coupl(nGC_228) + 10d0*Nc*coupl(&
                        nGC_204)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(     &
                        nGC_213)**2d0*coupl(nGC_216)**2d0 + 10d0*Nc*coupl(     &
                        nGC_217)**2d0*coupl(nGC_220)**2d0 + 10d0*Nc*coupl(     &
                        nGC_225)**2d0*coupl(nGC_228)**2d0 + 12d0*coupl(nGC_120 &
                        )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_151) + 10d0*coupl&
                        (nGC_205)**2d0*coupl(nGC_208)**2d0 + 10d0*coupl(nGC_209&
                        )**2d0*coupl(nGC_212)**2d0 + 10d0*coupl(nGC_221)**2d0* &
                        coupl(nGC_224)**2d0 + 12d0*coupl(nGC_28)**2d0 + 6d0*   &
                        coupl(nGC_71)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_1964) = coupl(nGC_1713) + coupl(nGC_221)*dZnu_tauL_QED2/2d0 +  &
                        coupl(nGC_221)*dZtauMinusR_QED2/2d0
      coupl(nGC_1732) = coupl(nGC_791)*dyc_QED1_QCD2
      coupl(nGC_1883) = -coupl(nGC_1714) - coupl(nGC_206)*dZeMinusL_QED2/2d0 - &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_1361) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1362) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi** &
                        2d0)
      coupl(nGC_1363) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi** &
                        2d0)
      coupl(nGC_1364) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi** &
                        2d0)
      coupl(nGC_1365) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_601) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_198) + Nc*coupl(nGC_201)*coupl&
                        (nGC_545) + Nc*coupl(nGC_213)*coupl(nGC_527) - Nc*coupl&
                        (nGC_217)*coupl(nGC_218) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_226) + coupl(nGC_205)*coupl(nGC_621) + coupl(      &
                        nGC_209)*coupl(nGC_533) + coupl(nGC_221)*coupl(nGC_591 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1366) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_195) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_199) + Nc*coupl(nGC_201)*coupl&
                        (nGC_203) + Nc*coupl(nGC_213)*coupl(nGC_215) - Nc*coupl&
                        (nGC_217)*coupl(nGC_219) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_227) + coupl(nGC_205)*coupl(nGC_207) + coupl(      &
                        nGC_209)*coupl(nGC_211) + coupl(nGC_221)*coupl(nGC_223 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1367) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_196) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_200) + Nc*coupl(nGC_201)*coupl&
                        (nGC_204) + Nc*coupl(nGC_213)*coupl(nGC_216) - Nc*coupl&
                        (nGC_217)*coupl(nGC_220) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_228) + coupl(nGC_205)*coupl(nGC_208) + coupl(      &
                        nGC_209)*coupl(nGC_212) + coupl(nGC_221)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_TS_GC_162_Hh) = -coupl(nGC_162)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2099) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_2098) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2093) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_2092) = coupl(nGC_1785) + coupl(nGC_19)*dZcR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2091) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_2090) = coupl(nGC_1785) + coupl(nGC_19)*dZcL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2096) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_eL_QED2 + coupl(nGC_1791)
      coupl(nGC_2095) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZeMinusL_QED2/2d0 + coupl(nGC_99)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_2149) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_2148) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
      coupl(nGC_2147) = coupl(nGC_1712) + coupl(nGC_209)*dZmuMinusR_QED2/2d0 + &
                        coupl(nGC_209)*dZnu_muL_QED2/2d0
      coupl(nGC_1721) = coupl(nGC_1120)*dym_QED3 + coupl(nGC_1121)*da_QED2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_219_Hh) = -coupl(nGC_219)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1433) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -    &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_218)**2d0*&
                        coupl(nGC_219) - coupl(nGC_219)**3d0 - coupl(nGC_219)* &
                        coupl(nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1725) = coupl(nGC_1248)*dyc_QED3
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1775) = coupl(nGC_965)*dcw_QED2 + coupl(nGC_966)*dsw_QED2 +    &
                        coupl(nGC_967)*dZee_QED2
      coupl(nGC_1774) = coupl(nGC_993)*dcw_QED2 + coupl(nGC_994)*dsw_QED2 +    &
                        coupl(nGC_995)*dZee_QED2
      coupl(nGC_1773) = coupl(nGC_831)*dcw_QED2 + coupl(nGC_832)*dsw_QED2 +    &
                        coupl(nGC_833)*dZee_QED2
      coupl(nGC_1772) = coupl(nGC_986)*dcw_QED2 + coupl(nGC_987)*dvev_QED1 +   &
                        coupl(nGC_988)*dZee_QED2
      coupl(nGC_1771) = coupl(nGC_1055)*dcw_QED2 + coupl(nGC_1056)*dsw_QED2 +  &
                        coupl(nGC_1057)*dZee_QED2
      coupl(nGC_1603) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)**2d0 &
                         - coupl(nGC_199)**2d0 - coupl(nGC_203)**2d0 - coupl(  &
                        nGC_215)**2d0 - coupl(nGC_219)**2d0 - coupl(nGC_227)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_1519) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_122)**2d0 - coupl(nGC_213)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_527) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1518) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_125)**2d0 - coupl(nGC_197)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_527) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1517) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_122)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_202)*  &
                        coupl(nGC_545) - coupl(nGC_203)**2d0 - coupl(nGC_204)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1516) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_125)**2d0 - coupl(nGC_202)*coupl(nGC_545) - coupl( &
                        nGC_203)**2d0 - coupl(nGC_204)**2d0 - coupl(nGC_225)** &
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1515) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_122)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_202)*  &
                        coupl(nGC_545) + coupl(nGC_203)**2d0 + coupl(nGC_204)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1514) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_125)**2d0 + coupl(nGC_202)*coupl(nGC_545) + coupl( &
                        nGC_203)**2d0 + coupl(nGC_204)**2d0 + coupl(nGC_225)** &
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1689) = -cima*dyb_QED3
      coupl(nGC_1688) = cima*dyc_QED1_QCD2
      coupl(nGC_1683) = cima*dyup_QED3
      coupl(nGC_1682) = -cima*dydo_QED1_QCD2
      coupl(nGC_1681) = -cima*dydo_QED3
      coupl(nGC_1687) = cima*dyc_QED3
      coupl(nGC_1686) = -cima*dys_QED1_QCD2
      coupl(nGC_1684) = cima*dyup_QED1_QCD2
      coupl(nGC_1990) = coupl(nGC_1711) + coupl(nGC_205)*dZeMinusR_QED2/2d0 +  &
                        coupl(nGC_205)*dZnu_eL_QED2/2d0
      coupl(nGC_1355) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1354) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(  &
                        nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199 &
                        )*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(&
                        nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_1357) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1351) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1350) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(  &
                        nGC_195)*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196 &
                        )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_217)*coupl(&
                        nGC_563)*coupl(nGC_601))/(32d0*pi**2d0)
      coupl(nGC_1421) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_202)**2d0* &
                        coupl(nGC_203) - coupl(nGC_203)**3d0 - coupl(nGC_203)* &
                        coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1352) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(  &
                        nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193 &
                        )*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(&
                        nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_1359) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1358) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(  &
                        nGC_203)*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204 &
                        )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_225)*coupl(&
                        nGC_545)*coupl(nGC_547))/(32d0*pi**2d0)
      coupl(nGC_1429) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_215)**3d0  &
                         - coupl(nGC_215)*coupl(nGC_216)**2d0 - coupl(nGC_215)*&
                        coupl(nGC_527)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1428) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_195) + cMC* &
                        coupl(nGC_199) + cMD*coupl(nGC_203) + cMS*coupl(nGC_215&
                        ) + cMT*coupl(nGC_219) + cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1389) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_545) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_545) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_202)*coupl(&
                        nGC_203)**2d0 - coupl(nGC_202)*coupl(nGC_204)**2d0 -   &
                        coupl(nGC_202)*coupl(nGC_545)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2088) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_2080) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_2081) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_2083) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_2084) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_2085) = coupl(nGC_1866) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_203_Hh) + coupl&
                        (nGC_TS_GC_204_Hl)
      coupl(nGC_2086) = coupl(nGC_1867) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_2087) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_TS_GC_200_Hl) = -coupl(nGC_200)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2158) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_2150) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2
      coupl(nGC_2151) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_2157) = coupl(nGC_123)*dZuR_QCD2
      coupl(nGC_2154) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2155) = coupl(nGC_126)*dZuL_QCD2
      coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1733) = coupl(nGC_375)*dyt_QED3 + coupl(nGC_377)*da_QED2
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1731) = coupl(nGC_791)*dyc_QED3 + coupl(nGC_792)*da_QED2
      coupl(nGC_TS_GC_145_Hh) = -coupl(nGC_145)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1463) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1462) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_218)**2d0*&
                        coupl(nGC_220) - coupl(nGC_219)**2d0*coupl(nGC_220) -  &
                        coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_223_Hh) = -coupl(nGC_223)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1393) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210) -    &
                        coupl(nGC_210)**2d0*coupl(nGC_533) + 8d0*coupl(nGC_210 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_211)**2d0*coupl(nGC_533&
                        ) - coupl(nGC_212)**2d0*coupl(nGC_533))/(32d0*pi**2d0)
      coupl(nGC_1737) = coupl(nGC_1210)*dyc_QED3 + coupl(nGC_1211)*da_QED2
      coupl(nGC_1460) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC* &
                        coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(nGC_216&
                        ) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1395) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_527) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_527) - coupl(nGC_197 &
                        )*coupl(nGC_198)*coupl(nGC_213) - coupl(nGC_214)*coupl(&
                        nGC_215)**2d0 - coupl(nGC_214)*coupl(nGC_216)**2d0 -   &
                        coupl(nGC_214)*coupl(nGC_527)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1394) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_533) -    &
                        coupl(nGC_210)*coupl(nGC_211)**2d0 - coupl(nGC_210)*   &
                        coupl(nGC_212)**2d0 - coupl(nGC_210)*coupl(nGC_533)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_533))/(32d0*pi** &
                        2d0)
      coupl(nGC_1465) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_591)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1464) = coupl(nGC_224)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                        nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1736) = coupl(nGC_1009)*dyup_QED1_QCD2
      coupl(nGC_1735) = coupl(nGC_1009)*dyup_QED3 + coupl(nGC_1010)*da_QED2
      coupl(nGC_TS_GC_96_Hl) = -coupl(nGC_96)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1734) = coupl(nGC_375)*dyt_QED1_QCD2
      coupl(nGC_1768) = coupl(nGC_930)*dcw_QED2 + coupl(nGC_931)*dsw_QED2 +    &
                        coupl(nGC_932)*dZee_QED2
      coupl(nGC_1764) = coupl(nGC_1130)*dsw_QED2 + coupl(nGC_1131)*dZee_QED2
      coupl(nGC_1765) = coupl(nGC_1156)*dcw_QED2 + coupl(nGC_1157)*dsw_QED2 +  &
                        coupl(nGC_1158)*dZee_QED2
      coupl(nGC_1766) = coupl(nGC_944)*dcw_QED2 + coupl(nGC_945)*dsw_QED2 +    &
                        coupl(nGC_946)*dZee_QED2 + coupl(nGC_947)*da_QED2
      coupl(nGC_1767) = coupl(nGC_1110)*dcw_QED2 + coupl(nGC_1111)*dsw_QED2 +  &
                        coupl(nGC_1112)*dZee_QED2 + coupl(nGC_1113)*da_QED2
      coupl(nGC_1760) = coupl(nGC_1079)*dsw_QED2 + coupl(nGC_1080)*dZee_QED2 + &
                        coupl(nGC_1081)*dvev_QED1 + coupl(nGC_1082)*da_QED2
      coupl(nGC_1761) = coupl(nGC_1090)*dsw_QED2 + coupl(nGC_1091)*dZee_QED2 + &
                        coupl(nGC_1092)*dvev_QED1 + coupl(nGC_1093)*da_QED2
      coupl(nGC_1762) = coupl(nGC_1202)*dZee_QED2
      coupl(nGC_1763) = coupl(nGC_800)*dcw_QED2 + coupl(nGC_801)*dsw_QED2 +    &
                        coupl(nGC_802)*dZee_QED2
      coupl(nGC_TS_GC_191_Hh) = -coupl(nGC_191)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1509) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_122)**2d0 - coupl(nGC_193)**2d0 - coupl(nGC_194)*  &
                        coupl(nGC_601) - coupl(nGC_195)**2d0 - coupl(nGC_196)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1501) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_222)*coupl(nGC_591) + coupl(nGC_124)*coupl(&
                        nGC_223)**2d0 + coupl(nGC_124)*coupl(nGC_224)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1502) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_201)**2d0 + coupl(nGC_123)*coupl(nGC_226)* &
                        coupl(nGC_547) + coupl(nGC_123)*coupl(nGC_227)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_228)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1503) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_225)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_547) + coupl(  &
                        nGC_126)*coupl(nGC_227)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1504) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_125)**2d0 + coupl(nGC_194)*coupl(nGC_601) + coupl( &
                        nGC_195)**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_217)** &
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1506) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_122)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_194)*  &
                        coupl(nGC_601) + coupl(nGC_195)**2d0 + coupl(nGC_196)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1507) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_125)**2d0 - coupl(nGC_194)*coupl(nGC_601) - coupl( &
                        nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_217)** &
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
