!******************************************************************************!
!                                                                              !
!    ctparameter124.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter124.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter124
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter124()
  dZAZ_QED2 = (4d0*Nc*Ten190*cMU**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_123) - &
              cMZ**2d0*coupl(nGC_126) + coupl(nGC_123)*rMZ**2d0 + coupl(nGC_126&
              )*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten191*cMC**2d0*coupl(  &
              nGC_2)*(-cMZ**2d0*coupl(nGC_123) - cMZ**2d0*coupl(nGC_126) +     &
              coupl(nGC_123)*rMZ**2d0 + coupl(nGC_126)*rMZ**2d0)/(cMZ**2d0*rMZ &
              **2d0) + 4d0*Nc*Ten192*cMT**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(   &
              nGC_123) - cMZ**2d0*coupl(nGC_126) + coupl(nGC_123)*rMZ**2d0 +   &
              coupl(nGC_126)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten193*cMD &
              **2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_122) - cMZ**2d0*coupl(   &
              nGC_125) + coupl(nGC_122)*rMZ**2d0 + coupl(nGC_125)*rMZ**2d0)/(  &
              cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten194*cMS**2d0*coupl(nGC_1)*(-cMZ** &
              2d0*coupl(nGC_122) - cMZ**2d0*coupl(nGC_125) + coupl(nGC_122)*rMZ&
              **2d0 + coupl(nGC_125)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*   &
              Ten195*cMB**2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_122) - cMZ**2d0&
              *coupl(nGC_125) + coupl(nGC_122)*rMZ**2d0 + coupl(nGC_125)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten196*coupl(nGC_2)*(cMZ**2d0* &
              coupl(nGC_123) + cMZ**2d0*coupl(nGC_126) - coupl(nGC_123)*rMZ**  &
              2d0 - coupl(nGC_126)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*     &
              Ten197*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_123) + cMZ**2d0*coupl(   &
              nGC_126) - coupl(nGC_123)*rMZ**2d0 - coupl(nGC_126)*rMZ**2d0)/(  &
              cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten198*coupl(nGC_2)*(cMZ**2d0*coupl( &
              nGC_123) + cMZ**2d0*coupl(nGC_126) - coupl(nGC_123)*rMZ**2d0 -   &
              coupl(nGC_126)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten199*    &
              coupl(nGC_1)*(cMZ**2d0*coupl(nGC_122) + cMZ**2d0*coupl(nGC_125   &
              ) - coupl(nGC_122)*rMZ**2d0 - coupl(nGC_125)*rMZ**2d0)/(cMZ**2d0*&
              rMZ**2d0) + 8d0*Nc*Ten200*coupl(nGC_1)*(cMZ**2d0*coupl(nGC_122   &
              ) + cMZ**2d0*coupl(nGC_125) - coupl(nGC_122)*rMZ**2d0 - coupl(   &
              nGC_125)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten201*coupl(    &
              nGC_1)*(cMZ**2d0*coupl(nGC_122) + cMZ**2d0*coupl(nGC_125) - coupl&
              (nGC_122)*rMZ**2d0 - coupl(nGC_125)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0 &
              ) + 4d0*Nc*Ten524*cMU**2d0*coupl(nGC_2)*(coupl(nGC_123) + coupl( &
              nGC_126))/rMZ**2d0 + 4d0*Nc*Ten525*cMC**2d0*coupl(nGC_2)*(coupl( &
              nGC_123) + coupl(nGC_126))/rMZ**2d0 + 4d0*Nc*Ten526*cMT**2d0*    &
              coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126))/rMZ**2d0 + 4d0*Nc*&
              Ten527*cMD**2d0*coupl(nGC_1)*(coupl(nGC_122) + coupl(nGC_125))/  &
              rMZ**2d0 + 4d0*Nc*Ten528*cMS**2d0*coupl(nGC_1)*(coupl(nGC_122) + &
              coupl(nGC_125))/rMZ**2d0 + 4d0*Nc*Ten529*cMB**2d0*coupl(nGC_1)*( &
              coupl(nGC_122) + coupl(nGC_125))/rMZ**2d0 - 8d0*Nc*Ten540*coupl( &
              nGC_2)*(coupl(nGC_123) + coupl(nGC_126))/rMZ**2d0 - 8d0*Nc*Ten541&
              *coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126))/rMZ**2d0 - 8d0*Nc&
              *Ten542*coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126))/rMZ**2d0  &
               - 4d0*Nc*Ten543*coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126    &
              )) - 4d0*Nc*Ten544*coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126  &
              )) - 4d0*Nc*Ten545*coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126  &
              )) - 4d0*Nc*Ten546*coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126  &
              )) - 4d0*Nc*Ten547*coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126  &
              )) - 4d0*Nc*Ten548*coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126  &
              )) - 8d0*Nc*Ten549*coupl(nGC_1)*(coupl(nGC_122) + coupl(nGC_125  &
              ))/rMZ**2d0 - 8d0*Nc*Ten550*coupl(nGC_1)*(coupl(nGC_122) + coupl(&
              nGC_125))/rMZ**2d0 - 8d0*Nc*Ten551*coupl(nGC_1)*(coupl(nGC_122   &
              ) + coupl(nGC_125))/rMZ**2d0 - 4d0*Nc*Ten552*coupl(nGC_1)*(coupl(&
              nGC_122) + coupl(nGC_125)) - 4d0*Nc*Ten553*coupl(nGC_1)*(coupl(  &
              nGC_122) + coupl(nGC_125)) - 4d0*Nc*Ten554*coupl(nGC_1)*(coupl(  &
              nGC_122) + coupl(nGC_125)) - 4d0*Nc*Ten555*coupl(nGC_1)*(coupl(  &
              nGC_122) + coupl(nGC_125)) - 4d0*Nc*Ten556*coupl(nGC_1)*(coupl(  &
              nGC_122) + coupl(nGC_125)) - 4d0*Nc*Ten557*coupl(nGC_1)*(coupl(  &
              nGC_122) + coupl(nGC_125)) + 2d0*cima*Ten3*(-2d0*coupl(nGC_115   &
              ) - 4d0*coupl(nGC_116) + coupl(nGC_134))/cMZ**2d0 + 2d0*Ten493*( &
              16d0*cMZ**2d0*coupl(nGC_103)*coupl(nGC_3) - cMZ**2d0*coupl(      &
              nGC_104)*coupl(nGC_6) - cMZ**2d0*coupl(nGC_105)*coupl(nGC_5) +   &
              4d0*cMZ**2d0*coupl(nGC_128)*coupl(nGC_4) - 16d0*coupl(nGC_103)*  &
              coupl(nGC_3)*rMZ**2d0 + coupl(nGC_104)*coupl(nGC_6)*rMZ**2d0 +   &
              coupl(nGC_105)*coupl(nGC_5)*rMZ**2d0 - 4d0*coupl(nGC_128)*coupl( &
              nGC_4)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten500*cME**2d0*coupl(&
              nGC_4)*(-cMZ**2d0*coupl(nGC_124) - cMZ**2d0*coupl(nGC_128) +     &
              coupl(nGC_124)*rMZ**2d0 + coupl(nGC_128)*rMZ**2d0)/(cMZ**2d0*rMZ &
              **2d0) + 4d0*Ten501*cMM**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(      &
              nGC_124) - cMZ**2d0*coupl(nGC_128) + coupl(nGC_124)*rMZ**2d0 +   &
              coupl(nGC_128)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten502*cMTA** &
              2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_124) - cMZ**2d0*coupl(     &
              nGC_128) + coupl(nGC_124)*rMZ**2d0 + coupl(nGC_128)*rMZ**2d0)/(  &
              cMZ**2d0*rMZ**2d0) + 8d0*Ten503*coupl(nGC_4)*(cMZ**2d0*coupl(    &
              nGC_124) + cMZ**2d0*coupl(nGC_128) - coupl(nGC_124)*rMZ**2d0 -   &
              coupl(nGC_128)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten504*coupl( &
              nGC_4)*(cMZ**2d0*coupl(nGC_124) + cMZ**2d0*coupl(nGC_128) - coupl&
              (nGC_124)*rMZ**2d0 - coupl(nGC_128)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0 &
              ) + 8d0*Ten505*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_124) + cMZ**2d0* &
              coupl(nGC_128) - coupl(nGC_124)*rMZ**2d0 - coupl(nGC_128)*rMZ**  &
              2d0)/(cMZ**2d0*rMZ**2d0) - 16d0*Ten520*coupl(nGC_103)*coupl(nGC_3&
              ) + 4d0*Ten521*cME**2d0*coupl(nGC_4)*(coupl(nGC_124) + coupl(    &
              nGC_128))/rMZ**2d0 + 4d0*Ten522*cMM**2d0*coupl(nGC_4)*(coupl(    &
              nGC_124) + coupl(nGC_128))/rMZ**2d0 + 4d0*Ten523*cMTA**2d0*coupl(&
              nGC_4)*(coupl(nGC_124) + coupl(nGC_128))/rMZ**2d0 + 2d0*Ten530*(-&
              16d0*coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_104)*coupl(nGC_6) + &
              coupl(nGC_105)*coupl(nGC_5) - 4d0*coupl(nGC_128)*coupl(nGC_4))/  &
              rMZ**2d0 - 8d0*Ten531*coupl(nGC_4)*(coupl(nGC_124) + coupl(      &
              nGC_128))/rMZ**2d0 - 8d0*Ten532*coupl(nGC_4)*(coupl(nGC_124) +   &
              coupl(nGC_128))/rMZ**2d0 - 8d0*Ten533*coupl(nGC_4)*(coupl(nGC_124&
              ) + coupl(nGC_128))/rMZ**2d0 - 4d0*Ten534*coupl(nGC_4)*(coupl(   &
              nGC_124) + coupl(nGC_128)) - 4d0*Ten535*coupl(nGC_4)*(coupl(     &
              nGC_124) + coupl(nGC_128)) - 4d0*Ten536*coupl(nGC_4)*(coupl(     &
              nGC_124) + coupl(nGC_128)) - 4d0*Ten537*coupl(nGC_4)*(coupl(     &
              nGC_124) + coupl(nGC_128)) - 4d0*Ten538*coupl(nGC_4)*(coupl(     &
              nGC_124) + coupl(nGC_128)) - 4d0*Ten539*coupl(nGC_4)*(coupl(     &
              nGC_124) + coupl(nGC_128)) + 2d0*(6d0*Nc*cMB**2d0*coupl(nGC_1)*  &
              coupl(nGC_122) + 6d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_125) +   &
              6d0*Nc*cMC**2d0*coupl(nGC_123)*coupl(nGC_2) + 6d0*Nc*cMC**2d0*   &
              coupl(nGC_126)*coupl(nGC_2) + 6d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(&
              nGC_122) + 6d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_125) + 6d0*Nc* &
              cMS**2d0*coupl(nGC_1)*coupl(nGC_122) + 6d0*Nc*cMS**2d0*coupl(    &
              nGC_1)*coupl(nGC_125) + 6d0*Nc*cMT**2d0*coupl(nGC_123)*coupl(    &
              nGC_2) + 6d0*Nc*cMT**2d0*coupl(nGC_126)*coupl(nGC_2) + 6d0*Nc*cMU&
              **2d0*coupl(nGC_123)*coupl(nGC_2) + 6d0*Nc*cMU**2d0*coupl(nGC_126&
              )*coupl(nGC_2) - 3d0*Nc*cMZ**2d0*coupl(nGC_1)*coupl(nGC_122) -   &
              3d0*Nc*cMZ**2d0*coupl(nGC_1)*coupl(nGC_125) - 3d0*Nc*cMZ**2d0*   &
              coupl(nGC_123)*coupl(nGC_2) - 3d0*Nc*cMZ**2d0*coupl(nGC_126)*    &
              coupl(nGC_2) + 6d0*cME**2d0*coupl(nGC_124)*coupl(nGC_4) + 6d0*cME&
              **2d0*coupl(nGC_128)*coupl(nGC_4) + 6d0*cMM**2d0*coupl(nGC_124)* &
              coupl(nGC_4) + 6d0*cMM**2d0*coupl(nGC_128)*coupl(nGC_4) + 6d0*   &
              cMTA**2d0*coupl(nGC_124)*coupl(nGC_4) + 6d0*cMTA**2d0*coupl(     &
              nGC_128)*coupl(nGC_4) + 12d0*cMW**2d0*coupl(nGC_103)*coupl(nGC_3 &
              ) + 6d0*cima*cMW**2d0*coupl(nGC_116) - 2d0*cMZ**2d0*coupl(nGC_103&
              )*coupl(nGC_3) - 3d0*cMZ**2d0*coupl(nGC_124)*coupl(nGC_4) - 3d0* &
              cMZ**2d0*coupl(nGC_128)*coupl(nGC_4))/(3d0*cMZ**2d0))/(16d0*pi** &
              2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter124
end module ctparameter124
