!******************************************************************************!
!                                                                              !
!    ctparameter136.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter136.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter136
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter136()
  if (dZtauMinusL_QED2_scheme .eq. 1) then
    dZtauMinusL_QED2 = (2d0*Ten468*coupl(nGC_4)**2d0 + 2d0*Ten469*coupl(nGC_128&
                       )**2d0 + 2d0*Ten472*coupl(nGC_4)**2d0 - 2d0*Ten473*coupl&
                       (nGC_99)**2d0 + 2d0*Ten474*coupl(nGC_128)**2d0 - 4d0*   &
                       Ten479*cMTA_reg**2d0*coupl(nGC_4)**2d0 + 4d0*Ten483*    &
                       cMTA_reg**2d0*coupl(nGC_4)**2d0 - coupl(nGC_128)**2d0 - &
                       coupl(nGC_4)**2d0 - coupl(nGC_99)**2d0)/(16d0*pi**2d0)
    dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter136
end module ctparameter136
