!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(5077)%branchCT(0:0))
      call avCT(5077, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2246, nGC_2247,       &
      nGC_2247, nGC_2248/))

      allocate(vertices(4261)%branchCT(0:0))
      call avCT(4261, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1990/))

      allocate(vertices(4373)%branchCT(0:0))
      call avCT(4373, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1179)%branchCT(0:0))
      call avCT(1179, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1799)%branchCT(0:0))
      call avCT(1799, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4265)%branchCT(0:0))
      call avCT(4265, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1999)%branchCT(0:0))
      call avCT(1999, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4267)%branchCT(0:0))
      call avCT(4267, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1801)%branchCT(0:3))
      call avCT(1801, 0, 38, 2, 0, VFaF0, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(1801, 1, 38, 2, 0, VFaF0, (/1, 2/), (/nGC_2065, nGC_2067/))

      call avCT(1801, 2, 39, 3, 0, VFaF0, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(1801, 3, 39, 3, 0, VFaF0, (/1, 2/), (/nGC_2065, nGC_2067/))

      allocate(vertices(1802)%branchCT(0:0))
      call avCT(1802, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4570)%branchCT(0:0))
      call avCT(4570, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4273)%branchCT(0:0))
      call avCT(4273, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1233)%branchCT(0:0))
      call avCT(1233, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,       &
      nGC_1934/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2125/))

      allocate(vertices(1248)%branchCT(0:0))
      call avCT(1248, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1255)%branchCT(0:0))
      call avCT(1255, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4280)%branchCT(0:0))
      call avCT(4280, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2117/))

      allocate(vertices(4281)%branchCT(0:0))
      call avCT(4281, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,       &
      nGC_1934/))

      allocate(vertices(1809)%branchCT(0:1))
      call avCT(1809, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2071, nGC_2071/))

      call avCT(1809, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2072, nGC_2072/))

      allocate(vertices(4283)%branchCT(0:0))
      call avCT(4283, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4284)%branchCT(0:0))
      call avCT(4284, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2095/))

      allocate(vertices(1811)%branchCT(0:0))
      call avCT(1811, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4285)%branchCT(0:0))
      call avCT(4285, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2041, nGC_2041/))

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4288)%branchCT(0:1))
      call avCT(4288, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(4288, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(4846)%branchCT(0:0))
      call avCT(4846, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4290)%branchCT(0:0))
      call avCT(4290, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2097/))

      allocate(vertices(4291)%branchCT(0:0))
      call avCT(4291, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4293)%branchCT(0:0))
      call avCT(4293, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3012)%branchCT(0:0))
      call avCT(3012, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4296)%branchCT(0:0))
      call avCT(4296, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1822)%branchCT(0:0))
      call avCT(1822, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4297)%branchCT(0:0))
      call avCT(4297, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1824)%branchCT(0:0))
      call avCT(1824, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(4055)%branchCT(0:0))
      call avCT(4055, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(5078)%branchCT(0:1))
      call avCT(5078, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2236, nGC_2238,       &
      nGC_2238, nGC_2240/))

      call avCT(5078, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2237, nGC_2239,       &
      nGC_2239, nGC_2241/))

      allocate(vertices(1231)%branchCT(0:0))
      call avCT(1231, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3279)%branchCT(0:0))
      call avCT(3279, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3116)%branchCT(0:0))
      call avCT(3116, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4300)%branchCT(0:0))
      call avCT(4300, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(4301)%branchCT(0:1))
      call avCT(4301, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2033, nGC_2033/))

      call avCT(4301, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2034, nGC_2034/))

      allocate(vertices(4438)%branchCT(0:0))
      call avCT(4438, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2078)%branchCT(0:0))
      call avCT(2078, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4304)%branchCT(0:0))
      call avCT(4304, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4305)%branchCT(0:0))
      call avCT(4305, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(1834)%branchCT(0:5))
      call avCT(1834, 0, 45, 6, 0, UVVUa0, (/4, 0/), (/nGC_2215/))

      call avCT(1834, 1, 44, 6, 0, UVVUa0, (/4, 0/), (/nGC_2215/))

      call avCT(1834, 2, 47, 7, 0, UVVUa0, (/4, 0/), (/nGC_2216/))

      call avCT(1834, 3, 46, 7, 0, UVVUa0, (/4, 0/), (/nGC_2216/))

      call avCT(1834, 4, 43, 6, 0, UVVUa0, (/4, 0/), (/nGC_2215/))

      call avCT(1834, 5, 42, 6, 0, UVVUa0, (/4, 0/), (/nGC_2215/))

      allocate(vertices(1835)%branchCT(0:1))
      call avCT(1835, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2056, nGC_2054/))

      call avCT(1835, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2057, nGC_2055/))

      allocate(vertices(1837)%branchCT(0:0))
      call avCT(1837, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2117/))

      allocate(vertices(1399)%branchCT(0:0))
      call avCT(1399, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1839)%branchCT(0:0))
      call avCT(1839, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1841)%branchCT(0:0))
      call avCT(1841, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1415)%branchCT(0:0))
      call avCT(1415, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3213)%branchCT(0:0))
      call avCT(3213, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4317)%branchCT(0:0))
      call avCT(4317, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2212/))

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1847)%branchCT(0:0))
      call avCT(1847, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1848)%branchCT(0:1))
      call avCT(1848, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2143, nGC_2145/))

      call avCT(1848, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2144, nGC_2146/))

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1451)%branchCT(0:0))
      call avCT(1451, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2694)%branchCT(0:0))
      call avCT(2694, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4322)%branchCT(0:0))
      call avCT(4322, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2232/))

      allocate(vertices(4323)%branchCT(0:0))
      call avCT(4323, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1852)%branchCT(0:0))
      call avCT(1852, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4325)%branchCT(0:0))
      call avCT(4325, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(1478)%branchCT(0:1))
      call avCT(1478, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(1478, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(1855)%branchCT(0:0))
      call avCT(1855, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2025, nGC_2026/))

      allocate(vertices(4329)%branchCT(0:0))
      call avCT(4329, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4330)%branchCT(0:0))
      call avCT(4330, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(4331)%branchCT(0:0))
      call avCT(4331, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(4333)%branchCT(0:0))
      call avCT(4333, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2245/))

      allocate(vertices(4276)%branchCT(0:0))
      call avCT(4276, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1516)%branchCT(0:0))
      call avCT(1516, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1861)%branchCT(0:0))
      call avCT(1861, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2081/))

      allocate(vertices(1862)%branchCT(0:0))
      call avCT(1862, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3444)%branchCT(0:1))
      call avCT(3444, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1995, nGC_1997/))

      call avCT(3444, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1996, nGC_1998/))

      allocate(vertices(2245)%branchCT(0:0))
      call avCT(2245, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(4340)%branchCT(0:1))
      call avCT(4340, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_2148, nGC_2150/))

      call avCT(4340, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_2149, nGC_2151/))

      allocate(vertices(4341)%branchCT(0:0))
      call avCT(4341, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1866)%branchCT(0:0))
      call avCT(1866, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2074, nGC_2075/))

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4343)%branchCT(0:0))
      call avCT(4343, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1980/))

      allocate(vertices(1868)%branchCT(0:0))
      call avCT(1868, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(1970)%branchCT(0:1))
      call avCT(1970, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2037, nGC_2039/))

      call avCT(1970, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2038, nGC_2040/))

      allocate(vertices(1869)%branchCT(0:0))
      call avCT(1869, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4344)%branchCT(0:0))
      call avCT(4344, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1592)%branchCT(0:0))
      call avCT(1592, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(1873)%branchCT(0:0))
      call avCT(1873, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4347)%branchCT(0:0))
      call avCT(4347, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2117/))

      allocate(vertices(1874)%branchCT(0:0))
      call avCT(1874, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4349)%branchCT(0:3))
      call avCT(4349, 0, 32, 2, 0, FaVF1, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(4349, 1, 32, 2, 0, FaVF1, (/1, 2/), (/nGC_2065, nGC_2067/))

      call avCT(4349, 2, 33, 3, 0, FaVF1, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(4349, 3, 33, 3, 0, FaVF1, (/1, 2/), (/nGC_2065, nGC_2067/))

      allocate(vertices(4702)%branchCT(0:0))
      call avCT(4702, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(5079)%branchCT(0:0))
      call avCT(5079, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2233/))

      allocate(vertices(1517)%branchCT(0:0))
      call avCT(1517, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(4863)%branchCT(0:0))
      call avCT(4863, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(841)%branchCT(0:0))
      call avCT(841, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1665)%branchCT(0:0))
      call avCT(1665, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1887)%branchCT(0:1))
      call avCT(1887, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(1887, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1888)%branchCT(0:0))
      call avCT(1888, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1673)%branchCT(0:0))
      call avCT(1673, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1626)%branchCT(0:0))
      call avCT(1626, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4355)%branchCT(0:0))
      call avCT(4355, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(3533)%branchCT(0:0))
      call avCT(3533, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2118/))

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2187/))

      allocate(vertices(3372)%branchCT(0:0))
      call avCT(3372, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1896)%branchCT(0:1))
      call avCT(1896, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_1878/))

      call avCT(1896, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_1879/))

      allocate(vertices(4363)%branchCT(0:0))
      call avCT(4363, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2147/))

      allocate(vertices(1521)%branchCT(0:0))
      call avCT(1521, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(1898)%branchCT(0:0))
      call avCT(1898, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4364)%branchCT(0:0))
      call avCT(4364, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2666)%branchCT(0:0))
      call avCT(2666, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5080)%branchCT(0:0))
      call avCT(5080, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2249, nGC_2250,        &
      nGC_2251/))

      allocate(vertices(3068)%branchCT(0:0))
      call avCT(3068, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1902)%branchCT(0:0))
      call avCT(1902, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4366)%branchCT(0:0))
      call avCT(4366, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1904)%branchCT(0:0))
      call avCT(1904, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2213, nGC_2213/))

      allocate(vertices(4870)%branchCT(0:0))
      call avCT(4870, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1783)%branchCT(0:0))
      call avCT(1783, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1907)%branchCT(0:0))
      call avCT(1907, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(729)%branchCT(0:0))
      call avCT(729, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1980/))

      allocate(vertices(1910)%branchCT(0:0))
      call avCT(1910, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1911)%branchCT(0:0))
      call avCT(1911, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(4374)%branchCT(0:0))
      call avCT(4374, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4375)%branchCT(0:0))
      call avCT(4375, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2948)%branchCT(0:0))
      call avCT(2948, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3972)%branchCT(0:0))
      call avCT(3972, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(4380)%branchCT(0:0))
      call avCT(4380, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4017)%branchCT(0:0))
      call avCT(4017, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5081)%branchCT(0:0))
      call avCT(5081, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1923)%branchCT(0:1))
      call avCT(1923, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1948, nGC_1950/))

      call avCT(1923, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1949, nGC_1951/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1192)%branchCT(0:0))
      call avCT(1192, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3136)%branchCT(0:0))
      call avCT(3136, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1926)%branchCT(0:1))
      call avCT(1926, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(1926, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(1927)%branchCT(0:0))
      call avCT(1927, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4389)%branchCT(0:0))
      call avCT(4389, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(4391)%branchCT(0:0))
      call avCT(4391, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4392)%branchCT(0:0))
      call avCT(4392, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2416)%branchCT(0:0))
      call avCT(2416, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(1707)%branchCT(0:0))
      call avCT(1707, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1990/))

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1932)%branchCT(0:0))
      call avCT(1932, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2213, nGC_2213/))

      allocate(vertices(4395)%branchCT(0:0))
      call avCT(4395, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4396)%branchCT(0:0))
      call avCT(4396, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(4397)%branchCT(0:0))
      call avCT(4397, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2186/))

      allocate(vertices(1077)%branchCT(0:1))
      call avCT(1077, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2160, nGC_2162/))

      call avCT(1077, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2161, nGC_2163/))

      allocate(vertices(4401)%branchCT(0:0))
      call avCT(4401, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4402)%branchCT(0:0))
      call avCT(4402, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1970, nGC_1971/))

      allocate(vertices(1937)%branchCT(0:0))
      call avCT(1937, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4151)%branchCT(0:0))
      call avCT(4151, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2180/))

      allocate(vertices(751)%branchCT(0:0))
      call avCT(751, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1939)%branchCT(0:0))
      call avCT(1939, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2009)%branchCT(0:0))
      call avCT(2009, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4409)%branchCT(0:0))
      call avCT(4409, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1940)%branchCT(0:0))
      call avCT(1940, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1941)%branchCT(0:0))
      call avCT(1941, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2122/))

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1944)%branchCT(0:0))
      call avCT(1944, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2242/))

      allocate(vertices(2323)%branchCT(0:0))
      call avCT(2323, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(4415)%branchCT(0:0))
      call avCT(4415, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1947)%branchCT(0:0))
      call avCT(1947, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4277)%branchCT(0:1))
      call avCT(4277, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2044/))

      call avCT(4277, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2045/))

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4418)%branchCT(0:1))
      call avCT(4418, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2154, nGC_2156/))

      call avCT(4418, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2155, nGC_2157/))

      allocate(vertices(3982)%branchCT(0:0))
      call avCT(3982, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(4420)%branchCT(0:0))
      call avCT(4420, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4422)%branchCT(0:0))
      call avCT(4422, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1936, nGC_1937/))

      allocate(vertices(1952)%branchCT(0:0))
      call avCT(1952, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(735)%branchCT(0:0))
      call avCT(735, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1954)%branchCT(0:5))
      call avCT(1954, 0, 85, 6, 0, VUaUV0, (/4, 0/), (/nGC_2215/))

      call avCT(1954, 1, 84, 6, 0, VUaUV0, (/4, 0/), (/nGC_2215/))

      call avCT(1954, 2, 89, 7, 0, VUaUV0, (/4, 0/), (/nGC_2216/))

      call avCT(1954, 3, 88, 7, 0, VUaUV0, (/4, 0/), (/nGC_2216/))

      call avCT(1954, 4, 87, 6, 0, VUaUV0, (/4, 0/), (/nGC_2215/))

      call avCT(1954, 5, 86, 6, 0, VUaUV0, (/4, 0/), (/nGC_2215/))

      allocate(vertices(4427)%branchCT(0:0))
      call avCT(4427, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4429)%branchCT(0:0))
      call avCT(4429, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2212/))

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(1956)%branchCT(0:0))
      call avCT(1956, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4432)%branchCT(0:0))
      call avCT(4432, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1958)%branchCT(0:0))
      call avCT(1958, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2164/))

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1960)%branchCT(0:0))
      call avCT(1960, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(273)%branchCT(0:0))
      call avCT(273, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4436)%branchCT(0:1))
      call avCT(4436, 0, 2, 4, 0, UaUV0, (/3, 0/), (/nGC_2050/))

      call avCT(4436, 1, 3, 5, 0, UaUV0, (/3, 0/), (/nGC_2050/))

      allocate(vertices(4466)%branchCT(0:0))
      call avCT(4466, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4439)%branchCT(0:0))
      call avCT(4439, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1965)%branchCT(0:0))
      call avCT(1965, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1966)%branchCT(0:0))
      call avCT(1966, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4441)%branchCT(0:0))
      call avCT(4441, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(4443)%branchCT(0:0))
      call avCT(4443, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2073, nGC_2073/))

      allocate(vertices(5082)%branchCT(0:0))
      call avCT(5082, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1973)%branchCT(0:0))
      call avCT(1973, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4444)%branchCT(0:0))
      call avCT(4444, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4030)%branchCT(0:0))
      call avCT(4030, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4446)%branchCT(0:0))
      call avCT(4446, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3985)%branchCT(0:0))
      call avCT(3985, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4448)%branchCT(0:0))
      call avCT(4448, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1978)%branchCT(0:0))
      call avCT(1978, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2228/))

      allocate(vertices(5083)%branchCT(0:0))
      call avCT(5083, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(4449)%branchCT(0:0))
      call avCT(4449, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1980)%branchCT(0:0))
      call avCT(1980, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1982)%branchCT(0:0))
      call avCT(1982, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4452)%branchCT(0:0))
      call avCT(4452, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,       &
      nGC_1934/))

      allocate(vertices(4453)%branchCT(0:0))
      call avCT(4453, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1964/))

      allocate(vertices(4454)%branchCT(0:0))
      call avCT(4454, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4455)%branchCT(0:1))
      call avCT(4455, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_1948, nGC_1950/))

      call avCT(4455, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_1949, nGC_1951/))

      allocate(vertices(4194)%branchCT(0:0))
      call avCT(4194, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2116/))

      allocate(vertices(5084)%branchCT(0:0))
      call avCT(5084, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(4461)%branchCT(0:0))
      call avCT(4461, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2696)%branchCT(0:0))
      call avCT(2696, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5085)%branchCT(0:0))
      call avCT(5085, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2246, nGC_2247,       &
      nGC_2247, nGC_2248/))

      allocate(vertices(1989)%branchCT(0:0))
      call avCT(1989, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(823)%branchCT(0:0))
      call avCT(823, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(4467)%branchCT(0:0))
      call avCT(4467, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1993)%branchCT(0:0))
      call avCT(1993, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1994)%branchCT(0:0))
      call avCT(1994, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1995)%branchCT(0:0))
      call avCT(1995, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(5086)%branchCT(0:0))
      call avCT(5086, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(4469)%branchCT(0:0))
      call avCT(4469, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1143)%branchCT(0:0))
      call avCT(1143, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4472)%branchCT(0:0))
      call avCT(4472, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4473)%branchCT(0:0))
      call avCT(4473, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2025, nGC_2026/))

      allocate(vertices(4475)%branchCT(0:0))
      call avCT(4475, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2000)%branchCT(0:1))
      call avCT(2000, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_2019, nGC_2021/))

      call avCT(2000, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_2020, nGC_2022/))

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4478)%branchCT(0:0))
      call avCT(4478, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4479)%branchCT(0:0))
      call avCT(4479, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4480)%branchCT(0:0))
      call avCT(4480, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(4481)%branchCT(0:0))
      call avCT(4481, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4482)%branchCT(0:0))
      call avCT(4482, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(4483)%branchCT(0:0))
      call avCT(4483, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1145)%branchCT(0:0))
      call avCT(1145, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(4484)%branchCT(0:0))
      call avCT(4484, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2005)%branchCT(0:1))
      call avCT(2005, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2052, nGC_2052/))

      call avCT(2005, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2053, nGC_2053/))

      allocate(vertices(2007)%branchCT(0:0))
      call avCT(2007, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3984)%branchCT(0:0))
      call avCT(3984, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2031, nGC_2032/))

      allocate(vertices(4487)%branchCT(0:0))
      call avCT(4487, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2153, nGC_2152,       &
      nGC_2152/))

      allocate(vertices(2199)%branchCT(0:0))
      call avCT(2199, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(4489)%branchCT(0:0))
      call avCT(4489, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(4490)%branchCT(0:0))
      call avCT(4490, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4491)%branchCT(0:0))
      call avCT(4491, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(946)%branchCT(0:0))
      call avCT(946, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(4493)%branchCT(0:0))
      call avCT(4493, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3448)%branchCT(0:0))
      call avCT(3448, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3684)%branchCT(0:0))
      call avCT(3684, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4496)%branchCT(0:0))
      call avCT(4496, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2232/))

      allocate(vertices(2016)%branchCT(0:1))
      call avCT(2016, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2012, nGC_2012/))

      call avCT(2016, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2013, nGC_2013/))

      allocate(vertices(4497)%branchCT(0:0))
      call avCT(4497, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4498)%branchCT(0:0))
      call avCT(4498, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(2018)%branchCT(0:0))
      call avCT(2018, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2455)%branchCT(0:0))
      call avCT(2455, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3477)%branchCT(0:0))
      call avCT(3477, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2020)%branchCT(0:5))
      call avCT(2020, 0, 96, 6, 0, VUVUa0, (/4, 0/), (/nGC_2215/))

      call avCT(2020, 1, 99, 6, 0, VUVUa0, (/4, 0/), (/nGC_2215/))

      call avCT(2020, 2, 98, 6, 0, VUVUa0, (/4, 0/), (/nGC_2215/))

      call avCT(2020, 3, 101, 7, 0, VUVUa0, (/4, 0/), (/nGC_2216/))

      call avCT(2020, 4, 100, 7, 0, VUVUa0, (/4, 0/), (/nGC_2216/))

      call avCT(2020, 5, 97, 6, 0, VUVUa0, (/4, 0/), (/nGC_2215/))

      allocate(vertices(2021)%branchCT(0:0))
      call avCT(2021, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2022)%branchCT(0:1))
      call avCT(2022, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(2022, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(5087)%branchCT(0:0))
      call avCT(5087, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2234/))

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2023)%branchCT(0:0))
      call avCT(2023, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1614)%branchCT(0:0))
      call avCT(1614, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(4503)%branchCT(0:0))
      call avCT(4503, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2009/))

      allocate(vertices(4914)%branchCT(0:0))
      call avCT(4914, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3190)%branchCT(0:0))
      call avCT(3190, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4506)%branchCT(0:0))
      call avCT(4506, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4535)%branchCT(0:0))
      call avCT(4535, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4508)%branchCT(0:0))
      call avCT(4508, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1998)%branchCT(0:0))
      call avCT(1998, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4892)%branchCT(0:0))
      call avCT(4892, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4275)%branchCT(0:0))
      call avCT(4275, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4515)%branchCT(0:0))
      call avCT(4515, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4516)%branchCT(0:0))
      call avCT(4516, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3195)%branchCT(0:0))
      call avCT(3195, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(4520)%branchCT(0:1))
      call avCT(4520, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2197, nGC_2199/))

      call avCT(4520, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2198, nGC_2200/))

      allocate(vertices(4521)%branchCT(0:0))
      call avCT(4521, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4523)%branchCT(0:0))
      call avCT(4523, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2033)%branchCT(0:1))
      call avCT(2033, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2172, nGC_2172/))

      call avCT(2033, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2173, nGC_2173/))

      allocate(vertices(4525)%branchCT(0:0))
      call avCT(4525, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2035)%branchCT(0:1))
      call avCT(2035, 0, 30, 4, 0, UaVU0, (/3, 0/), (/nGC_2188/))

      call avCT(2035, 1, 31, 5, 0, UaVU0, (/3, 0/), (/nGC_2188/))

      allocate(vertices(2338)%branchCT(0:0))
      call avCT(2338, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4182)%branchCT(0:0))
      call avCT(4182, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4526)%branchCT(0:1))
      call avCT(4526, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2203, nGC_2205/))

      call avCT(4526, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2204, nGC_2206/))

      allocate(vertices(4527)%branchCT(0:0))
      call avCT(4527, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1990/))

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5088)%branchCT(0:1))
      call avCT(5088, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2221, nGC_2223,      &
      nGC_2223, nGC_2225/))

      call avCT(5088, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2222, nGC_2224,      &
      nGC_2224, nGC_2226/))

      allocate(vertices(2041)%branchCT(0:0))
      call avCT(2041, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2043)%branchCT(0:0))
      call avCT(2043, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2044)%branchCT(0:0))
      call avCT(2044, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1980/))

      allocate(vertices(4742)%branchCT(0:0))
      call avCT(4742, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2618)%branchCT(0:0))
      call avCT(2618, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2201,       &
      nGC_2202/))

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2231/))

      allocate(vertices(2626)%branchCT(0:0))
      call avCT(2626, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2048)%branchCT(0:0))
      call avCT(2048, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(5089)%branchCT(0:0))
      call avCT(5089, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(2049)%branchCT(0:0))
      call avCT(2049, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2050)%branchCT(0:0))
      call avCT(2050, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(1542)%branchCT(0:0))
      call avCT(1542, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2052)%branchCT(0:0))
      call avCT(2052, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(785)%branchCT(0:0))
      call avCT(785, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2053)%branchCT(0:0))
      call avCT(2053, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4542)%branchCT(0:1))
      call avCT(4542, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2181, nGC_2181/))

      call avCT(4542, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2182, nGC_2182/))

      allocate(vertices(4544)%branchCT(0:0))
      call avCT(4544, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2170, nGC_2171/))

      allocate(vertices(4545)%branchCT(0:0))
      call avCT(4545, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1980/))

      allocate(vertices(4546)%branchCT(0:0))
      call avCT(4546, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4394)%branchCT(0:0))
      call avCT(4394, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2698)%branchCT(0:0))
      call avCT(2698, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3562)%branchCT(0:0))
      call avCT(3562, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4551)%branchCT(0:0))
      call avCT(4551, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4552)%branchCT(0:0))
      call avCT(4552, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2059)%branchCT(0:1))
      call avCT(2059, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2048, nGC_2046/))

      call avCT(2059, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2049, nGC_2047/))

      allocate(vertices(2060)%branchCT(0:0))
      call avCT(2060, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(2061)%branchCT(0:1))
      call avCT(2061, 0, 26, 1, 0, FaVF0, (/0, 3/), (/nGC_1878/))

      call avCT(2061, 1, 26, 1, 0, FaVF0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3967)%branchCT(0:0))
      call avCT(3967, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2031, nGC_2032/))

      allocate(vertices(4558)%branchCT(0:0))
      call avCT(4558, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4559)%branchCT(0:0))
      call avCT(4559, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(4560)%branchCT(0:0))
      call avCT(4560, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4561)%branchCT(0:0))
      call avCT(4561, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(2069)%branchCT(0:0))
      call avCT(2069, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2184, nGC_2184/))

      allocate(vertices(5090)%branchCT(0:0))
      call avCT(5090, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(4447)%branchCT(0:0))
      call avCT(4447, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2958)%branchCT(0:0))
      call avCT(2958, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2070)%branchCT(0:0))
      call avCT(2070, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2071)%branchCT(0:1))
      call avCT(2071, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2203, nGC_2205/))

      call avCT(2071, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2204, nGC_2206/))

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4565)%branchCT(0:0))
      call avCT(4565, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4566)%branchCT(0:0))
      call avCT(4566, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(4338)%branchCT(0:1))
      call avCT(4338, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1902, nGC_1902/))

      call avCT(4338, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1903, nGC_1903/))

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2077)%branchCT(0:0))
      call avCT(2077, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3307)%branchCT(0:0))
      call avCT(3307, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,       &
      nGC_1935/))

      allocate(vertices(2079)%branchCT(0:0))
      call avCT(2079, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5091)%branchCT(0:0))
      call avCT(5091, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4572)%branchCT(0:0))
      call avCT(4572, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4011)%branchCT(0:0))
      call avCT(4011, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4574)%branchCT(0:0))
      call avCT(4574, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4575)%branchCT(0:0))
      call avCT(4575, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(3874)%branchCT(0:0))
      call avCT(3874, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(4578)%branchCT(0:0))
      call avCT(4578, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4580)%branchCT(0:1))
      call avCT(4580, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1961, nGC_1959/))

      call avCT(4580, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1962, nGC_1960/))

      allocate(vertices(750)%branchCT(0:0))
      call avCT(750, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(3633)%branchCT(0:0))
      call avCT(3633, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(2889)%branchCT(0:0))
      call avCT(2889, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4583)%branchCT(0:0))
      call avCT(4583, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4907)%branchCT(0:0))
      call avCT(4907, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2252/))

      allocate(vertices(2089)%branchCT(0:0))
      call avCT(2089, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(5092)%branchCT(0:0))
      call avCT(5092, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1977/))

      allocate(vertices(2090)%branchCT(0:0))
      call avCT(2090, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4328)%branchCT(0:1))
      call avCT(4328, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1959, nGC_1961/))

      call avCT(4328, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1960, nGC_1962/))

      allocate(vertices(5093)%branchCT(0:0))
      call avCT(5093, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2244/))

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3106)%branchCT(0:5))
      call avCT(3106, 0, 59, 7, 0, UUaVV0, (/4, 0/), (/nGC_2216/))

      call avCT(3106, 1, 57, 6, 0, UUaVV0, (/4, 0/), (/nGC_2215/))

      call avCT(3106, 2, 55, 6, 0, UUaVV0, (/4, 0/), (/nGC_2215/))

      call avCT(3106, 3, 56, 6, 0, UUaVV0, (/4, 0/), (/nGC_2215/))

      call avCT(3106, 4, 54, 6, 0, UUaVV0, (/4, 0/), (/nGC_2215/))

      call avCT(3106, 5, 58, 7, 0, UUaVV0, (/4, 0/), (/nGC_2216/))

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(2946)%branchCT(0:0))
      call avCT(2946, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2095)%branchCT(0:0))
      call avCT(2095, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4592)%branchCT(0:0))
      call avCT(4592, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2201,       &
      nGC_2201/))

      allocate(vertices(5094)%branchCT(0:0))
      call avCT(5094, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2004/))

      allocate(vertices(2097)%branchCT(0:0))
      call avCT(2097, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4594)%branchCT(0:0))
      call avCT(4594, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1882, nGC_1883/))

      allocate(vertices(4596)%branchCT(0:0))
      call avCT(4596, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(5095)%branchCT(0:0))
      call avCT(5095, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2253/))

      allocate(vertices(4597)%branchCT(0:0))
      call avCT(4597, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2994)%branchCT(0:0))
      call avCT(2994, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(4598)%branchCT(0:0))
      call avCT(4598, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1936, nGC_1937/))

      allocate(vertices(4599)%branchCT(0:0))
      call avCT(4599, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5096)%branchCT(0:0))
      call avCT(5096, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2158/))

      allocate(vertices(4601)%branchCT(0:1))
      call avCT(4601, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2197, nGC_2199/))

      call avCT(4601, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2198, nGC_2200/))

      allocate(vertices(4602)%branchCT(0:0))
      call avCT(4602, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2005/))

      allocate(vertices(4431)%branchCT(0:0))
      call avCT(4431, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4604)%branchCT(0:0))
      call avCT(4604, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2103)%branchCT(0:0))
      call avCT(2103, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2348)%branchCT(0:0))
      call avCT(2348, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4606)%branchCT(0:0))
      call avCT(4606, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2153, nGC_2152,       &
      nGC_2152/))

      allocate(vertices(4608)%branchCT(0:0))
      call avCT(4608, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2107)%branchCT(0:0))
      call avCT(2107, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3383)%branchCT(0:0))
      call avCT(3383, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(5097)%branchCT(0:0))
      call avCT(5097, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(4613)%branchCT(0:0))
      call avCT(4613, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(4614)%branchCT(0:1))
      call avCT(4614, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1878/))

      call avCT(4614, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(2847)%branchCT(0:0))
      call avCT(2847, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2110)%branchCT(0:0))
      call avCT(2110, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4019)%branchCT(0:0))
      call avCT(4019, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(3076)%branchCT(0:0))
      call avCT(3076, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4619)%branchCT(0:0))
      call avCT(4619, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3087)%branchCT(0:0))
      call avCT(3087, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2005/))

      allocate(vertices(1163)%branchCT(0:0))
      call avCT(1163, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4621)%branchCT(0:0))
      call avCT(4621, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5098)%branchCT(0:0))
      call avCT(5098, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2230/))

      allocate(vertices(2115)%branchCT(0:0))
      call avCT(2115, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2147/))

      allocate(vertices(3331)%branchCT(0:0))
      call avCT(3331, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4625)%branchCT(0:0))
      call avCT(4625, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3114)%branchCT(0:1))
      call avCT(3114, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2037, nGC_2039/))

      call avCT(3114, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2038, nGC_2040/))

      allocate(vertices(3316)%branchCT(0:0))
      call avCT(3316, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2117)%branchCT(0:0))
      call avCT(2117, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(4628)%branchCT(0:0))
      call avCT(4628, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(4629)%branchCT(0:0))
      call avCT(4629, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4631)%branchCT(0:0))
      call avCT(4631, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(4632)%branchCT(0:0))
      call avCT(4632, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(4633)%branchCT(0:0))
      call avCT(4633, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(583)%branchCT(0:0))
      call avCT(583, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(374)%branchCT(0:0))
      call avCT(374, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4768)%branchCT(0:0))
      call avCT(4768, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4637)%branchCT(0:0))
      call avCT(4637, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2220/))

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2127)%branchCT(0:0))
      call avCT(2127, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1838)%branchCT(0:0))
      call avCT(1838, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2128)%branchCT(0:0))
      call avCT(2128, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2117/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(2130)%branchCT(0:1))
      call avCT(2130, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(2130, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(4351)%branchCT(0:0))
      call avCT(4351, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1945)%branchCT(0:0))
      call avCT(1945, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4646)%branchCT(0:1))
      call avCT(4646, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1897, nGC_1899/))

      call avCT(4646, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1898, nGC_1900/))

      allocate(vertices(2132)%branchCT(0:1))
      call avCT(2132, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2135, nGC_2137/))

      call avCT(2132, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2136, nGC_2138/))

      allocate(vertices(4214)%branchCT(0:0))
      call avCT(4214, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4650)%branchCT(0:0))
      call avCT(4650, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(4652)%branchCT(0:0))
      call avCT(4652, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2136)%branchCT(0:1))
      call avCT(2136, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2172, nGC_2172/))

      call avCT(2136, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2173, nGC_2173/))

      allocate(vertices(3273)%branchCT(0:0))
      call avCT(3273, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2137)%branchCT(0:0))
      call avCT(2137, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4403)%branchCT(0:3))
      call avCT(4403, 0, 40, 2, 0, VFFa1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(4403, 1, 40, 2, 0, VFFa1, (/3, 0/), (/nGC_2000, nGC_2002/))

      call avCT(4403, 2, 41, 3, 0, VFFa1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(4403, 3, 41, 3, 0, VFFa1, (/3, 0/), (/nGC_2000, nGC_2002/))

      allocate(vertices(2139)%branchCT(0:0))
      call avCT(2139, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1912,       &
      nGC_1911/))

      allocate(vertices(2140)%branchCT(0:0))
      call avCT(2140, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1911,       &
      nGC_1912/))

      allocate(vertices(4854)%branchCT(0:0))
      call avCT(4854, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4662)%branchCT(0:0))
      call avCT(4662, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4217)%branchCT(0:0))
      call avCT(4217, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2143)%branchCT(0:0))
      call avCT(2143, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4666)%branchCT(0:0))
      call avCT(4666, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4669)%branchCT(0:0))
      call avCT(4669, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2041, nGC_2041/))

      allocate(vertices(4671)%branchCT(0:0))
      call avCT(4671, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2082/))

      allocate(vertices(2148)%branchCT(0:0))
      call avCT(2148, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4538)%branchCT(0:0))
      call avCT(4538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(4673)%branchCT(0:0))
      call avCT(4673, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(865)%branchCT(0:0))
      call avCT(865, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3361)%branchCT(0:0))
      call avCT(3361, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4679)%branchCT(0:1))
      call avCT(4679, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2048, nGC_2046/))

      call avCT(4679, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2049, nGC_2047/))

      allocate(vertices(2155)%branchCT(0:0))
      call avCT(2155, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4681)%branchCT(0:5))
      call avCT(4681, 0, 53, 7, 0, UVUaV0, (/4, 0/), (/nGC_2216/))

      call avCT(4681, 1, 52, 7, 0, UVUaV0, (/4, 0/), (/nGC_2216/))

      call avCT(4681, 2, 49, 6, 0, UVUaV0, (/4, 0/), (/nGC_2215/))

      call avCT(4681, 3, 48, 6, 0, UVUaV0, (/4, 0/), (/nGC_2215/))

      call avCT(4681, 4, 51, 6, 0, UVUaV0, (/4, 0/), (/nGC_2215/))

      call avCT(4681, 5, 50, 6, 0, UVUaV0, (/4, 0/), (/nGC_2215/))

      allocate(vertices(5099)%branchCT(0:0))
      call avCT(5099, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(5100)%branchCT(0:0))
      call avCT(5100, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2102, nGC_2103,       &
      nGC_2103, nGC_2104/))

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2025, nGC_2026/))

      allocate(vertices(2756)%branchCT(0:3))
      call avCT(2756, 0, 38, 2, 0, VFaF0, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(2756, 1, 38, 2, 0, VFaF0, (/3, 0/), (/nGC_2077, nGC_2079/))

      call avCT(2756, 2, 39, 3, 0, VFaF0, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(2756, 3, 39, 3, 0, VFaF0, (/3, 0/), (/nGC_2077, nGC_2079/))

      allocate(vertices(5101)%branchCT(0:0))
      call avCT(5101, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2249, nGC_2250,        &
      nGC_2251/))

      allocate(vertices(3404)%branchCT(0:0))
      call avCT(3404, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4686)%branchCT(0:0))
      call avCT(4686, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3412)%branchCT(0:0))
      call avCT(3412, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1972)%branchCT(0:0))
      call avCT(1972, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(2163)%branchCT(0:0))
      call avCT(2163, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2153,       &
      nGC_2152/))

      allocate(vertices(4690)%branchCT(0:0))
      call avCT(4690, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2100/))

      allocate(vertices(4691)%branchCT(0:0))
      call avCT(4691, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2167)%branchCT(0:0))
      call avCT(2167, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(5102)%branchCT(0:0))
      call avCT(5102, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(2171)%branchCT(0:0))
      call avCT(2171, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1974)%branchCT(0:0))
      call avCT(1974, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(2332)%branchCT(0:0))
      call avCT(2332, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1891, nGC_1891/))

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3483)%branchCT(0:0))
      call avCT(3483, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1497)%branchCT(0:0))
      call avCT(1497, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3597)%branchCT(0:1))
      call avCT(3597, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2135, nGC_2137/))

      call avCT(3597, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2136, nGC_2138/))

      allocate(vertices(3587)%branchCT(0:0))
      call avCT(3587, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4700)%branchCT(0:0))
      call avCT(4700, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2178)%branchCT(0:0))
      call avCT(2178, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2007, nGC_2007/))

      allocate(vertices(4703)%branchCT(0:0))
      call avCT(4703, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4456)%branchCT(0:0))
      call avCT(4456, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(5103)%branchCT(0:1))
      call avCT(5103, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2190, nGC_2192,       &
      nGC_2192, nGC_2194/))

      call avCT(5103, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2191, nGC_2193,       &
      nGC_2193, nGC_2195/))

      allocate(vertices(2150)%branchCT(0:0))
      call avCT(2150, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(4706)%branchCT(0:3))
      call avCT(4706, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(4706, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2077, nGC_2079/))

      call avCT(4706, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(4706, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2077, nGC_2079/))

      allocate(vertices(4034)%branchCT(0:0))
      call avCT(4034, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4707)%branchCT(0:0))
      call avCT(4707, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(4348)%branchCT(0:0))
      call avCT(4348, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3899)%branchCT(0:0))
      call avCT(3899, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(2184)%branchCT(0:0))
      call avCT(2184, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4710)%branchCT(0:0))
      call avCT(4710, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(4711)%branchCT(0:0))
      call avCT(4711, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,        &
      nGC_1934/))

      allocate(vertices(4712)%branchCT(0:0))
      call avCT(4712, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(4356)%branchCT(0:0))
      call avCT(4356, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2187)%branchCT(0:0))
      call avCT(2187, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2214/))

      allocate(vertices(5104)%branchCT(0:0))
      call avCT(5104, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(2189)%branchCT(0:1))
      call avCT(2189, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_2044/))

      call avCT(2189, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_2045/))

      allocate(vertices(3590)%branchCT(0:0))
      call avCT(3590, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2190)%branchCT(0:0))
      call avCT(2190, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3668)%branchCT(0:0))
      call avCT(3668, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3589)%branchCT(0:0))
      call avCT(3589, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2193)%branchCT(0:0))
      call avCT(2193, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2032)%branchCT(0:0))
      call avCT(2032, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4723)%branchCT(0:0))
      call avCT(4723, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2978)%branchCT(0:0))
      call avCT(2978, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4725)%branchCT(0:1))
      call avCT(4725, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2071, nGC_2071/))

      call avCT(4725, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2072, nGC_2072/))

      allocate(vertices(2365)%branchCT(0:0))
      call avCT(2365, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4727)%branchCT(0:0))
      call avCT(4727, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4728)%branchCT(0:0))
      call avCT(4728, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2147/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4818)%branchCT(0:0))
      call avCT(4818, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3643)%branchCT(0:0))
      call avCT(3643, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2653)%branchCT(0:0))
      call avCT(2653, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3599)%branchCT(0:1))
      call avCT(3599, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1995, nGC_1997/))

      call avCT(3599, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1996, nGC_1998/))

      allocate(vertices(4733)%branchCT(0:0))
      call avCT(4733, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4734)%branchCT(0:0))
      call avCT(4734, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(4736)%branchCT(0:0))
      call avCT(4736, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3682)%branchCT(0:0))
      call avCT(3682, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5105)%branchCT(0:0))
      call avCT(5105, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(2203)%branchCT(0:0))
      call avCT(2203, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2164/))

      allocate(vertices(3699)%branchCT(0:0))
      call avCT(3699, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4212)%branchCT(0:0))
      call avCT(4212, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1964/))

      allocate(vertices(4739)%branchCT(0:0))
      call avCT(4739, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4314)%branchCT(0:0))
      call avCT(4314, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2206)%branchCT(0:0))
      call avCT(2206, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2208)%branchCT(0:0))
      call avCT(2208, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1096)%branchCT(0:0))
      call avCT(1096, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2937)%branchCT(0:0))
      call avCT(2937, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2439)%branchCT(0:0))
      call avCT(2439, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(4745)%branchCT(0:0))
      call avCT(4745, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4936)%branchCT(0:0))
      call avCT(4936, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4747)%branchCT(0:0))
      call avCT(4747, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4748)%branchCT(0:0))
      call avCT(4748, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2910)%branchCT(0:0))
      call avCT(2910, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(2215)%branchCT(0:0))
      call avCT(2215, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1891, nGC_1891/))

      allocate(vertices(2216)%branchCT(0:0))
      call avCT(2216, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2434)%branchCT(0:0))
      call avCT(2434, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4752)%branchCT(0:0))
      call avCT(4752, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4753)%branchCT(0:1))
      call avCT(4753, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_2160, nGC_2162/))

      call avCT(4753, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_2161, nGC_2163/))

      allocate(vertices(4754)%branchCT(0:0))
      call avCT(4754, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3810)%branchCT(0:0))
      call avCT(3810, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5106)%branchCT(0:0))
      call avCT(5106, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1985)%branchCT(0:0))
      call avCT(1985, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(4759)%branchCT(0:0))
      call avCT(4759, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3971)%branchCT(0:0))
      call avCT(3971, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4762)%branchCT(0:0))
      call avCT(4762, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2227)%branchCT(0:0))
      call avCT(2227, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4764)%branchCT(0:3))
      call avCT(4764, 0, 36, 2, 0, FVFa0, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(4764, 1, 36, 2, 0, FVFa0, (/1, 2/), (/nGC_2065, nGC_2067/))

      call avCT(4764, 2, 37, 3, 0, FVFa0, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(4764, 3, 37, 3, 0, FVFa0, (/1, 2/), (/nGC_2065, nGC_2067/))

      allocate(vertices(5107)%branchCT(0:0))
      call avCT(5107, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5108)%branchCT(0:0))
      call avCT(5108, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(2231)%branchCT(0:0))
      call avCT(2231, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2217/))

      allocate(vertices(4769)%branchCT(0:5))
      call avCT(4769, 0, 73, 6, 0, VVUUa0, (/4, 0/), (/nGC_2215/))

      call avCT(4769, 1, 72, 6, 0, VVUUa0, (/4, 0/), (/nGC_2215/))

      call avCT(4769, 2, 77, 7, 0, VVUUa0, (/4, 0/), (/nGC_2216/))

      call avCT(4769, 3, 76, 7, 0, VVUUa0, (/4, 0/), (/nGC_2216/))

      call avCT(4769, 4, 75, 6, 0, VVUUa0, (/4, 0/), (/nGC_2215/))

      call avCT(4769, 5, 74, 6, 0, VVUUa0, (/4, 0/), (/nGC_2215/))

      allocate(vertices(2152)%branchCT(0:0))
      call avCT(2152, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(2353)%branchCT(0:0))
      call avCT(2353, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4773)%branchCT(0:0))
      call avCT(4773, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2689)%branchCT(0:0))
      call avCT(2689, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(713)%branchCT(0:0))
      call avCT(713, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4778)%branchCT(0:0))
      call avCT(4778, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2185/))

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(810)%branchCT(0:0))
      call avCT(810, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3042)%branchCT(0:0))
      call avCT(3042, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1904/))

      allocate(vertices(4122)%branchCT(0:0))
      call avCT(4122, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3906)%branchCT(0:0))
      call avCT(3906, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2242)%branchCT(0:0))
      call avCT(2242, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4100)%branchCT(0:0))
      call avCT(4100, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(5109)%branchCT(0:0))
      call avCT(5109, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(4783)%branchCT(0:0))
      call avCT(4783, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4784)%branchCT(0:1))
      call avCT(4784, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1897, nGC_1899/))

      call avCT(4784, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1898, nGC_1900/))

      allocate(vertices(2248)%branchCT(0:0))
      call avCT(2248, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2249)%branchCT(0:1))
      call avCT(2249, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2135, nGC_2137/))

      call avCT(2249, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2136, nGC_2138/))

      allocate(vertices(2250)%branchCT(0:0))
      call avCT(2250, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4789)%branchCT(0:1))
      call avCT(4789, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2023/))

      call avCT(4789, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(3697)%branchCT(0:0))
      call avCT(3697, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2252)%branchCT(0:0))
      call avCT(2252, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2253)%branchCT(0:0))
      call avCT(2253, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(4946)%branchCT(0:0))
      call avCT(4946, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4795)%branchCT(0:0))
      call avCT(4795, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2254)%branchCT(0:0))
      call avCT(2254, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2245/))

      allocate(vertices(2255)%branchCT(0:0))
      call avCT(2255, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4797)%branchCT(0:0))
      call avCT(4797, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4537)%branchCT(0:0))
      call avCT(4537, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3197)%branchCT(0:0))
      call avCT(3197, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1986, nGC_1987/))

      allocate(vertices(2258)%branchCT(0:1))
      call avCT(2258, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1959, nGC_1961/))

      call avCT(2258, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1960, nGC_1962/))

      allocate(vertices(2260)%branchCT(0:0))
      call avCT(2260, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1908/))

      allocate(vertices(2637)%branchCT(0:0))
      call avCT(2637, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(4803)%branchCT(0:0))
      call avCT(4803, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4804)%branchCT(0:0))
      call avCT(4804, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2095/))

      allocate(vertices(2185)%branchCT(0:0))
      call avCT(2185, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,       &
      nGC_1934/))

      allocate(vertices(2262)%branchCT(0:0))
      call avCT(2262, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(4488)%branchCT(0:0))
      call avCT(4488, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1035)%branchCT(0:0))
      call avCT(1035, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2265)%branchCT(0:1))
      call avCT(2265, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_2023/))

      call avCT(2265, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_2024/))

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2267)%branchCT(0:0))
      call avCT(2267, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(5110)%branchCT(0:0))
      call avCT(5110, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2233/))

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4079)%branchCT(0:0))
      call avCT(4079, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2269)%branchCT(0:0))
      call avCT(2269, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2372)%branchCT(0:0))
      call avCT(2372, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1990/))

      allocate(vertices(3023)%branchCT(0:0))
      call avCT(3023, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4815)%branchCT(0:0))
      call avCT(4815, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4116)%branchCT(0:0))
      call avCT(4116, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2147/))

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2118/))

      allocate(vertices(2275)%branchCT(0:0))
      call avCT(2275, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2118/))

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2277)%branchCT(0:0))
      call avCT(2277, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4588)%branchCT(0:0))
      call avCT(4588, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(5111)%branchCT(0:0))
      call avCT(5111, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2234/))

      allocate(vertices(2278)%branchCT(0:0))
      call avCT(2278, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1958/))

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4847)%branchCT(0:0))
      call avCT(4847, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4826)%branchCT(0:0))
      call avCT(4826, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5112)%branchCT(0:0))
      call avCT(5112, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(956)%branchCT(0:0))
      call avCT(956, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2213, nGC_2213/))

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4181)%branchCT(0:0))
      call avCT(4181, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2153, nGC_2152,       &
      nGC_2152/))

      allocate(vertices(4829)%branchCT(0:0))
      call avCT(4829, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4830)%branchCT(0:0))
      call avCT(4830, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2287)%branchCT(0:0))
      call avCT(2287, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2288)%branchCT(0:1))
      call avCT(2288, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2172, nGC_2172/))

      call avCT(2288, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2173, nGC_2173/))

      allocate(vertices(4833)%branchCT(0:0))
      call avCT(4833, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2290)%branchCT(0:0))
      call avCT(2290, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2007, nGC_2007/))

      allocate(vertices(4836)%branchCT(0:0))
      call avCT(4836, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(5113)%branchCT(0:1))
      call avCT(5113, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2174, nGC_2176,      &
      nGC_2176, nGC_2178/))

      call avCT(5113, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2175, nGC_2177,      &
      nGC_2177, nGC_2179/))

      allocate(vertices(4840)%branchCT(0:0))
      call avCT(4840, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2294)%branchCT(0:0))
      call avCT(2294, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4841)%branchCT(0:1))
      call avCT(4841, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2139, nGC_2141/))

      call avCT(4841, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2140, nGC_2142/))

      allocate(vertices(2296)%branchCT(0:0))
      call avCT(2296, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4842)%branchCT(0:0))
      call avCT(4842, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2073, nGC_2073/))

      allocate(vertices(4843)%branchCT(0:0))
      call avCT(4843, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2147/))

      allocate(vertices(4269)%branchCT(0:1))
      call avCT(4269, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1967, nGC_1967/))

      call avCT(4269, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1968, nGC_1968/))

      allocate(vertices(2300)%branchCT(0:0))
      call avCT(2300, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2302)%branchCT(0:0))
      call avCT(2302, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1970, nGC_1971/))

      allocate(vertices(5114)%branchCT(0:0))
      call avCT(5114, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(4848)%branchCT(0:0))
      call avCT(4848, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1887/))

      allocate(vertices(4849)%branchCT(0:0))
      call avCT(4849, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4850)%branchCT(0:0))
      call avCT(4850, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(4312)%branchCT(0:0))
      call avCT(4312, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4852)%branchCT(0:1))
      call avCT(4852, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1961, nGC_1959/))

      call avCT(4852, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1962, nGC_1960/))

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2305)%branchCT(0:0))
      call avCT(2305, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4855)%branchCT(0:0))
      call avCT(4855, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2007, nGC_2007/))

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(4003)%branchCT(0:0))
      call avCT(4003, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2307)%branchCT(0:0))
      call avCT(2307, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,       &
      nGC_1935/))

      allocate(vertices(4859)%branchCT(0:0))
      call avCT(4859, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3783)%branchCT(0:0))
      call avCT(3783, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(2588)%branchCT(0:0))
      call avCT(2588, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2710)%branchCT(0:5))
      call avCT(2710, 0, 91, 6, 0, VUaVU0, (/4, 0/), (/nGC_2215/))

      call avCT(2710, 1, 90, 6, 0, VUaVU0, (/4, 0/), (/nGC_2215/))

      call avCT(2710, 2, 93, 6, 0, VUaVU0, (/4, 0/), (/nGC_2215/))

      call avCT(2710, 3, 92, 6, 0, VUaVU0, (/4, 0/), (/nGC_2215/))

      call avCT(2710, 4, 95, 7, 0, VUaVU0, (/4, 0/), (/nGC_2216/))

      call avCT(2710, 5, 94, 7, 0, VUaVU0, (/4, 0/), (/nGC_2216/))

      allocate(vertices(4595)%branchCT(0:0))
      call avCT(4595, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(788)%branchCT(0:0))
      call avCT(788, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(2311)%branchCT(0:0))
      call avCT(2311, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2118/))

      allocate(vertices(4866)%branchCT(0:0))
      call avCT(4866, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4867)%branchCT(0:0))
      call avCT(4867, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4868)%branchCT(0:0))
      call avCT(4868, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4371)%branchCT(0:0))
      call avCT(4371, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4872)%branchCT(0:0))
      call avCT(4872, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2218/))

      allocate(vertices(3613)%branchCT(0:0))
      call avCT(3613, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(4874)%branchCT(0:0))
      call avCT(4874, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2317)%branchCT(0:0))
      call avCT(2317, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5115)%branchCT(0:0))
      call avCT(5115, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(2319)%branchCT(0:0))
      call avCT(2319, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4877)%branchCT(0:0))
      call avCT(4877, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5116)%branchCT(0:0))
      call avCT(5116, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2254/))

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(4878)%branchCT(0:0))
      call avCT(4878, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(5117)%branchCT(0:0))
      call avCT(5117, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3614)%branchCT(0:0))
      call avCT(3614, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(4213)%branchCT(0:0))
      call avCT(4213, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4880)%branchCT(0:0))
      call avCT(4880, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2327)%branchCT(0:0))
      call avCT(2327, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(4881)%branchCT(0:0))
      call avCT(4881, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3127)%branchCT(0:0))
      call avCT(3127, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4460)%branchCT(0:0))
      call avCT(4460, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1623)%branchCT(0:0))
      call avCT(1623, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(1200)%branchCT(0:0))
      call avCT(1200, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(5118)%branchCT(0:0))
      call avCT(5118, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1933/))

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2333)%branchCT(0:0))
      call avCT(2333, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4888)%branchCT(0:0))
      call avCT(4888, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2074, nGC_2075/))

      allocate(vertices(4890)%branchCT(0:0))
      call avCT(4890, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(1689)%branchCT(0:0))
      call avCT(1689, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2119/))

      allocate(vertices(4513)%branchCT(0:0))
      call avCT(4513, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2152,       &
      nGC_2153/))

      allocate(vertices(4893)%branchCT(0:0))
      call avCT(4893, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4894)%branchCT(0:0))
      call avCT(4894, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4896)%branchCT(0:0))
      call avCT(4896, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(2343)%branchCT(0:0))
      call avCT(2343, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2344)%branchCT(0:0))
      call avCT(2344, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4901)%branchCT(0:1))
      call avCT(4901, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2135, nGC_2137/))

      call avCT(4901, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2136, nGC_2138/))

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3004)%branchCT(0:0))
      call avCT(3004, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4903)%branchCT(0:0))
      call avCT(4903, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2184, nGC_2184/))

      allocate(vertices(2346)%branchCT(0:0))
      call avCT(2346, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2347)%branchCT(0:3))
      call avCT(2347, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(2347, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2065, nGC_2067/))

      call avCT(2347, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(2347, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2065, nGC_2067/))

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4905)%branchCT(0:0))
      call avCT(4905, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3620)%branchCT(0:0))
      call avCT(3620, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(4908)%branchCT(0:0))
      call avCT(4908, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1172)%branchCT(0:0))
      call avCT(1172, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1224)%branchCT(0:0))
      call avCT(1224, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(4910)%branchCT(0:0))
      call avCT(4910, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4913)%branchCT(0:1))
      call avCT(4913, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2048, nGC_2046/))

      call avCT(4913, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2049, nGC_2047/))

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4915)%branchCT(0:0))
      call avCT(4915, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(4916)%branchCT(0:0))
      call avCT(4916, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(4917)%branchCT(0:0))
      call avCT(4917, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4918)%branchCT(0:0))
      call avCT(4918, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(4919)%branchCT(0:0))
      call avCT(4919, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(2355)%branchCT(0:0))
      call avCT(2355, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2164/))

      allocate(vertices(4064)%branchCT(0:0))
      call avCT(4064, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4667)%branchCT(0:0))
      call avCT(4667, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4065)%branchCT(0:0))
      call avCT(4065, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1964/))

      allocate(vertices(4923)%branchCT(0:0))
      call avCT(4923, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
