!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2906)%branchCT(0:0))
      call avCT(2906, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1628)%branchCT(0:0))
      call avCT(1628, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(528)%branchCT(0:1))
      call avCT(528, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2046, nGC_2048/))

      call avCT(528, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2047, nGC_2049/))

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3728)%branchCT(0:0))
      call avCT(3728, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3088)%branchCT(0:0))
      call avCT(3088, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,       &
      nGC_1935/))

      allocate(vertices(4022)%branchCT(0:0))
      call avCT(4022, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3863)%branchCT(0:0))
      call avCT(3863, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3719)%branchCT(0:0))
      call avCT(3719, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1762)%branchCT(0:0))
      call avCT(1762, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2096/))

      allocate(vertices(534)%branchCT(0:0))
      call avCT(534, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(5008)%branchCT(0:0))
      call avCT(5008, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2127, nGC_2128,        &
      nGC_2129/))

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1885/))

      allocate(vertices(2918)%branchCT(0:0))
      call avCT(2918, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(536)%branchCT(0:0))
      call avCT(536, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(4404)%branchCT(0:1))
      call avCT(4404, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(4404, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(2920)%branchCT(0:0))
      call avCT(2920, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5009)%branchCT(0:0))
      call avCT(5009, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2130, nGC_2131,        &
      nGC_2132/))

      allocate(vertices(2922)%branchCT(0:0))
      call avCT(2922, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(2923)%branchCT(0:0))
      call avCT(2923, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(5010)%branchCT(0:0))
      call avCT(5010, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2133, nGC_2134/))

      allocate(vertices(543)%branchCT(0:1))
      call avCT(543, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_2135, nGC_2137/))

      call avCT(543, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_2136, nGC_2138/))

      allocate(vertices(2924)%branchCT(0:0))
      call avCT(2924, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(545)%branchCT(0:1))
      call avCT(545, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1878/))

      call avCT(545, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2926)%branchCT(0:0))
      call avCT(2926, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2097/))

      allocate(vertices(549)%branchCT(0:0))
      call avCT(549, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2928)%branchCT(0:0))
      call avCT(2928, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2031, nGC_2032/))

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2934)%branchCT(0:0))
      call avCT(2934, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1891, nGC_1891/))

      allocate(vertices(3265)%branchCT(0:0))
      call avCT(3265, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2880)%branchCT(0:0))
      call avCT(2880, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(560)%branchCT(0:0))
      call avCT(560, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(561)%branchCT(0:1))
      call avCT(561, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1992, nGC_1992/))

      call avCT(561, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1993, nGC_1993/))

      allocate(vertices(2940)%branchCT(0:0))
      call avCT(2940, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(564)%branchCT(0:0))
      call avCT(564, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2944)%branchCT(0:1))
      call avCT(2944, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_2139, nGC_2141/))

      call avCT(2944, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_2140, nGC_2142/))

      allocate(vertices(4587)%branchCT(0:0))
      call avCT(4587, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4897)%branchCT(0:0))
      call avCT(4897, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,       &
      nGC_1935/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2950)%branchCT(0:0))
      call avCT(2950, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(570)%branchCT(0:0))
      call avCT(570, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(905)%branchCT(0:0))
      call avCT(905, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2954)%branchCT(0:0))
      call avCT(2954, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3346)%branchCT(0:0))
      call avCT(3346, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(574)%branchCT(0:0))
      call avCT(574, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(2773)%branchCT(0:1))
      call avCT(2773, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_2023/))

      call avCT(2773, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_2024/))

      allocate(vertices(2489)%branchCT(0:0))
      call avCT(2489, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2963)%branchCT(0:0))
      call avCT(2963, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2964)%branchCT(0:1))
      call avCT(2964, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2019, nGC_2021/))

      call avCT(2964, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2020, nGC_2022/))

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3384)%branchCT(0:0))
      call avCT(3384, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(578)%branchCT(0:1))
      call avCT(578, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_2143, nGC_2145/))

      call avCT(578, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_2144, nGC_2146/))

      allocate(vertices(2886)%branchCT(0:0))
      call avCT(2886, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1334)%branchCT(0:0))
      call avCT(1334, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2025, nGC_2026/))

      allocate(vertices(2970)%branchCT(0:0))
      call avCT(2970, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(2972)%branchCT(0:0))
      call avCT(2972, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2973)%branchCT(0:0))
      call avCT(2973, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4618)%branchCT(0:0))
      call avCT(4618, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2147/))

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(588)%branchCT(0:1))
      call avCT(588, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_2148, nGC_2150/))

      call avCT(588, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_2149, nGC_2151/))

      allocate(vertices(3450)%branchCT(0:0))
      call avCT(3450, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(2981)%branchCT(0:1))
      call avCT(2981, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1967, nGC_1967/))

      call avCT(2981, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1968, nGC_1968/))

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2982)%branchCT(0:0))
      call avCT(2982, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2983)%branchCT(0:1))
      call avCT(2983, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(2983, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4405)%branchCT(0:0))
      call avCT(4405, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2125/))

      allocate(vertices(2989)%branchCT(0:0))
      call avCT(2989, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(599)%branchCT(0:0))
      call avCT(599, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2035/))

      allocate(vertices(2990)%branchCT(0:0))
      call avCT(2990, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2991)%branchCT(0:0))
      call avCT(2991, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(602)%branchCT(0:0))
      call avCT(602, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2122/))

      allocate(vertices(3540)%branchCT(0:0))
      call avCT(3540, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3546)%branchCT(0:0))
      call avCT(3546, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1911, nGC_1912,        &
      nGC_1912/))

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(3559)%branchCT(0:0))
      call avCT(3559, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2995)%branchCT(0:1))
      call avCT(2995, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1923, nGC_1925/))

      call avCT(2995, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1924, nGC_1926/))

      allocate(vertices(4388)%branchCT(0:0))
      call avCT(4388, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(1701)%branchCT(0:1))
      call avCT(1701, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(1701, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(5011)%branchCT(0:0))
      call avCT(5011, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2004/))

      allocate(vertices(1342)%branchCT(0:0))
      call avCT(1342, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3000)%branchCT(0:0))
      call avCT(3000, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(612)%branchCT(0:0))
      call avCT(612, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3002)%branchCT(0:0))
      call avCT(3002, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(613)%branchCT(0:0))
      call avCT(613, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1611)%branchCT(0:0))
      call avCT(1611, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1702)%branchCT(0:0))
      call avCT(1702, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2153,       &
      nGC_2152/))

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3007)%branchCT(0:0))
      call avCT(3007, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,       &
      nGC_1935/))

      allocate(vertices(619)%branchCT(0:1))
      call avCT(619, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_2023/))

      call avCT(619, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_2024/))

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2111)%branchCT(0:0))
      call avCT(2111, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2329)%branchCT(0:0))
      call avCT(2329, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(623)%branchCT(0:1))
      call avCT(623, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2023/))

      call avCT(623, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(5012)%branchCT(0:0))
      call avCT(5012, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3010)%branchCT(0:0))
      call avCT(3010, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(3738)%branchCT(0:0))
      call avCT(3738, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2097/))

      allocate(vertices(3673)%branchCT(0:0))
      call avCT(3673, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(626)%branchCT(0:0))
      call avCT(626, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3013)%branchCT(0:0))
      call avCT(3013, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(628)%branchCT(0:0))
      call avCT(628, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1942/))

      allocate(vertices(4465)%branchCT(0:0))
      call avCT(4465, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2095/))

      allocate(vertices(3706)%branchCT(0:0))
      call avCT(3706, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(3716)%branchCT(0:0))
      call avCT(3716, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3736)%branchCT(0:0))
      call avCT(3736, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3020)%branchCT(0:0))
      call avCT(3020, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1912,       &
      nGC_1911/))

      allocate(vertices(4002)%branchCT(0:0))
      call avCT(4002, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2060/))

      allocate(vertices(1388)%branchCT(0:0))
      call avCT(1388, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(636)%branchCT(0:0))
      call avCT(636, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(2297)%branchCT(0:0))
      call avCT(2297, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4942)%branchCT(0:0))
      call avCT(4942, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4550)%branchCT(0:0))
      call avCT(4550, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1895/))

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(640)%branchCT(0:0))
      call avCT(640, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3027)%branchCT(0:0))
      call avCT(3027, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3028)%branchCT(0:0))
      call avCT(3028, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(643)%branchCT(0:0))
      call avCT(643, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3030)%branchCT(0:1))
      call avCT(3030, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2048, nGC_2046/))

      call avCT(3030, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2049, nGC_2047/))

      allocate(vertices(3032)%branchCT(0:0))
      call avCT(3032, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2115/))

      allocate(vertices(3821)%branchCT(0:1))
      call avCT(3821, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2048, nGC_2046/))

      call avCT(3821, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2049, nGC_2047/))

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2147/))

      allocate(vertices(3036)%branchCT(0:1))
      call avCT(3036, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_2154, nGC_2156/))

      call avCT(3036, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_2155, nGC_2157/))

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(5013)%branchCT(0:0))
      call avCT(5013, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2504)%branchCT(0:0))
      call avCT(2504, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(650)%branchCT(0:0))
      call avCT(650, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(3040)%branchCT(0:0))
      call avCT(3040, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(653)%branchCT(0:0))
      call avCT(653, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1986, nGC_1987/))

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3045)%branchCT(0:0))
      call avCT(3045, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2420)%branchCT(0:0))
      call avCT(2420, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3047)%branchCT(0:0))
      call avCT(3047, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(3048)%branchCT(0:0))
      call avCT(3048, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1964/))

      allocate(vertices(659)%branchCT(0:0))
      call avCT(659, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5014)%branchCT(0:0))
      call avCT(5014, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2031, nGC_2032/))

      allocate(vertices(5015)%branchCT(0:0))
      call avCT(5015, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2158/))

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3051)%branchCT(0:1))
      call avCT(3051, 0, 2, 4, 0, VVV1, (/3, 0/), (/nGC_2159/))

      call avCT(3051, 1, 3, 5, 0, VVV1, (/3, 0/), (/nGC_2159/))

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4533)%branchCT(0:0))
      call avCT(4533, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(665)%branchCT(0:0))
      call avCT(665, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(5016)%branchCT(0:0))
      call avCT(5016, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(3054)%branchCT(0:0))
      call avCT(3054, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(668)%branchCT(0:1))
      call avCT(668, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(668, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(1713)%branchCT(0:0))
      call avCT(1713, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3056)%branchCT(0:0))
      call avCT(3056, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5017)%branchCT(0:0))
      call avCT(5017, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(5018)%branchCT(0:0))
      call avCT(5018, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(3063)%branchCT(0:1))
      call avCT(3063, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1961, nGC_1959/))

      call avCT(3063, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1962, nGC_1960/))

      allocate(vertices(3064)%branchCT(0:0))
      call avCT(3064, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1768)%branchCT(0:0))
      call avCT(1768, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4040)%branchCT(0:0))
      call avCT(4040, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(5019)%branchCT(0:0))
      call avCT(5019, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2008/))

      allocate(vertices(4059)%branchCT(0:0))
      call avCT(4059, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3069)%branchCT(0:1))
      call avCT(3069, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_1923, nGC_1925/))

      call avCT(3069, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_1924, nGC_1926/))

      allocate(vertices(3071)%branchCT(0:0))
      call avCT(3071, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,       &
      nGC_1935/))

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(4180)%branchCT(0:0))
      call avCT(4180, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3074)%branchCT(0:0))
      call avCT(3074, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2509)%branchCT(0:3))
      call avCT(2509, 0, 40, 2, 0, VFFa1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(2509, 1, 40, 2, 0, VFFa1, (/1, 2/), (/nGC_2015, nGC_2017/))

      call avCT(2509, 2, 41, 3, 0, VFFa1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(2509, 3, 41, 3, 0, VFFa1, (/1, 2/), (/nGC_2015, nGC_2017/))

      allocate(vertices(4031)%branchCT(0:0))
      call avCT(4031, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3078)%branchCT(0:0))
      call avCT(3078, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4623)%branchCT(0:0))
      call avCT(4623, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3080)%branchCT(0:0))
      call avCT(3080, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3081)%branchCT(0:1))
      call avCT(3081, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_2044/))

      call avCT(3081, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_2045/))

      allocate(vertices(4793)%branchCT(0:0))
      call avCT(4793, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(687)%branchCT(0:0))
      call avCT(687, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(688)%branchCT(0:1))
      call avCT(688, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2160, nGC_2162/))

      call avCT(688, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2161, nGC_2163/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4144)%branchCT(0:0))
      call avCT(4144, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1980/))

      allocate(vertices(5020)%branchCT(0:0))
      call avCT(5020, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1911, nGC_1912,        &
      nGC_1912/))

      allocate(vertices(4160)%branchCT(0:0))
      call avCT(4160, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3089)%branchCT(0:0))
      call avCT(3089, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4184)%branchCT(0:0))
      call avCT(4184, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3094)%branchCT(0:0))
      call avCT(3094, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2164/))

      allocate(vertices(4622)%branchCT(0:0))
      call avCT(4622, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3096)%branchCT(0:0))
      call avCT(3096, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2165/))

      allocate(vertices(3097)%branchCT(0:0))
      call avCT(3097, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4228)%branchCT(0:0))
      call avCT(4228, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3103)%branchCT(0:0))
      call avCT(3103, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3104)%branchCT(0:0))
      call avCT(3104, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3105)%branchCT(0:0))
      call avCT(3105, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(708)%branchCT(0:1))
      call avCT(708, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(708, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(1341)%branchCT(0:5))
      call avCT(1341, 0, 9, 6, 0, VVVV0, (/4, 0/), (/nGC_2166, nGC_2167,       &
      nGC_2166/))

      call avCT(1341, 1, 7, 6, 0, VVVV0, (/4, 0/), (/nGC_2166, nGC_2167,       &
      nGC_2166/))

      call avCT(1341, 2, 8, 6, 0, VVVV0, (/4, 0/), (/nGC_2167, nGC_2166,       &
      nGC_2166/))

      call avCT(1341, 3, 6, 6, 0, VVVV0, (/4, 0/), (/nGC_2167, nGC_2166,       &
      nGC_2166/))

      call avCT(1341, 4, 5, 7, 0, VVVV0, (/4, 0/), (/nGC_2168, nGC_2168,       &
      nGC_2169/))

      call avCT(1341, 5, 4, 7, 0, VVVV0, (/4, 0/), (/nGC_2168, nGC_2168,       &
      nGC_2169/))

      allocate(vertices(3112)%branchCT(0:0))
      call avCT(3112, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3113)%branchCT(0:0))
      call avCT(3113, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(4805)%branchCT(0:0))
      call avCT(4805, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2170, nGC_2171/))

      allocate(vertices(532)%branchCT(0:0))
      call avCT(532, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(715)%branchCT(0:1))
      call avCT(715, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2056, nGC_2054/))

      call avCT(715, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2057, nGC_2055/))

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2100/))

      allocate(vertices(3118)%branchCT(0:1))
      call avCT(3118, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2160, nGC_2162/))

      call avCT(3118, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2161, nGC_2163/))

      allocate(vertices(5021)%branchCT(0:0))
      call avCT(5021, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(3121)%branchCT(0:0))
      call avCT(3121, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3123)%branchCT(0:1))
      call avCT(3123, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1923, nGC_1925/))

      call avCT(3123, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1924, nGC_1926/))

      allocate(vertices(2916)%branchCT(0:0))
      call avCT(2916, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3125)%branchCT(0:0))
      call avCT(3125, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(721)%branchCT(0:1))
      call avCT(721, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2071, nGC_2071/))

      call avCT(721, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2072, nGC_2072/))

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3757)%branchCT(0:0))
      call avCT(3757, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3128)%branchCT(0:0))
      call avCT(3128, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2125/))

      allocate(vertices(3129)%branchCT(0:0))
      call avCT(3129, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(933)%branchCT(0:0))
      call avCT(933, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4365)%branchCT(0:0))
      call avCT(4365, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3132)%branchCT(0:1))
      call avCT(3132, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2172, nGC_2172/))

      call avCT(3132, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2173, nGC_2173/))

      allocate(vertices(3133)%branchCT(0:0))
      call avCT(3133, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(610)%branchCT(0:0))
      call avCT(610, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4879)%branchCT(0:0))
      call avCT(4879, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(5022)%branchCT(0:1))
      call avCT(5022, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2174, nGC_2176,       &
      nGC_2176, nGC_2178/))

      call avCT(5022, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2175, nGC_2177,       &
      nGC_2177, nGC_2179/))

      allocate(vertices(1918)%branchCT(0:0))
      call avCT(1918, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(4384)%branchCT(0:0))
      call avCT(4384, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4393)%branchCT(0:0))
      call avCT(4393, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1964/))

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(4426)%branchCT(0:0))
      call avCT(4426, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3117)%branchCT(0:0))
      call avCT(3117, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2180/))

      allocate(vertices(736)%branchCT(0:0))
      call avCT(736, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3146)%branchCT(0:0))
      call avCT(3146, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4289)%branchCT(0:0))
      call avCT(4289, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4468)%branchCT(0:0))
      call avCT(4468, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(615)%branchCT(0:0))
      call avCT(615, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(133)%branchCT(0:0))
      call avCT(133, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3154)%branchCT(0:0))
      call avCT(3154, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(1116)%branchCT(0:0))
      call avCT(1116, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2921)%branchCT(0:0))
      call avCT(2921, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(4529)%branchCT(0:0))
      call avCT(4529, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,       &
      nGC_1935/))

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2025, nGC_2026/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(3161)%branchCT(0:0))
      call avCT(3161, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1990/))

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(747)%branchCT(0:1))
      call avCT(747, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2181, nGC_2181/))

      call avCT(747, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2182, nGC_2182/))

      allocate(vertices(3034)%branchCT(0:0))
      call avCT(3034, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5023)%branchCT(0:0))
      call avCT(5023, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2183/))

      allocate(vertices(3165)%branchCT(0:0))
      call avCT(3165, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3167)%branchCT(0:0))
      call avCT(3167, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(5024)%branchCT(0:0))
      call avCT(5024, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(3170)%branchCT(0:0))
      call avCT(3170, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1986, nGC_1987/))

      allocate(vertices(3171)%branchCT(0:0))
      call avCT(3171, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3172)%branchCT(0:0))
      call avCT(3172, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(755)%branchCT(0:1))
      call avCT(755, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2172, nGC_2172/))

      call avCT(755, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2173, nGC_2173/))

      allocate(vertices(4541)%branchCT(0:0))
      call avCT(4541, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3175)%branchCT(0:0))
      call avCT(3175, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(758)%branchCT(0:0))
      call avCT(758, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5025)%branchCT(0:0))
      call avCT(5025, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1977/))

      allocate(vertices(4642)%branchCT(0:0))
      call avCT(4642, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4649)%branchCT(0:0))
      call avCT(4649, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1990/))

      allocate(vertices(3180)%branchCT(0:0))
      call avCT(3180, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(3182)%branchCT(0:0))
      call avCT(3182, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(763)%branchCT(0:1))
      call avCT(763, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1995, nGC_1997/))

      call avCT(763, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1996, nGC_1998/))

      allocate(vertices(764)%branchCT(0:1))
      call avCT(764, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1967, nGC_1967/))

      call avCT(764, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1968, nGC_1968/))

      allocate(vertices(3463)%branchCT(0:0))
      call avCT(3463, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3185)%branchCT(0:0))
      call avCT(3185, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4719)%branchCT(0:0))
      call avCT(4719, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(767)%branchCT(0:1))
      call avCT(767, 0, 26, 1, 0, FaVF0, (/0, 3/), (/nGC_2044/))

      call avCT(767, 1, 26, 1, 0, FaVF0, (/2, 1/), (/nGC_2045/))

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4286)%branchCT(0:0))
      call avCT(4286, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2073, nGC_2073/))

      allocate(vertices(3189)%branchCT(0:0))
      call avCT(3189, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2184, nGC_2184/))

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3191)%branchCT(0:0))
      call avCT(3191, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2165/))

      allocate(vertices(3193)%branchCT(0:0))
      call avCT(3193, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4758)%branchCT(0:0))
      call avCT(4758, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(5026)%branchCT(0:0))
      call avCT(5026, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(777)%branchCT(0:3))
      call avCT(777, 0, 36, 2, 0, FVFa0, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(777, 1, 36, 2, 0, FVFa0, (/3, 0/), (/nGC_2000, nGC_2002/))

      call avCT(777, 2, 37, 3, 0, FVFa0, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(777, 3, 37, 3, 0, FVFa0, (/3, 0/), (/nGC_2000, nGC_2002/))

      allocate(vertices(4800)%branchCT(0:0))
      call avCT(4800, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(3198)%branchCT(0:1))
      call avCT(3198, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(3198, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(3083)%branchCT(0:0))
      call avCT(3083, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4806)%branchCT(0:0))
      call avCT(4806, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3202)%branchCT(0:1))
      call avCT(3202, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(3202, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4563)%branchCT(0:0))
      call avCT(4563, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(783)%branchCT(0:0))
      call avCT(783, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(5027)%branchCT(0:0))
      call avCT(5027, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(4603)%branchCT(0:0))
      call avCT(4603, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3208)%branchCT(0:0))
      call avCT(3208, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3927)%branchCT(0:0))
      call avCT(3927, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4864)%branchCT(0:0))
      call avCT(4864, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3214)%branchCT(0:0))
      call avCT(3214, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(792)%branchCT(0:0))
      call avCT(792, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3215)%branchCT(0:0))
      call avCT(3215, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(4678)%branchCT(0:0))
      call avCT(4678, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(795)%branchCT(0:0))
      call avCT(795, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2097/))

      allocate(vertices(3216)%branchCT(0:0))
      call avCT(3216, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4955)%branchCT(0:0))
      call avCT(4955, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,       &
      nGC_1934/))

      allocate(vertices(3220)%branchCT(0:0))
      call avCT(3220, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2164/))

      allocate(vertices(3221)%branchCT(0:0))
      call avCT(3221, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3692)%branchCT(0:0))
      call avCT(3692, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2185/))

      allocate(vertices(3223)%branchCT(0:0))
      call avCT(3223, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(34)%branchCT(0:0))
      call avCT(34, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(45)%branchCT(0:0))
      call avCT(45, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4203)%branchCT(0:0))
      call avCT(4203, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3230)%branchCT(0:1))
      call avCT(3230, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2033, nGC_2033/))

      call avCT(3230, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2034, nGC_2034/))

      allocate(vertices(4530)%branchCT(0:0))
      call avCT(4530, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1912,       &
      nGC_1911/))

      allocate(vertices(1829)%branchCT(0:0))
      call avCT(1829, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(1360)%branchCT(0:0))
      call avCT(1360, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2116/))

      allocate(vertices(813)%branchCT(0:3))
      call avCT(813, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(813, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2090, nGC_2092/))

      call avCT(813, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(813, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2090, nGC_2092/))

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1908/))

      allocate(vertices(816)%branchCT(0:0))
      call avCT(816, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(819)%branchCT(0:0))
      call avCT(819, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(3235)%branchCT(0:0))
      call avCT(3235, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3236)%branchCT(0:1))
      call avCT(3236, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2160, nGC_2162/))

      call avCT(3236, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2161, nGC_2163/))

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3356)%branchCT(0:1))
      call avCT(3356, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2046, nGC_2048/))

      call avCT(3356, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2047, nGC_2049/))

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3244)%branchCT(0:0))
      call avCT(3244, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2186/))

      allocate(vertices(5028)%branchCT(0:0))
      call avCT(5028, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2134)%branchCT(0:0))
      call avCT(2134, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2318)%branchCT(0:0))
      call avCT(2318, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5029)%branchCT(0:0))
      call avCT(5029, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2004/))

      allocate(vertices(3256)%branchCT(0:0))
      call avCT(3256, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2152,       &
      nGC_2153/))

      allocate(vertices(4940)%branchCT(0:0))
      call avCT(4940, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(3258)%branchCT(0:0))
      call avCT(3258, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1885/))

      allocate(vertices(3260)%branchCT(0:0))
      call avCT(3260, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1239)%branchCT(0:1))
      call avCT(1239, 0, 26, 1, 0, FaVF0, (/0, 3/), (/nGC_2023/))

      call avCT(1239, 1, 26, 1, 0, FaVF0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(3261)%branchCT(0:0))
      call avCT(3261, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1990/))

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(844)%branchCT(0:0))
      call avCT(844, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(4779)%branchCT(0:0))
      call avCT(4779, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3266)%branchCT(0:0))
      call avCT(3266, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(855)%branchCT(0:0))
      call avCT(855, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1384)%branchCT(0:0))
      call avCT(1384, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(3281)%branchCT(0:1))
      call avCT(3281, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2154, nGC_2156/))

      call avCT(3281, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2155, nGC_2157/))

      allocate(vertices(4655)%branchCT(0:0))
      call avCT(4655, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(861)%branchCT(0:1))
      call avCT(861, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2181, nGC_2181/))

      call avCT(861, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2182, nGC_2182/))

      allocate(vertices(3282)%branchCT(0:1))
      call avCT(3282, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2148, nGC_2150/))

      call avCT(3282, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2149, nGC_2151/))

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1885/))

      allocate(vertices(3173)%branchCT(0:1))
      call avCT(3173, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_2023/))

      call avCT(3173, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2125/))

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1750)%branchCT(0:0))
      call avCT(1750, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(872)%branchCT(0:0))
      call avCT(872, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3290)%branchCT(0:1))
      call avCT(3290, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2012, nGC_2012/))

      call avCT(3290, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2013, nGC_2013/))

      allocate(vertices(875)%branchCT(0:0))
      call avCT(875, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(903)%branchCT(0:0))
      call avCT(903, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3292)%branchCT(0:0))
      call avCT(3292, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(879)%branchCT(0:0))
      call avCT(879, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4410)%branchCT(0:0))
      call avCT(4410, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2187/))

      allocate(vertices(3298)%branchCT(0:0))
      call avCT(3298, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2041, nGC_2041/))

      allocate(vertices(3299)%branchCT(0:0))
      call avCT(3299, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(885)%branchCT(0:1))
      call avCT(885, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2023/))

      call avCT(885, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(2538)%branchCT(0:0))
      call avCT(2538, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3300)%branchCT(0:0))
      call avCT(3300, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4299)%branchCT(0:0))
      call avCT(4299, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3302)%branchCT(0:1))
      call avCT(3302, 0, 22, 4, 0, VUUa0, (/3, 0/), (/nGC_2188/))

      call avCT(3302, 1, 23, 5, 0, VUUa0, (/3, 0/), (/nGC_2188/))

      allocate(vertices(567)%branchCT(0:0))
      call avCT(567, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3303)%branchCT(0:0))
      call avCT(3303, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3858)%branchCT(0:0))
      call avCT(3858, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3304)%branchCT(0:0))
      call avCT(3304, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(3305)%branchCT(0:0))
      call avCT(3305, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1964/))

      allocate(vertices(3671)%branchCT(0:0))
      call avCT(3671, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(894)%branchCT(0:1))
      call avCT(894, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2139, nGC_2141/))

      call avCT(894, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2140, nGC_2142/))

      allocate(vertices(3368)%branchCT(0:0))
      call avCT(3368, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(896)%branchCT(0:0))
      call avCT(896, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(5030)%branchCT(0:0))
      call avCT(5030, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2189/))

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5031)%branchCT(0:1))
      call avCT(5031, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2190, nGC_2192,      &
      nGC_2192, nGC_2194/))

      call avCT(5031, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2191, nGC_2193,      &
      nGC_2193, nGC_2195/))

      allocate(vertices(904)%branchCT(0:0))
      call avCT(904, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(571)%branchCT(0:0))
      call avCT(571, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3312)%branchCT(0:0))
      call avCT(3312, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3313)%branchCT(0:0))
      call avCT(3313, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3314)%branchCT(0:1))
      call avCT(3314, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1923, nGC_1925/))

      call avCT(3314, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1924, nGC_1926/))

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(911)%branchCT(0:0))
      call avCT(911, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1882, nGC_1883/))

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(3317)%branchCT(0:0))
      call avCT(3317, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2031, nGC_2032/))

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(629)%branchCT(0:0))
      call avCT(629, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(921)%branchCT(0:0))
      call avCT(921, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3320)%branchCT(0:0))
      call avCT(3320, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1990/))

      allocate(vertices(1754)%branchCT(0:0))
      call avCT(1754, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(3324)%branchCT(0:0))
      call avCT(3324, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(670)%branchCT(0:0))
      call avCT(670, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(926)%branchCT(0:0))
      call avCT(926, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(3793)%branchCT(0:0))
      call avCT(3793, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3328)%branchCT(0:1))
      call avCT(3328, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2037, nGC_2039/))

      call avCT(3328, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2038, nGC_2040/))

      allocate(vertices(3375)%branchCT(0:0))
      call avCT(3375, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(5032)%branchCT(0:0))
      call avCT(5032, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2202)%branchCT(0:0))
      call avCT(2202, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3336)%branchCT(0:1))
      call avCT(3336, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1914, nGC_1916/))

      call avCT(3336, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1915, nGC_1917/))

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3495)%branchCT(0:1))
      call avCT(3495, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(3495, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1964/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3342)%branchCT(0:0))
      call avCT(3342, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(572)%branchCT(0:0))
      call avCT(572, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4424)%branchCT(0:0))
      call avCT(4424, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2007, nGC_2007/))

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(939)%branchCT(0:1))
      call avCT(939, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(939, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(940)%branchCT(0:0))
      call avCT(940, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(657)%branchCT(0:0))
      call avCT(657, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3345)%branchCT(0:0))
      call avCT(3345, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2073, nGC_2073/))

      allocate(vertices(3347)%branchCT(0:0))
      call avCT(3347, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(4224)%branchCT(0:1))
      call avCT(4224, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(4224, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2094/))

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(947)%branchCT(0:0))
      call avCT(947, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(4676)%branchCT(0:0))
      call avCT(4676, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(3354)%branchCT(0:0))
      call avCT(3354, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(951)%branchCT(0:0))
      call avCT(951, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(3355)%branchCT(0:0))
      call avCT(3355, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4839)%branchCT(0:0))
      call avCT(4839, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2196/))

      allocate(vertices(4477)%branchCT(0:0))
      call avCT(4477, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(3359)%branchCT(0:0))
      call avCT(3359, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2118/))

      allocate(vertices(3360)%branchCT(0:0))
      call avCT(3360, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(972)%branchCT(0:0))
      call avCT(972, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(955)%branchCT(0:0))
      call avCT(955, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1760)%branchCT(0:0))
      call avCT(1760, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2101/))

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(958)%branchCT(0:0))
      call avCT(958, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(959)%branchCT(0:1))
      call avCT(959, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2197, nGC_2199/))

      call avCT(959, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2198, nGC_2200/))

      allocate(vertices(3369)%branchCT(0:0))
      call avCT(3369, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2202,       &
      nGC_2201/))

      allocate(vertices(3370)%branchCT(0:0))
      call avCT(3370, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2094/))

      allocate(vertices(2962)%branchCT(0:0))
      call avCT(2962, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(3371)%branchCT(0:0))
      call avCT(3371, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(968)%branchCT(0:0))
      call avCT(968, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2081/))

      allocate(vertices(3379)%branchCT(0:0))
      call avCT(3379, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2556)%branchCT(0:1))
      call avCT(2556, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2037, nGC_2039/))

      call avCT(2556, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2038, nGC_2040/))

      allocate(vertices(4235)%branchCT(0:1))
      call avCT(4235, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2046, nGC_2048/))

      call avCT(4235, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2047, nGC_2049/))

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(3382)%branchCT(0:3))
      call avCT(3382, 0, 32, 2, 0, FaVF1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(3382, 1, 32, 2, 0, FaVF1, (/3, 0/), (/nGC_2077, nGC_2079/))

      call avCT(3382, 2, 33, 3, 0, FaVF1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(3382, 3, 33, 3, 0, FaVF1, (/3, 0/), (/nGC_2077, nGC_2079/))

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3385)%branchCT(0:1))
      call avCT(3385, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2203, nGC_2205/))

      call avCT(3385, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2204, nGC_2206/))

      allocate(vertices(4609)%branchCT(0:0))
      call avCT(4609, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1012)%branchCT(0:1))
      call avCT(1012, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_1878/))

      call avCT(1012, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(4674)%branchCT(0:0))
      call avCT(4674, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4090)%branchCT(0:0))
      call avCT(4090, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3905)%branchCT(0:0))
      call avCT(3905, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(5033)%branchCT(0:0))
      call avCT(5033, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2207/))

      allocate(vertices(983)%branchCT(0:0))
      call avCT(983, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(985)%branchCT(0:1))
      call avCT(985, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2143, nGC_2145/))

      call avCT(985, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2144, nGC_2146/))

      allocate(vertices(49)%branchCT(0:0))
      call avCT(49, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3397)%branchCT(0:0))
      call avCT(3397, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3398)%branchCT(0:1))
      call avCT(3398, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(3398, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3400)%branchCT(0:0))
      call avCT(3400, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2208/))

      allocate(vertices(5034)%branchCT(0:0))
      call avCT(5034, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4685)%branchCT(0:0))
      call avCT(4685, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(992)%branchCT(0:0))
      call avCT(992, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1108)%branchCT(0:1))
      call avCT(1108, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2197, nGC_2199/))

      call avCT(1108, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2198, nGC_2200/))

      allocate(vertices(4696)%branchCT(0:0))
      call avCT(4696, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(3407)%branchCT(0:0))
      call avCT(3407, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2209/))

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1132)%branchCT(0:0))
      call avCT(1132, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(1141)%branchCT(0:0))
      call avCT(1141, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(978)%branchCT(0:0))
      call avCT(978, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3687)%branchCT(0:0))
      call avCT(3687, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1001)%branchCT(0:1))
      call avCT(1001, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_2044/))

      call avCT(1001, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_2045/))

      allocate(vertices(4233)%branchCT(0:0))
      call avCT(4233, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3970)%branchCT(0:0))
      call avCT(3970, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(1188)%branchCT(0:0))
      call avCT(1188, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3424)%branchCT(0:0))
      call avCT(3424, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(1009)%branchCT(0:0))
      call avCT(1009, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(989)%branchCT(0:0))
      call avCT(989, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2210/))

      allocate(vertices(5035)%branchCT(0:0))
      call avCT(5035, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(3940)%branchCT(0:0))
      call avCT(3940, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5036)%branchCT(0:0))
      call avCT(5036, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(1014)%branchCT(0:1))
      call avCT(1014, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1914, nGC_1916/))

      call avCT(1014, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1915, nGC_1917/))

      allocate(vertices(1015)%branchCT(0:0))
      call avCT(1015, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3433)%branchCT(0:1))
      call avCT(3433, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2203, nGC_2205/))

      call avCT(3433, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2204, nGC_2206/))

      allocate(vertices(4569)%branchCT(0:0))
      call avCT(4569, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(981)%branchCT(0:0))
      call avCT(981, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1018)%branchCT(0:0))
      call avCT(1018, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3437)%branchCT(0:0))
      call avCT(3437, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2433)%branchCT(0:0))
      call avCT(2433, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3439)%branchCT(0:1))
      call avCT(3439, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1878/))

      call avCT(3439, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(3440)%branchCT(0:0))
      call avCT(3440, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1022)%branchCT(0:0))
      call avCT(1022, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1942/))

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3442)%branchCT(0:0))
      call avCT(3442, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1882, nGC_1883/))

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1027)%branchCT(0:1))
      call avCT(1027, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1973, nGC_1973/))

      call avCT(1027, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1974, nGC_1974/))

      allocate(vertices(3447)%branchCT(0:0))
      call avCT(3447, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3401)%branchCT(0:0))
      call avCT(3401, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1032)%branchCT(0:0))
      call avCT(1032, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2211/))

      allocate(vertices(1033)%branchCT(0:0))
      call avCT(1033, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3453)%branchCT(0:1))
      call avCT(3453, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2044/))

      call avCT(3453, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2045/))

      allocate(vertices(3454)%branchCT(0:0))
      call avCT(3454, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3457)%branchCT(0:0))
      call avCT(3457, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3458)%branchCT(0:0))
      call avCT(3458, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(3459)%branchCT(0:0))
      call avCT(3459, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3460)%branchCT(0:0))
      call avCT(3460, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3462)%branchCT(0:1))
      call avCT(3462, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2056, nGC_2054/))

      call avCT(3462, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2057, nGC_2055/))

      allocate(vertices(1421)%branchCT(0:1))
      call avCT(1421, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(1421, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(1043)%branchCT(0:0))
      call avCT(1043, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3469)%branchCT(0:0))
      call avCT(3469, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1047)%branchCT(0:1))
      call avCT(1047, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_1914, nGC_1916/))

      call avCT(1047, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_1915, nGC_1917/))

      allocate(vertices(3471)%branchCT(0:0))
      call avCT(3471, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2572)%branchCT(0:0))
      call avCT(2572, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1476)%branchCT(0:0))
      call avCT(1476, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3473)%branchCT(0:3))
      call avCT(3473, 0, 38, 2, 0, VFaF0, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(3473, 1, 38, 2, 0, VFaF0, (/3, 0/), (/nGC_2000, nGC_2002/))

      call avCT(3473, 2, 39, 3, 0, VFaF0, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(3473, 3, 39, 3, 0, VFaF0, (/3, 0/), (/nGC_2000, nGC_2002/))

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2885)%branchCT(0:0))
      call avCT(2885, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1058)%branchCT(0:0))
      call avCT(1058, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1059)%branchCT(0:0))
      call avCT(1059, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2212/))

      allocate(vertices(3480)%branchCT(0:3))
      call avCT(3480, 0, 36, 2, 0, FVFa0, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(3480, 1, 36, 2, 0, FVFa0, (/1, 2/), (/nGC_2015, nGC_2017/))

      call avCT(3480, 2, 37, 3, 0, FVFa0, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(3480, 3, 37, 3, 0, FVFa0, (/1, 2/), (/nGC_2015, nGC_2017/))

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1062)%branchCT(0:1))
      call avCT(1062, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_2143, nGC_2145/))

      call avCT(1062, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_2144, nGC_2146/))

      allocate(vertices(2174)%branchCT(0:0))
      call avCT(2174, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3484)%branchCT(0:1))
      call avCT(3484, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2012, nGC_2012/))

      call avCT(3484, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2013, nGC_2013/))

      allocate(vertices(1527)%branchCT(0:0))
      call avCT(1527, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2147/))

      allocate(vertices(1539)%branchCT(0:0))
      call avCT(1539, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2213, nGC_2213/))

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(1072)%branchCT(0:1))
      call avCT(1072, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2197, nGC_2199/))

      call avCT(1072, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2198, nGC_2200/))

      allocate(vertices(2175)%branchCT(0:0))
      call avCT(2175, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(4645)%branchCT(0:0))
      call avCT(4645, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2170, nGC_2171/))

      allocate(vertices(3494)%branchCT(0:0))
      call avCT(3494, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1076)%branchCT(0:1))
      call avCT(1076, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_2023/))

      call avCT(1076, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(4701)%branchCT(0:0))
      call avCT(4701, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1078)%branchCT(0:0))
      call avCT(1078, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4247)%branchCT(0:0))
      call avCT(4247, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1080)%branchCT(0:0))
      call avCT(1080, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1942/))

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4311)%branchCT(0:0))
      call avCT(4311, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1086)%branchCT(0:0))
      call avCT(1086, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4372)%branchCT(0:0))
      call avCT(4372, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3503)%branchCT(0:0))
      call avCT(3503, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3504)%branchCT(0:1))
      call avCT(3504, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2071, nGC_2071/))

      call avCT(3504, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2072, nGC_2072/))

      allocate(vertices(3505)%branchCT(0:0))
      call avCT(3505, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3506)%branchCT(0:0))
      call avCT(3506, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1094)%branchCT(0:0))
      call avCT(1094, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(3508)%branchCT(0:0))
      call avCT(3508, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(5037)%branchCT(0:0))
      call avCT(5037, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2042/))

      allocate(vertices(3510)%branchCT(0:0))
      call avCT(3510, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2214/))

      allocate(vertices(1100)%branchCT(0:0))
      call avCT(1100, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4581)%branchCT(0:0))
      call avCT(4581, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2147/))

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5038)%branchCT(0:0))
      call avCT(5038, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3515)%branchCT(0:0))
      call avCT(3515, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3516)%branchCT(0:0))
      call avCT(3516, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3518)%branchCT(0:0))
      call avCT(3518, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3520)%branchCT(0:0))
      call avCT(3520, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2165/))

      allocate(vertices(3521)%branchCT(0:0))
      call avCT(3521, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1112)%branchCT(0:0))
      call avCT(1112, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1113)%branchCT(0:0))
      call avCT(1113, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4708)%branchCT(0:0))
      call avCT(4708, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1813)%branchCT(0:0))
      call avCT(1813, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3528)%branchCT(0:1))
      call avCT(3528, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(3528, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(1840)%branchCT(0:0))
      call avCT(1840, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4268)%branchCT(0:0))
      call avCT(4268, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3530)%branchCT(0:0))
      call avCT(3530, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1120)%branchCT(0:0))
      call avCT(1120, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1122)%branchCT(0:0))
      call avCT(1122, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2583)%branchCT(0:5))
      call avCT(2583, 0, 105, 6, 0, VUUaV0, (/4, 0/), (/nGC_2215/))

      call avCT(2583, 1, 103, 6, 0, VUUaV0, (/4, 0/), (/nGC_2215/))

      call avCT(2583, 2, 104, 6, 0, VUUaV0, (/4, 0/), (/nGC_2215/))

      call avCT(2583, 3, 102, 6, 0, VUUaV0, (/4, 0/), (/nGC_2215/))

      call avCT(2583, 4, 106, 7, 0, VUUaV0, (/4, 0/), (/nGC_2216/))

      call avCT(2583, 5, 107, 7, 0, VUUaV0, (/4, 0/), (/nGC_2216/))

      allocate(vertices(1124)%branchCT(0:0))
      call avCT(1124, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3399)%branchCT(0:1))
      call avCT(3399, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2203, nGC_2205/))

      call avCT(3399, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2204, nGC_2206/))

      allocate(vertices(1057)%branchCT(0:0))
      call avCT(1057, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4820)%branchCT(0:0))
      call avCT(4820, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4814)%branchCT(0:0))
      call avCT(4814, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3537)%branchCT(0:0))
      call avCT(3537, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1126)%branchCT(0:1))
      call avCT(1126, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1995, nGC_1997/))

      call avCT(1126, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1996, nGC_1998/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(5039)%branchCT(0:0))
      call avCT(5039, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3544)%branchCT(0:3))
      call avCT(3544, 0, 40, 2, 0, VFFa1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(3544, 1, 40, 2, 0, VFFa1, (/3, 0/), (/nGC_2090, nGC_2092/))

      call avCT(3544, 2, 41, 3, 0, VFFa1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(3544, 3, 41, 3, 0, VFFa1, (/3, 0/), (/nGC_2090, nGC_2092/))

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(5040)%branchCT(0:0))
      call avCT(5040, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3547)%branchCT(0:0))
      call avCT(3547, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1136)%branchCT(0:0))
      call avCT(1136, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2217/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1140)%branchCT(0:3))
      call avCT(1140, 0, 35, 3, 0, FaFV1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(1140, 1, 35, 3, 0, FaFV1, (/1, 2/), (/nGC_2015, nGC_2017/))

      call avCT(1140, 2, 34, 2, 0, FaFV1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(1140, 3, 34, 2, 0, FaFV1, (/1, 2/), (/nGC_2015, nGC_2017/))

      allocate(vertices(3411)%branchCT(0:0))
      call avCT(3411, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2004)%branchCT(0:0))
      call avCT(2004, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1991)%branchCT(0:0))
      call avCT(1991, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3413)%branchCT(0:0))
      call avCT(3413, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1150)%branchCT(0:0))
      call avCT(1150, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2047)%branchCT(0:0))
      call avCT(2047, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(5041)%branchCT(0:0))
      call avCT(5041, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1977/))

      allocate(vertices(2513)%branchCT(0:1))
      call avCT(2513, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2012, nGC_2012/))

      call avCT(2513, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2013, nGC_2013/))

      allocate(vertices(2188)%branchCT(0:0))
      call avCT(2188, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2068)%branchCT(0:0))
      call avCT(2068, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2084)%branchCT(0:0))
      call avCT(2084, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3568)%branchCT(0:0))
      call avCT(3568, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(5042)%branchCT(0:0))
      call avCT(5042, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3003)%branchCT(0:0))
      call avCT(3003, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3574)%branchCT(0:0))
      call avCT(3574, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2096/))

      allocate(vertices(2119)%branchCT(0:0))
      call avCT(2119, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3464)%branchCT(0:0))
      call avCT(3464, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3578)%branchCT(0:0))
      call avCT(3578, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(1166)%branchCT(0:3))
      call avCT(1166, 0, 38, 2, 0, VFaF0, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(1166, 1, 38, 2, 0, VFaF0, (/3, 0/), (/nGC_2090, nGC_2092/))

      call avCT(1166, 2, 39, 3, 0, VFaF0, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(1166, 3, 39, 3, 0, VFaF0, (/3, 0/), (/nGC_2090, nGC_2092/))

      allocate(vertices(3584)%branchCT(0:0))
      call avCT(3584, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3685)%branchCT(0:0))
      call avCT(3685, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3720)%branchCT(0:0))
      call avCT(3720, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3586)%branchCT(0:1))
      call avCT(3586, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2143, nGC_2145/))

      call avCT(3586, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2144, nGC_2146/))

      allocate(vertices(1173)%branchCT(0:0))
      call avCT(1173, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(1004)%branchCT(0:0))
      call avCT(1004, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(1176)%branchCT(0:0))
      call avCT(1176, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,       &
      nGC_1934/))

      allocate(vertices(3591)%branchCT(0:1))
      call avCT(3591, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2172, nGC_2172/))

      call avCT(3591, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2173, nGC_2173/))

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2210/))

      allocate(vertices(3593)%branchCT(0:0))
      call avCT(3593, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3594)%branchCT(0:0))
      call avCT(3594, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3595)%branchCT(0:0))
      call avCT(3595, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1183)%branchCT(0:0))
      call avCT(1183, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

    end subroutine fill_vertices_mdl8
end module vertices_info8
