!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(3596)%branchCT(0:0))
      call avCT(3596, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(1184)%branchCT(0:0))
      call avCT(1184, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(1186)%branchCT(0:0))
      call avCT(1186, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1006)%branchCT(0:0))
      call avCT(1006, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2073, nGC_2073/))

      allocate(vertices(2281)%branchCT(0:0))
      call avCT(2281, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(1800)%branchCT(0:0))
      call avCT(1800, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1407)%branchCT(0:0))
      call avCT(1407, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1194)%branchCT(0:0))
      call avCT(1194, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1195)%branchCT(0:0))
      call avCT(1195, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1990/))

      allocate(vertices(3611)%branchCT(0:1))
      call avCT(3611, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(3611, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(5043)%branchCT(0:0))
      call avCT(5043, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(2316)%branchCT(0:0))
      call avCT(2316, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(5044)%branchCT(0:0))
      call avCT(5044, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(2325)%branchCT(0:0))
      call avCT(2325, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2003)%branchCT(0:0))
      call avCT(2003, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3615)%branchCT(0:0))
      call avCT(3615, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2695)%branchCT(0:0))
      call avCT(2695, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1202)%branchCT(0:0))
      call avCT(1202, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2218/))

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3619)%branchCT(0:0))
      call avCT(3619, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1205)%branchCT(0:0))
      call avCT(1205, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(5045)%branchCT(0:0))
      call avCT(5045, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3623)%branchCT(0:0))
      call avCT(3623, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3788)%branchCT(0:0))
      call avCT(3788, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(3625)%branchCT(0:1))
      call avCT(3625, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1914, nGC_1916/))

      call avCT(3625, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1915, nGC_1917/))

      allocate(vertices(5046)%branchCT(0:0))
      call avCT(5046, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2219/))

      allocate(vertices(1210)%branchCT(0:0))
      call avCT(1210, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3628)%branchCT(0:0))
      call avCT(3628, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3632)%branchCT(0:0))
      call avCT(3632, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1215)%branchCT(0:1))
      call avCT(1215, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_2044/))

      call avCT(1215, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_2045/))

      allocate(vertices(3634)%branchCT(0:0))
      call avCT(3634, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3636)%branchCT(0:0))
      call avCT(3636, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3637)%branchCT(0:0))
      call avCT(3637, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3638)%branchCT(0:0))
      call avCT(3638, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1219)%branchCT(0:0))
      call avCT(1219, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3640)%branchCT(0:1))
      call avCT(3640, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_2023/))

      call avCT(3640, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_2024/))

      allocate(vertices(4853)%branchCT(0:0))
      call avCT(4853, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3641)%branchCT(0:0))
      call avCT(3641, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2196)%branchCT(0:0))
      call avCT(2196, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1223)%branchCT(0:0))
      call avCT(1223, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3778)%branchCT(0:1))
      call avCT(3778, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1992, nGC_1992/))

      call avCT(3778, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1993, nGC_1993/))

      allocate(vertices(3646)%branchCT(0:0))
      call avCT(3646, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1225)%branchCT(0:0))
      call avCT(1225, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2517)%branchCT(0:0))
      call avCT(2517, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3647)%branchCT(0:0))
      call avCT(3647, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1226)%branchCT(0:1))
      call avCT(1226, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2033, nGC_2033/))

      call avCT(1226, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2034, nGC_2034/))

      allocate(vertices(1227)%branchCT(0:0))
      call avCT(1227, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3649)%branchCT(0:0))
      call avCT(3649, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2466)%branchCT(0:0))
      call avCT(2466, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3745)%branchCT(0:0))
      call avCT(3745, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2041, nGC_2041/))

      allocate(vertices(3428)%branchCT(0:0))
      call avCT(3428, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(2477)%branchCT(0:0))
      call avCT(2477, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1804)%branchCT(0:0))
      call avCT(1804, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3652)%branchCT(0:0))
      call avCT(3652, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(4735)%branchCT(0:0))
      call avCT(4735, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1236)%branchCT(0:0))
      call avCT(1236, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3058)%branchCT(0:1))
      call avCT(3058, 0, 20, 4, 0, UUaV1, (/3, 0/), (/nGC_2188/))

      call avCT(3058, 1, 21, 5, 0, UUaV1, (/3, 0/), (/nGC_2188/))

      allocate(vertices(698)%branchCT(0:0))
      call avCT(698, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2125/))

      allocate(vertices(3655)%branchCT(0:0))
      call avCT(3655, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1245)%branchCT(0:0))
      call avCT(1245, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(3661)%branchCT(0:0))
      call avCT(3661, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2211/))

      allocate(vertices(4510)%branchCT(0:0))
      call avCT(4510, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(624)%branchCT(0:0))
      call avCT(624, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4354)%branchCT(0:0))
      call avCT(4354, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2210/))

      allocate(vertices(4929)%branchCT(0:0))
      call avCT(4929, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1986, nGC_1987/))

      allocate(vertices(4127)%branchCT(0:0))
      call avCT(4127, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4555)%branchCT(0:0))
      call avCT(4555, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3667)%branchCT(0:5))
      call avCT(3667, 0, 67, 6, 0, UaVUV0, (/4, 0/), (/nGC_2215/))

      call avCT(3667, 1, 66, 6, 0, UaVUV0, (/4, 0/), (/nGC_2215/))

      call avCT(3667, 2, 71, 7, 0, UaVUV0, (/4, 0/), (/nGC_2216/))

      call avCT(3667, 3, 70, 7, 0, UaVUV0, (/4, 0/), (/nGC_2216/))

      call avCT(3667, 4, 69, 6, 0, UaVUV0, (/4, 0/), (/nGC_2215/))

      call avCT(3667, 5, 68, 6, 0, UaVUV0, (/4, 0/), (/nGC_2215/))

      allocate(vertices(1251)%branchCT(0:0))
      call avCT(1251, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3669)%branchCT(0:0))
      call avCT(3669, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3670)%branchCT(0:0))
      call avCT(3670, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2624)%branchCT(0:0))
      call avCT(2624, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1254)%branchCT(0:3))
      call avCT(1254, 0, 38, 2, 0, VFaF0, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(1254, 1, 38, 2, 0, VFaF0, (/3, 0/), (/nGC_2027, nGC_2029/))

      call avCT(1254, 2, 39, 3, 0, VFaF0, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(1254, 3, 39, 3, 0, VFaF0, (/3, 0/), (/nGC_2027, nGC_2029/))

      allocate(vertices(1807)%branchCT(0:0))
      call avCT(1807, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3674)%branchCT(0:1))
      call avCT(3674, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1992, nGC_1992/))

      call avCT(3674, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1993, nGC_1993/))

      allocate(vertices(1257)%branchCT(0:0))
      call avCT(1257, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3675)%branchCT(0:0))
      call avCT(3675, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3358)%branchCT(0:0))
      call avCT(3358, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1259)%branchCT(0:0))
      call avCT(1259, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(1013)%branchCT(0:0))
      call avCT(1013, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3677)%branchCT(0:0))
      call avCT(3677, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1261)%branchCT(0:0))
      call avCT(1261, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1262)%branchCT(0:1))
      call avCT(1262, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2148, nGC_2150/))

      call avCT(1262, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2149, nGC_2151/))

      allocate(vertices(1808)%branchCT(0:0))
      call avCT(1808, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(2671)%branchCT(0:0))
      call avCT(2671, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(3679)%branchCT(0:0))
      call avCT(3679, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2213, nGC_2213/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3680)%branchCT(0:0))
      call avCT(3680, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3681)%branchCT(0:0))
      call avCT(3681, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4737)%branchCT(0:5))
      call avCT(4737, 0, 9, 6, 0, UaUVV0, (/4, 0/), (/nGC_2215/))

      call avCT(4737, 1, 7, 6, 0, UaUVV0, (/4, 0/), (/nGC_2215/))

      call avCT(4737, 2, 8, 6, 0, UaUVV0, (/4, 0/), (/nGC_2215/))

      call avCT(4737, 3, 6, 6, 0, UaUVV0, (/4, 0/), (/nGC_2215/))

      call avCT(4737, 4, 5, 7, 0, UaUVV0, (/4, 0/), (/nGC_2216/))

      call avCT(4737, 5, 4, 7, 0, UaUVV0, (/4, 0/), (/nGC_2216/))

      allocate(vertices(3683)%branchCT(0:0))
      call avCT(3683, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1269)%branchCT(0:0))
      call avCT(1269, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3759)%branchCT(0:0))
      call avCT(3759, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1271)%branchCT(0:0))
      call avCT(1271, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3857)%branchCT(0:0))
      call avCT(3857, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2041, nGC_2041/))

      allocate(vertices(2131)%branchCT(0:0))
      call avCT(2131, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(3693)%branchCT(0:0))
      call avCT(3693, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3694)%branchCT(0:0))
      call avCT(3694, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2184, nGC_2184/))

      allocate(vertices(1275)%branchCT(0:0))
      call avCT(1275, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3695)%branchCT(0:0))
      call avCT(3695, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1276)%branchCT(0:0))
      call avCT(1276, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3696)%branchCT(0:0))
      call avCT(3696, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1279)%branchCT(0:3))
      call avCT(1279, 0, 35, 3, 0, FaFV1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(1279, 1, 35, 3, 0, FaFV1, (/3, 0/), (/nGC_2077, nGC_2079/))

      call avCT(1279, 2, 34, 2, 0, FaFV1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(1279, 3, 34, 2, 0, FaFV1, (/3, 0/), (/nGC_2077, nGC_2079/))

      allocate(vertices(2613)%branchCT(0:0))
      call avCT(2613, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1281)%branchCT(0:0))
      call avCT(1281, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1887/))

      allocate(vertices(5047)%branchCT(0:0))
      call avCT(5047, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2234)%branchCT(0:0))
      call avCT(2234, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3761)%branchCT(0:0))
      call avCT(3761, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(4287)%branchCT(0:0))
      call avCT(4287, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(5048)%branchCT(0:0))
      call avCT(5048, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2004/))

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2220/))

      allocate(vertices(3703)%branchCT(0:0))
      call avCT(3703, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3704)%branchCT(0:0))
      call avCT(3704, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(631)%branchCT(0:0))
      call avCT(631, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(1294)%branchCT(0:0))
      call avCT(1294, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3709)%branchCT(0:0))
      call avCT(3709, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(2398)%branchCT(0:0))
      call avCT(2398, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1298)%branchCT(0:0))
      call avCT(1298, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(3658)%branchCT(0:0))
      call avCT(3658, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1299)%branchCT(0:0))
      call avCT(1299, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3714)%branchCT(0:0))
      call avCT(3714, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1302)%branchCT(0:0))
      call avCT(1302, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4635)%branchCT(0:0))
      call avCT(4635, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1305)%branchCT(0:0))
      call avCT(1305, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1307)%branchCT(0:0))
      call avCT(1307, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1309)%branchCT(0:0))
      call avCT(1309, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3721)%branchCT(0:0))
      call avCT(3721, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(3722)%branchCT(0:3))
      call avCT(3722, 0, 32, 2, 0, FaVF1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(3722, 1, 32, 2, 0, FaVF1, (/3, 0/), (/nGC_2000, nGC_2002/))

      call avCT(3722, 2, 33, 3, 0, FaVF1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(3722, 3, 33, 3, 0, FaVF1, (/3, 0/), (/nGC_2000, nGC_2002/))

      allocate(vertices(2942)%branchCT(0:0))
      call avCT(2942, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1619)%branchCT(0:0))
      call avCT(1619, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(3726)%branchCT(0:0))
      call avCT(3726, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3727)%branchCT(0:0))
      call avCT(3727, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1316)%branchCT(0:1))
      call avCT(1316, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2148, nGC_2150/))

      call avCT(1316, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2149, nGC_2151/))

      allocate(vertices(2971)%branchCT(0:0))
      call avCT(2971, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2153,       &
      nGC_2152/))

      allocate(vertices(1319)%branchCT(0:0))
      call avCT(1319, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1320)%branchCT(0:0))
      call avCT(1320, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3441)%branchCT(0:0))
      call avCT(3441, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3420)%branchCT(0:0))
      call avCT(3420, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1322)%branchCT(0:0))
      call avCT(1322, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1326)%branchCT(0:0))
      call avCT(1326, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(5049)%branchCT(0:1))
      call avCT(5049, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2221, nGC_2223,       &
      nGC_2223, nGC_2225/))

      call avCT(5049, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2222, nGC_2224,       &
      nGC_2224, nGC_2226/))

      allocate(vertices(1327)%branchCT(0:1))
      call avCT(1327, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2052, nGC_2052/))

      call avCT(1327, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2053, nGC_2053/))

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3740)%branchCT(0:0))
      call avCT(3740, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(1330)%branchCT(0:0))
      call avCT(1330, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3743)%branchCT(0:0))
      call avCT(3743, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2089/))

      allocate(vertices(1332)%branchCT(0:0))
      call avCT(1332, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1333)%branchCT(0:0))
      call avCT(1333, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3748)%branchCT(0:0))
      call avCT(3748, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(4208)%branchCT(0:0))
      call avCT(4208, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1337)%branchCT(0:0))
      call avCT(1337, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1338)%branchCT(0:0))
      call avCT(1338, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1825)%branchCT(0:0))
      call avCT(1825, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2152,       &
      nGC_2153/))

      allocate(vertices(1953)%branchCT(0:0))
      call avCT(1953, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3756)%branchCT(0:0))
      call avCT(3756, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4856)%branchCT(0:0))
      call avCT(4856, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3153)%branchCT(0:0))
      call avCT(3153, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1348)%branchCT(0:5))
      call avCT(1348, 0, 82, 7, 0, VVUaU0, (/4, 0/), (/nGC_2216/))

      call avCT(1348, 1, 81, 6, 0, VVUaU0, (/4, 0/), (/nGC_2215/))

      call avCT(1348, 2, 79, 6, 0, VVUaU0, (/4, 0/), (/nGC_2215/))

      call avCT(1348, 3, 80, 6, 0, VVUaU0, (/4, 0/), (/nGC_2215/))

      call avCT(1348, 4, 78, 6, 0, VVUaU0, (/4, 0/), (/nGC_2215/))

      call avCT(1348, 5, 83, 7, 0, VVUaU0, (/4, 0/), (/nGC_2216/))

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1350)%branchCT(0:0))
      call avCT(1350, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3763)%branchCT(0:0))
      call avCT(3763, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2227/))

      allocate(vertices(4088)%branchCT(0:0))
      call avCT(4088, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1353)%branchCT(0:0))
      call avCT(1353, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2520)%branchCT(0:0))
      call avCT(2520, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3767)%branchCT(0:0))
      call avCT(3767, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3770)%branchCT(0:0))
      call avCT(3770, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2213, nGC_2213/))

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(3772)%branchCT(0:1))
      call avCT(3772, 0, 28, 4, 0, UVUa0, (/3, 0/), (/nGC_2050/))

      call avCT(3772, 1, 29, 5, 0, UVUa0, (/3, 0/), (/nGC_2050/))

      allocate(vertices(4749)%branchCT(0:0))
      call avCT(4749, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3776)%branchCT(0:3))
      call avCT(3776, 0, 40, 2, 0, VFFa1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(3776, 1, 40, 2, 0, VFFa1, (/3, 0/), (/nGC_2077, nGC_2079/))

      call avCT(3776, 2, 41, 3, 0, VFFa1, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(3776, 3, 41, 3, 0, VFFa1, (/3, 0/), (/nGC_2077, nGC_2079/))

      allocate(vertices(4302)%branchCT(0:0))
      call avCT(4302, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3934)%branchCT(0:0))
      call avCT(3934, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3259)%branchCT(0:0))
      call avCT(3259, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2152,       &
      nGC_2153/))

      allocate(vertices(4061)%branchCT(0:0))
      call avCT(4061, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2202,       &
      nGC_2201/))

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3784)%branchCT(0:0))
      call avCT(3784, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3787)%branchCT(0:1))
      call avCT(3787, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2019, nGC_2021/))

      call avCT(3787, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2020, nGC_2022/))

      allocate(vertices(1029)%branchCT(0:0))
      call avCT(1029, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3791)%branchCT(0:3))
      call avCT(3791, 0, 40, 2, 0, VFFa1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(3791, 1, 40, 2, 0, VFFa1, (/3, 0/), (/nGC_2027, nGC_2029/))

      call avCT(3791, 2, 41, 3, 0, VFFa1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(3791, 3, 41, 3, 0, VFFa1, (/3, 0/), (/nGC_2027, nGC_2029/))

      allocate(vertices(1832)%branchCT(0:0))
      call avCT(1832, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1372)%branchCT(0:0))
      call avCT(1372, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3794)%branchCT(0:0))
      call avCT(3794, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3795)%branchCT(0:1))
      call avCT(3795, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2181, nGC_2181/))

      call avCT(3795, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2182, nGC_2182/))

      allocate(vertices(1373)%branchCT(0:0))
      call avCT(1373, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(5050)%branchCT(0:1))
      call avCT(5050, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2107, nGC_2109,      &
      nGC_2109, nGC_2111/))

      call avCT(5050, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2108, nGC_2110,      &
      nGC_2110, nGC_2112/))

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3350)%branchCT(0:0))
      call avCT(3350, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2201,        &
      nGC_2201/))

      allocate(vertices(3635)%branchCT(0:0))
      call avCT(3635, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3806)%branchCT(0:1))
      call avCT(3806, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_2139, nGC_2141/))

      call avCT(3806, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_2140, nGC_2142/))

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2219)%branchCT(0:0))
      call avCT(2219, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3218)%branchCT(0:0))
      call avCT(3218, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3816)%branchCT(0:0))
      call avCT(3816, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(3817)%branchCT(0:0))
      call avCT(3817, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3818)%branchCT(0:0))
      call avCT(3818, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1366)%branchCT(0:0))
      call avCT(1366, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1385)%branchCT(0:0))
      call avCT(1385, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1387)%branchCT(0:0))
      call avCT(1387, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2228/))

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3558)%branchCT(0:0))
      call avCT(3558, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1053)%branchCT(0:3))
      call avCT(1053, 0, 35, 3, 0, FaFV1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(1053, 1, 35, 3, 0, FaFV1, (/3, 0/), (/nGC_2090, nGC_2092/))

      call avCT(1053, 2, 34, 2, 0, FaFV1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(1053, 3, 34, 2, 0, FaFV1, (/3, 0/), (/nGC_2090, nGC_2092/))

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3035)%branchCT(0:0))
      call avCT(3035, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3824)%branchCT(0:0))
      call avCT(3824, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(5051)%branchCT(0:0))
      call avCT(5051, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2229/))

      allocate(vertices(4819)%branchCT(0:0))
      call avCT(4819, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1393)%branchCT(0:0))
      call avCT(1393, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3825)%branchCT(0:1))
      call avCT(3825, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2033, nGC_2033/))

      call avCT(3825, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2034, nGC_2034/))

      allocate(vertices(4738)%branchCT(0:0))
      call avCT(4738, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(3826)%branchCT(0:0))
      call avCT(3826, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(2001)%branchCT(0:0))
      call avCT(2001, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3038)%branchCT(0:0))
      call avCT(3038, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5052)%branchCT(0:0))
      call avCT(5052, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2230/))

      allocate(vertices(1401)%branchCT(0:0))
      call avCT(1401, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2231/))

      allocate(vertices(3832)%branchCT(0:0))
      call avCT(3832, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4895)%branchCT(0:0))
      call avCT(4895, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2231/))

      allocate(vertices(1403)%branchCT(0:0))
      call avCT(1403, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1404)%branchCT(0:1))
      call avCT(1404, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_2154, nGC_2156/))

      call avCT(1404, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_2155, nGC_2157/))

      allocate(vertices(3838)%branchCT(0:0))
      call avCT(3838, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2152, nGC_2153,       &
      nGC_2152/))

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1175)%branchCT(0:0))
      call avCT(1175, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(1406)%branchCT(0:0))
      call avCT(1406, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3609)%branchCT(0:0))
      call avCT(3609, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1964/))

      allocate(vertices(4313)%branchCT(0:0))
      call avCT(4313, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2232/))

      allocate(vertices(3750)%branchCT(0:0))
      call avCT(3750, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3847)%branchCT(0:0))
      call avCT(3847, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(4765)%branchCT(0:0))
      call avCT(4765, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2977)%branchCT(0:0))
      call avCT(2977, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1412)%branchCT(0:0))
      call avCT(1412, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(1413)%branchCT(0:1))
      call avCT(1413, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1992, nGC_1992/))

      call avCT(1413, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1993, nGC_1993/))

      allocate(vertices(3666)%branchCT(0:0))
      call avCT(3666, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3852)%branchCT(0:0))
      call avCT(3852, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(1416)%branchCT(0:0))
      call avCT(1416, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3855)%branchCT(0:0))
      call avCT(3855, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3698)%branchCT(0:0))
      call avCT(3698, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2147/))

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(5053)%branchCT(0:0))
      call avCT(5053, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2233/))

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(1425)%branchCT(0:1))
      call avCT(1425, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(1425, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3755)%branchCT(0:0))
      call avCT(3755, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1045)%branchCT(0:0))
      call avCT(1045, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1845)%branchCT(0:1))
      call avCT(1845, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2143, nGC_2145/))

      call avCT(1845, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2144, nGC_2146/))

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3877)%branchCT(0:1))
      call avCT(3877, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1959, nGC_1961/))

      call avCT(3877, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1960, nGC_1962/))

      allocate(vertices(3809)%branchCT(0:0))
      call avCT(3809, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2164/))

      allocate(vertices(1846)%branchCT(0:0))
      call avCT(1846, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(3883)%branchCT(0:1))
      call avCT(3883, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(3883, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1990/))

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3889)%branchCT(0:0))
      call avCT(3889, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1849)%branchCT(0:0))
      call avCT(1849, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1454)%branchCT(0:1))
      call avCT(1454, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2044/))

      call avCT(1454, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2045/))

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1887/))

      allocate(vertices(1819)%branchCT(0:0))
      call avCT(1819, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3898)%branchCT(0:0))
      call avCT(3898, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2314)%branchCT(0:0))
      call avCT(2314, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3131)%branchCT(0:0))
      call avCT(3131, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(3903)%branchCT(0:1))
      call avCT(3903, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2052, nGC_2052/))

      call avCT(3903, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2053, nGC_2053/))

      allocate(vertices(4624)%branchCT(0:0))
      call avCT(4624, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1464)%branchCT(0:0))
      call avCT(1464, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1851)%branchCT(0:0))
      call avCT(1851, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4014)%branchCT(0:0))
      call avCT(4014, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1467)%branchCT(0:1))
      call avCT(1467, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1897, nGC_1899/))

      call avCT(1467, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1898, nGC_1900/))

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(2238)%branchCT(0:0))
      call avCT(2238, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1887/))

      allocate(vertices(1472)%branchCT(0:0))
      call avCT(1472, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1473)%branchCT(0:0))
      call avCT(1473, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3602)%branchCT(0:0))
      call avCT(3602, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1247)%branchCT(0:0))
      call avCT(1247, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(4068)%branchCT(0:0))
      call avCT(4068, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1475)%branchCT(0:1))
      call avCT(1475, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2154, nGC_2156/))

      call avCT(1475, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2155, nGC_2157/))

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3917)%branchCT(0:0))
      call avCT(3917, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3077)%branchCT(0:1))
      call avCT(3077, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2148, nGC_2150/))

      call avCT(3077, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2149, nGC_2151/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5054)%branchCT(0:0))
      call avCT(5054, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(3921)%branchCT(0:0))
      call avCT(3921, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3923)%branchCT(0:3))
      call avCT(3923, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(3923, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2027, nGC_2029/))

      call avCT(3923, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(3923, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2027, nGC_2029/))

      allocate(vertices(3924)%branchCT(0:0))
      call avCT(3924, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(1481)%branchCT(0:0))
      call avCT(1481, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1891, nGC_1891/))

      allocate(vertices(3926)%branchCT(0:0))
      call avCT(3926, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4741)%branchCT(0:0))
      call avCT(4741, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2147/))

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2201,       &
      nGC_2202/))

      allocate(vertices(3897)%branchCT(0:0))
      call avCT(3897, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1485)%branchCT(0:0))
      call avCT(1485, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1487)%branchCT(0:0))
      call avCT(1487, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4782)%branchCT(0:0))
      call avCT(4782, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(5055)%branchCT(0:0))
      call avCT(5055, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2234/))

      allocate(vertices(1489)%branchCT(0:0))
      call avCT(1489, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4169)%branchCT(0:0))
      call avCT(4169, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3933)%branchCT(0:0))
      call avCT(3933, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2170, nGC_2171/))

      allocate(vertices(3577)%branchCT(0:0))
      call avCT(3577, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(3937)%branchCT(0:0))
      call avCT(3937, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1882, nGC_1883/))

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1587)%branchCT(0:0))
      call avCT(1587, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1494)%branchCT(0:0))
      call avCT(1494, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(3941)%branchCT(0:0))
      call avCT(3941, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(1495)%branchCT(0:0))
      call avCT(1495, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5056)%branchCT(0:0))
      call avCT(5056, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(3053)%branchCT(0:0))
      call avCT(3053, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(3945)%branchCT(0:0))
      call avCT(3945, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(5057)%branchCT(0:0))
      call avCT(5057, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(4234)%branchCT(0:0))
      call avCT(4234, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2210/))

      allocate(vertices(4242)%branchCT(0:0))
      call avCT(4242, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1857)%branchCT(0:0))
      call avCT(1857, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3949)%branchCT(0:0))
      call avCT(3949, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3950)%branchCT(0:0))
      call avCT(3950, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(3951)%branchCT(0:0))
      call avCT(3951, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1504)%branchCT(0:1))
      call avCT(1504, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(1504, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(3952)%branchCT(0:0))
      call avCT(3952, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3953)%branchCT(0:1))
      call avCT(3953, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(3953, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3954)%branchCT(0:1))
      call avCT(3954, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2046, nGC_2048/))

      call avCT(3954, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2047, nGC_2049/))

      allocate(vertices(4788)%branchCT(0:0))
      call avCT(4788, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(3978)%branchCT(0:0))
      call avCT(3978, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(3955)%branchCT(0:0))
      call avCT(3955, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(3956)%branchCT(0:0))
      call avCT(3956, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2184, nGC_2184/))

      allocate(vertices(3243)%branchCT(0:0))
      call avCT(3243, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4310)%branchCT(0:1))
      call avCT(4310, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(4310, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(3962)%branchCT(0:1))
      call avCT(3962, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2052, nGC_2052/))

      call avCT(3962, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2053, nGC_2053/))

      allocate(vertices(2545)%branchCT(0:0))
      call avCT(2545, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5058)%branchCT(0:0))
      call avCT(5058, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(4342)%branchCT(0:0))
      call avCT(4342, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(4260)%branchCT(0:0))
      call avCT(4260, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(1515)%branchCT(0:0))
      call avCT(1515, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4335)%branchCT(0:0))
      call avCT(4335, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3969)%branchCT(0:0))
      call avCT(3969, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(2072)%branchCT(0:0))
      call avCT(2072, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1891, nGC_1891/))

      allocate(vertices(4474)%branchCT(0:0))
      call avCT(4474, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(5059)%branchCT(0:0))
      call avCT(5059, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(1519)%branchCT(0:0))
      call avCT(1519, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3973)%branchCT(0:0))
      call avCT(3973, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1522)%branchCT(0:0))
      call avCT(1522, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3974)%branchCT(0:0))
      call avCT(3974, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2656)%branchCT(0:0))
      call avCT(2656, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(3979)%branchCT(0:0))
      call avCT(3979, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5060)%branchCT(0:0))
      call avCT(5060, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1843)%branchCT(0:0))
      call avCT(1843, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4813)%branchCT(0:0))
      call avCT(4813, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(1528)%branchCT(0:0))
      call avCT(1528, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(4137)%branchCT(0:0))
      call avCT(4137, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1529)%branchCT(0:0))
      call avCT(1529, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3986)%branchCT(0:0))
      call avCT(3986, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1994/))

      allocate(vertices(3987)%branchCT(0:0))
      call avCT(3987, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1531)%branchCT(0:0))
      call avCT(1531, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3989)%branchCT(0:1))
      call avCT(3989, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1902, nGC_1902/))

      call avCT(3989, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1903, nGC_1903/))

      allocate(vertices(5061)%branchCT(0:0))
      call avCT(5061, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(4457)%branchCT(0:0))
      call avCT(4457, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3991)%branchCT(0:0))
      call avCT(3991, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3992)%branchCT(0:0))
      call avCT(3992, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(414)%branchCT(0:0))
      call avCT(414, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1534)%branchCT(0:0))
      call avCT(1534, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(3994)%branchCT(0:0))
      call avCT(3994, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2060/))

      allocate(vertices(1536)%branchCT(0:0))
      call avCT(1536, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3996)%branchCT(0:0))
      call avCT(3996, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(2357)%branchCT(0:1))
      call avCT(2357, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2019, nGC_2021/))

      call avCT(2357, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2020, nGC_2022/))

      allocate(vertices(3997)%branchCT(0:0))
      call avCT(3997, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3998)%branchCT(0:0))
      call avCT(3998, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(3999)%branchCT(0:0))
      call avCT(3999, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1667)%branchCT(0:0))
      call avCT(1667, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4001)%branchCT(0:0))
      call avCT(4001, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(4507)%branchCT(0:0))
      call avCT(4507, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4522)%branchCT(0:0))
      call avCT(4522, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1541)%branchCT(0:0))
      call avCT(1541, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(3060)%branchCT(0:0))
      call avCT(3060, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4006)%branchCT(0:0))
      call avCT(4006, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2495)%branchCT(0:0))
      call avCT(2495, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4010)%branchCT(0:0))
      call avCT(4010, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1547)%branchCT(0:0))
      call avCT(1547, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1911,       &
      nGC_1912/))

      allocate(vertices(2703)%branchCT(0:0))
      call avCT(2703, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4012)%branchCT(0:0))
      call avCT(4012, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4013)%branchCT(0:0))
      call avCT(4013, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1214)%branchCT(0:0))
      call avCT(1214, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(280)%branchCT(0:0))
      call avCT(280, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4015)%branchCT(0:0))
      call avCT(4015, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(1550)%branchCT(0:1))
      call avCT(1550, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1967, nGC_1967/))

      call avCT(1550, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1968, nGC_1968/))

      allocate(vertices(2933)%branchCT(0:0))
      call avCT(2933, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(5062)%branchCT(0:0))
      call avCT(5062, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1551)%branchCT(0:0))
      call avCT(1551, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3330)%branchCT(0:0))
      call avCT(3330, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(1553)%branchCT(0:0))
      call avCT(1553, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(676)%branchCT(0:0))
      call avCT(676, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4023)%branchCT(0:0))
      call avCT(4023, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4589)%branchCT(0:0))
      call avCT(4589, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(5063)%branchCT(0:0))
      call avCT(5063, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1977/))

      allocate(vertices(802)%branchCT(0:0))
      call avCT(802, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1994/))

      allocate(vertices(4025)%branchCT(0:0))
      call avCT(4025, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4026)%branchCT(0:0))
      call avCT(4026, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1556)%branchCT(0:0))
      call avCT(1556, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2227/))

      allocate(vertices(3489)%branchCT(0:0))
      call avCT(3489, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1559)%branchCT(0:0))
      call avCT(1559, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2105/))

      allocate(vertices(3062)%branchCT(0:0))
      call avCT(3062, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(5064)%branchCT(0:0))
      call avCT(5064, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(4032)%branchCT(0:0))
      call avCT(4032, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1908/))

      allocate(vertices(5065)%branchCT(0:1))
      call avCT(5065, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2236, nGC_2238,      &
      nGC_2238, nGC_2240/))

      call avCT(5065, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2237, nGC_2239,      &
      nGC_2239, nGC_2241/))

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(1546)%branchCT(0:0))
      call avCT(1546, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4036)%branchCT(0:1))
      call avCT(4036, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2139, nGC_2141/))

      call avCT(4036, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2140, nGC_2142/))

      allocate(vertices(1565)%branchCT(0:0))
      call avCT(1565, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1566)%branchCT(0:0))
      call avCT(1566, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(4038)%branchCT(0:0))
      call avCT(4038, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(4039)%branchCT(0:1))
      call avCT(4039, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_2154, nGC_2156/))

      call avCT(4039, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_2155, nGC_2157/))

      allocate(vertices(3065)%branchCT(0:0))
      call avCT(3065, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4041)%branchCT(0:5))
      call avCT(4041, 0, 62, 6, 0, UaVVU0, (/4, 0/), (/nGC_2215/))

      call avCT(4041, 1, 65, 7, 0, UaVVU0, (/4, 0/), (/nGC_2216/))

      call avCT(4041, 2, 64, 7, 0, UaVVU0, (/4, 0/), (/nGC_2216/))

      call avCT(4041, 3, 61, 6, 0, UaVVU0, (/4, 0/), (/nGC_2215/))

      call avCT(4041, 4, 60, 6, 0, UaVVU0, (/4, 0/), (/nGC_2215/))

      call avCT(4041, 5, 63, 6, 0, UaVVU0, (/4, 0/), (/nGC_2215/))

      allocate(vertices(4042)%branchCT(0:0))
      call avCT(4042, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(3911)%branchCT(0:0))
      call avCT(3911, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(1568)%branchCT(0:0))
      call avCT(1568, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4044)%branchCT(0:0))
      call avCT(4044, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1569)%branchCT(0:0))
      call avCT(1569, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(1570)%branchCT(0:0))
      call avCT(1570, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4772)%branchCT(0:0))
      call avCT(4772, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4229)%branchCT(0:0))
      call avCT(4229, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1573)%branchCT(0:0))
      call avCT(1573, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3461)%branchCT(0:0))
      call avCT(3461, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2664)%branchCT(0:0))
      call avCT(2664, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(2595)%branchCT(0:0))
      call avCT(2595, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4048)%branchCT(0:0))
      call avCT(4048, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(4049)%branchCT(0:0))
      call avCT(4049, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2184, nGC_2184/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4816)%branchCT(0:0))
      call avCT(4816, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4051)%branchCT(0:0))
      call avCT(4051, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2180/))

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4052)%branchCT(0:0))
      call avCT(4052, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(1579)%branchCT(0:0))
      call avCT(1579, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(3730)%branchCT(0:0))
      call avCT(3730, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1936, nGC_1937/))

      allocate(vertices(1581)%branchCT(0:1))
      call avCT(1581, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1973, nGC_1973/))

      call avCT(1581, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1974, nGC_1974/))

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1585)%branchCT(0:0))
      call avCT(1585, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1267)%branchCT(0:0))
      call avCT(1267, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(5066)%branchCT(0:0))
      call avCT(5066, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(4807)%branchCT(0:0))
      call avCT(4807, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1589)%branchCT(0:0))
      call avCT(1589, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1590)%branchCT(0:3))
      call avCT(1590, 0, 32, 2, 0, FaVF1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(1590, 1, 32, 2, 0, FaVF1, (/3, 0/), (/nGC_2027, nGC_2029/))

      call avCT(1590, 2, 33, 3, 0, FaVF1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(1590, 3, 33, 3, 0, FaVF1, (/3, 0/), (/nGC_2027, nGC_2029/))

      allocate(vertices(4884)%branchCT(0:0))
      call avCT(4884, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4058)%branchCT(0:0))
      call avCT(4058, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2220/))

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4060)%branchCT(0:0))
      call avCT(4060, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1990/))

      allocate(vertices(4899)%branchCT(0:0))
      call avCT(4899, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1594)%branchCT(0:0))
      call avCT(1594, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4237)%branchCT(0:0))
      call avCT(4237, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(5067)%branchCT(0:0))
      call avCT(5067, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2008/))

      allocate(vertices(1595)%branchCT(0:0))
      call avCT(1595, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2217/))

      allocate(vertices(4324)%branchCT(0:0))
      call avCT(4324, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3909)%branchCT(0:0))
      call avCT(3909, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2699)%branchCT(0:0))
      call avCT(2699, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4067)%branchCT(0:0))
      call avCT(4067, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(5068)%branchCT(0:0))
      call avCT(5068, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(5069)%branchCT(0:0))
      call avCT(5069, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1601)%branchCT(0:0))
      call avCT(1601, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4486)%branchCT(0:0))
      call avCT(4486, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4072)%branchCT(0:0))
      call avCT(4072, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1603)%branchCT(0:0))
      call avCT(1603, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4074)%branchCT(0:0))
      call avCT(4074, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2096/))

      allocate(vertices(1606)%branchCT(0:0))
      call avCT(1606, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4076)%branchCT(0:0))
      call avCT(4076, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2170, nGC_2171/))

      allocate(vertices(4077)%branchCT(0:0))
      call avCT(4077, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(1609)%branchCT(0:0))
      call avCT(1609, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4080)%branchCT(0:0))
      call avCT(4080, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2842)%branchCT(0:1))
      call avCT(2842, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1878/))

      call avCT(2842, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1879/))

      allocate(vertices(1612)%branchCT(0:0))
      call avCT(1612, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1613)%branchCT(0:0))
      call avCT(1613, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(4085)%branchCT(0:0))
      call avCT(4085, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1986, nGC_1987/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4087)%branchCT(0:0))
      call avCT(4087, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4089)%branchCT(0:1))
      call avCT(4089, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_2160, nGC_2162/))

      call avCT(4089, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_2161, nGC_2163/))

      allocate(vertices(1079)%branchCT(0:0))
      call avCT(1079, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2486)%branchCT(0:0))
      call avCT(2486, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4092)%branchCT(0:0))
      call avCT(4092, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4094)%branchCT(0:0))
      call avCT(4094, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4812)%branchCT(0:0))
      call avCT(4812, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2672)%branchCT(0:0))
      call avCT(2672, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1622)%branchCT(0:0))
      call avCT(1622, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1624)%branchCT(0:0))
      call avCT(1624, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1625)%branchCT(0:0))
      call avCT(1625, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(1877)%branchCT(0:0))
      call avCT(1877, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1878)%branchCT(0:1))
      call avCT(1878, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2203, nGC_2205/))

      call avCT(1878, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2204, nGC_2206/))

      allocate(vertices(4101)%branchCT(0:0))
      call avCT(4101, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2218/))

      allocate(vertices(4102)%branchCT(0:0))
      call avCT(4102, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4062)%branchCT(0:0))
      call avCT(4062, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(196)%branchCT(0:0))
      call avCT(196, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(3627)%branchCT(0:0))
      call avCT(3627, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1636)%branchCT(0:0))
      call avCT(1636, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4108)%branchCT(0:1))
      call avCT(4108, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2181, nGC_2181/))

      call avCT(4108, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2182, nGC_2182/))

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2181, nGC_2181/))

      call avCT(229, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2182, nGC_2182/))

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1641)%branchCT(0:1))
      call avCT(1641, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(1641, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(1642)%branchCT(0:0))
      call avCT(1642, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1643)%branchCT(0:0))
      call avCT(1643, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1911,       &
      nGC_1912/))

      allocate(vertices(1644)%branchCT(0:0))
      call avCT(1644, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2081/))

      allocate(vertices(1645)%branchCT(0:0))
      call avCT(1645, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2242/))

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1649)%branchCT(0:0))
      call avCT(1649, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1650)%branchCT(0:0))
      call avCT(1650, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(5070)%branchCT(0:0))
      call avCT(5070, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2042/))

      allocate(vertices(4114)%branchCT(0:0))
      call avCT(4114, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(4115)%branchCT(0:0))
      call avCT(4115, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2115/))

      allocate(vertices(4817)%branchCT(0:0))
      call avCT(4817, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2214/))

      allocate(vertices(1652)%branchCT(0:0))
      call avCT(1652, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2035/))

      allocate(vertices(4118)%branchCT(0:0))
      call avCT(4118, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2677)%branchCT(0:0))
      call avCT(2677, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4571)%branchCT(0:1))
      call avCT(4571, 0, 26, 1, 0, FaVF0, (/0, 3/), (/nGC_2023/))

      call avCT(4571, 1, 26, 1, 0, FaVF0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(1181)%branchCT(0:0))
      call avCT(1181, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2283)%branchCT(0:3))
      call avCT(2283, 0, 38, 2, 0, VFaF0, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(2283, 1, 38, 2, 0, VFaF0, (/1, 2/), (/nGC_2015, nGC_2017/))

      call avCT(2283, 2, 39, 3, 0, VFaF0, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(2283, 3, 39, 3, 0, VFaF0, (/1, 2/), (/nGC_2015, nGC_2017/))

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4123)%branchCT(0:0))
      call avCT(4123, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1659)%branchCT(0:0))
      call avCT(1659, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4124)%branchCT(0:0))
      call avCT(4124, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4125)%branchCT(0:0))
      call avCT(4125, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1895/))

      allocate(vertices(4126)%branchCT(0:0))
      call avCT(4126, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3349)%branchCT(0:0))
      call avCT(3349, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2227/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(4413)%branchCT(0:0))
      call avCT(4413, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4128)%branchCT(0:0))
      call avCT(4128, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4133)%branchCT(0:0))
      call avCT(4133, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2235)%branchCT(0:0))
      call avCT(2235, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4135)%branchCT(0:0))
      call avCT(4135, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1672)%branchCT(0:1))
      call avCT(1672, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1914, nGC_1916/))

      call avCT(1672, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1915, nGC_1917/))

      allocate(vertices(690)%branchCT(0:0))
      call avCT(690, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1674)%branchCT(0:0))
      call avCT(1674, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(1675)%branchCT(0:1))
      call avCT(1675, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1902, nGC_1902/))

      call avCT(1675, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1903, nGC_1903/))

      allocate(vertices(4139)%branchCT(0:0))
      call avCT(4139, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1678)%branchCT(0:0))
      call avCT(1678, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1964/))

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1679)%branchCT(0:0))
      call avCT(1679, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(826)%branchCT(0:0))
      call avCT(826, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3465)%branchCT(0:0))
      call avCT(3465, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1680)%branchCT(0:0))
      call avCT(1680, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4148)%branchCT(0:0))
      call avCT(4148, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(4149)%branchCT(0:0))
      call avCT(4149, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2660)%branchCT(0:0))
      call avCT(2660, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4150)%branchCT(0:0))
      call avCT(4150, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(4152)%branchCT(0:0))
      call avCT(4152, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(4156)%branchCT(0:1))
      call avCT(4156, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1897, nGC_1899/))

      call avCT(4156, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1898, nGC_1900/))

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(4775)%branchCT(0:0))
      call avCT(4775, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1936, nGC_1937/))

      allocate(vertices(1692)%branchCT(0:0))
      call avCT(1692, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(4161)%branchCT(0:0))
      call avCT(4161, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3931)%branchCT(0:1))
      call avCT(3931, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2048, nGC_2046/))

      call avCT(3931, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2049, nGC_2047/))

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1696)%branchCT(0:0))
      call avCT(1696, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2095/))

      allocate(vertices(4165)%branchCT(0:1))
      call avCT(4165, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_1878/))

      call avCT(4165, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_1879/))

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4167)%branchCT(0:0))
      call avCT(4167, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1887/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4170)%branchCT(0:0))
      call avCT(4170, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(601)%branchCT(0:1))
      call avCT(601, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2033, nGC_2033/))

      call avCT(601, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2034, nGC_2034/))

      allocate(vertices(4292)%branchCT(0:1))
      call avCT(4292, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1961, nGC_1959/))

      call avCT(4292, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1962, nGC_1960/))

      allocate(vertices(4171)%branchCT(0:0))
      call avCT(4171, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(1704)%branchCT(0:0))
      call avCT(1704, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4173)%branchCT(0:0))
      call avCT(4173, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1970, nGC_1971/))

      allocate(vertices(1708)%branchCT(0:0))
      call avCT(1708, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2242/))

      allocate(vertices(4174)%branchCT(0:0))
      call avCT(4174, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2186/))

      allocate(vertices(2685)%branchCT(0:0))
      call avCT(2685, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4175)%branchCT(0:0))
      call avCT(4175, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4177)%branchCT(0:0))
      call avCT(4177, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1895)%branchCT(0:0))
      call avCT(1895, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1714)%branchCT(0:0))
      call avCT(1714, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1715)%branchCT(0:0))
      call avCT(1715, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(4179)%branchCT(0:1))
      call avCT(4179, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1961, nGC_1959/))

      call avCT(4179, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1962, nGC_1960/))

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1717)%branchCT(0:0))
      call avCT(1717, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1718)%branchCT(0:0))
      call avCT(1718, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4185)%branchCT(0:0))
      call avCT(4185, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4186)%branchCT(0:0))
      call avCT(4186, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2170, nGC_2171/))

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(1726)%branchCT(0:0))
      call avCT(1726, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4889)%branchCT(0:0))
      call avCT(4889, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5071)%branchCT(0:0))
      call avCT(5071, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(5072)%branchCT(0:0))
      call avCT(5072, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2004/))

      allocate(vertices(2750)%branchCT(0:1))
      call avCT(2750, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2037, nGC_2039/))

      call avCT(2750, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2038, nGC_2040/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5073)%branchCT(0:0))
      call avCT(5073, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2243/))

      allocate(vertices(4193)%branchCT(0:1))
      call avCT(4193, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_2019, nGC_2021/))

      call avCT(4193, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_2020, nGC_2022/))

      allocate(vertices(1732)%branchCT(0:0))
      call avCT(1732, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4196)%branchCT(0:0))
      call avCT(4196, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1735)%branchCT(0:0))
      call avCT(1735, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4197)%branchCT(0:0))
      call avCT(4197, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(796)%branchCT(0:0))
      call avCT(796, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(4201)%branchCT(0:1))
      call avCT(4201, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(4201, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1742)%branchCT(0:0))
      call avCT(1742, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4205)%branchCT(0:0))
      call avCT(4205, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4206)%branchCT(0:0))
      call avCT(4206, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(4207)%branchCT(0:0))
      call avCT(4207, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(3421)%branchCT(0:0))
      call avCT(3421, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(3943)%branchCT(0:0))
      call avCT(3943, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2185/))

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1748)%branchCT(0:0))
      call avCT(1748, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4210)%branchCT(0:0))
      call avCT(4210, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4211)%branchCT(0:0))
      call avCT(4211, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2007, nGC_2007/))

      allocate(vertices(5074)%branchCT(0:0))
      call avCT(5074, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2130, nGC_2131,        &
      nGC_2132/))

      allocate(vertices(3944)%branchCT(0:0))
      call avCT(3944, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1752)%branchCT(0:0))
      call avCT(1752, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(1104)%branchCT(0:0))
      call avCT(1104, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(906)%branchCT(0:0))
      call avCT(906, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4220)%branchCT(0:0))
      call avCT(4220, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(4221)%branchCT(0:0))
      call avCT(4221, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(3713)%branchCT(0:0))
      call avCT(3713, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(1756)%branchCT(0:0))
      call avCT(1756, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(935)%branchCT(0:0))
      call avCT(935, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(5075)%branchCT(0:0))
      call avCT(5075, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1759)%branchCT(0:0))
      call avCT(1759, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1958/))

      allocate(vertices(1105)%branchCT(0:0))
      call avCT(1105, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4225)%branchCT(0:0))
      call avCT(4225, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2228/))

      allocate(vertices(4226)%branchCT(0:0))
      call avCT(4226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(1761)%branchCT(0:0))
      call avCT(1761, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1936, nGC_1937/))

      allocate(vertices(3101)%branchCT(0:0))
      call avCT(3101, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1911, nGC_1912,        &
      nGC_1912/))

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(3019)%branchCT(0:0))
      call avCT(3019, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1499)%branchCT(0:0))
      call avCT(1499, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4231)%branchCT(0:0))
      call avCT(4231, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4838)%branchCT(0:0))
      call avCT(4838, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(5076)%branchCT(0:0))
      call avCT(5076, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2244/))

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1770)%branchCT(0:0))
      call avCT(1770, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(1771)%branchCT(0:3))
      call avCT(1771, 0, 32, 2, 0, FaVF1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(1771, 1, 32, 2, 0, FaVF1, (/3, 0/), (/nGC_2090, nGC_2092/))

      call avCT(1771, 2, 33, 3, 0, FaVF1, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(1771, 3, 33, 3, 0, FaVF1, (/3, 0/), (/nGC_2090, nGC_2092/))

      allocate(vertices(1030)%branchCT(0:0))
      call avCT(1030, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2187/))

      allocate(vertices(4240)%branchCT(0:0))
      call avCT(4240, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1040)%branchCT(0:1))
      call avCT(1040, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2056, nGC_2054/))

      call avCT(1040, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2057, nGC_2055/))

      allocate(vertices(4243)%branchCT(0:0))
      call avCT(4243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(4246)%branchCT(0:0))
      call avCT(4246, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2096/))

      allocate(vertices(1781)%branchCT(0:0))
      call avCT(1781, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(4307)%branchCT(0:0))
      call avCT(4307, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(1784)%branchCT(0:0))
      call avCT(1784, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(4249)%branchCT(0:0))
      call avCT(4249, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4250)%branchCT(0:1))
      call avCT(4250, 0, 26, 1, 0, FaVF1, (/0, 3/), (/nGC_2135, nGC_2137/))

      call avCT(4250, 1, 26, 1, 0, FaVF1, (/2, 1/), (/nGC_2136, nGC_2138/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4251)%branchCT(0:1))
      call avCT(4251, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1959, nGC_1961/))

      call avCT(4251, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1960, nGC_1962/))

      allocate(vertices(4253)%branchCT(0:0))
      call avCT(4253, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2245/))

      allocate(vertices(1789)%branchCT(0:1))
      call avCT(1789, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2056, nGC_2054/))

      call avCT(1789, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2057, nGC_2055/))

      allocate(vertices(1790)%branchCT(0:0))
      call avCT(1790, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(4873)%branchCT(0:1))
      call avCT(4873, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1878/))

      call avCT(4873, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(1134)%branchCT(0:0))
      call avCT(1134, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1503)%branchCT(0:0))
      call avCT(1503, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1797)%branchCT(0:0))
      call avCT(1797, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4258)%branchCT(0:1))
      call avCT(4258, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_2139, nGC_2141/))

      call avCT(4258, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_2140, nGC_2142/))

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1947/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
