!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_1698) = coupl(nGC_1191)*dyb_QED1_QCD2
      coupl(nGC_1699) = coupl(nGC_870)*dydo_QED3 + coupl(nGC_871)*da_QED2
      coupl(nGC_1690) = -cima*dyb_QED1_QCD2
      coupl(nGC_1691) = cima*dyt_QED3
      coupl(nGC_1692) = cima*dyt_QED1_QCD2
      coupl(nGC_1693) = coupl(nGC_878)*dydo_QED3
      coupl(nGC_1694) = coupl(nGC_878)*dydo_QED1_QCD2
      coupl(nGC_1695) = coupl(nGC_1241)*dys_QED3
      coupl(nGC_1696) = coupl(nGC_1241)*dys_QED1_QCD2
      coupl(nGC_1697) = coupl(nGC_1191)*dyb_QED3
      coupl(nGC_1988) = coupl(nGC_162)*dZHhHl_QED2/2d0 + coupl(nGC_164)*       &
                        dZHl_QED2/2d0 + coupl(nGC_164)*dZWMinus_QED2 + coupl(  &
                        nGC_1761) + coupl(nGC_TS_GC_92_Hh) + coupl(            &
                        nGC_TS_GC_96_Hl)
      coupl(nGC_1984) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZsR_QED2 + coupl(nGC_1789)
      coupl(nGC_1985) = coupl(nGC_122)*dZsR_QCD2
      coupl(nGC_1982) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZsL_QED2 + coupl(nGC_1790)
      coupl(nGC_1983) = coupl(nGC_125)*dZsL_QCD2
      coupl(nGC_1342) = (coupl(nGC_1)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(   &
                        nGC_2)*coupl(nGC_226)*coupl(nGC_547) + coupl(nGC_2)*   &
                        coupl(nGC_227)**2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1435) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_222)**2d0 - coupl(nGC_223)**2d0 - coupl(     &
                        nGC_224)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1436) = coupl(nGC_223)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_223)**2d0 - coupl(nGC_224)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_591)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1341) = (coupl(nGC_1)*coupl(nGC_201)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(   &
                        nGC_226)*coupl(nGC_547) + coupl(nGC_2)*coupl(nGC_227)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_228)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1347) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_195) + Nc* &
                        coupl(nGC_197)*coupl(nGC_199) - Nc*coupl(nGC_201)*coupl&
                        (nGC_203) - Nc*coupl(nGC_213)*coupl(nGC_215) + Nc*coupl&
                        (nGC_217)*coupl(nGC_219) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_227) - coupl(nGC_205)*coupl(nGC_207) - coupl(      &
                        nGC_209)*coupl(nGC_211) - coupl(nGC_221)*coupl(nGC_223 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1344) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_196) + 2d0*Nc&
                        *cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_220) + 2d0&
                        *Nc*cMB*coupl(nGC_196)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_197)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*coupl(&
                        nGC_197)*coupl(nGC_213)*coupl(nGC_216) + 2d0*Nc*cMC*   &
                        coupl(nGC_200)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_201)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(nGC_201&
                        )*coupl(nGC_225)*coupl(nGC_228) + 2d0*Nc*cMD*coupl(    &
                        nGC_204)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197&
                        )**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_197)*coupl&
                        (nGC_200)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)** &
                        2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*   &
                        coupl(nGC_220) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**  &
                        2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*   &
                        coupl(nGC_228) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(      &
                        nGC_204)*coupl(nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**  &
                        2d0*coupl(nGC_228) + 2d0*cME*coupl(nGC_205)**2d0*coupl(&
                        nGC_208) + 2d0*cMM*coupl(nGC_209)**2d0*coupl(nGC_212   &
                        ) + 2d0*cMTA*coupl(nGC_221)**2d0*coupl(nGC_224) + 4d0* &
                        cima*coupl(nGC_120)*coupl(nGC_166) + cima*coupl(nGC_141&
                        )*coupl(nGC_177) + 4d0*cima*coupl(nGC_154)*coupl(nGC_28&
                        ) + 2d0*cima*coupl(nGC_164)*coupl(nGC_71))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1345) = (Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 + Nc*coupl(     &
                        nGC_122)*coupl(nGC_201)**2d0 + Nc*coupl(nGC_122)*coupl(&
                        nGC_213)**2d0 - Nc*coupl(nGC_123)*coupl(nGC_197)**2d0  &
                         - Nc*coupl(nGC_123)*coupl(nGC_217)**2d0 - Nc*coupl(   &
                        nGC_123)*coupl(nGC_225)**2d0 + Nc*coupl(nGC_125)*coupl(&
                        nGC_197)**2d0 + Nc*coupl(nGC_125)*coupl(nGC_217)**2d0  &
                         + Nc*coupl(nGC_125)*coupl(nGC_225)**2d0 - Nc*coupl(   &
                        nGC_126)*coupl(nGC_193)**2d0 - Nc*coupl(nGC_126)*coupl(&
                        nGC_201)**2d0 - Nc*coupl(nGC_126)*coupl(nGC_213)**2d0  &
                         + coupl(nGC_124)*coupl(nGC_205)**2d0 + coupl(nGC_124)*&
                        coupl(nGC_209)**2d0 + coupl(nGC_124)*coupl(nGC_221)**  &
                        2d0 - coupl(nGC_129)*coupl(nGC_205)**2d0 - coupl(      &
                        nGC_129)*coupl(nGC_209)**2d0 - coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(24d0*pi**2d0)
      coupl(nGC_1348) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_196) + Nc* &
                        coupl(nGC_197)*coupl(nGC_200) - Nc*coupl(nGC_201)*coupl&
                        (nGC_204) - Nc*coupl(nGC_213)*coupl(nGC_216) + Nc*coupl&
                        (nGC_217)*coupl(nGC_220) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_228) - coupl(nGC_205)*coupl(nGC_208) - coupl(      &
                        nGC_209)*coupl(nGC_212) - coupl(nGC_221)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1438) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*    &
                        coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_227) - coupl(nGC_227)**3d0 - coupl(nGC_227)* &
                        coupl(nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1439) = coupl(nGC_19)**2d0*coupl(nGC_227)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_228_Hl) = -coupl(nGC_228)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1266) = cima*(Nc*coupl(nGC_195)**2d0 + Nc*coupl(nGC_199)**2d0  &
                         + Nc*coupl(nGC_203)**2d0 + Nc*coupl(nGC_215)**2d0 + Nc&
                        *coupl(nGC_219)**2d0 + Nc*coupl(nGC_227)**2d0 + coupl( &
                        nGC_207)**2d0 + coupl(nGC_211)**2d0 + coupl(nGC_223)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2180) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_1768) + coupl( &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_2185) = -coupl(nGC_103)*dZWMinus_QED2 - coupl(nGC_103)*dZZ_QED2&
                        /2d0 - coupl(nGC_1763) - coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1759) = coupl(nGC_879)*dcw_QED2 + coupl(nGC_880)*dsw_QED2 +    &
                        coupl(nGC_881)*dZee_QED2
      coupl(nGC_1758) = coupl(nGC_1176)*dsw_QED2 + coupl(nGC_1177)*dZee_QED2 + &
                        coupl(nGC_1178)*da_QED2
      coupl(nGC_1751) = coupl(nGC_803)*dsw_QED2 + coupl(nGC_804)*dZee_QED2 +   &
                        coupl(nGC_805)*da_QED2
      coupl(nGC_1750) = coupl(nGC_798)*dsw_QED2 + coupl(nGC_799)*dZee_QED2
      coupl(nGC_1753) = coupl(nGC_950)*dsw_QED2 + coupl(nGC_951)*dZee_QED2
      coupl(nGC_1752) = coupl(nGC_884)*dsw_QED2 + coupl(nGC_885)*dZee_QED2 +   &
                        coupl(nGC_886)*da_QED2
      coupl(nGC_1755) = coupl(nGC_812)*dcw_QED2 + coupl(nGC_813)*dsw_QED2 +    &
                        coupl(nGC_814)*dZee_QED2
      coupl(nGC_1754) = coupl(nGC_963)*dsw_QED2 + coupl(nGC_964)*dZee_QED2
      coupl(nGC_1757) = coupl(nGC_1028)*dsw_QED2 + coupl(nGC_1029)*dZee_QED2 + &
                        coupl(nGC_1030)*da_QED2
      coupl(nGC_1756) = coupl(nGC_1000)*dZee_QED2 + coupl(nGC_1001)*da_QED2 +  &
                        coupl(nGC_999)*dsw_QED2
      coupl(nGC_1531) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + coupl(nGC_225)**2d0 + coupl(nGC_226)*    &
                        coupl(nGC_547) + coupl(nGC_227)**2d0 + coupl(nGC_228)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1530) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_226)*    &
                        coupl(nGC_547) + coupl(nGC_227)**2d0 + coupl(nGC_228)**&
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1926) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_1927) = coupl(nGC_1753) + coupl(nGC_71)*dZWMinus_QED2
      coupl(nGC_1924) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1925) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_122)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_2139) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_2255) = -coupl(nGC_1366)
      coupl(nGC_2258) = -coupl(nGC_1348)
      coupl(nGC_TS_GC_211_Hh) = -coupl(nGC_211)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1928) = coupl(nGC_1756) + coupl(nGC_82)*dZHh_QED2 + coupl(     &
                        nGC_82)*dZWMinus_QED2 + coupl(nGC_92)*dZHlHh_QED2
      coupl(nGC_TS_GC_29_Hl) = -coupl(nGC_29)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1929) = coupl(nGC_1725) + coupl(nGC_198)*dZcL_QED2/2d0 + coupl(&
                        nGC_198)*dZcR_QED2/2d0
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1583) = cima*(20d0*Nc*coupl(nGC_195)**4d0 + 20d0*Nc*coupl(     &
                        nGC_199)**4d0 + 20d0*Nc*coupl(nGC_203)**4d0 + 20d0*Nc* &
                        coupl(nGC_215)**4d0 + 20d0*Nc*coupl(nGC_219)**4d0 +    &
                        20d0*Nc*coupl(nGC_227)**4d0 + 3d0*coupl(nGC_145)**2d0  &
                         + 20d0*coupl(nGC_207)**4d0 + 20d0*coupl(nGC_211)**4d0 &
                         + 20d0*coupl(nGC_223)**4d0 + 6d0*coupl(nGC_82)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_1585) = cima*(20d0*Nc*coupl(nGC_195)**3d0*coupl(nGC_196) + 20d0&
                        *Nc*coupl(nGC_199)**3d0*coupl(nGC_200) + 20d0*Nc*coupl(&
                        nGC_203)**3d0*coupl(nGC_204) + 20d0*Nc*coupl(nGC_215)**&
                        3d0*coupl(nGC_216) + 20d0*Nc*coupl(nGC_219)**3d0*coupl(&
                        nGC_220) + 20d0*Nc*coupl(nGC_227)**3d0*coupl(nGC_228   &
                        ) + 3d0*coupl(nGC_145)*coupl(nGC_147) + 20d0*coupl(    &
                        nGC_207)**3d0*coupl(nGC_208) + 20d0*coupl(nGC_211)**3d0&
                        *coupl(nGC_212) + 20d0*coupl(nGC_223)**3d0*coupl(      &
                        nGC_224) + 6d0*coupl(nGC_82)*coupl(nGC_92))/(16d0*pi** &
                        2d0)
      coupl(nGC_1587) = cima*(20d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_196)**2d0  &
                         + 20d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_200)**2d0 +   &
                        20d0*Nc*coupl(nGC_203)**2d0*coupl(nGC_204)**2d0 + 20d0*&
                        Nc*coupl(nGC_215)**2d0*coupl(nGC_216)**2d0 + 20d0*Nc*  &
                        coupl(nGC_219)**2d0*coupl(nGC_220)**2d0 + 20d0*Nc*coupl&
                        (nGC_227)**2d0*coupl(nGC_228)**2d0 + coupl(nGC_145)*   &
                        coupl(nGC_151) + 2d0*coupl(nGC_147)**2d0 + 20d0*coupl( &
                        nGC_207)**2d0*coupl(nGC_208)**2d0 + 20d0*coupl(nGC_211 &
                        )**2d0*coupl(nGC_212)**2d0 + 20d0*coupl(nGC_223)**2d0* &
                        coupl(nGC_224)**2d0 + 2d0*coupl(nGC_82)*coupl(nGC_96   &
                        ) + 4d0*coupl(nGC_92)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1589) = cima*(20d0*Nc*coupl(nGC_195)*coupl(nGC_196)**3d0 + 20d0&
                        *Nc*coupl(nGC_199)*coupl(nGC_200)**3d0 + 20d0*Nc*coupl(&
                        nGC_203)*coupl(nGC_204)**3d0 + 20d0*Nc*coupl(nGC_215)* &
                        coupl(nGC_216)**3d0 + 20d0*Nc*coupl(nGC_219)*coupl(    &
                        nGC_220)**3d0 + 20d0*Nc*coupl(nGC_227)*coupl(nGC_228)**&
                        3d0 + 3d0*coupl(nGC_147)*coupl(nGC_151) + 20d0*coupl(  &
                        nGC_207)*coupl(nGC_208)**3d0 + 20d0*coupl(nGC_211)*    &
                        coupl(nGC_212)**3d0 + 20d0*coupl(nGC_223)*coupl(nGC_224&
                        )**3d0 + 6d0*coupl(nGC_92)*coupl(nGC_96))/(16d0*pi**2d0&
                        )
      coupl(nGC_2005) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_muL_QED2 + coupl(nGC_1791)
      coupl(nGC_1923) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_1401) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218) -    &
                        coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_601) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_218) - coupl(nGC_218)**2d0*&
                        coupl(nGC_563) - coupl(nGC_219)**2d0*coupl(nGC_563) -  &
                        coupl(nGC_220)**2d0*coupl(nGC_563))/(32d0*pi**2d0)
      coupl(nGC_1400) = coupl(nGC_19)**2d0*coupl(nGC_563)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1403) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222) -    &
                        coupl(nGC_222)**2d0*coupl(nGC_591) + 8d0*coupl(nGC_222 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_223)**2d0*coupl(nGC_591&
                        ) - coupl(nGC_224)**2d0*coupl(nGC_591))/(32d0*pi**2d0)
      coupl(nGC_1402) = coupl(nGC_19)**2d0*coupl(nGC_218)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1405) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_547) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_547) - coupl(nGC_201)*    &
                        coupl(nGC_202)*coupl(nGC_225) - coupl(nGC_226)*coupl(  &
                        nGC_227)**2d0 - coupl(nGC_226)*coupl(nGC_228)**2d0 -   &
                        coupl(nGC_226)*coupl(nGC_547)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1404) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_591) -    &
                        coupl(nGC_222)*coupl(nGC_223)**2d0 - coupl(nGC_222)*   &
                        coupl(nGC_224)**2d0 - coupl(nGC_222)*coupl(nGC_591)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_591))/(32d0*pi** &
                        2d0)
      coupl(nGC_1407) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_226) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_226) - coupl(nGC_201)*    &
                        coupl(nGC_225)*coupl(nGC_545) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_547) - coupl(nGC_227)**2d0*coupl(nGC_547) -  &
                        coupl(nGC_228)**2d0*coupl(nGC_547))/(32d0*pi**2d0)
      coupl(nGC_1406) = coupl(nGC_19)**2d0*coupl(nGC_547)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1409) = 3d0*(4d0*Nc*cMB*coupl(nGC_195)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_199)**3d0 + 4d0*Nc*cMD*coupl(nGC_203)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_215)**3d0 + 4d0*Nc*cMT*coupl(nGC_219)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_227)**3d0 + 4d0*cME*coupl(  &
                        nGC_207)**3d0 + 4d0*cMM*coupl(nGC_211)**3d0 + 4d0*cMTA*&
                        coupl(nGC_223)**3d0 + cima*coupl(nGC_145)*coupl(nGC_175&
                        ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_82))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1408) = coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_130_Hh) = -coupl(nGC_130)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_207_Hh) = -coupl(nGC_207)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2135) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
      coupl(nGC_1325) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1327) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(nGC_545) +  &
                        coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_201)**2d0)/(32d0&
                        *pi**2d0)
      coupl(nGC_1321) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(nGC_601) +  &
                        coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_196)**2d0 + coupl(nGC_193)**2d0*coupl(nGC_2))/(32d0&
                        *pi**2d0)
      coupl(nGC_1322) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1328) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_206)*&
                        coupl(nGC_621) + coupl(nGC_207)**2d0 + coupl(nGC_208)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1329) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_206)*&
                        coupl(nGC_4)*coupl(nGC_621) + coupl(nGC_207)**2d0*coupl&
                        (nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_82_Hh) = -coupl(nGC_82)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1966) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2109) = coupl(nGC_1868) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_215_Hh) + coupl&
                        (nGC_TS_GC_216_Hl)
      coupl(nGC_1718) = coupl(nGC_1104)*dym_QED3 + coupl(nGC_1105)*da_QED2
      coupl(nGC_2101) = coupl(nGC_104)*dZWMinus_QED2/4d0 + coupl(nGC_1677)/2d0
      coupl(nGC_2100) = -coupl(nGC_128)*dZZ_QED2/2d0 - coupl(nGC_1768) - coupl(&
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_1717) = coupl(nGC_882)*dye_QED3 + coupl(nGC_883)*da_QED2
      coupl(nGC_1716) = coupl(nGC_860)*dytau_QED3
      coupl(nGC_1710) = coupl(nGC_1114)*dyb_QED1_QCD2
      coupl(nGC_2031) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZtauMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2030) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_2033) = coupl(nGC_1699) + coupl(nGC_203)*dZHh_QED2/2d0 + coupl(&
                        nGC_203)*dZdL_QED2/2d0 + coupl(nGC_203)*dZdR_QED2/2d0  &
                         + coupl(nGC_204)*dZHlHh_QED2/2d0
      coupl(nGC_2032) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZtauMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2214) = coupl(nGC_130)*dZHh_QED2/2d0 + coupl(nGC_130)*dZZ_QED2/&
                        2d0 + coupl(nGC_136)*dZHlHh_QED2/2d0 + coupl(nGC_1766)
      coupl(nGC_2213) = coupl(nGC_1718) + coupl(nGC_211)*dZHh_QED2/2d0 + coupl(&
                        nGC_211)*dZmuMinusL_QED2/2d0 + coupl(nGC_211)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_212)*dZHlHh_QED2/2d0
      coupl(nGC_2220) = coupl(nGC_103)*dZWMinus_QED2 + coupl(nGC_103)*dZZ_QED2/&
                        2d0 + coupl(nGC_1763) + coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_1780) = coupl(nGC_1179)*dcw_QED2 + coupl(nGC_1180)*dsw_QED2 +  &
                        coupl(nGC_1181)*dZee_QED2 + coupl(nGC_1182)*dvev_QED1  &
                         + coupl(nGC_1183)*da_QED2
      coupl(nGC_1661) = coupl(nGC_1146)*dcw_QED2 + coupl(nGC_1147)*dsw_QED2 +  &
                        coupl(nGC_1148)*dZee_QED2 + coupl(nGC_1149)*dvev_QED1  &
                         + coupl(nGC_1150)*da_QED2
      coupl(nGC_2194) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_2195) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2193) = coupl(nGC_1871) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_1667) = coupl(nGC_335)*da_QED2 + coupl(nGC_337)*dvevs_QED1 +   &
                        coupl(nGC_339)*dvev_QED1 + coupl(nGC_341)*dl2_QED4 +   &
                        coupl(nGC_343)*dl3_QED4 + coupl(nGC_345)*dl1_QED4
      coupl(nGC_2191) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1881) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_115)*dZA_QED2/ &
                        2d0 + coupl(nGC_115)*dZZ_QED2/2d0 + coupl(nGC_1759) +  &
                        coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_1605) = cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0)
      coupl(nGC_1471) = coupl(nGC_19)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_118_Hl) = -coupl(nGC_118)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2227) = coupl(nGC_105)*dZZ_QED2/4d0 + coupl(nGC_1676)/2d0 +    &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_1917) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1916) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuR_QED2
      coupl(nGC_1915) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_1446) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(  &
                        nGC_199)**2d0*coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_200) - coupl(nGC_200)**3d0 - coupl(nGC_200)* &
                        coupl(nGC_559)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1912) = -coupl(nGC_116)*dZZA_QED2/2d0 + coupl(nGC_1762) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1911) = coupl(nGC_116)*dZZA_QED2 - 2d0*coupl(nGC_1762) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_1483) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_213)**2d0 + coupl(nGC_123)*coupl(nGC_198)* &
                        coupl(nGC_559) + coupl(nGC_123)*coupl(nGC_199)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_200)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1449) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_203)**2d0* &
                        coupl(nGC_204) - coupl(nGC_204)**3d0 - coupl(nGC_204)* &
                        coupl(nGC_545)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1448) = coupl(nGC_19)**2d0*coupl(nGC_200)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1569) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_195)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_199)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_227&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_199)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_219&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_195)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_199)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_215&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_227)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(nGC_113) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_207)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_211)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_211)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_211)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_223)*coupl(nGC_99) + 6d0*cima*coupl(nGC_15)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                        (nGC_15) + 6d0*coupl(nGC_103)*coupl(nGC_110)*coupl(    &
                        nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1567) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_194)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_214)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_559)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_563)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_547&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_194)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_559)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_202)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_563&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_547)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_194)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_559)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_214&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_563)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_547)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_107)*coupl(nGC_113) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_206)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_210)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_222)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_210)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_222)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_210)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_222)*coupl(nGC_99) + 6d0*cima*coupl(nGC_13)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                        (nGC_13) + 6d0*coupl(nGC_103)*coupl(nGC_107)*coupl(    &
                        nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1305) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1562) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)**2d0  &
                         + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)**2d0 +   &
                        20d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217)*  &
                        coupl(nGC_219) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(    &
                        nGC_217)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_199)**2d0 + 10d0*Nc*coupl(nGC_197)**2d0*coupl(     &
                        nGC_215)**2d0 + 20d0*Nc*coupl(nGC_197)*coupl(nGC_199)* &
                        coupl(nGC_213)*coupl(nGC_215) + 10d0*Nc*coupl(nGC_199  &
                        )**2d0*coupl(nGC_213)**2d0 + 10d0*Nc*coupl(nGC_201)**  &
                        2d0*coupl(nGC_203)**2d0 + 10d0*Nc*coupl(nGC_201)**2d0* &
                        coupl(nGC_227)**2d0 + 20d0*Nc*coupl(nGC_201)*coupl(    &
                        nGC_203)*coupl(nGC_225)*coupl(nGC_227) + 10d0*Nc*coupl(&
                        nGC_203)**2d0*coupl(nGC_225)**2d0 + 10d0*Nc*coupl(     &
                        nGC_213)**2d0*coupl(nGC_215)**2d0 + 10d0*Nc*coupl(     &
                        nGC_217)**2d0*coupl(nGC_219)**2d0 + 10d0*Nc*coupl(     &
                        nGC_225)**2d0*coupl(nGC_227)**2d0 + 12d0*coupl(nGC_110 &
                        )**2d0 + 3d0*coupl(nGC_141)*coupl(nGC_145) + 12d0*coupl&
                        (nGC_15)**2d0 + 10d0*coupl(nGC_205)**2d0*coupl(nGC_207 &
                        )**2d0 + 10d0*coupl(nGC_209)**2d0*coupl(nGC_211)**2d0  &
                         + 10d0*coupl(nGC_221)**2d0*coupl(nGC_223)**2d0 + 6d0* &
                        coupl(nGC_71)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_1563) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_219)* &
                        coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)*coupl(nGC_195)*&
                        coupl(nGC_217)*coupl(nGC_220) + 10d0*Nc*coupl(nGC_193)*&
                        coupl(nGC_196)*coupl(nGC_217)*coupl(nGC_219) + 10d0*Nc*&
                        coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_217)**2d0 +    &
                        10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_199)*coupl(      &
                        nGC_200) + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_215)* &
                        coupl(nGC_216) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_199)*&
                        coupl(nGC_213)*coupl(nGC_216) + 10d0*Nc*coupl(nGC_197)*&
                        coupl(nGC_200)*coupl(nGC_213)*coupl(nGC_215) + 10d0*Nc*&
                        coupl(nGC_199)*coupl(nGC_200)*coupl(nGC_213)**2d0 +    &
                        10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_203)*coupl(      &
                        nGC_204) + 10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_227)* &
                        coupl(nGC_228) + 10d0*Nc*coupl(nGC_201)*coupl(nGC_203)*&
                        coupl(nGC_225)*coupl(nGC_228) + 10d0*Nc*coupl(nGC_201)*&
                        coupl(nGC_204)*coupl(nGC_225)*coupl(nGC_227) + 10d0*Nc*&
                        coupl(nGC_203)*coupl(nGC_204)*coupl(nGC_225)**2d0 +    &
                        10d0*Nc*coupl(nGC_213)**2d0*coupl(nGC_215)*coupl(      &
                        nGC_216) + 10d0*Nc*coupl(nGC_217)**2d0*coupl(nGC_219)* &
                        coupl(nGC_220) + 10d0*Nc*coupl(nGC_225)**2d0*coupl(    &
                        nGC_227)*coupl(nGC_228) + 12d0*coupl(nGC_110)*coupl(   &
                        nGC_120) + 3d0*coupl(nGC_141)*coupl(nGC_147) + 12d0*   &
                        coupl(nGC_15)*coupl(nGC_28) + 10d0*coupl(nGC_205)**2d0*&
                        coupl(nGC_207)*coupl(nGC_208) + 10d0*coupl(nGC_209)**  &
                        2d0*coupl(nGC_211)*coupl(nGC_212) + 10d0*coupl(nGC_221 &
                        )**2d0*coupl(nGC_223)*coupl(nGC_224) + 6d0*coupl(nGC_71&
                        )*coupl(nGC_92))/(48d0*pi**2d0)
      coupl(nGC_1560) = cima*(5d0*Nc*coupl(nGC_193)**4d0 + 5d0*Nc*coupl(nGC_197&
                        )**4d0 + 5d0*Nc*coupl(nGC_201)**4d0 + 5d0*Nc*coupl(    &
                        nGC_213)**4d0 + 5d0*Nc*coupl(nGC_217)**4d0 + 5d0*Nc*   &
                        coupl(nGC_225)**4d0 + 3d0*coupl(nGC_10)**2d0 + 6d0*    &
                        coupl(nGC_134)**2d0 + 3d0*coupl(nGC_141)**2d0 + 5d0*   &
                        coupl(nGC_205)**4d0 + 5d0*coupl(nGC_209)**4d0 + 5d0*   &
                        coupl(nGC_221)**4d0 + 6d0*coupl(nGC_71)**2d0)/(24d0*pi &
                        **2d0)
      coupl(nGC_1561) = cima*(10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_194)*coupl(&
                        nGC_601) + 10d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_218)* &
                        coupl(nGC_563) + 10d0*Nc*coupl(nGC_193)*coupl(nGC_194)*&
                        coupl(nGC_217)*coupl(nGC_218) + 10d0*Nc*coupl(nGC_193)*&
                        coupl(nGC_217)*coupl(nGC_563)*coupl(nGC_601) + 10d0*Nc*&
                        coupl(nGC_194)*coupl(nGC_217)**2d0*coupl(nGC_601) +    &
                        10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_198)*coupl(      &
                        nGC_559) + 10d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_214)* &
                        coupl(nGC_527) + 10d0*Nc*coupl(nGC_197)*coupl(nGC_198)*&
                        coupl(nGC_213)*coupl(nGC_214) + 10d0*Nc*coupl(nGC_197)*&
                        coupl(nGC_213)*coupl(nGC_527)*coupl(nGC_559) + 10d0*Nc*&
                        coupl(nGC_198)*coupl(nGC_213)**2d0*coupl(nGC_559) +    &
                        10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_202)*coupl(      &
                        nGC_545) + 10d0*Nc*coupl(nGC_201)**2d0*coupl(nGC_226)* &
                        coupl(nGC_547) + 10d0*Nc*coupl(nGC_201)*coupl(nGC_202)*&
                        coupl(nGC_225)*coupl(nGC_226) + 10d0*Nc*coupl(nGC_201)*&
                        coupl(nGC_225)*coupl(nGC_545)*coupl(nGC_547) + 10d0*Nc*&
                        coupl(nGC_202)*coupl(nGC_225)**2d0*coupl(nGC_545) +    &
                        10d0*Nc*coupl(nGC_213)**2d0*coupl(nGC_214)*coupl(      &
                        nGC_527) + 10d0*Nc*coupl(nGC_217)**2d0*coupl(nGC_218)* &
                        coupl(nGC_563) + 10d0*Nc*coupl(nGC_225)**2d0*coupl(    &
                        nGC_226)*coupl(nGC_547) + 12d0*coupl(nGC_107)*coupl(   &
                        nGC_108) + 12d0*coupl(nGC_13)*coupl(nGC_14) + 3d0*coupl&
                        (nGC_141)*coupl(nGC_142) + 10d0*coupl(nGC_205)**2d0*   &
                        coupl(nGC_206)*coupl(nGC_621) + 10d0*coupl(nGC_209)**  &
                        2d0*coupl(nGC_210)*coupl(nGC_533) + 10d0*coupl(nGC_221 &
                        )**2d0*coupl(nGC_222)*coupl(nGC_591) + 6d0*coupl(nGC_71&
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_TS_GC_147_Hl) = -coupl(nGC_147)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1960) = coupl(nGC_1684) + coupl(nGC_225)*dZdL_QCD2/2d0 + coupl(&
                        nGC_225)*dZuR_QCD2/2d0
      coupl(nGC_1961) = coupl(nGC_1681) + coupl(nGC_201)*dZdR_QED2/2d0 + coupl(&
                        nGC_201)*dZuL_QED2/2d0
      coupl(nGC_TS_GC_147_Hh) = -coupl(nGC_147)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1965) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_189_Hh) + coupl(     &
                        nGC_TS_GC_192_Hl)
      coupl(nGC_1968) = coupl(nGC_1710) + coupl(nGC_196)*dZbL_QCD2/2d0 + coupl(&
                        nGC_196)*dZbR_QCD2/2d0
      coupl(nGC_1639) = coupl(nGC_1239)*dl1_QED4
      coupl(nGC_1289) = cMC*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1288) = cima*(-coupl(nGC_126)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1287) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1286) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1285) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1284) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_125)**2d0 - coupl(&
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1283) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_1369) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) - coupl(  &
                        nGC_194)*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_195 &
                        )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_196)*coupl(&
                        nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1360) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(  &
                        nGC_201)*coupl(nGC_202)*coupl(nGC_226) - coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl(&
                        nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_1578) = cima*(20d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_601)**2d0  &
                         + 20d0*Nc*coupl(nGC_198)**2d0*coupl(nGC_559)**2d0 +   &
                        20d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_545)**2d0 + 20d0*&
                        Nc*coupl(nGC_214)**2d0*coupl(nGC_527)**2d0 + 20d0*Nc*  &
                        coupl(nGC_218)**2d0*coupl(nGC_563)**2d0 + 20d0*Nc*coupl&
                        (nGC_226)**2d0*coupl(nGC_547)**2d0 + 3d0*coupl(nGC_142 &
                        )**2d0 + 20d0*coupl(nGC_206)**2d0*coupl(nGC_621)**2d0  &
                         + 20d0*coupl(nGC_210)**2d0*coupl(nGC_533)**2d0 + 20d0*&
                        coupl(nGC_222)**2d0*coupl(nGC_591)**2d0 + 6d0*coupl(   &
                        nGC_71)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1632) = coupl(nGC_1215)*dcw_QED2 + coupl(nGC_1216)*dZee_QED2
      coupl(nGC_TS_GC_220_Hl) = -coupl(nGC_220)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1633) = coupl(nGC_1209)*dZee_QED2
      coupl(nGC_1739) = coupl(nGC_381)*dyt_QED3 + coupl(nGC_383)*da_QED2
      coupl(nGC_1631) = coupl(nGC_1223)*dcw_QED2 + coupl(nGC_1224)*dZee_QED2
      coupl(nGC_1636) = coupl(nGC_1011)*dcw_QED2 + coupl(nGC_1012)*dsw_QED2 +  &
                        coupl(nGC_1013)*dZee_QED2 + coupl(nGC_1014)*da_QED2
      coupl(nGC_2122) = -coupl(nGC_100)*dZHhHl_QED2/2d0 - coupl(nGC_118)*      &
                        dZHl_QED2/2d0 - coupl(nGC_118)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_1752)
      coupl(nGC_1635) = coupl(nGC_1230)*dcw_QED2 + coupl(nGC_1231)*dZee_QED2 + &
                        coupl(nGC_1232)*da_QED2
      coupl(nGC_TS_GC_117_Hl) = -coupl(nGC_117)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1746) = coupl(nGC_911)*dsw_QED2 + coupl(nGC_912)*dZee_QED2
      coupl(nGC_1747) = coupl(nGC_809)*dsw_QED2 + coupl(nGC_810)*dZee_QED2 +   &
                        coupl(nGC_811)*da_QED2
      coupl(nGC_1744) = coupl(nGC_894)*dsw_QED2 + coupl(nGC_895)*dZee_QED2 +   &
                        coupl(nGC_896)*da_QED2
      coupl(nGC_1745) = coupl(nGC_1098)*dsw_QED2 + coupl(nGC_1099)*dZee_QED2 + &
                        coupl(nGC_1100)*dvev_QED1
      coupl(nGC_1742) = coupl(nGC_875)*dcw_QED2 + coupl(nGC_876)*dsw_QED2 +    &
                        coupl(nGC_877)*dZee_QED2
      coupl(nGC_1743) = coupl(nGC_1198)*dsw_QED2 + coupl(nGC_1199)*dZee_QED2 + &
                        coupl(nGC_1200)*da_QED2
      coupl(nGC_1740) = coupl(nGC_381)*dyt_QED1_QCD2
      coupl(nGC_1741) = coupl(nGC_1201)*dZee_QED2
      coupl(nGC_1620) = cima*sq2**4d0*(-Nc*coupl(nGC_585)**4d0 - 15d0*coupl(   &
                        nGC_19)**4d0)/(192d0*pi**2d0)
      coupl(nGC_1748) = coupl(nGC_857)*dsw_QED2 + coupl(nGC_858)*dZee_QED2 +   &
                        coupl(nGC_859)*da_QED2
      coupl(nGC_1749) = coupl(nGC_1164)*dZee_QED2
      coupl(nGC_1889) = coupl(nGC_1754) + coupl(nGC_73)*dZWMinus_QED2
      coupl(nGC_1619) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +     &
                        coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_1709) = coupl(nGC_1114)*dyb_QED3 + coupl(nGC_1115)*da_QED2
      coupl(nGC_1489) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_206)*coupl(     &
                        nGC_621) + coupl(nGC_128)*coupl(nGC_207)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_208)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_205)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2094) = -coupl(nGC_103)*dZZA_QED2/2d0 - coupl(nGC_1749) - coupl&
                        (nGC_3)*dZA_QED2/2d0 - coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_2066) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtR_QCD2
      coupl(nGC_1874) = coupl(nGC_509)*dMW2_QED2
      coupl(nGC_2064) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtL_QCD2
      coupl(nGC_2065) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_2062) = coupl(nGC_1757) + coupl(nGC_82)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZHl_QED2/2d0 + &
                        coupl(nGC_92)*dZWMinus_QED2 + coupl(nGC_96)*dZHlHh_QED2&
                        /2d0
      coupl(nGC_2063) = coupl(nGC_115)*dZAZ_QED2 + coupl(nGC_1755) + coupl(    &
                        nGC_86)*dZZ_QED2
      coupl(nGC_1875) = coupl(nGC_513)*dMW2_QED2
      coupl(nGC_2145) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_122)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_2144) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1720) = coupl(nGC_1233)*dye_QED3 + coupl(nGC_1234)*da_QED2
      coupl(nGC_2146) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_2141) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_122)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_1876) = coupl(nGC_517)*dMZ2_QED2
      coupl(nGC_2068) = coupl(nGC_142)*dZZ_QED2 + coupl(nGC_1774)
      coupl(nGC_2069) = coupl(nGC_134)*dZAZ_QED2 + coupl(nGC_141)*dZZ_QED2 +   &
                        coupl(nGC_1775)
      coupl(nGC_1522) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_122)**2d0 + coupl(nGC_213)**2d0 + coupl(nGC_214)*  &
                        coupl(nGC_527) + coupl(nGC_215)**2d0 + coupl(nGC_216)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1523) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_585&
                        ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_1520) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_585) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1521) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_125)**2d0 + coupl(nGC_197)**2d0 + coupl(nGC_214)*  &
                        coupl(nGC_527) + coupl(nGC_215)**2d0 + coupl(nGC_216)**&
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1526) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(    &
                        nGC_193)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_218)*&
                        coupl(nGC_563) + coupl(nGC_219)**2d0 + coupl(nGC_220)**&
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1527) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_218)*    &
                        coupl(nGC_563) + coupl(nGC_219)**2d0 + coupl(nGC_220)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1524) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(   &
                        nGC_193)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_218)*&
                        coupl(nGC_563) - coupl(nGC_219)**2d0 - coupl(nGC_220)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1525) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_218)*   &
                        coupl(nGC_563) - coupl(nGC_219)**2d0 - coupl(nGC_220)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1481) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_194)*coupl(   &
                        nGC_601) + coupl(nGC_125)*coupl(nGC_195)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_196)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_193)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2053) = coupl(nGC_1702) + coupl(nGC_215)*dZsL_QCD2/2d0 + coupl(&
                        nGC_215)*dZsR_QCD2/2d0
      coupl(nGC_TS_GC_196_Hl) = -coupl(nGC_196)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1529) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_225)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_547) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1485) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_197)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_559) + coupl(  &
                        nGC_126)*coupl(nGC_199)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1956) = coupl(nGC_122)*dZdR_QCD2
      coupl(nGC_1955) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZdR_QED2 + coupl(nGC_1789)
      coupl(nGC_2052) = coupl(nGC_1701) + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZsL_QED2/2d0 + coupl(nGC_215)*dZsR_QED2/2d0  &
                         + coupl(nGC_216)*dZHlHh_QED2/2d0
      coupl(nGC_1704) = coupl(nGC_991)*dyb_QED1_QCD2
      coupl(nGC_2249) = coupl(nGC_1873) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                        nGC_TS_GC_162_Hh) + coupl(nGC_TS_GC_164_Hl)
      coupl(nGC_2247) = coupl(nGC_1858) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_211_Hh) + coupl(nGC_TS_GC_212_Hl)
      coupl(nGC_2245) = coupl(nGC_104)*dZZ_QED2/4d0 + coupl(nGC_1677)/2d0 +    &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_2243) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1571) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1570) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1572) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_200)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_228&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_200)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_220&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_196)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_216&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_228)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(nGC_120) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_208)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_212)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_212)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_212)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_224)*coupl(nGC_99) + 6d0*cima*coupl(nGC_28)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_102)*coupl(nGC_103)*coupl&
                        (nGC_28) + 6d0*coupl(nGC_103)*coupl(nGC_120)*coupl(    &
                        nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1932) = -coupl(nGC_1726) - coupl(nGC_198)*dZcL_QCD2/2d0 - coupl&
                        (nGC_198)*dZcR_QCD2/2d0
      coupl(nGC_1418) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_199) - coupl(nGC_199)**3d0 +   &
                        8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 - coupl(nGC_199)* &
                        coupl(nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1419) = coupl(nGC_19)**2d0*coupl(nGC_199)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1417) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) - coupl(  &
                        nGC_199)**3d0 + 8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 - &
                        coupl(nGC_199)*coupl(nGC_200)**2d0 - coupl(nGC_199)*   &
                        coupl(nGC_559)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1414) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_194)**2d0* &
                        coupl(nGC_195) - coupl(nGC_195)**3d0 - coupl(nGC_195)* &
                        coupl(nGC_196)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1415) = coupl(nGC_19)**2d0*coupl(nGC_195)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1413) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_195) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_219) - coupl(nGC_195)**3d0  &
                         - coupl(nGC_195)*coupl(nGC_196)**2d0 - coupl(nGC_195)*&
                        coupl(nGC_601)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1410) = (12d0*Nc*cMB*coupl(nGC_195)**2d0*coupl(nGC_196) + 12d0*&
                        Nc*cMC*coupl(nGC_199)**2d0*coupl(nGC_200) + 12d0*Nc*cMD&
                        *coupl(nGC_203)**2d0*coupl(nGC_204) + 12d0*Nc*cMS*coupl&
                        (nGC_215)**2d0*coupl(nGC_216) + 12d0*Nc*cMT*coupl(     &
                        nGC_219)**2d0*coupl(nGC_220) + 12d0*Nc*cMU*coupl(      &
                        nGC_227)**2d0*coupl(nGC_228) + 12d0*cME*coupl(nGC_207  &
                        )**2d0*coupl(nGC_208) + 12d0*cMM*coupl(nGC_211)**2d0*  &
                        coupl(nGC_212) + 12d0*cMTA*coupl(nGC_223)**2d0*coupl(  &
                        nGC_224) + cima*coupl(nGC_145)*coupl(nGC_177) + 2d0*   &
                        cima*coupl(nGC_147)*coupl(nGC_175) + 4d0*cima*coupl(   &
                        nGC_162)*coupl(nGC_92) + 2d0*cima*coupl(nGC_164)*coupl(&
                        nGC_82))/(16d0*pi**2d0)
      coupl(nGC_1411) = (12d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_196)**2d0 + 12d0*&
                        Nc*cMC*coupl(nGC_199)*coupl(nGC_200)**2d0 + 12d0*Nc*cMD&
                        *coupl(nGC_203)*coupl(nGC_204)**2d0 + 12d0*Nc*cMS*coupl&
                        (nGC_215)*coupl(nGC_216)**2d0 + 12d0*Nc*cMT*coupl(     &
                        nGC_219)*coupl(nGC_220)**2d0 + 12d0*Nc*cMU*coupl(      &
                        nGC_227)*coupl(nGC_228)**2d0 + 12d0*cME*coupl(nGC_207)*&
                        coupl(nGC_208)**2d0 + 12d0*cMM*coupl(nGC_211)*coupl(   &
                        nGC_212)**2d0 + 12d0*cMTA*coupl(nGC_223)*coupl(nGC_224 &
                        )**2d0 + 2d0*cima*coupl(nGC_147)*coupl(nGC_177) + cima*&
                        coupl(nGC_151)*coupl(nGC_175) + 2d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_96) + 4d0*cima*coupl(nGC_164)*coupl(nGC_92 &
                        ))/(16d0*pi**2d0)
      coupl(nGC_TS_GC_101_Hh) = -coupl(nGC_101)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1994) = coupl(nGC_101)*dZHh_QED2/2d0 + coupl(nGC_101)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_117)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1747)
      coupl(nGC_1311) = cMU*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1310) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1312) = (Nc*coupl(nGC_1)*coupl(nGC_193)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_197)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_201)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_213)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_217)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_225)**2d0 - Nc*coupl(nGC_193)**2d0*coupl(nGC_2) -  &
                        Nc*coupl(nGC_197)**2d0*coupl(nGC_2) - Nc*coupl(nGC_2)* &
                        coupl(nGC_201)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_213)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_217)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_225)**2d0 + coupl(nGC_205)**2d0*coupl(&
                        nGC_4) + coupl(nGC_209)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_221)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2184) = coupl(nGC_1717) + coupl(nGC_207)*dZHh_QED2/2d0 + coupl(&
                        nGC_207)*dZeMinusL_QED2/2d0 + coupl(nGC_207)*          &
                        dZeMinusR_QED2/2d0 + coupl(nGC_208)*dZHlHh_QED2/2d0
      coupl(nGC_1708) = coupl(nGC_1203)*dys_QED1_QCD2
      coupl(nGC_1878) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZdL_QED2/2d0 + coupl(nGC_99)*dZuL_QED2/ &
                        2d0
      coupl(nGC_2059) = coupl(nGC_1736) + coupl(nGC_228)*dZuL_QCD2/2d0 + coupl(&
                        nGC_228)*dZuR_QCD2/2d0
      coupl(nGC_2058) = coupl(nGC_1735) + coupl(nGC_227)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_228)*dZHl_QED2/2d0 + coupl(nGC_228)*dZuL_QED2&
                        /2d0 + coupl(nGC_228)*dZuR_QED2/2d0
      coupl(nGC_2057) = coupl(nGC_1688) + coupl(nGC_197)*dZcR_QCD2/2d0 + coupl(&
                        nGC_197)*dZsL_QCD2/2d0
      coupl(nGC_2056) = coupl(nGC_1687) + coupl(nGC_197)*dZcR_QED2/2d0 + coupl(&
                        nGC_197)*dZsL_QED2/2d0
      coupl(nGC_1700) = coupl(nGC_870)*dydo_QED1_QCD2
      coupl(nGC_2054) = coupl(nGC_1685) + coupl(nGC_213)*dZcL_QED2/2d0 + coupl(&
                        nGC_213)*dZsR_QED2/2d0
      coupl(nGC_1706) = coupl(nGC_1225)*dydo_QED1_QCD2
      coupl(nGC_1707) = coupl(nGC_1203)*dys_QED3 + coupl(nGC_1204)*da_QED2
      coupl(nGC_1974) = coupl(nGC_1734) + coupl(nGC_219)*dZtL_QCD2/2d0 + coupl(&
                        nGC_219)*dZtR_QCD2/2d0
      coupl(nGC_1301) = cima*coupl(nGC_585)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2029) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsR_QCD2
      coupl(nGC_2022) = coupl(nGC_123)*dZcR_QCD2
      coupl(nGC_2023) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/ &
                        2d0
      coupl(nGC_2020) = coupl(nGC_126)*dZcL_QCD2
      coupl(nGC_2027) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsL_QCD2
      coupl(nGC_2203) = coupl(nGC_1697) + coupl(nGC_194)*dZbL_QED2/2d0 + coupl(&
                        nGC_194)*dZbR_QED2/2d0
      coupl(nGC_2202) = -2d0*coupl(nGC_1764) - 4d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_1674) = coupl(nGC_1193)*dZee_QED2
      coupl(nGC_1672) = coupl(nGC_1208)*dZee_QED2
      coupl(nGC_1673) = coupl(nGC_1192)*dZee_QED2
      coupl(nGC_2204) = coupl(nGC_1698) + coupl(nGC_194)*dZbL_QCD2/2d0 + coupl(&
                        nGC_194)*dZbR_QCD2/2d0
      coupl(nGC_1671) = coupl(nGC_1101)*dsw_QED2 + coupl(nGC_1102)*dZee_QED2 + &
                        coupl(nGC_1103)*dvev_QED1
      coupl(nGC_1944) = coupl(nGC_162)*dZHh_QED2/2d0 + coupl(nGC_162)*         &
                        dZWMinus_QED2 + coupl(nGC_164)*dZHlHh_QED2/2d0 + coupl(&
                        nGC_1760) + coupl(nGC_TS_GC_82_Hh) + coupl(            &
                        nGC_TS_GC_92_Hl)
      coupl(nGC_2209) = coupl(nGC_1668) + 3d0*coupl(nGC_190)*dZHl_QED2/2d0 +   &
                        3d0*coupl(nGC_192)*dZHhHl_QED2/2d0 + coupl(            &
                        nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_34_Hl)
      coupl(nGC_1678) = coupl(nGC_1228)*dZgs_QCD2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
