!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1679) = coupl(nGC_1235)*dZgs_QCD2
      coupl(nGC_1779) = coupl(nGC_1159)*dcw_QED2 + coupl(nGC_1160)*dsw_QED2 +  &
                        coupl(nGC_1161)*dZee_QED2 + coupl(nGC_1162)*dvev_QED1  &
                         + coupl(nGC_1163)*da_QED2
      coupl(nGC_1778) = coupl(nGC_1187)*dcw_QED2 + coupl(nGC_1188)*dsw_QED2 +  &
                        coupl(nGC_1189)*dZee_QED2 + coupl(nGC_1190)*da_QED2
      coupl(nGC_1777) = coupl(nGC_1194)*dcw_QED2 + coupl(nGC_1195)*dsw_QED2 +  &
                        coupl(nGC_1196)*dZee_QED2 + coupl(nGC_1197)*da_QED2
      coupl(nGC_1776) = coupl(nGC_1048)*dcw_QED2 + coupl(nGC_1049)*dsw_QED2 +  &
                        coupl(nGC_1050)*dZee_QED2 + coupl(nGC_1051)*da_QED2
      coupl(nGC_1770) = coupl(nGC_1220)*dcw_QED2 + coupl(nGC_1221)*dZee_QED2 + &
                        coupl(nGC_1222)*da_QED2
      coupl(nGC_1978) = coupl(nGC_1737) + coupl(nGC_199)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_200)*dZHl_QED2/2d0 + coupl(nGC_200)*dZcL_QED2&
                        /2d0 + coupl(nGC_200)*dZcR_QED2/2d0
      coupl(nGC_2116) = coupl(nGC_100)*dZHhHl_QED2/2d0 + coupl(nGC_118)*       &
                        dZHl_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1752)
      coupl(nGC_2117) = -coupl(nGC_1673)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_2115) = coupl(nGC_103)*dZZA_QED2/2d0 + coupl(nGC_1749) + coupl(&
                        nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_2110) = coupl(nGC_1869) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_2201) = coupl(nGC_1764) + 2d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_2118) = coupl(nGC_105)*dZWMinus_QED2/4d0 + coupl(nGC_1676)/2d0
      coupl(nGC_2119) = -coupl(nGC_104)*dZZA_QED2/4d0 - coupl(nGC_1674)/2d0 -  &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_1452) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(     &
                        nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1453) = coupl(nGC_208)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_621)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1450) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_204) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_202)**2d0* &
                        coupl(nGC_204) - coupl(nGC_203)**2d0*coupl(nGC_204) -  &
                        coupl(nGC_204)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1907) = coupl(nGC_114)*dZAZ_QED2/2d0 + coupl(nGC_1771) + coupl(&
                        nGC_83)*dZWMinus_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/2d0
      coupl(nGC_1456) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_215)**2d0* &
                        coupl(nGC_216) - coupl(nGC_216)**3d0 - coupl(nGC_216)* &
                        coupl(nGC_527)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1457) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_216) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_213) - coupl(nGC_214)**2d0* &
                        coupl(nGC_216) - coupl(nGC_215)**2d0*coupl(nGC_216) -  &
                        coupl(nGC_216)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1454) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1903) = coupl(nGC_1740) + coupl(nGC_220)*dZtL_QCD2/2d0 + coupl(&
                        nGC_220)*dZtR_QCD2/2d0
      coupl(nGC_1458) = coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1459) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC*&
                        coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(nGC_216&
                        ) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0)
      coupl(nGC_1908) = -coupl(nGC_105)*dZWMinus_QED2/4d0 - coupl(nGC_1676)/2d0
      coupl(nGC_1909) = coupl(nGC_16)*dZHhHl_QED2/2d0 + coupl(nGC_1645) + coupl&
                        (nGC_27)*dZHl_QED2/2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1675) = coupl(nGC_1170)*dZee_QED2
      coupl(nGC_2232) = coupl(nGC_100)*dZHh_QED2/2d0 + coupl(nGC_100)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1751)
      coupl(nGC_1513) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - coupl(  &
                        nGC_197)**2d0 - coupl(nGC_198)*coupl(nGC_559) - coupl( &
                        nGC_199)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_200  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_2206) = -coupl(nGC_1698) - coupl(nGC_194)*dZbL_QCD2/2d0 - coupl&
                        (nGC_194)*dZbR_QCD2/2d0
      coupl(nGC_1511) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(   &
                        nGC_197)**2d0 + coupl(nGC_198)*coupl(nGC_559) + coupl( &
                        nGC_199)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_200  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1510) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(   &
                        nGC_198)*coupl(nGC_559) + coupl(nGC_199)**2d0 + 4d0*   &
                        coupl(nGC_2)**2d0 + coupl(nGC_200)**2d0 + coupl(nGC_213&
                        )**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2235) = coupl(nGC_1648) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +    &
                        coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
      coupl(nGC_2207) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1998) = -coupl(nGC_1696) - coupl(nGC_214)*dZsL_QCD2/2d0 - coupl&
                        (nGC_214)*dZsR_QCD2/2d0
      coupl(nGC_1997) = -coupl(nGC_1695) - coupl(nGC_214)*dZsL_QED2/2d0 - coupl&
                        (nGC_214)*dZsR_QED2/2d0
      coupl(nGC_1996) = coupl(nGC_1696) + coupl(nGC_214)*dZsL_QCD2/2d0 + coupl(&
                        nGC_214)*dZsR_QCD2/2d0
      coupl(nGC_1995) = coupl(nGC_1695) + coupl(nGC_214)*dZsL_QED2/2d0 + coupl(&
                        nGC_214)*dZsR_QED2/2d0
      coupl(nGC_2234) = coupl(nGC_TS_GC_179_Hl) + coupl(nGC_TS_GC_184_Hh)
      coupl(nGC_1487) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_202)*coupl(nGC_545) + coupl(nGC_122)*coupl(  &
                        nGC_203)**2d0 + coupl(nGC_122)*coupl(nGC_204)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_523)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1992) = coupl(nGC_1707) + coupl(nGC_215)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_216)*dZHl_QED2/2d0 + coupl(nGC_216)*dZsL_QED2&
                        /2d0 + coupl(nGC_216)*dZsR_QED2/2d0
      coupl(nGC_1991) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*dZHh_QED2/&
                        2d0 + coupl(nGC_110)*dZWMinus_QED2/2d0 + coupl(nGC_120 &
                        )*dZHlHh_QED2/2d0 + coupl(nGC_15)*dZZA_QED2/2d0 + coupl&
                        (nGC_1743)
      coupl(nGC_1379) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_601) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_601) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_218) - coupl(nGC_194)*coupl(&
                        nGC_195)**2d0 - coupl(nGC_194)*coupl(nGC_196)**2d0 -   &
                        coupl(nGC_194)*coupl(nGC_601)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1427) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_195) - cMC*&
                        coupl(nGC_199) - cMD*coupl(nGC_203) - cMS*coupl(nGC_215&
                        ) - cMT*coupl(nGC_219) - cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0)
      coupl(nGC_1426) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_533)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1425) = coupl(nGC_211)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_210)**2d0 - coupl(nGC_211)**2d0 - coupl(     &
                        nGC_212)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1424) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_207)**2d0 - coupl(nGC_208)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_621)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1423) = coupl(nGC_207)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_206)**2d0 - coupl(nGC_207)**2d0 - coupl(     &
                        nGC_208)**2d0 + 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1299) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1353) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1420) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_203) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_203)**3d0  &
                         - coupl(nGC_203)*coupl(nGC_204)**2d0 - coupl(nGC_203)*&
                        coupl(nGC_545)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1294) = cima*(coupl(nGC_124)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1295) = cima*(coupl(nGC_128)**2d0 + coupl(nGC_4)**2d0 + coupl( &
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1296) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1297) = cima*sq2**2d0*(Nc*coupl(nGC_585)**2d0 - 6d0*coupl(     &
                        nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_1290) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1291) = cima*(-coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1292) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1293) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1987) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
      coupl(nGC_1962) = coupl(nGC_1682) + coupl(nGC_201)*dZdR_QCD2/2d0 + coupl(&
                        nGC_201)*dZuL_QCD2/2d0
      coupl(nGC_2205) = -coupl(nGC_1697) - coupl(nGC_194)*dZbL_QED2/2d0 - coupl&
                        (nGC_194)*dZbR_QED2/2d0
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1488) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_202)*coupl(   &
                        nGC_545) + coupl(nGC_125)*coupl(nGC_203)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_204)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1447) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_200) - coupl(nGC_199)**2d0*    &
                        coupl(nGC_200) + 8d0*coupl(nGC_2)**2d0*coupl(nGC_200   &
                        ) - coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1629) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc &
                        **3d0)
      coupl(nGC_1628) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_1884) = coupl(nGC_16)*dZHh_QED2/2d0 + coupl(nGC_1635) + coupl( &
                        nGC_27)*dZHlHh_QED2/2d0
      coupl(nGC_1887) = -coupl(nGC_104)*dZWMinus_QED2/4d0 - coupl(nGC_1677)/2d0
      coupl(nGC_1730) = coupl(nGC_989)*dyup_QED1_QCD2
      coupl(nGC_1880) = coupl(nGC_114)*dZWMinus_QED2/2d0 + coupl(nGC_114)*     &
                        dZZ_QED2/2d0 + coupl(nGC_1742) + coupl(nGC_7)*dZAZ_QED2&
                        /2d0
      coupl(nGC_1882) = coupl(nGC_1714) + coupl(nGC_206)*dZeMinusL_QED2/2d0 +  &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_2127) = coupl(nGC_1872) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_175_Hh) + coupl(nGC_TS_GC_177_Hl)
      coupl(nGC_2126) = coupl(nGC_147)*dZHhHl_QED2 + coupl(nGC_151)*dZHl_QED2  &
                         + coupl(nGC_151)*dZZ_QED2 + coupl(nGC_1778)
      coupl(nGC_2055) = coupl(nGC_1686) + coupl(nGC_213)*dZcL_QCD2/2d0 + coupl(&
                        nGC_213)*dZsR_QCD2/2d0
      coupl(nGC_1738) = coupl(nGC_1210)*dyc_QED1_QCD2
      coupl(nGC_1888) = coupl(nGC_115)*dZWMinus_QED2 + coupl(nGC_1759)
      coupl(nGC_2089) = -coupl(nGC_130)*dZHhHl_QED2/2d0 - coupl(nGC_136)*      &
                        dZHl_QED2/2d0 - coupl(nGC_136)*dZZ_QED2/2d0 - coupl(   &
                        nGC_1767)
      coupl(nGC_1623) = (cima*coupl(nGC_20)**2d0 + 2d0*cima*coupl(nGC_20)*coupl&
                        (nGC_579) + cima*coupl(nGC_579)**2d0 - cima*coupl(     &
                        nGC_585)**4d0*sq2**4d0 - 2d0*coupl(nGC_20)*coupl(      &
                        nGC_585)**2d0*sq2**2d0 - 2d0*coupl(nGC_579)*coupl(     &
                        nGC_585)**2d0*sq2**2d0)/(32d0*pi**2d0)
      coupl(nGC_2082) = -coupl(nGC_100)*dZHh_QED2/2d0 - coupl(nGC_100)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_118)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1751)
      coupl(nGC_1622) = (-Nc*cima*coupl(nGC_20)*coupl(nGC_573) - Nc*cima*coupl(&
                        nGC_573)*coupl(nGC_579) + Nc*cima*coupl(nGC_585)**4d0* &
                        sq2**4d0 + Nc*coupl(nGC_20)*coupl(nGC_585)**2d0*sq2**  &
                        2d0 + Nc*coupl(nGC_573)*coupl(nGC_585)**2d0*sq2**2d0 + &
                        Nc*coupl(nGC_579)*coupl(nGC_585)**2d0*sq2**2d0 - cima* &
                        coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2013) = coupl(nGC_1704) + coupl(nGC_195)*dZbL_QCD2/2d0 + coupl(&
                        nGC_195)*dZbR_QCD2/2d0
      coupl(nGC_2012) = coupl(nGC_1703) + coupl(nGC_195)*dZHh_QED2/2d0 + coupl(&
                        nGC_195)*dZbL_QED2/2d0 + coupl(nGC_195)*dZbR_QED2/2d0  &
                         + coupl(nGC_196)*dZHlHh_QED2/2d0
      coupl(nGC_2011) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_2010) = coupl(nGC_1854) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_190_Hl) + coupl(nGC_TS_GC_192_Hh)
      coupl(nGC_2017) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_2016) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuR_QCD2
      coupl(nGC_2015) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_2014) = coupl(nGC_1785) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuL_QCD2
      coupl(nGC_2152) = -coupl(nGC_116)*dZAZ_QED2/2d0 + coupl(nGC_1781) + coupl&
                        (nGC_84)*dZWMinus_QED2 + coupl(nGC_84)*dZZ_QED2
      coupl(nGC_2153) = coupl(nGC_116)*dZAZ_QED2 + coupl(nGC_1782) + coupl(    &
                        nGC_85)*dZWMinus_QED2 + coupl(nGC_85)*dZZ_QED2
      coupl(nGC_2019) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZcL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2018) = coupl(nGC_110)*dZHhHl_QED2/2d0 + coupl(nGC_120)*       &
                        dZA_QED2/2d0 + coupl(nGC_120)*dZHl_QED2/2d0 + coupl(   &
                        nGC_120)*dZWMinus_QED2/2d0 + coupl(nGC_1744) + coupl(  &
                        nGC_28)*dZZA_QED2/2d0
      coupl(nGC_1948) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZbL_QED2 + coupl(nGC_1790)
      coupl(nGC_1949) = coupl(nGC_125)*dZbL_QCD2
      coupl(nGC_1941) = coupl(nGC_108)*dZAZ_QED2/2d0 + coupl(nGC_14)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl(&
                        nGC_1631)
      coupl(nGC_1942) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_1943) = coupl(nGC_1746) + coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_TS_GC_110_Hh) = -coupl(nGC_110)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1945) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_1741) + coupl(&
                        nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
      coupl(nGC_1947) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +    &
                        coupl(nGC_1672)
      coupl(nGC_2239) = coupl(nGC_1861) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_2238) = coupl(nGC_1860) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0 + coupl(nGC_TS_GC_227_Hh) + coupl&
                        (nGC_TS_GC_228_Hl)
      coupl(nGC_1649) = coupl(nGC_838)*da_QED2 + coupl(nGC_839)*dl2_QED4 +     &
                        coupl(nGC_840)*dl1_QED4 + coupl(nGC_841)*dl3_QED4
      coupl(nGC_2233) = -coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_1646) = coupl(nGC_1033)*dcw_QED2 + coupl(nGC_1034)*dsw_QED2 +  &
                        coupl(nGC_1035)*dZee_QED2 + coupl(nGC_1036)*da_QED2
      coupl(nGC_2231) = -coupl(nGC_105)*dZZA_QED2/4d0 - coupl(nGC_1673)/2d0 -  &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_1644) = coupl(nGC_842)*da_QED2 + coupl(nGC_843)*dl2_QED4 +     &
                        coupl(nGC_844)*dl1_QED4 + coupl(nGC_845)*dl3_QED4
      coupl(nGC_1641) = coupl(nGC_824)*da_QED2 + coupl(nGC_825)*dl2_QED4 +     &
                        coupl(nGC_826)*dl1_QED4 + coupl(nGC_827)*dl3_QED4
      coupl(nGC_1640) = coupl(nGC_815)*da_QED2 + coupl(nGC_816)*dl1_QED4 +     &
                        coupl(nGC_817)*dl3_QED4
      coupl(nGC_2103) = coupl(nGC_1859) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0 + coupl(        &
                        nGC_TS_GC_223_Hh) + coupl(nGC_TS_GC_224_Hl)
      coupl(nGC_1399) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_563) -    &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_563) - coupl(nGC_218)*coupl&
                        (nGC_219)**2d0 - coupl(nGC_218)*coupl(nGC_220)**2d0 -  &
                        coupl(nGC_218)*coupl(nGC_563)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1398) = coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1469) = (3d0*Nc*coupl(nGC_125)*coupl(nGC_99)**2d0 - 3d0*Nc*    &
                        coupl(nGC_126)*coupl(nGC_99)**2d0 - coupl(nGC_102)*    &
                        coupl(nGC_103)*coupl(nGC_523) - coupl(nGC_103)*coupl(  &
                        nGC_4)*coupl(nGC_557) + 3d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 - 3d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_1468) = coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1540) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_215)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_199)**2d0*coupl(nGC_2)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_219)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_227)**2d0 - 2d0*cima* &
                        coupl(nGC_207)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_223)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_82)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_82) + coupl(&
                        nGC_557)**2d0*coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1541) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_195)*coupl(  &
                        nGC_196) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_203 &
                        )*coupl(nGC_204) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_215)*coupl(nGC_216) - 2d0*Nc*cima*coupl(nGC_199)*  &
                        coupl(nGC_2)**2d0*coupl(nGC_200) - 2d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_219)*coupl(nGC_220) - 2d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_227)*coupl(nGC_228) - 2d0*&
                        cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_4)**2d0 - &
                        2d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_4)**  &
                        2d0 - 2d0*cima*coupl(nGC_223)*coupl(nGC_224)*coupl(    &
                        nGC_4)**2d0 + cima*coupl(nGC_9)*coupl(nGC_92) + coupl( &
                        nGC_3)**2d0*coupl(nGC_92) + coupl(nGC_557)**2d0*coupl( &
                        nGC_92))/(8d0*pi**2d0)
      coupl(nGC_1542) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_194)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_559)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_202)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_563)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_547)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_559)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_202)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_214)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_563)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_547)*coupl(nGC_99) + 6d0*cima*coupl(nGC_107)*coupl(&
                        nGC_529) + 6d0*cima*coupl(nGC_113)*coupl(nGC_13) + cima&
                        *coupl(nGC_205)*coupl(nGC_206)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_210)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_222)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_13)*coupl(nGC_3) + 6d0*coupl(nGC_107)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1543) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_227)*coupl(nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(&
                        nGC_529) + 6d0*cima*coupl(nGC_113)*coupl(nGC_15) + cima&
                        *coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_211)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_15)*coupl(nGC_3) + 6d0*coupl(nGC_110)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1391) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_202) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_202) - coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_547) - coupl(nGC_202)**2d0* &
                        coupl(nGC_545) - coupl(nGC_203)**2d0*coupl(nGC_545) -  &
                        coupl(nGC_204)**2d0*coupl(nGC_545))/(32d0*pi**2d0)
      coupl(nGC_1390) = coupl(nGC_19)**2d0*coupl(nGC_545)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1461) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) -    &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) - coupl(nGC_219)**2d0*&
                        coupl(nGC_220) - coupl(nGC_220)**3d0 - coupl(nGC_220)* &
                        coupl(nGC_563)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1392) = coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1467) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_226)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_227)**2d0*coupl(nGC_228) -  &
                        coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1466) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_228) - coupl(nGC_201)*    &
                        coupl(nGC_204)*coupl(nGC_225) - coupl(nGC_227)**2d0*   &
                        coupl(nGC_228) - coupl(nGC_228)**3d0 - coupl(nGC_228)* &
                        coupl(nGC_547)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1397) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_214) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_214) - coupl(nGC_197 &
                        )*coupl(nGC_213)*coupl(nGC_559) - coupl(nGC_214)**2d0* &
                        coupl(nGC_527) - coupl(nGC_215)**2d0*coupl(nGC_527) -  &
                        coupl(nGC_216)**2d0*coupl(nGC_527))/(32d0*pi**2d0)
      coupl(nGC_1396) = coupl(nGC_19)**2d0*coupl(nGC_527)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1544) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_193&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(&
                        nGC_201)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_122 &
                        )*coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_123)*coupl(nGC_197)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_123)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_123)*coupl(nGC_225)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_197)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(      &
                        nGC_217)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125 &
                        )*coupl(nGC_225)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_126)*coupl(nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_126)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_213)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_122)*coupl(nGC_193)**2d0*coupl(nGC_2 &
                        ) + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_2)*coupl(     &
                        nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_2 &
                        )*coupl(nGC_213)**2d0 - 8d0*Nc*cima*coupl(nGC_123)*    &
                        coupl(nGC_197)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(  &
                        nGC_123)*coupl(nGC_2)*coupl(nGC_217)**2d0 - 8d0*Nc*cima&
                        *coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_225)**2d0 + 5d0*&
                        Nc*cima*coupl(nGC_125)*coupl(nGC_197)**2d0*coupl(nGC_2 &
                        ) + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*coupl(     &
                        nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2 &
                        )*coupl(nGC_225)**2d0 - 8d0*Nc*cima*coupl(nGC_126)*    &
                        coupl(nGC_193)**2d0*coupl(nGC_2) - 8d0*Nc*cima*coupl(  &
                        nGC_126)*coupl(nGC_2)*coupl(nGC_201)**2d0 - 8d0*Nc*cima&
                        *coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_213)**2d0 + 6d0*&
                        cima*coupl(nGC_116)*coupl(nGC_71) - 8d0*cima*coupl(    &
                        nGC_124)*coupl(nGC_205)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_124)*coupl(nGC_209)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_124)*coupl(nGC_221)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_129)*coupl(nGC_205)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_129)*coupl(nGC_209)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_129)*coupl(nGC_221)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl(  &
                        nGC_71) + 6d0*coupl(nGC_523)*coupl(nGC_557)*coupl(     &
                        nGC_71))/(48d0*pi**2d0)
      coupl(nGC_1545) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_200)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_228)*coupl(nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(&
                        nGC_28) + 6d0*cima*coupl(nGC_120)*coupl(nGC_529) + cima&
                        *coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_212)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_28)*coupl(nGC_3) + 6d0*coupl(nGC_120)*coupl&
                        (nGC_3)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_1546) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_601)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_198)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_545)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_527)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_218)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_226)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_601)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_545)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_527)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_218)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_226)*coupl(nGC_99) + 6d0*cima*coupl(nGC_108)*coupl(&
                        nGC_529) + 6d0*cima*coupl(nGC_113)*coupl(nGC_14) + cima&
                        *coupl(nGC_205)*coupl(nGC_4)*coupl(nGC_621)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_4)*coupl(      &
                        nGC_533)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(    &
                        nGC_4)*coupl(nGC_591)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_14)*coupl(nGC_557) + 6d0*coupl(nGC_108)*   &
                        coupl(nGC_3)*coupl(nGC_557))/(48d0*pi**2d0)
      coupl(nGC_1496) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_214)*coupl(nGC_527) + coupl(nGC_122)*coupl(  &
                        nGC_215)**2d0 + coupl(nGC_122)*coupl(nGC_216)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_523)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1497) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_214)*coupl(   &
                        nGC_527) + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1494) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_209)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1547) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_122) + Nc*cima*   &
                        coupl(nGC_1)**3d0*coupl(nGC_125) + Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_2)**3d0 + Nc*cima*coupl(nGC_126)*   &
                        coupl(nGC_2)**3d0 - 2d0*cima*coupl(nGC_103)*coupl(nGC_3&
                        )**3d0 + cima*coupl(nGC_116)*coupl(nGC_9) + cima*coupl(&
                        nGC_124)*coupl(nGC_4)**3d0 + cima*coupl(nGC_128)*coupl(&
                        nGC_4)**3d0 - 2d0*cima*coupl(nGC_523)*coupl(nGC_557)** &
                        3d0 + coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_9) + coupl(&
                        nGC_116)*coupl(nGC_3)**2d0 + coupl(nGC_116)*coupl(     &
                        nGC_557)**2d0 + coupl(nGC_523)*coupl(nGC_557)*coupl(   &
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1492) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_210)*coupl(nGC_533) + coupl(nGC_124)*coupl(&
                        nGC_211)**2d0 + coupl(nGC_124)*coupl(nGC_212)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1493) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_205)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1490) = (-2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124&
                        )*coupl(nGC_206)*coupl(nGC_621) + coupl(nGC_124)*coupl(&
                        nGC_207)**2d0 + coupl(nGC_124)*coupl(nGC_208)**2d0 +   &
                        4d0*coupl(nGC_128)**3d0 + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1491) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(     &
                        nGC_533) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_209)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1499) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_563) + coupl(  &
                        nGC_126)*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1904) = coupl(nGC_175)*dZHh_QED2/2d0 + coupl(nGC_175)*dZZ_QED2 &
                         + coupl(nGC_177)*dZHlHh_QED2/2d0 + coupl(nGC_1779) +  &
                        coupl(nGC_TS_GC_145_Hh) + coupl(nGC_TS_GC_147_Hl)
      coupl(nGC_1905) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZeMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_1906) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZeMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_1265) = (Nc*cMB**2d0*cima*coupl(nGC_99)**2d0 + Nc*cMC**2d0*cima&
                        *coupl(nGC_99)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_99)** &
                        2d0 + Nc*cMS**2d0*cima*coupl(nGC_99)**2d0 + Nc*cMT**2d0&
                        *cima*coupl(nGC_99)**2d0 + Nc*cMU**2d0*cima*coupl(     &
                        nGC_99)**2d0 + cME**2d0*cima*coupl(nGC_99)**2d0 + cMM**&
                        2d0*cima*coupl(nGC_99)**2d0 + cMTA**2d0*cima*coupl(    &
                        nGC_99)**2d0 + cMW**2d0*cima*coupl(nGC_102)*coupl(     &
                        nGC_523) + cMW**2d0*cima*coupl(nGC_103)*coupl(nGC_597  &
                        ) + cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_521) + cMW**  &
                        2d0*cima*coupl(nGC_4)*coupl(nGC_557) - 2d0*cMW**2d0*   &
                        coupl(nGC_617) + cMZ**2d0*cima*coupl(nGC_102)*coupl(   &
                        nGC_523) + cMZ**2d0*cima*coupl(nGC_103)*coupl(nGC_597  &
                        ) - cMZ**2d0*coupl(nGC_85))/(16d0*pi**2d0)
      coupl(nGC_1264) = cima*(coupl(nGC_102)*coupl(nGC_523) + coupl(nGC_103)*  &
                        coupl(nGC_597) + coupl(nGC_3)*coupl(nGC_521) + coupl(  &
                        nGC_4)*coupl(nGC_557))/(48d0*pi**2d0)
      coupl(nGC_1267) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_199)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_203)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_215)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_219)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_227)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_207)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_211)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_223 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_82) - cMZ**2d0*coupl(  &
                        nGC_145) + 2d0*cima*coupl(nGC_162)**2d0 + cima*coupl(  &
                        nGC_175)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1451) = coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1261) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0  &
                         + Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 + Nc&
                        *coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 + coupl( &
                        nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(nGC_221)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_1263) = cima*(-3d0*Nc*coupl(nGC_99)**2d0 - coupl(nGC_102)*coupl&
                        (nGC_523) - coupl(nGC_103)*coupl(nGC_597) - coupl(nGC_3&
                        )*coupl(nGC_521) - coupl(nGC_4)*coupl(nGC_557) - 3d0*  &
                        coupl(nGC_99)**2d0)/(48d0*pi**2d0)
      coupl(nGC_1262) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_197  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_201)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_225)**2d0 - cME**2d0*cima&
                        *coupl(nGC_205)**2d0 - cMM**2d0*cima*coupl(nGC_209)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_221)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_71) - cMZ**2d0*coupl(nGC_141) + 2d0*cima*   &
                        coupl(nGC_154)**2d0 + 2d0*cima*coupl(nGC_166)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_1900) = -coupl(nGC_1694) - coupl(nGC_202)*dZdL_QCD2/2d0 - coupl&
                        (nGC_202)*dZdR_QCD2/2d0
      coupl(nGC_1269) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_227)*coupl(nGC_228) -   &
                        4d0*cME**2d0*cima*coupl(nGC_207)*coupl(nGC_208) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_212) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_223)*coupl(nGC_224) - 2d0*cMW**2d0&
                        *coupl(nGC_92) - cMZ**2d0*coupl(nGC_147) + 2d0*cima*   &
                        coupl(nGC_162)*coupl(nGC_164) + cima*coupl(nGC_175)*   &
                        coupl(nGC_177))/(16d0*pi**2d0)
      coupl(nGC_1268) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(     &
                        nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(     &
                        nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl(&
                        nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(     &
                        nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(      &
                        nGC_211)*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1901) = coupl(nGC_114)*dZA_QED2/2d0 + coupl(nGC_114)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_1742) + coupl(nGC_83)*   &
                        dZZA_QED2/2d0
      coupl(nGC_1902) = coupl(nGC_1739) + coupl(nGC_219)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_220)*dZHl_QED2/2d0 + coupl(nGC_220)*dZtL_QED2&
                        /2d0 + coupl(nGC_220)*dZtR_QED2/2d0
      coupl(nGC_2067) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_1548) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_199)*coupl(nGC_2)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_219)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_227)*coupl(nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(&
                        nGC_529) + 6d0*cima*coupl(nGC_113)*coupl(nGC_15) + cima&
                        *coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_211)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_223)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_15)*coupl(nGC_557) + 6d0*coupl(nGC_110)*   &
                        coupl(nGC_3)*coupl(nGC_557))/(48d0*pi**2d0)
      coupl(nGC_1304) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_1455) = coupl(nGC_212)*(8d0*coupl(nGC_124)*coupl(nGC_128) -    &
                        coupl(nGC_211)**2d0 - coupl(nGC_212)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_533)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1303) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1300) = cima*sq2**2d0*(-Nc*coupl(nGC_585)**2d0 + 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_1549) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(    &
                        nGC_2)**4d0 - 2d0*cima*coupl(nGC_3)**4d0 + 2d0*cima*   &
                        coupl(nGC_4)**4d0 - 2d0*cima*coupl(nGC_557)**4d0 + cima&
                        *coupl(nGC_9)**2d0 + 2d0*coupl(nGC_3)**2d0*coupl(nGC_9 &
                        ) + 2d0*coupl(nGC_557)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_2048) = coupl(nGC_1691) + coupl(nGC_217)*dZbL_QED2/2d0 + coupl(&
                        nGC_217)*dZtR_QED2/2d0
      coupl(nGC_2049) = coupl(nGC_1692) + coupl(nGC_217)*dZbL_QCD2/2d0 + coupl(&
                        nGC_217)*dZtR_QCD2/2d0
      coupl(nGC_2044) = coupl(nGC_1786) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZcL_QED2/2d0 + coupl(nGC_99)*dZsL_QED2/ &
                        2d0
      coupl(nGC_2045) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_2046) = coupl(nGC_1689) + coupl(nGC_193)*dZbR_QED2/2d0 + coupl(&
                        nGC_193)*dZtL_QED2/2d0
      coupl(nGC_2061) = coupl(nGC_145)*dZHh_QED2 + coupl(nGC_145)*dZZ_QED2 +   &
                        coupl(nGC_147)*dZHlHh_QED2 + coupl(nGC_1776)
      coupl(nGC_2041) = coupl(nGC_1719) + coupl(nGC_223)*dZHh_QED2/2d0 + coupl(&
                        nGC_223)*dZtauMinusL_QED2/2d0 + coupl(nGC_223)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_224)*dZHlHh_QED2/2d0
      coupl(nGC_2042) = coupl(nGC_136)*dZZA_QED2/2d0
      coupl(nGC_2043) = coupl(nGC_1661) + coupl(nGC_174)*dZHh_QED2/2d0 + coupl(&
                        nGC_178)*dZHlHh_QED2/2d0
      coupl(nGC_2140) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_2143) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1784)
      coupl(nGC_2142) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_1602) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_196)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_204)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_216)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_196)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_204)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_216)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_228)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_228)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_196)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_204)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_216)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_200)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_220)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_228)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_208)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_212)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_224)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_208)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_224  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_208)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_212)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_224)**2d0 +  &
                        3d0*cima*coupl(nGC_85)*coupl(nGC_96) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_96) + 3d0*coupl(nGC_523)**2d0* &
                        coupl(nGC_96))/(24d0*pi**2d0)
      coupl(nGC_1600) = (9d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 -  &
                        15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99&
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_523) - 4d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_557) + 9d0*cima*coupl(nGC_128)**2d0*  &
                        coupl(nGC_99)**2d0 - 15d0*cima*coupl(nGC_128)*coupl(   &
                        nGC_129)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(nGC_129)**&
                        2d0*coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_617)*coupl(&
                        nGC_85) + 3d0*coupl(nGC_102)*coupl(nGC_523)*coupl(     &
                        nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_617) + 3d0*&
                        coupl(nGC_4)*coupl(nGC_557)*coupl(nGC_85) + 3d0*coupl( &
                        nGC_523)**2d0*coupl(nGC_617))/(24d0*pi**2d0)
      coupl(nGC_1607) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_195)*coupl&
                        (nGC_196) - coupl(nGC_199)*coupl(nGC_200) - coupl(     &
                        nGC_203)*coupl(nGC_204) - coupl(nGC_215)*coupl(nGC_216 &
                        ) - coupl(nGC_219)*coupl(nGC_220) - coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0)
      coupl(nGC_1606) = -cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1604) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)**2d0  &
                         + coupl(nGC_199)**2d0 + coupl(nGC_203)**2d0 + coupl(  &
                        nGC_215)**2d0 + coupl(nGC_219)**2d0 + coupl(nGC_227)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_196)**2d0 &
                         - coupl(nGC_200)**2d0 - coupl(nGC_204)**2d0 - coupl(  &
                        nGC_216)**2d0 - coupl(nGC_220)**2d0 - coupl(nGC_228)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_1608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_195)*coupl(&
                        nGC_196) + coupl(nGC_199)*coupl(nGC_200) + coupl(      &
                        nGC_203)*coupl(nGC_204) + coupl(nGC_215)*coupl(nGC_216 &
                        ) + coupl(nGC_219)*coupl(nGC_220) + coupl(nGC_227)*    &
                        coupl(nGC_228))/(16d0*pi**2d0*Nc)
      coupl(nGC_1959) = coupl(nGC_1683) + coupl(nGC_225)*dZdL_QED2/2d0 + coupl(&
                        nGC_225)*dZuR_QED2/2d0
      coupl(nGC_1958) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_tauL_QED2 + coupl(nGC_1791)
      coupl(nGC_1769) = coupl(nGC_920)*dcw_QED2 + coupl(nGC_921)*dZee_QED2 +   &
                        coupl(nGC_922)*da_QED2
      coupl(nGC_1512) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(  &
                        nGC_198)*coupl(nGC_559) - coupl(nGC_199)**2d0 - 4d0*   &
                        coupl(nGC_2)**2d0 - coupl(nGC_200)**2d0 - coupl(nGC_213&
                        )**2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2160) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZtL_QED2 &
                         + coupl(nGC_1787) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2163) = coupl(nGC_123)*dZtR_QCD2
      coupl(nGC_1953) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZdL_QED2 + coupl(nGC_1790)
      coupl(nGC_2161) = coupl(nGC_126)*dZtL_QCD2
      coupl(nGC_1495) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_221)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2167) = 2d0*coupl(nGC_1679) + 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2166) = -coupl(nGC_1679) - 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2165) = -coupl(nGC_105)*dZZ_QED2/4d0 - coupl(nGC_1676)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_1480) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2169) = -2d0*coupl(nGC_1679) - 4d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2168) = coupl(nGC_1679) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1528) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_547) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1931) = -coupl(nGC_1725) - coupl(nGC_198)*dZcL_QED2/2d0 - coupl&
                        (nGC_198)*dZcR_QED2/2d0
      coupl(nGC_1930) = coupl(nGC_1726) + coupl(nGC_198)*dZcL_QCD2/2d0 + coupl(&
                        nGC_198)*dZcR_QCD2/2d0
      coupl(nGC_1933) = -coupl(nGC_136)*dZZA_QED2/2d0
      coupl(nGC_1482) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1935) = -coupl(nGC_116)*dZA_QED2/4d0 - coupl(nGC_116)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_116)*dZZ_QED2/4d0 - coupl&
                        (nGC_1773)/2d0 + coupl(nGC_8)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_84)*dZZA_QED2/2d0
      coupl(nGC_1934) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*          &
                        dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1773) - coupl(nGC_8)*dZAZ_QED2 + coupl(nGC_85)*    &
                        dZZA_QED2/2d0
      coupl(nGC_1937) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
      coupl(nGC_1936) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusL_QED2
      coupl(nGC_1939) = coupl(nGC_130)*dZHhHl_QED2/2d0 + coupl(nGC_136)*       &
                        dZHl_QED2/2d0 + coupl(nGC_136)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1767)
      coupl(nGC_1938) = coupl(nGC_1643) + coupl(nGC_29)*dZHhHl_QED2 + coupl(   &
                        nGC_30)*dZHl_QED2
      coupl(nGC_1484) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2266) = -coupl(nGC_1312)
      coupl(nGC_2260) = -coupl(nGC_1345)
      coupl(nGC_2261) = -coupl(nGC_1365)
      coupl(nGC_2262) = -coupl(nGC_1347)
      coupl(nGC_2263) = -coupl(nGC_1367)
      coupl(nGC_1500) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_222)*coupl(     &
                        nGC_591) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1486) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1505) = -coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_585) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1788) = coupl(nGC_908)*dcw_QED2 + coupl(nGC_909)*dsw_QED2 +    &
                        coupl(nGC_910)*dZee_QED2
      coupl(nGC_1593) = cima*(20d0*Nc*coupl(nGC_196)**4d0 + 20d0*Nc*coupl(     &
                        nGC_200)**4d0 + 20d0*Nc*coupl(nGC_204)**4d0 + 20d0*Nc* &
                        coupl(nGC_216)**4d0 + 20d0*Nc*coupl(nGC_220)**4d0 +    &
                        20d0*Nc*coupl(nGC_228)**4d0 + 3d0*coupl(nGC_151)**2d0  &
                         + 20d0*coupl(nGC_208)**4d0 + 20d0*coupl(nGC_212)**4d0 &
                         + 20d0*coupl(nGC_224)**4d0 + 6d0*coupl(nGC_96)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_1592) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123 &
                        )*coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_1591) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123 &
                        )*coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_1590) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_203)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_215)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(   &
                        nGC_195)**2d0 + 10d0*Nc*cima*coupl(nGC_122)*coupl(     &
                        nGC_125)*coupl(nGC_203)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_227)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*coupl(   &
                        nGC_219)**2d0 + 10d0*Nc*cima*coupl(nGC_123)*coupl(     &
                        nGC_126)*coupl(nGC_227)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_195)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_203)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_215)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_199)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_219)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_207)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_211)**2d0 - 8d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_223)**2d0 + 10d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_128)*coupl(nGC_207)**2d0 + 10d0*cima&
                        *coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211)**2d0 +   &
                        10d0*cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223  &
                        )**2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207)** &
                        2d0 - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_211)**2d0 &
                         - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_223)**2d0 +  &
                        3d0*cima*coupl(nGC_82)*coupl(nGC_85) + 3d0*coupl(      &
                        nGC_103)**2d0*coupl(nGC_82) + 3d0*coupl(nGC_523)**2d0* &
                        coupl(nGC_82))/(24d0*pi**2d0)
      coupl(nGC_1597) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_194)*coupl(&
                        nGC_601) + coupl(nGC_198)*coupl(nGC_559) + coupl(      &
                        nGC_202)*coupl(nGC_545) + coupl(nGC_214)*coupl(nGC_527 &
                        ) + coupl(nGC_218)*coupl(nGC_563) + coupl(nGC_226)*    &
                        coupl(nGC_547))/(16d0*pi**2d0*Nc)
      coupl(nGC_1596) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_194)*coupl&
                        (nGC_601) - coupl(nGC_198)*coupl(nGC_559) - coupl(     &
                        nGC_202)*coupl(nGC_545) - coupl(nGC_214)*coupl(nGC_527 &
                        ) - coupl(nGC_218)*coupl(nGC_563) - coupl(nGC_226)*    &
                        coupl(nGC_547))/(16d0*pi**2d0)
      coupl(nGC_1595) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(      &
                        nGC_203)*coupl(nGC_204) - 8d0*Nc*cima*coupl(nGC_122)** &
                        2d0*coupl(nGC_215)*coupl(nGC_216) + 10d0*Nc*cima*coupl(&
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                        nGC_203)*coupl(nGC_204) + 10d0*Nc*cima*coupl(nGC_122)* &
                        coupl(nGC_125)*coupl(nGC_215)*coupl(nGC_216) - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_199)*coupl(nGC_200  &
                        ) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_219)*    &
                        coupl(nGC_220) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(&
                        nGC_227)*coupl(nGC_228) + 10d0*Nc*cima*coupl(nGC_123)* &
                        coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_200) + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219)*coupl&
                        (nGC_220) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*&
                        coupl(nGC_227)*coupl(nGC_228) - 8d0*Nc*cima*coupl(     &
                        nGC_125)**2d0*coupl(nGC_195)*coupl(nGC_196) - 8d0*Nc*  &
                        cima*coupl(nGC_125)**2d0*coupl(nGC_203)*coupl(nGC_204  &
                        ) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_215)*    &
                        coupl(nGC_216) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                        nGC_199)*coupl(nGC_200) - 8d0*Nc*cima*coupl(nGC_126)** &
                        2d0*coupl(nGC_219)*coupl(nGC_220) - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_227)*coupl(nGC_228) - 8d0*cima*&
                        coupl(nGC_124)**2d0*coupl(nGC_207)*coupl(nGC_208) - 8d0&
                        *cima*coupl(nGC_124)**2d0*coupl(nGC_211)*coupl(nGC_212 &
                        ) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_223)*coupl( &
                        nGC_224) + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*    &
                        coupl(nGC_207)*coupl(nGC_208) + 10d0*cima*coupl(nGC_124&
                        )*coupl(nGC_128)*coupl(nGC_211)*coupl(nGC_212) + 10d0* &
                        cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_223)*coupl&
                        (nGC_224) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_207 &
                        )*coupl(nGC_208) - 8d0*cima*coupl(nGC_128)**2d0*coupl( &
                        nGC_211)*coupl(nGC_212) - 8d0*cima*coupl(nGC_128)**2d0*&
                        coupl(nGC_223)*coupl(nGC_224) + 3d0*cima*coupl(nGC_85)*&
                        coupl(nGC_92) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_92   &
                        ) + 3d0*coupl(nGC_523)**2d0*coupl(nGC_92))/(24d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_151_Hl) = -coupl(nGC_151)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1599) = (18d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(     &
                        nGC_102)**2d0*coupl(nGC_523)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_523)*coupl(nGC_597   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_557 &
                        )*coupl(nGC_597) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_523)*coupl(nGC_557) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_597)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_521)*coupl(nGC_597) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_521)*   &
                        coupl(nGC_523) + 6d0*cima*coupl(nGC_116)**2d0 - 4d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_521)**2d0 - 8d0*cima* &
                        coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_521)*coupl(nGC_557 &
                        ) - 4d0*cima*coupl(nGC_4)**2d0*coupl(nGC_557)**2d0 +   &
                        6d0*cima*coupl(nGC_617)**2d0 + 3d0*cima*coupl(nGC_85)**&
                        2d0 + 3d0*cima*coupl(nGC_9)**2d0 + 18d0*cima*coupl(    &
                        nGC_99)**4d0 + 6d0*coupl(nGC_102)*coupl(nGC_116)*coupl(&
                        nGC_557) + 6d0*coupl(nGC_102)*coupl(nGC_523)*coupl(    &
                        nGC_617) + 6d0*coupl(nGC_102)*coupl(nGC_523)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_103)*coupl(nGC_116)*coupl(     &
                        nGC_521) + 6d0*coupl(nGC_103)*coupl(nGC_597)*coupl(    &
                        nGC_617) + 6d0*coupl(nGC_103)*coupl(nGC_597)*coupl(    &
                        nGC_85) + 6d0*coupl(nGC_116)*coupl(nGC_3)*coupl(nGC_597&
                        ) + 6d0*coupl(nGC_116)*coupl(nGC_4)*coupl(nGC_523) +   &
                        6d0*coupl(nGC_3)*coupl(nGC_521)*coupl(nGC_617) + 6d0*  &
                        coupl(nGC_3)*coupl(nGC_521)*coupl(nGC_9) + 6d0*coupl(  &
                        nGC_4)*coupl(nGC_557)*coupl(nGC_617) + 6d0*coupl(nGC_4 &
                        )*coupl(nGC_557)*coupl(nGC_9))/(48d0*pi**2d0)
      coupl(nGC_1598) = (-30d0*Nc*cima*coupl(nGC_99)**4d0 - 4d0*cima*coupl(    &
                        nGC_102)**2d0*coupl(nGC_523)**2d0 - 8d0*cima*coupl(    &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_523)*coupl(nGC_597   &
                        ) - 8d0*cima*coupl(nGC_102)*coupl(nGC_3)*coupl(nGC_557 &
                        )*coupl(nGC_597) - 8d0*cima*coupl(nGC_102)*coupl(nGC_4 &
                        )*coupl(nGC_523)*coupl(nGC_557) - 4d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_597)**2d0 - 8d0*cima*coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_521)*coupl(nGC_597) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_4)*coupl(nGC_521)*   &
                        coupl(nGC_523) - 4d0*cima*coupl(nGC_3)**2d0*coupl(     &
                        nGC_521)**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_4)*    &
                        coupl(nGC_521)*coupl(nGC_557) - 4d0*cima*coupl(nGC_4)**&
                        2d0*coupl(nGC_557)**2d0 + 3d0*cima*coupl(nGC_75)**2d0  &
                         - 30d0*cima*coupl(nGC_99)**4d0 + 6d0*coupl(nGC_102)*  &
                        coupl(nGC_597)*coupl(nGC_75) + 6d0*coupl(nGC_103)*coupl&
                        (nGC_523)*coupl(nGC_75) + 6d0*coupl(nGC_3)*coupl(      &
                        nGC_557)*coupl(nGC_75) + 6d0*coupl(nGC_4)*coupl(nGC_521&
                        )*coupl(nGC_75))/(48d0*pi**2d0)
      coupl(nGC_1980) = coupl(nGC_1644) + coupl(nGC_32)*dZHlHh_QED2 + coupl(   &
                        nGC_33)*dZHhHl_QED2 + coupl(nGC_36)*dZHh_QED2 + coupl( &
                        nGC_36)*dZHl_QED2
      coupl(nGC_1981) = coupl(nGC_1758) + coupl(nGC_92)*dZHhHl_QED2 + coupl(   &
                        nGC_96)*dZHl_QED2 + coupl(nGC_96)*dZWMinus_QED2
      coupl(nGC_1989) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_1672)
      coupl(nGC_1680) = coupl(nGC_1227)*dZgs_QCD2
      coupl(nGC_1343) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_195) + 2d0*Nc&
                        *cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_219) + 2d0&
                        *Nc*cMB*coupl(nGC_195)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_197)**2d0*coupl(nGC_199) + 2d0*Nc*cMC*coupl(&
                        nGC_197)*coupl(nGC_213)*coupl(nGC_215) + 2d0*Nc*cMC*   &
                        coupl(nGC_199)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_201)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl(nGC_201&
                        )*coupl(nGC_225)*coupl(nGC_227) + 2d0*Nc*cMD*coupl(    &
                        nGC_203)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197&
                        )**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(nGC_197)*coupl&
                        (nGC_199)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)** &
                        2d0*coupl(nGC_215) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*   &
                        coupl(nGC_219) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(      &
                        nGC_195)*coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**  &
                        2d0*coupl(nGC_219) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*   &
                        coupl(nGC_227) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(      &
                        nGC_203)*coupl(nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**  &
                        2d0*coupl(nGC_227) + 2d0*cME*coupl(nGC_205)**2d0*coupl(&
                        nGC_207) + 2d0*cMM*coupl(nGC_209)**2d0*coupl(nGC_211   &
                        ) + 2d0*cMTA*coupl(nGC_221)**2d0*coupl(nGC_223) + 4d0* &
                        cima*coupl(nGC_110)*coupl(nGC_166) + cima*coupl(nGC_141&
                        )*coupl(nGC_175) + 4d0*cima*coupl(nGC_15)*coupl(nGC_154&
                        ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1340) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_222)*&
                        coupl(nGC_4)*coupl(nGC_591) + coupl(nGC_223)**2d0*coupl&
                        (nGC_4) + coupl(nGC_224)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1437) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) + 8d0&
                        *coupl(nGC_2)**2d0*coupl(nGC_227) - coupl(nGC_201)*    &
                        coupl(nGC_203)*coupl(nGC_225) - coupl(nGC_227)**3d0 -  &
                        coupl(nGC_227)*coupl(nGC_228)**2d0 - coupl(nGC_227)*   &
                        coupl(nGC_547)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1430) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_215) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) - coupl(nGC_214)**2d0* &
                        coupl(nGC_215) - coupl(nGC_215)**3d0 - coupl(nGC_215)* &
                        coupl(nGC_216)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1432) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_219) -    &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_217) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_219) - coupl(nGC_219)**3d0 &
                         - coupl(nGC_219)*coupl(nGC_220)**2d0 - coupl(nGC_219)*&
                        coupl(nGC_563)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1349) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) -  &
                        Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) - Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) + Nc* &
                        cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) + Nc*  &
                        cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) + Nc*  &
                        cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + Nc*  &
                        cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + Nc*  &
                        cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) + cME* &
                        coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl(    &
                        nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*coupl(     &
                        nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*coupl(    &
                        nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima*coupl(&
                        nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(nGC_154)*coupl&
                        (nGC_84) + 2d0*coupl(nGC_102)*coupl(nGC_103)*coupl(    &
                        nGC_154) + 2d0*coupl(nGC_103)*coupl(nGC_166)*coupl(    &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2164) = -coupl(nGC_1746) - coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_1999) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_15)*dZHh_QED2/&
                        2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZZ_QED2/2d0 + coupl(nGC_1769) + coupl(nGC_28)*        &
                        dZHlHh_QED2/2d0
      coupl(nGC_1550) = (Nc*cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*   &
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_99) + Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + Nc*cima* &
                        coupl(nGC_1)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99&
                        ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_217)*coupl(     &
                        nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_99&
                        ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_200)*&
                        coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_2)*coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(    &
                        nGC_2)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) + Nc&
                        *cima*coupl(nGC_2)*coupl(nGC_217)*coupl(nGC_220)*coupl(&
                        nGC_99) + Nc*cima*coupl(nGC_2)*coupl(nGC_225)*coupl(   &
                        nGC_228)*coupl(nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(&
                        nGC_28) + 6d0*cima*coupl(nGC_120)*coupl(nGC_529) + cima&
                        *coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_4)*coupl(     &
                        nGC_99) + cima*coupl(nGC_209)*coupl(nGC_212)*coupl(    &
                        nGC_4)*coupl(nGC_99) + cima*coupl(nGC_221)*coupl(      &
                        nGC_224)*coupl(nGC_4)*coupl(nGC_99) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_28)*coupl(nGC_557) + 6d0*coupl(nGC_120)*   &
                        coupl(nGC_3)*coupl(nGC_557))/(48d0*pi**2d0)
      coupl(nGC_1346) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_194) + Nc* &
                        coupl(nGC_197)*coupl(nGC_559) - Nc*coupl(nGC_201)*coupl&
                        (nGC_202) - Nc*coupl(nGC_213)*coupl(nGC_214) + Nc*coupl&
                        (nGC_217)*coupl(nGC_563) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_547) - coupl(nGC_205)*coupl(nGC_206) - coupl(      &
                        nGC_209)*coupl(nGC_210) - coupl(nGC_221)*coupl(nGC_222 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1337) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(   &
                        nGC_218)*coupl(nGC_563) + coupl(nGC_2)*coupl(nGC_219)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1336) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_527) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_2)*coupl(nGC_213)**2d0)/(32d0&
                        *pi**2d0)
      coupl(nGC_1335) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_214)*coupl(nGC_527) +  &
                        coupl(nGC_1)*coupl(nGC_215)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_216)**2d0 + coupl(nGC_197)**2d0*coupl(nGC_2) + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_557)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1334) = (coupl(nGC_221)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1333) = (coupl(nGC_209)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1332) = (coupl(nGC_205)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1331) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210)*&
                        coupl(nGC_4)*coupl(nGC_533) + coupl(nGC_211)**2d0*coupl&
                        (nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) - 2d0*coupl(&
                        nGC_3)*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)**3d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_1330) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210)*&
                        coupl(nGC_533) + coupl(nGC_211)**2d0 + coupl(nGC_212)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1993) = coupl(nGC_1708) + coupl(nGC_216)*dZsL_QCD2/2d0 + coupl(&
                        nGC_216)*dZsR_QCD2/2d0
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
