!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_1339) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_222)*&
                        coupl(nGC_591) + coupl(nGC_223)**2d0 + coupl(nGC_224)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1338) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(   &
                        nGC_2)*coupl(nGC_218)*coupl(nGC_563) + coupl(nGC_2)*   &
                        coupl(nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1498) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_193)**2d0 + coupl(nGC_123)*coupl(nGC_218)* &
                        coupl(nGC_563) + coupl(nGC_123)*coupl(nGC_219)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_220)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_100_Hh) = -coupl(nGC_100)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1892) = coupl(nGC_1755) + coupl(nGC_86)*dZWMinus_QED2
      coupl(nGC_1893) = coupl(nGC_1750) + coupl(nGC_74)*dZWMinus_QED2
      coupl(nGC_1890) = coupl(nGC_161)*dZHhHl_QED2/2d0 + coupl(nGC_165)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1670)
      coupl(nGC_1723) = coupl(nGC_962)*dyup_QED3
      coupl(nGC_1724) = coupl(nGC_962)*dyup_QED1_QCD2
      coupl(nGC_1897) = coupl(nGC_1693) + coupl(nGC_202)*dZdL_QED2/2d0 + coupl(&
                        nGC_202)*dZdR_QED2/2d0
      coupl(nGC_1894) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_134)*dZA_QED2/ &
                        2d0 + coupl(nGC_134)*dZZ_QED2/2d0 + coupl(nGC_141)*    &
                        dZZA_QED2/2d0 + coupl(nGC_1765)
      coupl(nGC_1895) = -coupl(nGC_104)*dZZ_QED2/4d0 - coupl(nGC_1677)/2d0 -   &
                        coupl(nGC_6)*dZAZ_QED2/4d0
      coupl(nGC_1728) = coupl(nGC_1229)*dyt_QED1_QCD2
      coupl(nGC_1898) = coupl(nGC_1694) + coupl(nGC_202)*dZdL_QCD2/2d0 + coupl(&
                        nGC_202)*dZdR_QCD2/2d0
      coupl(nGC_1899) = -coupl(nGC_1693) - coupl(nGC_202)*dZdL_QED2/2d0 - coupl&
                        (nGC_202)*dZdR_QED2/2d0
      coupl(nGC_2133) = coupl(nGC_1855) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_189_Hl) + coupl(nGC_TS_GC_191_Hh)
      coupl(nGC_1613) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_1660) = coupl(nGC_1037)*dcw_QED2 + coupl(nGC_1038)*dvev_QED1 + &
                        coupl(nGC_1039)*dZee_QED2
      coupl(nGC_1663) = coupl(nGC_307)*da_QED2 + coupl(nGC_309)*dvevs_QED1 +   &
                        coupl(nGC_311)*dvev_QED1 + coupl(nGC_313)*dl2_QED4 +   &
                        coupl(nGC_315)*dl3_QED4 + coupl(nGC_317)*dl1_QED4
      coupl(nGC_1662) = coupl(nGC_1151)*dvev_QED1 + coupl(nGC_1152)*dvevs_QED1 &
                         + coupl(nGC_1153)*da_QED2 + coupl(nGC_1154)*dl1_QED4  &
                         + coupl(nGC_1155)*dl3_QED4
      coupl(nGC_1665) = coupl(nGC_1171)*dcw_QED2 + coupl(nGC_1172)*dsw_QED2 +  &
                        coupl(nGC_1173)*dZee_QED2 + coupl(nGC_1174)*dvev_QED1  &
                         + coupl(nGC_1175)*da_QED2
      coupl(nGC_1664) = coupl(nGC_321)*da_QED2 + coupl(nGC_323)*dvevs_QED1 +   &
                        coupl(nGC_325)*dvev_QED1 + coupl(nGC_327)*dl2_QED4 +   &
                        coupl(nGC_329)*dl3_QED4 + coupl(nGC_331)*dl1_QED4
      coupl(nGC_2000) = coupl(nGC_1785) + coupl(nGC_19)*dZbL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2001) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_2002) = coupl(nGC_1785) + coupl(nGC_19)*dZbR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2003) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_2004) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_2190) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_2008) = coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_2009) = coupl(nGC_105)*dZZA_QED2/4d0 + coupl(nGC_1673)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_1666) = coupl(nGC_1133)*dvev_QED1 + coupl(nGC_1134)*dvevs_QED1 &
                         + coupl(nGC_1135)*da_QED2 + coupl(nGC_1136)*dl1_QED4  &
                         + coupl(nGC_1137)*dl3_QED4
      coupl(nGC_2228) = -coupl(nGC_130)*dZHh_QED2/2d0 - coupl(nGC_130)*dZZ_QED2&
                        /2d0 - coupl(nGC_136)*dZHlHh_QED2/2d0 - coupl(nGC_1766)
      coupl(nGC_2229) = coupl(nGC_1875) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_101_Hh) - coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_2182) = coupl(nGC_1706) + coupl(nGC_204)*dZdL_QCD2/2d0 + coupl(&
                        nGC_204)*dZdR_QCD2/2d0
      coupl(nGC_1658) = coupl(nGC_864)*dsw_QED2 + coupl(nGC_865)*dZee_QED2 +   &
                        coupl(nGC_866)*da_QED2
      coupl(nGC_1659) = coupl(nGC_887)*dsw_QED2 + coupl(nGC_888)*dZee_QED2 +   &
                        coupl(nGC_889)*da_QED2
      coupl(nGC_2187) = coupl(nGC_1667) + coupl(nGC_189)*dZHh_QED2 + coupl(    &
                        nGC_189)*dZHl_QED2/2d0 + coupl(nGC_191)*dZHhHl_QED2/2d0&
                         + coupl(nGC_192)*dZHlHh_QED2 + coupl(nGC_TS_GC_33_Hh  &
                        ) + coupl(nGC_TS_GC_36_Hl)
      coupl(nGC_2186) = coupl(nGC_104)*dZZA_QED2/4d0 + coupl(nGC_1674)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_1654) = coupl(nGC_848)*dsw_QED2 + coupl(nGC_849)*dZee_QED2 +   &
                        coupl(nGC_850)*da_QED2
      coupl(nGC_1655) = coupl(nGC_853)*dsw_QED2 + coupl(nGC_854)*dZee_QED2
      coupl(nGC_1656) = coupl(nGC_851)*dsw_QED2 + coupl(nGC_852)*dZee_QED2
      coupl(nGC_1657) = coupl(nGC_1236)*dcw_QED2 + coupl(nGC_1237)*dsw_QED2 +  &
                        coupl(nGC_1238)*dZee_QED2
      coupl(nGC_1650) = coupl(nGC_1040)*dcw_QED2 + coupl(nGC_1041)*dsw_QED2 +  &
                        coupl(nGC_1042)*dZee_QED2 + coupl(nGC_1043)*da_QED2
      coupl(nGC_1651) = coupl(nGC_952)*dsw_QED2 + coupl(nGC_953)*dZee_QED2
      coupl(nGC_1652) = coupl(nGC_996)*dsw_QED2 + coupl(nGC_997)*dZee_QED2 +   &
                        coupl(nGC_998)*da_QED2
      coupl(nGC_1653) = coupl(nGC_1058)*dsw_QED2 + coupl(nGC_1059)*dZee_QED2 + &
                        coupl(nGC_1060)*da_QED2
      coupl(nGC_1309) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1356) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(  &
                        nGC_197)*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197 &
                        )*coupl(nGC_200)*coupl(nGC_216) - coupl(nGC_197)*coupl(&
                        nGC_527)*coupl(nGC_559))/(32d0*pi**2d0)
      coupl(nGC_1307) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1298) = -Nc*cima*coupl(nGC_585)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1422) = coupl(nGC_19)**2d0*coupl(nGC_203)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1386) = coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1387) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) -    &
                        coupl(nGC_206)**2d0*coupl(nGC_621) + 8d0*coupl(nGC_206 &
                        )*coupl(nGC_4)**2d0 - coupl(nGC_207)**2d0*coupl(nGC_621&
                        ) - coupl(nGC_208)**2d0*coupl(nGC_621))/(32d0*pi**2d0)
      coupl(nGC_1384) = coupl(nGC_19)**2d0*coupl(nGC_559)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1382) = coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1383) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_559) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_214) - coupl(  &
                        nGC_198)*coupl(nGC_199)**2d0 - coupl(nGC_198)*coupl(   &
                        nGC_200)**2d0 - coupl(nGC_198)*coupl(nGC_559)**2d0 +   &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_559))/(32d0*pi**2d0)
      coupl(nGC_1380) = coupl(nGC_19)**2d0*coupl(nGC_601)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1381) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_194) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_194) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_563) - coupl(nGC_194)**2d0* &
                        coupl(nGC_601) - coupl(nGC_195)**2d0*coupl(nGC_601) -  &
                        coupl(nGC_196)**2d0*coupl(nGC_601))/(32d0*pi**2d0)
      coupl(nGC_1722) = coupl(nGC_369)*dytau_QED3 + coupl(nGC_371)*da_QED2
      coupl(nGC_1388) = (8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_621) -    &
                        coupl(nGC_206)*coupl(nGC_207)**2d0 - coupl(nGC_206)*   &
                        coupl(nGC_208)**2d0 - coupl(nGC_206)*coupl(nGC_621)**  &
                        2d0 + 8d0*coupl(nGC_4)**2d0*coupl(nGC_621))/(32d0*pi** &
                        2d0)
      coupl(nGC_1478) = coupl(nGC_99)*(coupl(nGC_102)*coupl(nGC_128) + 2d0*    &
                        coupl(nGC_128)*coupl(nGC_129) + coupl(nGC_129)*coupl(  &
                        nGC_597) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1479) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_194)*coupl(nGC_601) + coupl(nGC_122)*coupl(  &
                        nGC_195)**2d0 + coupl(nGC_122)*coupl(nGC_196)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_523)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1573) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_601)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_545)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_527)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_198)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_218)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_226&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_601)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_198)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_545)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_527)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_218&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_226)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_601)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_198)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_545)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_527&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_218)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_226)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_108)*coupl(nGC_113) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_621)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_533)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_591)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_621)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_533)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_591)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_621)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_533)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_591)*coupl(nGC_99) + 6d0*cima*coupl(nGC_14)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_14)*coupl(&
                        nGC_523) + 6d0*coupl(nGC_108)*coupl(nGC_3)*coupl(      &
                        nGC_523))/(48d0*pi**2d0)
      coupl(nGC_1891) = coupl(nGC_1720) + coupl(nGC_207)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_208)*dZHl_QED2/2d0 + coupl(nGC_208)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_208)*dZeMinusR_QED2/2d0
      coupl(nGC_1574) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_195)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_215)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_199)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_219)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_227&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_199)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_203)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_215)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_219&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_227)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_195)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_199)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_203)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_215&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_219)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_227)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_110)*coupl(nGC_113) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_207)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_211)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_211)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_223)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_207)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_211)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_223)*coupl(nGC_99) + 6d0*cima*coupl(nGC_15)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_15)*coupl(&
                        nGC_523) + 6d0*coupl(nGC_110)*coupl(nGC_3)*coupl(      &
                        nGC_523))/(48d0*pi**2d0)
      coupl(nGC_1577) = (5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_99) + 5d0*Nc*cima*coupl(nGC_122)*   &
                        coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) + 5d0*Nc*  &
                        cima*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_216)*coupl&
                        (nGC_99) + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_197)*  &
                        coupl(nGC_200)*coupl(nGC_99) + 5d0*Nc*cima*coupl(      &
                        nGC_123)*coupl(nGC_217)*coupl(nGC_220)*coupl(nGC_99) + &
                        5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_228&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_193)*coupl(nGC_196)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_200)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_201)*   &
                        coupl(nGC_204)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_125)*coupl(nGC_213)*coupl(nGC_216)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_220&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_125)*coupl(    &
                        nGC_225)*coupl(nGC_228)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_196)*coupl(    &
                        nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_197)*   &
                        coupl(nGC_200)*coupl(nGC_99) - 4d0*Nc*cima*coupl(      &
                        nGC_126)*coupl(nGC_201)*coupl(nGC_204)*coupl(nGC_99) - &
                        4d0*Nc*cima*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_216&
                        )*coupl(nGC_99) - 4d0*Nc*cima*coupl(nGC_126)*coupl(    &
                        nGC_217)*coupl(nGC_220)*coupl(nGC_99) - 4d0*Nc*cima*   &
                        coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_228)*coupl(    &
                        nGC_99) + 6d0*cima*coupl(nGC_113)*coupl(nGC_120) + 5d0*&
                        cima*coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_208)*coupl&
                        (nGC_99) + 5d0*cima*coupl(nGC_124)*coupl(nGC_209)*coupl&
                        (nGC_212)*coupl(nGC_99) + 5d0*cima*coupl(nGC_124)*coupl&
                        (nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99   &
                        ) - 4d0*cima*coupl(nGC_128)*coupl(nGC_209)*coupl(      &
                        nGC_212)*coupl(nGC_99) - 4d0*cima*coupl(nGC_128)*coupl(&
                        nGC_221)*coupl(nGC_224)*coupl(nGC_99) - 4d0*cima*coupl(&
                        nGC_129)*coupl(nGC_205)*coupl(nGC_208)*coupl(nGC_99) - &
                        4d0*cima*coupl(nGC_129)*coupl(nGC_209)*coupl(nGC_212)* &
                        coupl(nGC_99) - 4d0*cima*coupl(nGC_129)*coupl(nGC_221)*&
                        coupl(nGC_224)*coupl(nGC_99) + 6d0*cima*coupl(nGC_28)* &
                        coupl(nGC_84) + 6d0*coupl(nGC_103)*coupl(nGC_28)*coupl(&
                        nGC_523) + 6d0*coupl(nGC_120)*coupl(nGC_3)*coupl(      &
                        nGC_523))/(48d0*pi**2d0)
      coupl(nGC_1470) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_557) + coupl(nGC_103)*coupl(nGC_126   &
                        ) + 2d0*coupl(nGC_125)*coupl(nGC_126) + coupl(nGC_125)*&
                        coupl(nGC_523) + coupl(nGC_2)*coupl(nGC_3))/(16d0*pi** &
                        2d0)
      coupl(nGC_1896) = coupl(nGC_1654) + coupl(nGC_93)*dZHhHl_QED2 + coupl(   &
                        nGC_95)*dZHl_QED2
      coupl(nGC_1472) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_103)*coupl(nGC_125) +  &
                        2d0*coupl(nGC_125)*coupl(nGC_126) - coupl(nGC_126)*    &
                        coupl(nGC_523) - coupl(nGC_2)*coupl(nGC_557))/(16d0*pi &
                        **2d0)
      coupl(nGC_1473) = coupl(nGC_99)*(coupl(nGC_103)*coupl(nGC_129) + 2d0*    &
                        coupl(nGC_128)*coupl(nGC_129) + coupl(nGC_128)*coupl(  &
                        nGC_523) + coupl(nGC_4)*coupl(nGC_557))/(16d0*pi**2d0)
      coupl(nGC_1474) = coupl(nGC_99)*(-coupl(nGC_103)*coupl(nGC_128) + 2d0*   &
                        coupl(nGC_128)*coupl(nGC_129) - coupl(nGC_129)*coupl(  &
                        nGC_523) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_1475) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                        nGC_1)*coupl(nGC_521) - coupl(nGC_102)*coupl(nGC_126   &
                        ) + 2d0*coupl(nGC_125)*coupl(nGC_126) - coupl(nGC_125)*&
                        coupl(nGC_597) - coupl(nGC_2)*coupl(nGC_4))/(16d0*pi** &
                        2d0)
      coupl(nGC_1476) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_4) + coupl(nGC_102)*coupl(nGC_125) +  &
                        2d0*coupl(nGC_125)*coupl(nGC_126) + coupl(nGC_126)*    &
                        coupl(nGC_597) + coupl(nGC_2)*coupl(nGC_521))/(16d0*pi &
                        **2d0)
      coupl(nGC_1477) = coupl(nGC_99)*(-coupl(nGC_102)*coupl(nGC_129) + 2d0*   &
                        coupl(nGC_128)*coupl(nGC_129) - coupl(nGC_128)*coupl(  &
                        nGC_597) - coupl(nGC_4)*coupl(nGC_521))/(16d0*pi**2d0)
      coupl(nGC_1705) = coupl(nGC_1225)*dydo_QED3 + coupl(nGC_1226)*da_QED2
      coupl(nGC_1727) = coupl(nGC_1229)*dyt_QED3
      coupl(nGC_2134) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_1971) = -coupl(nGC_1716) - coupl(nGC_222)*dZtauMinusL_QED2/2d0 &
                         - coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_1970) = coupl(nGC_1716) + coupl(nGC_222)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_1973) = coupl(nGC_1733) + coupl(nGC_219)*dZHh_QED2/2d0 + coupl(&
                        nGC_219)*dZtL_QED2/2d0 + coupl(nGC_219)*dZtR_QED2/2d0  &
                         + coupl(nGC_220)*dZHlHh_QED2/2d0
      coupl(nGC_1729) = coupl(nGC_989)*dyup_QED3 + coupl(nGC_990)*da_QED2
      coupl(nGC_1972) = coupl(nGC_1640) + coupl(nGC_29)*dZHlHh_QED2 + coupl(   &
                        nGC_31)*dZHh_QED2
      coupl(nGC_1385) = (8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_198) -    &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_527) - coupl(  &
                        nGC_198)**2d0*coupl(nGC_559) + 8d0*coupl(nGC_198)*coupl&
                        (nGC_2)**2d0 - coupl(nGC_199)**2d0*coupl(nGC_559) -    &
                        coupl(nGC_200)**2d0*coupl(nGC_559))/(32d0*pi**2d0)
      coupl(nGC_1979) = coupl(nGC_1738) + coupl(nGC_200)*dZcL_QCD2/2d0 + coupl(&
                        nGC_200)*dZcR_QCD2/2d0
      coupl(nGC_2136) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_2137) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
      coupl(nGC_1951) = coupl(nGC_122)*dZbR_QCD2
      coupl(nGC_1272) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 - coupl&
                        (nGC_557)**2d0)/(48d0*pi**2d0)
      coupl(nGC_1273) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_557)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_1270) = cima*(Nc*coupl(nGC_194)*coupl(nGC_601) + Nc*coupl(     &
                        nGC_198)*coupl(nGC_559) + Nc*coupl(nGC_202)*coupl(     &
                        nGC_545) + Nc*coupl(nGC_214)*coupl(nGC_527) + Nc*coupl(&
                        nGC_218)*coupl(nGC_563) + Nc*coupl(nGC_226)*coupl(     &
                        nGC_547) + coupl(nGC_206)*coupl(nGC_621) + coupl(      &
                        nGC_210)*coupl(nGC_533) + coupl(nGC_222)*coupl(nGC_591 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1271) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_194)*coupl(nGC_601) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_198)*coupl(nGC_559) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_202)*coupl(nGC_545) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_214)*coupl(nGC_527) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_218)*coupl(nGC_563) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_226)*coupl(nGC_547) -   &
                        4d0*cME**2d0*cima*coupl(nGC_206)*coupl(nGC_621) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_210)*coupl(nGC_533) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_222)*coupl(nGC_591) - 2d0*cMW**2d0&
                        *coupl(nGC_71) - cMZ**2d0*coupl(nGC_142))/(16d0*pi**2d0&
                        )
      coupl(nGC_1276) = cima*(coupl(nGC_103)*coupl(nGC_3) + coupl(nGC_523)*    &
                        coupl(nGC_557))/(48d0*pi**2d0)
      coupl(nGC_1277) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_122) + Nc*cMB &
                        **2d0*cima*coupl(nGC_1)*coupl(nGC_125) + Nc*cMC**2d0*  &
                        cima*coupl(nGC_123)*coupl(nGC_2) + Nc*cMC**2d0*cima*   &
                        coupl(nGC_126)*coupl(nGC_2) + Nc*cMD**2d0*cima*coupl(  &
                        nGC_1)*coupl(nGC_122) + Nc*cMD**2d0*cima*coupl(nGC_1)* &
                        coupl(nGC_125) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(  &
                        nGC_122) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_125 &
                        ) + Nc*cMT**2d0*cima*coupl(nGC_123)*coupl(nGC_2) + Nc* &
                        cMT**2d0*cima*coupl(nGC_126)*coupl(nGC_2) + Nc*cMU**2d0&
                        *cima*coupl(nGC_123)*coupl(nGC_2) + Nc*cMU**2d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_2) + cME**2d0*cima*coupl(     &
                        nGC_124)*coupl(nGC_4) + cME**2d0*cima*coupl(nGC_128)*  &
                        coupl(nGC_4) + cMM**2d0*cima*coupl(nGC_124)*coupl(nGC_4&
                        ) + cMM**2d0*cima*coupl(nGC_128)*coupl(nGC_4) + cMTA** &
                        2d0*cima*coupl(nGC_124)*coupl(nGC_4) + cMTA**2d0*cima* &
                        coupl(nGC_128)*coupl(nGC_4) + cMW**2d0*cima*coupl(     &
                        nGC_103)*coupl(nGC_3) + cMW**2d0*cima*coupl(nGC_523)*  &
                        coupl(nGC_557) - cMW**2d0*coupl(nGC_116))/(8d0*pi**2d0)
      coupl(nGC_1274) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + cMW**2d0*cima*coupl(nGC_557)**2d0 - cMW &
                        **2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_1275) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_122) - 3d0*Nc*    &
                        coupl(nGC_1)*coupl(nGC_125) - 3d0*Nc*coupl(nGC_123)*   &
                        coupl(nGC_2) - 3d0*Nc*coupl(nGC_126)*coupl(nGC_2) -    &
                        coupl(nGC_103)*coupl(nGC_3) - 3d0*coupl(nGC_124)*coupl(&
                        nGC_4) - 3d0*coupl(nGC_128)*coupl(nGC_4) - coupl(      &
                        nGC_523)*coupl(nGC_557))/(48d0*pi**2d0)
      coupl(nGC_1278) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0  &
                         + Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 + Nc&
                        *coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 + coupl( &
                        nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(nGC_224)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_1279) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_216)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_212)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl(  &
                        nGC_151) + 2d0*cima*coupl(nGC_164)**2d0 + cima*coupl(  &
                        nGC_177)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1950) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZbR_QED2 + coupl(nGC_1789)
      coupl(nGC_1378) = (-Nc*coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_196) + Nc*&
                        coupl(nGC_122)*coupl(nGC_196)*coupl(nGC_601) - Nc*coupl&
                        (nGC_122)*coupl(nGC_202)*coupl(nGC_204) + Nc*coupl(    &
                        nGC_122)*coupl(nGC_204)*coupl(nGC_545) - Nc*coupl(     &
                        nGC_122)*coupl(nGC_214)*coupl(nGC_216) + Nc*coupl(     &
                        nGC_122)*coupl(nGC_216)*coupl(nGC_527) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_198)*coupl(nGC_200) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_200)*coupl(nGC_559) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_218)*coupl(nGC_220) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_220)*coupl(nGC_563) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_226)*coupl(nGC_228) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_228)*coupl(nGC_547) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_194)*coupl(nGC_196) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_196)*coupl(nGC_601) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_202)*coupl(nGC_204) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_204)*coupl(nGC_545) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_214)*coupl(nGC_216) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_216)*coupl(nGC_527) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_198)*coupl(nGC_200) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_200)*coupl(nGC_559) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_218)*coupl(nGC_220) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_220)*coupl(nGC_563) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_226)*coupl(nGC_228) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_228)*coupl(nGC_547) - coupl(nGC_124 &
                        )*coupl(nGC_206)*coupl(nGC_208) + coupl(nGC_124)*coupl(&
                        nGC_208)*coupl(nGC_621) - coupl(nGC_124)*coupl(nGC_210 &
                        )*coupl(nGC_212) + coupl(nGC_124)*coupl(nGC_212)*coupl(&
                        nGC_533) - coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_224 &
                        ) + coupl(nGC_124)*coupl(nGC_224)*coupl(nGC_591) +     &
                        coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_208) - coupl(  &
                        nGC_128)*coupl(nGC_208)*coupl(nGC_621) + coupl(nGC_128 &
                        )*coupl(nGC_210)*coupl(nGC_212) - coupl(nGC_128)*coupl(&
                        nGC_212)*coupl(nGC_533) + coupl(nGC_128)*coupl(nGC_222 &
                        )*coupl(nGC_224) - coupl(nGC_128)*coupl(nGC_224)*coupl(&
                        nGC_591))/(24d0*pi**2d0)
      coupl(nGC_1373) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(  &
                        nGC_202)*coupl(nGC_225)*coupl(nGC_226) - coupl(nGC_203 &
                        )*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204)*coupl(&
                        nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_1372) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) - coupl(  &
                        nGC_197)*coupl(nGC_198)*coupl(nGC_214) - coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_215) - coupl(nGC_197)*coupl(&
                        nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_1371) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(  &
                        nGC_199)*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200 &
                        )*coupl(nGC_213)*coupl(nGC_216) - coupl(nGC_213)*coupl(&
                        nGC_527)*coupl(nGC_559))/(32d0*pi**2d0)
      coupl(nGC_1370) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(  &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193 &
                        )*coupl(nGC_196)*coupl(nGC_220) - coupl(nGC_193)*coupl(&
                        nGC_563)*coupl(nGC_601))/(32d0*pi**2d0)
      coupl(nGC_1377) = (-Nc*coupl(nGC_122)*coupl(nGC_194)*coupl(nGC_195) + Nc*&
                        coupl(nGC_122)*coupl(nGC_195)*coupl(nGC_601) - Nc*coupl&
                        (nGC_122)*coupl(nGC_202)*coupl(nGC_203) + Nc*coupl(    &
                        nGC_122)*coupl(nGC_203)*coupl(nGC_545) - Nc*coupl(     &
                        nGC_122)*coupl(nGC_214)*coupl(nGC_215) + Nc*coupl(     &
                        nGC_122)*coupl(nGC_215)*coupl(nGC_527) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_198)*coupl(nGC_199) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_199)*coupl(nGC_559) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_218)*coupl(nGC_219) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_219)*coupl(nGC_563) - Nc*coupl(     &
                        nGC_123)*coupl(nGC_226)*coupl(nGC_227) + Nc*coupl(     &
                        nGC_123)*coupl(nGC_227)*coupl(nGC_547) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_194)*coupl(nGC_195) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_195)*coupl(nGC_601) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_202)*coupl(nGC_203) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_203)*coupl(nGC_545) + Nc*coupl(     &
                        nGC_125)*coupl(nGC_214)*coupl(nGC_215) - Nc*coupl(     &
                        nGC_125)*coupl(nGC_215)*coupl(nGC_527) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_198)*coupl(nGC_199) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_199)*coupl(nGC_559) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_218)*coupl(nGC_219) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_219)*coupl(nGC_563) + Nc*coupl(     &
                        nGC_126)*coupl(nGC_226)*coupl(nGC_227) - Nc*coupl(     &
                        nGC_126)*coupl(nGC_227)*coupl(nGC_547) - coupl(nGC_124 &
                        )*coupl(nGC_206)*coupl(nGC_207) + coupl(nGC_124)*coupl(&
                        nGC_207)*coupl(nGC_621) - coupl(nGC_124)*coupl(nGC_210 &
                        )*coupl(nGC_211) + coupl(nGC_124)*coupl(nGC_211)*coupl(&
                        nGC_533) - coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_223 &
                        ) + coupl(nGC_124)*coupl(nGC_223)*coupl(nGC_591) +     &
                        coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_207) - coupl(  &
                        nGC_128)*coupl(nGC_207)*coupl(nGC_621) + coupl(nGC_128 &
                        )*coupl(nGC_210)*coupl(nGC_211) - coupl(nGC_128)*coupl(&
                        nGC_211)*coupl(nGC_533) + coupl(nGC_128)*coupl(nGC_222 &
                        )*coupl(nGC_223) - coupl(nGC_128)*coupl(nGC_223)*coupl(&
                        nGC_591))/(24d0*pi**2d0)
      coupl(nGC_1376) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_196) + 8d0*Nc&
                        *cMB*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_601) + 2d0&
                        *Nc*cMB*coupl(nGC_196)*coupl(nGC_601)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_198)**2d0*coupl(nGC_200) + 8d0*Nc*cMC*coupl(&
                        nGC_198)*coupl(nGC_200)*coupl(nGC_559) + 2d0*Nc*cMC*   &
                        coupl(nGC_200)*coupl(nGC_559)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_202)**2d0*coupl(nGC_204) + 8d0*Nc*cMD*coupl(nGC_202&
                        )*coupl(nGC_204)*coupl(nGC_545) + 2d0*Nc*cMD*coupl(    &
                        nGC_204)*coupl(nGC_545)**2d0 + 2d0*Nc*cMS*coupl(nGC_214&
                        )**2d0*coupl(nGC_216) + 8d0*Nc*cMS*coupl(nGC_214)*coupl&
                        (nGC_216)*coupl(nGC_527) + 2d0*Nc*cMS*coupl(nGC_216)*  &
                        coupl(nGC_527)**2d0 + 2d0*Nc*cMT*coupl(nGC_218)**2d0*  &
                        coupl(nGC_220) + 8d0*Nc*cMT*coupl(nGC_218)*coupl(      &
                        nGC_220)*coupl(nGC_563) + 2d0*Nc*cMT*coupl(nGC_220)*   &
                        coupl(nGC_563)**2d0 + 2d0*Nc*cMU*coupl(nGC_226)**2d0*  &
                        coupl(nGC_228) + 8d0*Nc*cMU*coupl(nGC_226)*coupl(      &
                        nGC_228)*coupl(nGC_547) + 2d0*Nc*cMU*coupl(nGC_228)*   &
                        coupl(nGC_547)**2d0 + 2d0*cME*coupl(nGC_206)**2d0*coupl&
                        (nGC_208) + 8d0*cME*coupl(nGC_206)*coupl(nGC_208)*coupl&
                        (nGC_621) + 2d0*cME*coupl(nGC_208)*coupl(nGC_621)**2d0 &
                         + 2d0*cMM*coupl(nGC_210)**2d0*coupl(nGC_212) + 8d0*cMM&
                        *coupl(nGC_210)*coupl(nGC_212)*coupl(nGC_533) + 2d0*cMM&
                        *coupl(nGC_212)*coupl(nGC_533)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_222)**2d0*coupl(nGC_224) + 8d0*cMTA*coupl(nGC_222)*&
                        coupl(nGC_224)*coupl(nGC_591) + 2d0*cMTA*coupl(nGC_224 &
                        )*coupl(nGC_591)**2d0 + cima*coupl(nGC_142)*coupl(     &
                        nGC_177) + 2d0*cima*coupl(nGC_164)*coupl(nGC_71))/(16d0&
                        *pi**2d0)
      coupl(nGC_1375) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_195) + 8d0*Nc&
                        *cMB*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_601) + 2d0&
                        *Nc*cMB*coupl(nGC_195)*coupl(nGC_601)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_198)**2d0*coupl(nGC_199) + 8d0*Nc*cMC*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_559) + 2d0*Nc*cMC*   &
                        coupl(nGC_199)*coupl(nGC_559)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_202)**2d0*coupl(nGC_203) + 8d0*Nc*cMD*coupl(nGC_202&
                        )*coupl(nGC_203)*coupl(nGC_545) + 2d0*Nc*cMD*coupl(    &
                        nGC_203)*coupl(nGC_545)**2d0 + 2d0*Nc*cMS*coupl(nGC_214&
                        )**2d0*coupl(nGC_215) + 8d0*Nc*cMS*coupl(nGC_214)*coupl&
                        (nGC_215)*coupl(nGC_527) + 2d0*Nc*cMS*coupl(nGC_215)*  &
                        coupl(nGC_527)**2d0 + 2d0*Nc*cMT*coupl(nGC_218)**2d0*  &
                        coupl(nGC_219) + 8d0*Nc*cMT*coupl(nGC_218)*coupl(      &
                        nGC_219)*coupl(nGC_563) + 2d0*Nc*cMT*coupl(nGC_219)*   &
                        coupl(nGC_563)**2d0 + 2d0*Nc*cMU*coupl(nGC_226)**2d0*  &
                        coupl(nGC_227) + 8d0*Nc*cMU*coupl(nGC_226)*coupl(      &
                        nGC_227)*coupl(nGC_547) + 2d0*Nc*cMU*coupl(nGC_227)*   &
                        coupl(nGC_547)**2d0 + 2d0*cME*coupl(nGC_206)**2d0*coupl&
                        (nGC_207) + 8d0*cME*coupl(nGC_206)*coupl(nGC_207)*coupl&
                        (nGC_621) + 2d0*cME*coupl(nGC_207)*coupl(nGC_621)**2d0 &
                         + 2d0*cMM*coupl(nGC_210)**2d0*coupl(nGC_211) + 8d0*cMM&
                        *coupl(nGC_210)*coupl(nGC_211)*coupl(nGC_533) + 2d0*cMM&
                        *coupl(nGC_211)*coupl(nGC_533)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_222)**2d0*coupl(nGC_223) + 8d0*cMTA*coupl(nGC_222)*&
                        coupl(nGC_223)*coupl(nGC_591) + 2d0*cMTA*coupl(nGC_223 &
                        )*coupl(nGC_591)**2d0 + cima*coupl(nGC_142)*coupl(     &
                        nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71))/(16d0&
                        *pi**2d0)
      coupl(nGC_1374) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(  &
                        nGC_201)*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_228) - coupl(nGC_201)*coupl(&
                        nGC_545)*coupl(nGC_547))/(32d0*pi**2d0)
      coupl(nGC_1554) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + Nc*cima*  &
                        coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_124)**&
                        2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_128)**2d0*coupl(&
                        nGC_4)**2d0 - 2d0*cima*coupl(nGC_523)**2d0*coupl(      &
                        nGC_557)**2d0 + cima*coupl(nGC_85)*coupl(nGC_9) + coupl&
                        (nGC_103)**2d0*coupl(nGC_9) + coupl(nGC_3)**2d0*coupl( &
                        nGC_85) + coupl(nGC_523)**2d0*coupl(nGC_9) + coupl(    &
                        nGC_557)**2d0*coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_2079) = coupl(nGC_1785) + coupl(nGC_19)*dZdR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2078) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_1551) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                        )**2d0 - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl&
                        (nGC_99)**2d0 - 15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2&
                        )*coupl(nGC_99)**2d0 + 18d0*Nc*cima*coupl(nGC_126)*    &
                        coupl(nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(      &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_523) -  &
                        8d0*cima*coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl&
                        (nGC_557) + 6d0*cima*coupl(nGC_116)*coupl(nGC_617) +   &
                        18d0*cima*coupl(nGC_128)*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0 - 15d0*cima*coupl(nGC_129)*coupl(nGC_4)*coupl(     &
                        nGC_99)**2d0 + 6d0*coupl(nGC_102)*coupl(nGC_116)*coupl(&
                        nGC_523) + 6d0*coupl(nGC_103)*coupl(nGC_3)*coupl(      &
                        nGC_617) + 6d0*coupl(nGC_116)*coupl(nGC_4)*coupl(      &
                        nGC_557) + 6d0*coupl(nGC_523)*coupl(nGC_557)*coupl(    &
                        nGC_617))/(48d0*pi**2d0)
      coupl(nGC_1444) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_194)**2d0* &
                        coupl(nGC_196) - coupl(nGC_195)**2d0*coupl(nGC_196) -  &
                        coupl(nGC_196)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2071) = coupl(nGC_1729) + coupl(nGC_227)*dZHh_QED2/2d0 + coupl(&
                        nGC_227)*dZuL_QED2/2d0 + coupl(nGC_227)*dZuR_QED2/2d0  &
                         + coupl(nGC_228)*dZHlHh_QED2/2d0
      coupl(nGC_2073) = coupl(nGC_1721) + coupl(nGC_211)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_212)*dZHl_QED2/2d0 + coupl(nGC_212)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_212)*dZmuMinusR_QED2/  &
                        2d0
      coupl(nGC_2072) = coupl(nGC_1730) + coupl(nGC_227)*dZuL_QCD2/2d0 + coupl(&
                        nGC_227)*dZuR_QCD2/2d0
      coupl(nGC_2075) = coupl(nGC_124)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusR_QED2
      coupl(nGC_2074) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZtauMinusL_QED2
      coupl(nGC_2077) = coupl(nGC_1785) + coupl(nGC_19)*dZdL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2076) = coupl(nGC_1652) + coupl(nGC_81)*dZHh_QED2 + coupl(     &
                        nGC_93)*dZHlHh_QED2
      coupl(nGC_1914) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1783) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZuL_QED2
      coupl(nGC_1441) = (-2d0*Nc*cMB*coupl(nGC_196)*coupl(nGC_99)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_200)*coupl(nGC_99)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_204)*coupl(nGC_99)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_216)*coupl(nGC_99)**2d0 - 2d0*Nc*cMT*coupl(nGC_220 &
                        )*coupl(nGC_99)**2d0 - 2d0*Nc*cMU*coupl(nGC_228)*coupl(&
                        nGC_99)**2d0 - 2d0*cME*coupl(nGC_208)*coupl(nGC_99)**  &
                        2d0 - 2d0*cMM*coupl(nGC_212)*coupl(nGC_99)**2d0 - 2d0* &
                        cMTA*coupl(nGC_224)*coupl(nGC_99)**2d0 + 2d0*cima*coupl&
                        (nGC_164)*coupl(nGC_617) + cima*coupl(nGC_177)*coupl(  &
                        nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_164)*coupl(     &
                        nGC_523) + 2d0*coupl(nGC_103)*coupl(nGC_177)*coupl(    &
                        nGC_597) + 2d0*coupl(nGC_164)*coupl(nGC_4)*coupl(      &
                        nGC_557))/(16d0*pi**2d0)
      coupl(nGC_1443) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_196) + 8d0*coupl(     &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_196) - coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_220) - coupl(nGC_195)**2d0* &
                        coupl(nGC_196) - coupl(nGC_196)**3d0 - coupl(nGC_196)* &
                        coupl(nGC_601)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1442) = (-2d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_196) + 2d0* &
                        Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_196) -  &
                        2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_196) - 2d0*Nc*&
                        cMC*coupl(nGC_123)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*   &
                        coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) - 2d0*Nc* &
                        cMC*coupl(nGC_126)**2d0*coupl(nGC_200) - 2d0*Nc*cMD*   &
                        coupl(nGC_122)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl( &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) - 2d0*Nc*cMD*   &
                        coupl(nGC_125)**2d0*coupl(nGC_204) - 2d0*Nc*cMS*coupl( &
                        nGC_122)**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_122&
                        )*coupl(nGC_125)*coupl(nGC_216) - 2d0*Nc*cMS*coupl(    &
                        nGC_125)**2d0*coupl(nGC_216) - 2d0*Nc*cMT*coupl(nGC_123&
                        )**2d0*coupl(nGC_220) + 2d0*Nc*cMT*coupl(nGC_123)*coupl&
                        (nGC_126)*coupl(nGC_220) - 2d0*Nc*cMT*coupl(nGC_126)** &
                        2d0*coupl(nGC_220) - 2d0*Nc*cMU*coupl(nGC_123)**2d0*   &
                        coupl(nGC_228) + 2d0*Nc*cMU*coupl(nGC_123)*coupl(      &
                        nGC_126)*coupl(nGC_228) - 2d0*Nc*cMU*coupl(nGC_126)**  &
                        2d0*coupl(nGC_228) - 2d0*cME*coupl(nGC_124)**2d0*coupl(&
                        nGC_208) + 2d0*cME*coupl(nGC_124)*coupl(nGC_128)*coupl(&
                        nGC_208) - 2d0*cME*coupl(nGC_128)**2d0*coupl(nGC_208   &
                        ) - 2d0*cMM*coupl(nGC_124)**2d0*coupl(nGC_212) + 2d0*  &
                        cMM*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_212) - 2d0*&
                        cMM*coupl(nGC_128)**2d0*coupl(nGC_212) - 2d0*cMTA*coupl&
                        (nGC_124)**2d0*coupl(nGC_224) + 2d0*cMTA*coupl(nGC_124 &
                        )*coupl(nGC_128)*coupl(nGC_224) - 2d0*cMTA*coupl(      &
                        nGC_128)**2d0*coupl(nGC_224) + cima*coupl(nGC_164)*    &
                        coupl(nGC_85) + coupl(nGC_103)**2d0*coupl(nGC_164) +   &
                        coupl(nGC_164)*coupl(nGC_523)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2172) = coupl(nGC_1731) + coupl(nGC_199)*dZHh_QED2/2d0 + coupl(&
                        nGC_199)*dZcL_QED2/2d0 + coupl(nGC_199)*dZcR_QED2/2d0  &
                         + coupl(nGC_200)*dZHlHh_QED2/2d0
      coupl(nGC_1559) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_204&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(    &
                        nGC_216)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_196)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_125)*coupl(nGC_204)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_125)*coupl(nGC_216)**2d0 - Nc*cima*coupl(    &
                        nGC_123)*coupl(nGC_2)*coupl(nGC_200)**2d0 - Nc*cima*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220)**2d0 - Nc*  &
                        cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228)**2d0 - &
                        Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200)**2d0&
                         - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220)**&
                        2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228&
                        )**2d0 + cima*coupl(nGC_116)*coupl(nGC_96) - cima*coupl&
                        (nGC_124)*coupl(nGC_208)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_124)*coupl(nGC_212)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_124)*coupl(nGC_224)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_128)*coupl(nGC_208)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_128)*coupl(nGC_212)**2d0*coupl(nGC_4) - cima*coupl&
                        (nGC_128)*coupl(nGC_224)**2d0*coupl(nGC_4) + coupl(    &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_96) + coupl(nGC_523)*  &
                        coupl(nGC_557)*coupl(nGC_96))/(8d0*pi**2d0)
      coupl(nGC_1558) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195)*  &
                        coupl(nGC_196) - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*  &
                        coupl(nGC_203)*coupl(nGC_204) - Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_122)*coupl(nGC_215)*coupl(nGC_216) - Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195)*coupl(      &
                        nGC_196) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(  &
                        nGC_203)*coupl(nGC_204) - Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_125)*coupl(nGC_215)*coupl(nGC_216) - Nc*cima*coupl(&
                        nGC_123)*coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_200) -  &
                        Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)*    &
                        coupl(nGC_220) - Nc*cima*coupl(nGC_123)*coupl(nGC_2)*  &
                        coupl(nGC_227)*coupl(nGC_228) - Nc*cima*coupl(nGC_126)*&
                        coupl(nGC_199)*coupl(nGC_2)*coupl(nGC_200) - Nc*cima*  &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219)*coupl(      &
                        nGC_220) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(  &
                        nGC_227)*coupl(nGC_228) + cima*coupl(nGC_116)*coupl(   &
                        nGC_92) - cima*coupl(nGC_124)*coupl(nGC_207)*coupl(    &
                        nGC_208)*coupl(nGC_4) - cima*coupl(nGC_124)*coupl(     &
                        nGC_211)*coupl(nGC_212)*coupl(nGC_4) - cima*coupl(     &
                        nGC_124)*coupl(nGC_223)*coupl(nGC_224)*coupl(nGC_4) -  &
                        cima*coupl(nGC_128)*coupl(nGC_207)*coupl(nGC_208)*coupl&
                        (nGC_4) - cima*coupl(nGC_128)*coupl(nGC_211)*coupl(    &
                        nGC_212)*coupl(nGC_4) - cima*coupl(nGC_128)*coupl(     &
                        nGC_223)*coupl(nGC_224)*coupl(nGC_4) + coupl(nGC_103)* &
                        coupl(nGC_3)*coupl(nGC_92) + coupl(nGC_523)*coupl(     &
                        nGC_557)*coupl(nGC_92))/(8d0*pi**2d0)
      coupl(nGC_1610) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_196)**2d0  &
                         + coupl(nGC_200)**2d0 + coupl(nGC_204)**2d0 + coupl(  &
                        nGC_216)**2d0 + coupl(nGC_220)**2d0 + coupl(nGC_228)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1611) = (Nc*cima*coupl(nGC_122)**4d0 + Nc*cima*coupl(nGC_123)**&
                        4d0 + Nc*cima*coupl(nGC_125)**4d0 + Nc*cima*coupl(     &
                        nGC_126)**4d0 - 2d0*cima*coupl(nGC_103)**4d0 + cima*   &
                        coupl(nGC_124)**4d0 + cima*coupl(nGC_128)**4d0 + cima* &
                        coupl(nGC_129)**4d0 - 2d0*cima*coupl(nGC_523)**4d0 +   &
                        cima*coupl(nGC_85)**2d0 + 2d0*coupl(nGC_103)**2d0*coupl&
                        (nGC_85) + 2d0*coupl(nGC_523)**2d0*coupl(nGC_85))/(8d0*&
                        pi**2d0)
      coupl(nGC_1612) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_2047) = coupl(nGC_1690) + coupl(nGC_193)*dZbR_QCD2/2d0 + coupl(&
                        nGC_193)*dZtL_QCD2/2d0
      coupl(nGC_1614) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_1615) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_122)**2d0  &
                         + coupl(nGC_123)**2d0 + coupl(nGC_125)**2d0 + coupl(  &
                        nGC_126)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1616) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_122)**2d0 &
                         - coupl(nGC_123)**2d0 - coupl(nGC_125)**2d0 - coupl(  &
                        nGC_126)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1617) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +     &
                        coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(    &
                        128d0*pi**2d0)
      coupl(nGC_1618) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_122) -    &
                        coupl(nGC_123) - coupl(nGC_125) - coupl(nGC_126))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_1954) = coupl(nGC_125)*dZdL_QCD2
      coupl(nGC_TS_GC_136_Hl) = -coupl(nGC_136)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2170) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZmuMinusL_QED2 + coupl(nGC_1768) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_2171) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZmuMinusR_QED2 + coupl(nGC_1792) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_2138) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_2173) = coupl(nGC_1732) + coupl(nGC_199)*dZcL_QCD2/2d0 + coupl(&
                        nGC_199)*dZcR_QCD2/2d0
      coupl(nGC_2176) = coupl(nGC_1862) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_199_Hh) + coupl&
                        (nGC_TS_GC_200_Hl)
      coupl(nGC_1535) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 -    &
                        15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)** &
                        2d0 + 9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                         - 2d0*cima*coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(    &
                        nGC_523) - 2d0*cima*coupl(nGC_103)*coupl(nGC_557)**2d0*&
                        coupl(nGC_597) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_4&
                        )*coupl(nGC_557) - 2d0*cima*coupl(nGC_3)*coupl(nGC_521 &
                        )*coupl(nGC_557)**2d0 + 9d0*cima*coupl(nGC_4)**2d0*    &
                        coupl(nGC_99)**2d0 + 3d0*cima*coupl(nGC_617)*coupl(    &
                        nGC_9) + 3d0*coupl(nGC_102)*coupl(nGC_523)*coupl(nGC_9 &
                        ) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_617) + 3d0*coupl(  &
                        nGC_4)*coupl(nGC_557)*coupl(nGC_9) + 3d0*coupl(nGC_557 &
                        )**2d0*coupl(nGC_617))/(24d0*pi**2d0)
      coupl(nGC_1534) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                         - 2d0*cima*coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(    &
                        nGC_523) - 2d0*cima*coupl(nGC_103)*coupl(nGC_557)**2d0*&
                        coupl(nGC_597) + 3d0*cima*coupl(nGC_113)**2d0 - 2d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_557) -   &
                        2d0*cima*coupl(nGC_3)*coupl(nGC_521)*coupl(nGC_557)**  &
                        2d0 - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 +  &
                        3d0*cima*coupl(nGC_529)**2d0 + 3d0*coupl(nGC_102)*coupl&
                        (nGC_113)*coupl(nGC_3) + 3d0*coupl(nGC_113)*coupl(nGC_3&
                        )*coupl(nGC_523) + 3d0*coupl(nGC_3)*coupl(nGC_4)*coupl(&
                        nGC_529) + 3d0*coupl(nGC_3)*coupl(nGC_529)*coupl(      &
                        nGC_557))/(24d0*pi**2d0)
      coupl(nGC_1537) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_197)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_213)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_225)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_2) +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)**2d0*coupl(    &
                        nGC_2) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(  &
                        nGC_201)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_213)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_193)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_197)**2d0*coupl(nGC_2)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_213)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_225)**2d0 - 4d0*cima*coupl(      &
                        nGC_205)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_4)**2d0 - 4d0*cima*coupl(      &
                        nGC_221)**2d0*coupl(nGC_4)**2d0 + 3d0*cima*coupl(nGC_71&
                        )*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_71) + &
                        3d0*coupl(nGC_557)**2d0*coupl(nGC_71))/(24d0*pi**2d0)
      coupl(nGC_1536) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_99)**2d0 +   &
                        9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_99)**  &
                        2d0 - 3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_99)**2d0 &
                         - 2d0*cima*coupl(nGC_102)*coupl(nGC_3)**2d0*coupl(    &
                        nGC_523) - 2d0*cima*coupl(nGC_103)*coupl(nGC_557)**2d0*&
                        coupl(nGC_597) + 3d0*cima*coupl(nGC_113)**2d0 - 2d0*   &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_4)*coupl(nGC_557) -   &
                        2d0*cima*coupl(nGC_3)*coupl(nGC_521)*coupl(nGC_557)**  &
                        2d0 - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_99)**2d0 +  &
                        3d0*cima*coupl(nGC_529)**2d0 + 3d0*coupl(nGC_103)*coupl&
                        (nGC_113)*coupl(nGC_557) + 3d0*coupl(nGC_113)*coupl(   &
                        nGC_557)*coupl(nGC_597) + 3d0*coupl(nGC_3)*coupl(      &
                        nGC_529)*coupl(nGC_557) + 3d0*coupl(nGC_521)*coupl(    &
                        nGC_529)*coupl(nGC_557))/(24d0*pi**2d0)
      coupl(nGC_1533) = sq2**3d0*(Nc*cima*coupl(nGC_585)**3d0 - 12d0*coupl(    &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1532) = sq2**3d0*(-Nc*cima*coupl(nGC_585)**3d0 + 12d0*coupl(   &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1625) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_579) - Nc*cima*   &
                        coupl(nGC_585)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_20)*   &
                        coupl(nGC_585)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_579)*  &
                        coupl(nGC_585)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1624) = (cima*coupl(nGC_573)**2d0 - cima*coupl(nGC_585)**4d0*  &
                        sq2**4d0 - 2d0*coupl(nGC_573)*coupl(nGC_585)**2d0*sq2**&
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1627) = (6d0*Nc*cima*coupl(nGC_20)*coupl(nGC_579) - Nc*cima*   &
                        coupl(nGC_585)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_579)*  &
                        coupl(nGC_585)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)**&
                        4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1626) = (3d0*Nc*cima*coupl(nGC_20)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_579)**2d0 - Nc*cima*coupl(nGC_585)**4d0*sq2**4d0 - &
                        6d0*Nc*coupl(nGC_20)*coupl(nGC_585)**2d0*sq2**2d0 + 9d0&
                        *cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_1539) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_204)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_216)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_2)**2d0*coupl(nGC_200)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_220)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_228)**2d0 - 2d0*cima* &
                        coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_212)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_224)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_9)*   &
                        coupl(nGC_96) + coupl(nGC_3)**2d0*coupl(nGC_96) + coupl&
                        (nGC_557)**2d0*coupl(nGC_96))/(8d0*pi**2d0)
      coupl(nGC_1538) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_194)*coupl(  &
                        nGC_601) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_202 &
                        )*coupl(nGC_545) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_214)*coupl(nGC_527) - 2d0*Nc*cima*coupl(nGC_198)*  &
                        coupl(nGC_2)**2d0*coupl(nGC_559) - 2d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_218)*coupl(nGC_563) - 2d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_226)*coupl(nGC_547) - 2d0*&
                        cima*coupl(nGC_206)*coupl(nGC_4)**2d0*coupl(nGC_621) - &
                        2d0*cima*coupl(nGC_210)*coupl(nGC_4)**2d0*coupl(nGC_533&
                        ) - 2d0*cima*coupl(nGC_222)*coupl(nGC_4)**2d0*coupl(   &
                        nGC_591) + cima*coupl(nGC_71)*coupl(nGC_9) + coupl(    &
                        nGC_3)**2d0*coupl(nGC_71) + coupl(nGC_557)**2d0*coupl( &
                        nGC_71))/(8d0*pi**2d0)
      coupl(nGC_1920) = coupl(nGC_1857) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_207_Hh) + coupl(nGC_TS_GC_208_Hl)
      coupl(nGC_2253) = -coupl(nGC_1876) - coupl(nGC_MZ_GF)*dZZ_QED2/2d0 +     &
                        coupl(nGC_TS_GC_130_Hh) + coupl(nGC_TS_GC_136_Hl)
      coupl(nGC_2252) = coupl(nGC_1641) + 2d0*coupl(nGC_33)*dZHlHh_QED2 + 2d0* &
                        coupl(nGC_35)*dZHh_QED2
      coupl(nGC_2254) = -coupl(nGC_1875) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_101_Hh) + coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_2256) = -coupl(nGC_1377)
      coupl(nGC_2259) = -coupl(nGC_1469)
      coupl(nGC_2097) = coupl(nGC_1673)/2d0 + coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_1580) = cima*(10d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_195)**2d0  &
                         + 40d0*Nc*coupl(nGC_194)*coupl(nGC_195)**2d0*coupl(   &
                        nGC_601) + 10d0*Nc*coupl(nGC_195)**2d0*coupl(nGC_601)**&
                        2d0 + 10d0*Nc*coupl(nGC_198)**2d0*coupl(nGC_199)**2d0  &
                         + 40d0*Nc*coupl(nGC_198)*coupl(nGC_199)**2d0*coupl(   &
                        nGC_559) + 10d0*Nc*coupl(nGC_199)**2d0*coupl(nGC_559)**&
                        2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_203)**2d0  &
                         + 40d0*Nc*coupl(nGC_202)*coupl(nGC_203)**2d0*coupl(   &
                        nGC_545) + 10d0*Nc*coupl(nGC_203)**2d0*coupl(nGC_545)**&
                        2d0 + 10d0*Nc*coupl(nGC_214)**2d0*coupl(nGC_215)**2d0  &
                         + 40d0*Nc*coupl(nGC_214)*coupl(nGC_215)**2d0*coupl(   &
                        nGC_527) + 10d0*Nc*coupl(nGC_215)**2d0*coupl(nGC_527)**&
                        2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(nGC_219)**2d0  &
                         + 40d0*Nc*coupl(nGC_218)*coupl(nGC_219)**2d0*coupl(   &
                        nGC_563) + 10d0*Nc*coupl(nGC_219)**2d0*coupl(nGC_563)**&
                        2d0 + 10d0*Nc*coupl(nGC_226)**2d0*coupl(nGC_227)**2d0  &
                         + 40d0*Nc*coupl(nGC_226)*coupl(nGC_227)**2d0*coupl(   &
                        nGC_547) + 10d0*Nc*coupl(nGC_227)**2d0*coupl(nGC_547)**&
                        2d0 + 3d0*coupl(nGC_142)*coupl(nGC_145) + 10d0*coupl(  &
                        nGC_206)**2d0*coupl(nGC_207)**2d0 + 40d0*coupl(nGC_206 &
                        )*coupl(nGC_207)**2d0*coupl(nGC_621) + 10d0*coupl(     &
                        nGC_207)**2d0*coupl(nGC_621)**2d0 + 10d0*coupl(nGC_210 &
                        )**2d0*coupl(nGC_211)**2d0 + 40d0*coupl(nGC_210)*coupl(&
                        nGC_211)**2d0*coupl(nGC_533) + 10d0*coupl(nGC_211)**2d0&
                        *coupl(nGC_533)**2d0 + 10d0*coupl(nGC_222)**2d0*coupl( &
                        nGC_223)**2d0 + 40d0*coupl(nGC_222)*coupl(nGC_223)**2d0&
                        *coupl(nGC_591) + 10d0*coupl(nGC_223)**2d0*coupl(      &
                        nGC_591)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_82))/(48d0*&
                        pi**2d0)
      coupl(nGC_1581) = cima*(10d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_195)*coupl(&
                        nGC_196) + 40d0*Nc*coupl(nGC_194)*coupl(nGC_195)*coupl(&
                        nGC_196)*coupl(nGC_601) + 10d0*Nc*coupl(nGC_195)*coupl(&
                        nGC_196)*coupl(nGC_601)**2d0 + 10d0*Nc*coupl(nGC_198)**&
                        2d0*coupl(nGC_199)*coupl(nGC_200) + 40d0*Nc*coupl(     &
                        nGC_198)*coupl(nGC_199)*coupl(nGC_200)*coupl(nGC_559   &
                        ) + 10d0*Nc*coupl(nGC_199)*coupl(nGC_200)*coupl(nGC_559&
                        )**2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_203)*   &
                        coupl(nGC_204) + 40d0*Nc*coupl(nGC_202)*coupl(nGC_203)*&
                        coupl(nGC_204)*coupl(nGC_545) + 10d0*Nc*coupl(nGC_203)*&
                        coupl(nGC_204)*coupl(nGC_545)**2d0 + 10d0*Nc*coupl(    &
                        nGC_214)**2d0*coupl(nGC_215)*coupl(nGC_216) + 40d0*Nc* &
                        coupl(nGC_214)*coupl(nGC_215)*coupl(nGC_216)*coupl(    &
                        nGC_527) + 10d0*Nc*coupl(nGC_215)*coupl(nGC_216)*coupl(&
                        nGC_527)**2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(     &
                        nGC_219)*coupl(nGC_220) + 40d0*Nc*coupl(nGC_218)*coupl(&
                        nGC_219)*coupl(nGC_220)*coupl(nGC_563) + 10d0*Nc*coupl(&
                        nGC_219)*coupl(nGC_220)*coupl(nGC_563)**2d0 + 10d0*Nc* &
                        coupl(nGC_226)**2d0*coupl(nGC_227)*coupl(nGC_228) +    &
                        40d0*Nc*coupl(nGC_226)*coupl(nGC_227)*coupl(nGC_228)*  &
                        coupl(nGC_547) + 10d0*Nc*coupl(nGC_227)*coupl(nGC_228)*&
                        coupl(nGC_547)**2d0 + 3d0*coupl(nGC_142)*coupl(nGC_147 &
                        ) + 10d0*coupl(nGC_206)**2d0*coupl(nGC_207)*coupl(     &
                        nGC_208) + 40d0*coupl(nGC_206)*coupl(nGC_207)*coupl(   &
                        nGC_208)*coupl(nGC_621) + 10d0*coupl(nGC_207)*coupl(   &
                        nGC_208)*coupl(nGC_621)**2d0 + 10d0*coupl(nGC_210)**2d0&
                        *coupl(nGC_211)*coupl(nGC_212) + 40d0*coupl(nGC_210)*  &
                        coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_533) + 10d0*   &
                        coupl(nGC_211)*coupl(nGC_212)*coupl(nGC_533)**2d0 +    &
                        10d0*coupl(nGC_222)**2d0*coupl(nGC_223)*coupl(nGC_224  &
                        ) + 40d0*coupl(nGC_222)*coupl(nGC_223)*coupl(nGC_224)* &
                        coupl(nGC_591) + 10d0*coupl(nGC_223)*coupl(nGC_224)*   &
                        coupl(nGC_591)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_92   &
                        ))/(48d0*pi**2d0)
      coupl(nGC_1582) = cima*(10d0*Nc*coupl(nGC_194)**2d0*coupl(nGC_196)**2d0  &
                         + 40d0*Nc*coupl(nGC_194)*coupl(nGC_196)**2d0*coupl(   &
                        nGC_601) + 10d0*Nc*coupl(nGC_196)**2d0*coupl(nGC_601)**&
                        2d0 + 10d0*Nc*coupl(nGC_198)**2d0*coupl(nGC_200)**2d0  &
                         + 40d0*Nc*coupl(nGC_198)*coupl(nGC_200)**2d0*coupl(   &
                        nGC_559) + 10d0*Nc*coupl(nGC_200)**2d0*coupl(nGC_559)**&
                        2d0 + 10d0*Nc*coupl(nGC_202)**2d0*coupl(nGC_204)**2d0  &
                         + 40d0*Nc*coupl(nGC_202)*coupl(nGC_204)**2d0*coupl(   &
                        nGC_545) + 10d0*Nc*coupl(nGC_204)**2d0*coupl(nGC_545)**&
                        2d0 + 10d0*Nc*coupl(nGC_214)**2d0*coupl(nGC_216)**2d0  &
                         + 40d0*Nc*coupl(nGC_214)*coupl(nGC_216)**2d0*coupl(   &
                        nGC_527) + 10d0*Nc*coupl(nGC_216)**2d0*coupl(nGC_527)**&
                        2d0 + 10d0*Nc*coupl(nGC_218)**2d0*coupl(nGC_220)**2d0  &
                         + 40d0*Nc*coupl(nGC_218)*coupl(nGC_220)**2d0*coupl(   &
                        nGC_563) + 10d0*Nc*coupl(nGC_220)**2d0*coupl(nGC_563)**&
                        2d0 + 10d0*Nc*coupl(nGC_226)**2d0*coupl(nGC_228)**2d0  &
                         + 40d0*Nc*coupl(nGC_226)*coupl(nGC_228)**2d0*coupl(   &
                        nGC_547) + 10d0*Nc*coupl(nGC_228)**2d0*coupl(nGC_547)**&
                        2d0 + 3d0*coupl(nGC_142)*coupl(nGC_151) + 10d0*coupl(  &
                        nGC_206)**2d0*coupl(nGC_208)**2d0 + 40d0*coupl(nGC_206 &
                        )*coupl(nGC_208)**2d0*coupl(nGC_621) + 10d0*coupl(     &
                        nGC_208)**2d0*coupl(nGC_621)**2d0 + 10d0*coupl(nGC_210 &
                        )**2d0*coupl(nGC_212)**2d0 + 40d0*coupl(nGC_210)*coupl(&
                        nGC_212)**2d0*coupl(nGC_533) + 10d0*coupl(nGC_212)**2d0&
                        *coupl(nGC_533)**2d0 + 10d0*coupl(nGC_222)**2d0*coupl( &
                        nGC_224)**2d0 + 40d0*coupl(nGC_222)*coupl(nGC_224)**2d0&
                        *coupl(nGC_591) + 10d0*coupl(nGC_224)**2d0*coupl(      &
                        nGC_591)**2d0 + 6d0*coupl(nGC_71)*coupl(nGC_96))/(48d0*&
                        pi**2d0)
      coupl(nGC_1584) = (-8d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_99)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_199)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_203)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_215)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_219)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_227)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_145)*coupl(nGC_85) - 8d0*cima*coupl(&
                        nGC_207)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_211)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_223)**2d0*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                        nGC_617)*coupl(nGC_82) + 6d0*coupl(nGC_102)*coupl(     &
                        nGC_523)*coupl(nGC_82) + 6d0*coupl(nGC_103)*coupl(     &
                        nGC_145)*coupl(nGC_597) + 6d0*coupl(nGC_4)*coupl(      &
                        nGC_557)*coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_1586) = (-8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_194)*coupl(&
                        nGC_601) - 8d0*Nc*cima*coupl(nGC_122)**2d0*coupl(      &
                        nGC_202)*coupl(nGC_545) - 8d0*Nc*cima*coupl(nGC_122)** &
                        2d0*coupl(nGC_214)*coupl(nGC_527) + 10d0*Nc*cima*coupl(&
                        nGC_122)*coupl(nGC_125)*coupl(nGC_194)*coupl(nGC_601   &
                        ) + 10d0*Nc*cima*coupl(nGC_122)*coupl(nGC_125)*coupl(  &
                        nGC_202)*coupl(nGC_545) + 10d0*Nc*cima*coupl(nGC_122)* &
                        coupl(nGC_125)*coupl(nGC_214)*coupl(nGC_527) - 8d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_198)*coupl(nGC_559  &
                        ) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(nGC_218)*    &
                        coupl(nGC_563) - 8d0*Nc*cima*coupl(nGC_123)**2d0*coupl(&
                        nGC_226)*coupl(nGC_547) + 10d0*Nc*cima*coupl(nGC_123)* &
                        coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_559) + 10d0*Nc*&
                        cima*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218)*coupl&
                        (nGC_563) + 10d0*Nc*cima*coupl(nGC_123)*coupl(nGC_126)*&
                        coupl(nGC_226)*coupl(nGC_547) - 8d0*Nc*cima*coupl(     &
                        nGC_125)**2d0*coupl(nGC_194)*coupl(nGC_601) - 8d0*Nc*  &
                        cima*coupl(nGC_125)**2d0*coupl(nGC_202)*coupl(nGC_545  &
                        ) - 8d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_214)*    &
                        coupl(nGC_527) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(&
                        nGC_198)*coupl(nGC_559) - 8d0*Nc*cima*coupl(nGC_126)** &
                        2d0*coupl(nGC_218)*coupl(nGC_563) - 8d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_226)*coupl(nGC_547) - 8d0*cima*&
                        coupl(nGC_124)**2d0*coupl(nGC_206)*coupl(nGC_621) - 8d0&
                        *cima*coupl(nGC_124)**2d0*coupl(nGC_210)*coupl(nGC_533 &
                        ) - 8d0*cima*coupl(nGC_124)**2d0*coupl(nGC_222)*coupl( &
                        nGC_591) + 10d0*cima*coupl(nGC_124)*coupl(nGC_128)*    &
                        coupl(nGC_206)*coupl(nGC_621) + 10d0*cima*coupl(nGC_124&
                        )*coupl(nGC_128)*coupl(nGC_210)*coupl(nGC_533) + 10d0* &
                        cima*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222)*coupl&
                        (nGC_591) - 8d0*cima*coupl(nGC_128)**2d0*coupl(nGC_206 &
                        )*coupl(nGC_621) - 8d0*cima*coupl(nGC_128)**2d0*coupl( &
                        nGC_210)*coupl(nGC_533) - 8d0*cima*coupl(nGC_128)**2d0*&
                        coupl(nGC_222)*coupl(nGC_591) + 3d0*cima*coupl(nGC_71)*&
                        coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(nGC_71   &
                        ) + 3d0*coupl(nGC_523)**2d0*coupl(nGC_71))/(24d0*pi**  &
                        2d0)
      coupl(nGC_1588) = (-8d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(     &
                        nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_199)*coupl(nGC_200&
                        )*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_203)*coupl&
                        (nGC_204)*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_215)*coupl(nGC_216)*coupl(nGC_99)**2d0 - 8d0*Nc*   &
                        cima*coupl(nGC_219)*coupl(nGC_220)*coupl(nGC_99)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_227)*coupl(nGC_228)*coupl(    &
                        nGC_99)**2d0 + 3d0*cima*coupl(nGC_147)*coupl(nGC_85) - &
                        8d0*cima*coupl(nGC_207)*coupl(nGC_208)*coupl(nGC_99)** &
                        2d0 - 8d0*cima*coupl(nGC_211)*coupl(nGC_212)*coupl(    &
                        nGC_99)**2d0 - 8d0*cima*coupl(nGC_223)*coupl(nGC_224)* &
                        coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_617)*coupl(    &
                        nGC_92) + 6d0*coupl(nGC_102)*coupl(nGC_523)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_103)*coupl(nGC_147)*coupl(     &
                        nGC_597) + 6d0*coupl(nGC_4)*coupl(nGC_557)*coupl(nGC_92&
                        ))/(48d0*pi**2d0)
      coupl(nGC_1885) = -coupl(nGC_1674)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_1886) = coupl(nGC_111)*dZHh_QED2/2d0 + coupl(nGC_119)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1658)
      coupl(nGC_1922) = coupl(nGC_145)*dZHhHl_QED2/2d0 + coupl(nGC_147)*       &
                        dZHh_QED2/2d0 + coupl(nGC_147)*dZHl_QED2/2d0 + coupl(  &
                        nGC_147)*dZZ_QED2 + coupl(nGC_151)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1777)
      coupl(nGC_2125) = coupl(nGC_1665) + coupl(nGC_174)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_178)*dZHl_QED2/2d0
      coupl(nGC_1957) = coupl(nGC_154)*dZZA_QED2/2d0 + coupl(nGC_166)*dZA_QED2/&
                        2d0 + coupl(nGC_166)*dZWMinus_QED2/2d0 + coupl(nGC_1745&
                        ) + coupl(nGC_TS_GC_110_Hh) + coupl(nGC_TS_GC_120_Hl)
      coupl(nGC_2120) = coupl(nGC_1662) + coupl(nGC_179)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_184)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_29_Hl   &
                        ) + coupl(nGC_TS_GC_31_Hh)
      coupl(nGC_2242) = coupl(nGC_175)*dZHhHl_QED2/2d0 + coupl(nGC_177)*       &
                        dZHl_QED2/2d0 + coupl(nGC_177)*dZZ_QED2 + coupl(       &
                        nGC_1780) + coupl(nGC_TS_GC_147_Hh) + coupl(           &
                        nGC_TS_GC_151_Hl)
      coupl(nGC_2159) = coupl(nGC_1678) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
      coupl(nGC_2156) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZuR_QED2 &
                         + coupl(nGC_1788) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_1940) = coupl(nGC_111)*dZHhHl_QED2/2d0 + coupl(nGC_119)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1659)
      coupl(nGC_1946) = coupl(nGC_144)*dZHhHl_QED2/2d0 + coupl(nGC_148)*       &
                        dZHh_QED2/2d0 + coupl(nGC_148)*dZHl_QED2/2d0 + coupl(  &
                        nGC_150)*dZHlHh_QED2/2d0 + coupl(nGC_1646)
      coupl(nGC_1557) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(    &
                        nGC_215)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_195)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_125)*coupl(nGC_203)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_125)*coupl(nGC_215)**2d0 - Nc*cima*coupl(    &
                        nGC_123)*coupl(nGC_199)**2d0*coupl(nGC_2) - Nc*cima*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)**2d0 - Nc*  &
                        cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227)**2d0 - &
                        Nc*cima*coupl(nGC_126)*coupl(nGC_199)**2d0*coupl(nGC_2 &
                        ) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219  &
                        )**2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(    &
                        nGC_227)**2d0 + cima*coupl(nGC_116)*coupl(nGC_82) -    &
                        cima*coupl(nGC_124)*coupl(nGC_207)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_124)*coupl(nGC_211)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_124)*coupl(nGC_223)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_207)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_211)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_223)**2d0*coupl(nGC_4) + &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_82) + coupl(     &
                        nGC_523)*coupl(nGC_557)*coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1556) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_194)*  &
                        coupl(nGC_601) - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*  &
                        coupl(nGC_202)*coupl(nGC_545) - Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_122)*coupl(nGC_214)*coupl(nGC_527) - Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_194)*coupl(      &
                        nGC_601) - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(  &
                        nGC_202)*coupl(nGC_545) - Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_125)*coupl(nGC_214)*coupl(nGC_527) - Nc*cima*coupl(&
                        nGC_123)*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_559) -  &
                        Nc*cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_218)*    &
                        coupl(nGC_563) - Nc*cima*coupl(nGC_123)*coupl(nGC_2)*  &
                        coupl(nGC_226)*coupl(nGC_547) - Nc*cima*coupl(nGC_126)*&
                        coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_559) - Nc*cima*  &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_218)*coupl(      &
                        nGC_563) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(  &
                        nGC_226)*coupl(nGC_547) + cima*coupl(nGC_116)*coupl(   &
                        nGC_71) - cima*coupl(nGC_124)*coupl(nGC_206)*coupl(    &
                        nGC_4)*coupl(nGC_621) - cima*coupl(nGC_124)*coupl(     &
                        nGC_210)*coupl(nGC_4)*coupl(nGC_533) - cima*coupl(     &
                        nGC_124)*coupl(nGC_222)*coupl(nGC_4)*coupl(nGC_591) -  &
                        cima*coupl(nGC_128)*coupl(nGC_206)*coupl(nGC_4)*coupl( &
                        nGC_621) - cima*coupl(nGC_128)*coupl(nGC_210)*coupl(   &
                        nGC_4)*coupl(nGC_533) - cima*coupl(nGC_128)*coupl(     &
                        nGC_222)*coupl(nGC_4)*coupl(nGC_591) + coupl(nGC_103)* &
                        coupl(nGC_3)*coupl(nGC_71) + coupl(nGC_523)*coupl(     &
                        nGC_557)*coupl(nGC_71))/(8d0*pi**2d0)
      coupl(nGC_1555) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_122)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_125)**2d0 + Nc*cima*  &
                        coupl(nGC_123)**2d0*coupl(nGC_2)**2d0 + Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_2)**2d0 - 2d0*cima*coupl(      &
                        nGC_103)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_116)**&
                        2d0 + cima*coupl(nGC_124)**2d0*coupl(nGC_4)**2d0 + cima&
                        *coupl(nGC_128)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl&
                        (nGC_523)**2d0*coupl(nGC_557)**2d0 + 2d0*coupl(nGC_103 &
                        )*coupl(nGC_116)*coupl(nGC_3) + 2d0*coupl(nGC_116)*    &
                        coupl(nGC_523)*coupl(nGC_557))/(8d0*pi**2d0)
      coupl(nGC_1553) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(&
                        nGC_99)**2d0 + 9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*&
                        coupl(nGC_99)**2d0 - 6d0*Nc*cima*coupl(nGC_126)*coupl( &
                        nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_102)*   &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_523) - 8d0*cima* &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_557 &
                        ) + 6d0*cima*coupl(nGC_113)*coupl(nGC_529) + 6d0*cima* &
                        coupl(nGC_113)*coupl(nGC_84) - 6d0*cima*coupl(nGC_128)*&
                        coupl(nGC_4)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(      &
                        nGC_129)*coupl(nGC_4)*coupl(nGC_99)**2d0 + 6d0*coupl(  &
                        nGC_102)*coupl(nGC_3)*coupl(nGC_84) + 6d0*coupl(nGC_103&
                        )*coupl(nGC_113)*coupl(nGC_523) + 6d0*coupl(nGC_113)*  &
                        coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_3)*coupl(    &
                        nGC_523)*coupl(nGC_529))/(48d0*pi**2d0)
      coupl(nGC_1552) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_99 &
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_126)*coupl(&
                        nGC_99)**2d0 + 9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_2)*&
                        coupl(nGC_99)**2d0 - 6d0*Nc*cima*coupl(nGC_126)*coupl( &
                        nGC_2)*coupl(nGC_99)**2d0 - 8d0*cima*coupl(nGC_102)*   &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_523) - 8d0*cima* &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_557 &
                        ) + 6d0*cima*coupl(nGC_113)*coupl(nGC_529) + 6d0*cima* &
                        coupl(nGC_113)*coupl(nGC_84) - 6d0*cima*coupl(nGC_128)*&
                        coupl(nGC_4)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(      &
                        nGC_129)*coupl(nGC_4)*coupl(nGC_99)**2d0 + 6d0*coupl(  &
                        nGC_102)*coupl(nGC_103)*coupl(nGC_113) + 6d0*coupl(    &
                        nGC_103)*coupl(nGC_4)*coupl(nGC_529) + 6d0*coupl(      &
                        nGC_113)*coupl(nGC_3)*coupl(nGC_557) + 6d0*coupl(nGC_3 &
                        )*coupl(nGC_523)*coupl(nGC_84))/(48d0*pi**2d0)
      coupl(nGC_1416) = (-2d0*Nc*cMB*coupl(nGC_122)**2d0*coupl(nGC_195) + 2d0* &
                        Nc*cMB*coupl(nGC_122)*coupl(nGC_125)*coupl(nGC_195) -  &
                        2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_195) - 2d0*Nc*&
                        cMC*coupl(nGC_123)**2d0*coupl(nGC_199) + 2d0*Nc*cMC*   &
                        coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) - 2d0*Nc* &
                        cMC*coupl(nGC_126)**2d0*coupl(nGC_199) - 2d0*Nc*cMD*   &
                        coupl(nGC_122)**2d0*coupl(nGC_203) + 2d0*Nc*cMD*coupl( &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) - 2d0*Nc*cMD*   &
                        coupl(nGC_125)**2d0*coupl(nGC_203) - 2d0*Nc*cMS*coupl( &
                        nGC_122)**2d0*coupl(nGC_215) + 2d0*Nc*cMS*coupl(nGC_122&
                        )*coupl(nGC_125)*coupl(nGC_215) - 2d0*Nc*cMS*coupl(    &
                        nGC_125)**2d0*coupl(nGC_215) - 2d0*Nc*cMT*coupl(nGC_123&
                        )**2d0*coupl(nGC_219) + 2d0*Nc*cMT*coupl(nGC_123)*coupl&
                        (nGC_126)*coupl(nGC_219) - 2d0*Nc*cMT*coupl(nGC_126)** &
                        2d0*coupl(nGC_219) - 2d0*Nc*cMU*coupl(nGC_123)**2d0*   &
                        coupl(nGC_227) + 2d0*Nc*cMU*coupl(nGC_123)*coupl(      &
                        nGC_126)*coupl(nGC_227) - 2d0*Nc*cMU*coupl(nGC_126)**  &
                        2d0*coupl(nGC_227) - 2d0*cME*coupl(nGC_124)**2d0*coupl(&
                        nGC_207) + 2d0*cME*coupl(nGC_124)*coupl(nGC_128)*coupl(&
                        nGC_207) - 2d0*cME*coupl(nGC_128)**2d0*coupl(nGC_207   &
                        ) - 2d0*cMM*coupl(nGC_124)**2d0*coupl(nGC_211) + 2d0*  &
                        cMM*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_211) - 2d0*&
                        cMM*coupl(nGC_128)**2d0*coupl(nGC_211) - 2d0*cMTA*coupl&
                        (nGC_124)**2d0*coupl(nGC_223) + 2d0*cMTA*coupl(nGC_124 &
                        )*coupl(nGC_128)*coupl(nGC_223) - 2d0*cMTA*coupl(      &
                        nGC_128)**2d0*coupl(nGC_223) + cima*coupl(nGC_162)*    &
                        coupl(nGC_85) + coupl(nGC_103)**2d0*coupl(nGC_162) +   &
                        coupl(nGC_162)*coupl(nGC_523)**2d0)/(8d0*pi**2d0)
      coupl(nGC_1412) = (-2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_99)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_199)*coupl(nGC_99)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_203)*coupl(nGC_99)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_215)*coupl(nGC_99)**2d0 - 2d0*Nc*cMT*coupl(nGC_219 &
                        )*coupl(nGC_99)**2d0 - 2d0*Nc*cMU*coupl(nGC_227)*coupl(&
                        nGC_99)**2d0 - 2d0*cME*coupl(nGC_207)*coupl(nGC_99)**  &
                        2d0 - 2d0*cMM*coupl(nGC_211)*coupl(nGC_99)**2d0 - 2d0* &
                        cMTA*coupl(nGC_223)*coupl(nGC_99)**2d0 + 2d0*cima*coupl&
                        (nGC_162)*coupl(nGC_617) + cima*coupl(nGC_175)*coupl(  &
                        nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_162)*coupl(     &
                        nGC_523) + 2d0*coupl(nGC_103)*coupl(nGC_175)*coupl(    &
                        nGC_597) + 2d0*coupl(nGC_162)*coupl(nGC_4)*coupl(      &
                        nGC_557))/(16d0*pi**2d0)
      coupl(nGC_1324) = (coupl(nGC_1)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + coupl(nGC_198)*coupl(nGC_2)*coupl&
                        (nGC_559) + coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*    &
                        coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_1326) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(nGC_545) +  &
                        coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_225)**2d0 + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_557)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1320) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_194)*coupl(nGC_601) +  &
                        coupl(nGC_1)*coupl(nGC_195)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_196)**2d0 + coupl(nGC_2)*coupl(nGC_217)**2d0 + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_557)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1323) = (coupl(nGC_1)*coupl(nGC_213)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_559) +  &
                        coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**  &
                        3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2006) = coupl(nGC_108)*dZA_QED2/2d0 + coupl(nGC_108)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZA_QED2/2d0 + coupl&
                        (nGC_1655)
      coupl(nGC_2007) = coupl(nGC_1722) + coupl(nGC_223)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_224)*dZHl_QED2/2d0 + coupl(nGC_224)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_224)*dZtauMinusR_QED2/&
                        2d0
      coupl(nGC_2113) = coupl(nGC_1666) + coupl(nGC_179)*dZHl_QED2/2d0 + coupl(&
                        nGC_184)*dZHhHl_QED2/2d0 + coupl(nGC_TS_GC_29_Hh) +    &
                        coupl(nGC_TS_GC_30_Hl)
      coupl(nGC_2105) = -coupl(nGC_101)*dZHhHl_QED2/2d0 - coupl(nGC_117)*      &
                        dZHl_QED2/2d0 - coupl(nGC_117)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_1748)
      coupl(nGC_2181) = coupl(nGC_1705) + coupl(nGC_203)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_204)*dZHl_QED2/2d0 + coupl(nGC_204)*dZdL_QED2&
                        /2d0 + coupl(nGC_204)*dZdR_QED2/2d0
      coupl(nGC_2183) = coupl(nGC_1876) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0 - coupl&
                        (nGC_TS_GC_130_Hh) - coupl(nGC_TS_GC_136_Hl)
      coupl(nGC_2189) = -coupl(nGC_1874) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_100_Hh) + coupl(nGC_TS_GC_118_Hl)
      coupl(nGC_2188) = coupl(nGC_1680)/2d0 + coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_2223) = coupl(nGC_1864) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_219_Hh) + coupl&
                        (nGC_TS_GC_220_Hl)
      coupl(nGC_2196) = coupl(nGC_1663) + 3d0*coupl(nGC_189)*dZHlHh_QED2/2d0 + &
                        3d0*coupl(nGC_191)*dZHh_QED2/2d0 + coupl(              &
                        nGC_TS_GC_33_Hl) + coupl(nGC_TS_GC_35_Hh)
      coupl(nGC_2264) = -coupl(nGC_1378)
      coupl(nGC_1313) = (-Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99) - Nc*cMD&
                        *coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99) - Nc*cMS*   &
                        coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99) + 2d0*cima*  &
                        coupl(nGC_113)*coupl(nGC_154) + 2d0*cima*coupl(nGC_166 &
                        )*coupl(nGC_529) + 2d0*coupl(nGC_103)*coupl(nGC_154)*  &
                        coupl(nGC_557) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(&
                        nGC_557))/(16d0*pi**2d0)
      coupl(nGC_1315) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_99)**2d0 - 3d0*Nc*coupl(&
                        nGC_2)*coupl(nGC_99)**2d0 - coupl(nGC_102)*coupl(nGC_3 &
                        )*coupl(nGC_523) - coupl(nGC_3)*coupl(nGC_4)*coupl(    &
                        nGC_557) + 3d0*coupl(nGC_4)*coupl(nGC_99)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_1314) = (-Nc*cMB*coupl(nGC_193)*coupl(nGC_2)*coupl(nGC_99) - Nc&
                        *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_99) - Nc*cMD&
                        *coupl(nGC_2)*coupl(nGC_201)*coupl(nGC_99) - Nc*cMS*   &
                        coupl(nGC_2)*coupl(nGC_213)*coupl(nGC_99) - Nc*cMT*    &
                        coupl(nGC_1)*coupl(nGC_217)*coupl(nGC_99) - Nc*cMU*    &
                        coupl(nGC_1)*coupl(nGC_225)*coupl(nGC_99) + 2d0*cima*  &
                        coupl(nGC_113)*coupl(nGC_154) + 2d0*cima*coupl(nGC_166 &
                        )*coupl(nGC_529) + 2d0*coupl(nGC_102)*coupl(nGC_154)*  &
                        coupl(nGC_3) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(  &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_1317) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_196) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_196) - Nc*&
                        cMC*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_200) - Nc*cMC&
                        *coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_200) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_204) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_204) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_216) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_216) - Nc*cMT*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_220) - Nc*cMT*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_220) - Nc*cMU*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_228) - Nc*cMU*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_228) - cME*coupl(&
                        nGC_124)*coupl(nGC_208)*coupl(nGC_4) - cME*coupl(      &
                        nGC_128)*coupl(nGC_208)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_124)*coupl(nGC_212)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_128)*coupl(nGC_212)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_124)*coupl(nGC_224)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_128)*coupl(nGC_224)*coupl(nGC_4) + cima*coupl(     &
                        nGC_116)*coupl(nGC_164) + coupl(nGC_103)*coupl(nGC_164 &
                        )*coupl(nGC_3) + coupl(nGC_164)*coupl(nGC_523)*coupl(  &
                        nGC_557))/(8d0*pi**2d0)
      coupl(nGC_1316) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_195) - 2d0*Nc*&
                        cMC*coupl(nGC_199)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_203) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_215) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_219) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_227 &
                        ) - 2d0*cME*coupl(nGC_207)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_211)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_223)*coupl(nGC_4)**2d0 + cima*coupl(nGC_162)*coupl(&
                        nGC_9) + coupl(nGC_162)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_162)*coupl(nGC_557)**2d0)/(8d0*pi**2d0)
      coupl(nGC_1319) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_196) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_200) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_204) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_216) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_220) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_228 &
                        ) - 2d0*cME*coupl(nGC_208)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_212)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_224)*coupl(nGC_4)**2d0 + cima*coupl(nGC_164)*coupl(&
                        nGC_9) + coupl(nGC_164)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_164)*coupl(nGC_557)**2d0)/(8d0*pi**2d0)
      coupl(nGC_1318) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_195) - Nc*&
                        cMC*coupl(nGC_123)*coupl(nGC_199)*coupl(nGC_2) - Nc*cMC&
                        *coupl(nGC_126)*coupl(nGC_199)*coupl(nGC_2) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_203) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_215) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_125)*coupl(nGC_215) - Nc*cMT*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219) - Nc*cMT*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219) - Nc*cMU*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227) - Nc*cMU*   &
                        coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_227) - cME*coupl(&
                        nGC_124)*coupl(nGC_207)*coupl(nGC_4) - cME*coupl(      &
                        nGC_128)*coupl(nGC_207)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_124)*coupl(nGC_211)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_128)*coupl(nGC_211)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_124)*coupl(nGC_223)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_128)*coupl(nGC_223)*coupl(nGC_4) + cima*coupl(     &
                        nGC_116)*coupl(nGC_162) + coupl(nGC_103)*coupl(nGC_162 &
                        )*coupl(nGC_3) + coupl(nGC_162)*coupl(nGC_523)*coupl(  &
                        nGC_557))/(8d0*pi**2d0)
      coupl(nGC_2039) = -coupl(nGC_1723) - coupl(nGC_226)*dZuL_QED2/2d0 - coupl&
                        (nGC_226)*dZuR_QED2/2d0
      coupl(nGC_2038) = coupl(nGC_1724) + coupl(nGC_226)*dZuL_QCD2/2d0 + coupl(&
                        nGC_226)*dZuR_QCD2/2d0
      coupl(nGC_2035) = coupl(nGC_1674)/2d0 + coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_2034) = coupl(nGC_1700) + coupl(nGC_203)*dZdL_QCD2/2d0 + coupl(&
                        nGC_203)*dZdR_QCD2/2d0
      coupl(nGC_2037) = coupl(nGC_1723) + coupl(nGC_226)*dZuL_QED2/2d0 + coupl(&
                        nGC_226)*dZuR_QED2/2d0
      coupl(nGC_2036) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_134)*dZZA_QED2 +    &
                        coupl(nGC_1672)
      coupl(nGC_2215) = coupl(nGC_1679) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2217) = coupl(nGC_101)*dZHhHl_QED2/2d0 + coupl(nGC_117)*       &
                        dZHl_QED2/2d0 + coupl(nGC_117)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1748)
      coupl(nGC_2216) = 2d0*coupl(nGC_1679) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_2211) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0
      coupl(nGC_2210) = coupl(nGC_1649) + coupl(nGC_32)*dZHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_32)*dZHl_QED2/2d0 + coupl(nGC_34)*dZHlHh_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHhHl_QED2/2d0
      coupl(nGC_2212) = coupl(nGC_1664) + coupl(nGC_189)*dZHhHl_QED2 + coupl(  &
                        nGC_190)*dZHlHh_QED2/2d0 + coupl(nGC_192)*dZHh_QED2/2d0&
                         + coupl(nGC_192)*dZHl_QED2 + coupl(nGC_TS_GC_32_Hl) + &
                        coupl(nGC_TS_GC_36_Hh)
      coupl(nGC_1877) = coupl(nGC_1653) + coupl(nGC_81)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_93)*dZHh_QED2/2d0 + coupl(nGC_93)*dZHl_QED2/2d0 + &
                        coupl(nGC_95)*dZHlHh_QED2/2d0
      coupl(nGC_2219) = coupl(nGC_1874) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_100_Hh) - coupl(nGC_TS_GC_118_Hl)
      coupl(nGC_2218) = -coupl(nGC_101)*dZHh_QED2/2d0 - coupl(nGC_101)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_117)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1747)
      coupl(nGC_2051) = coupl(nGC_148)*dZHhHl_QED2 + coupl(nGC_150)*dZHl_QED2  &
                         + coupl(nGC_1650)
      coupl(nGC_2050) = -coupl(nGC_1680)/2d0 - coupl(nGC_17)*dZg_QCD2/4d0
      coupl(nGC_2198) = coupl(nGC_1728) + coupl(nGC_218)*dZtL_QCD2/2d0 + coupl(&
                        nGC_218)*dZtR_QCD2/2d0
      coupl(nGC_2199) = -coupl(nGC_1727) - coupl(nGC_218)*dZtL_QED2/2d0 - coupl&
                        (nGC_218)*dZtR_QED2/2d0
      coupl(nGC_1579) = (-8d0*Nc*cima*coupl(nGC_194)*coupl(nGC_601)*coupl(     &
                        nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_198)*coupl(nGC_559&
                        )*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(nGC_202)*coupl&
                        (nGC_545)*coupl(nGC_99)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_214)*coupl(nGC_527)*coupl(nGC_99)**2d0 - 8d0*Nc*   &
                        cima*coupl(nGC_218)*coupl(nGC_563)*coupl(nGC_99)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_226)*coupl(nGC_547)*coupl(    &
                        nGC_99)**2d0 + 3d0*cima*coupl(nGC_142)*coupl(nGC_85) - &
                        8d0*cima*coupl(nGC_206)*coupl(nGC_621)*coupl(nGC_99)** &
                        2d0 - 8d0*cima*coupl(nGC_210)*coupl(nGC_533)*coupl(    &
                        nGC_99)**2d0 - 8d0*cima*coupl(nGC_222)*coupl(nGC_591)* &
                        coupl(nGC_99)**2d0 + 6d0*cima*coupl(nGC_617)*coupl(    &
                        nGC_71) + 6d0*coupl(nGC_102)*coupl(nGC_523)*coupl(     &
                        nGC_71) + 6d0*coupl(nGC_103)*coupl(nGC_142)*coupl(     &
                        nGC_597) + 6d0*coupl(nGC_4)*coupl(nGC_557)*coupl(nGC_71&
                        ))/(48d0*pi**2d0)
      coupl(nGC_2197) = coupl(nGC_1727) + coupl(nGC_218)*dZtL_QED2/2d0 + coupl(&
                        nGC_218)*dZtR_QED2/2d0
      coupl(nGC_2192) = coupl(nGC_1870) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_195_Hh) + coupl&
                        (nGC_TS_GC_196_Hl)
      coupl(nGC_2021) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2 &
                         + coupl(nGC_1788) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2200) = -coupl(nGC_1728) - coupl(nGC_218)*dZtL_QCD2/2d0 - coupl&
                        (nGC_218)*dZtR_QCD2/2d0
      coupl(nGC_1913) = coupl(nGC_120)*dZAZ_QED2/2d0 + coupl(nGC_15)*          &
                        dZHhHl_QED2/2d0 + coupl(nGC_1770) + coupl(nGC_28)*     &
                        dZHl_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_28)*dZZ_QED2/2d0
      coupl(nGC_2060) = -coupl(nGC_128)*dZZA_QED2/2d0 - coupl(nGC_1675) - coupl&
                        (nGC_4)*dZA_QED2/2d0
      coupl(nGC_1910) = coupl(nGC_107)*dZA_QED2/2d0 + coupl(nGC_107)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZA_QED2/2d0 + coupl&
                        (nGC_1656)
      coupl(nGC_2040) = -coupl(nGC_1724) - coupl(nGC_226)*dZuL_QCD2/2d0 - coupl&
                        (nGC_226)*dZuR_QCD2/2d0
      coupl(nGC_1918) = coupl(nGC_154)*dZWMinus_QED2/2d0 + coupl(nGC_154)*     &
                        dZZ_QED2/2d0 + coupl(nGC_166)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_1772) + coupl(nGC_TS_GC_15_Hh) + coupl(            &
                        nGC_TS_GC_28_Hl)
      coupl(nGC_1568) = (Nc*cima*coupl(nGC_1)*coupl(nGC_122)**3d0 + Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_125)**3d0 + Nc*cima*coupl(      &
                        nGC_123)**3d0*coupl(nGC_2) + Nc*cima*coupl(nGC_126)**  &
                        3d0*coupl(nGC_2) - 2d0*cima*coupl(nGC_103)**3d0*coupl( &
                        nGC_3) + cima*coupl(nGC_116)*coupl(nGC_85) + cima*coupl&
                        (nGC_124)**3d0*coupl(nGC_4) + cima*coupl(nGC_128)**3d0*&
                        coupl(nGC_4) - 2d0*cima*coupl(nGC_523)**3d0*coupl(     &
                        nGC_557) + coupl(nGC_103)**2d0*coupl(nGC_116) + coupl( &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_85) + coupl(nGC_116)*  &
                        coupl(nGC_523)**2d0 + coupl(nGC_523)*coupl(nGC_557)*   &
                        coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1566) = (-4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_193)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_201)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_213)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_126)*coupl(    &
                        nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*coupl(      &
                        nGC_126)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_122)*coupl(nGC_126)*coupl(nGC_213)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_225)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_125)*coupl(    &
                        nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_123)*coupl(      &
                        nGC_125)*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_193)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_213)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_205)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_209)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_221)**2d0 + 5d0*cima*coupl(    &
                        nGC_124)*coupl(nGC_129)*coupl(nGC_205)**2d0 + 5d0*cima*&
                        coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)**2d0 + 5d0&
                        *cima*coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)**2d0&
                         - 4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_205)**2d0 -  &
                        4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_209)**2d0 - 4d0*&
                        cima*coupl(nGC_129)**2d0*coupl(nGC_221)**2d0 + 3d0*cima&
                        *coupl(nGC_71)*coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*&
                        coupl(nGC_71) + 3d0*coupl(nGC_523)**2d0*coupl(nGC_71   &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1565) = (-4d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_99)**2d0 - &
                        4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_201)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_213)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_217)**2d0*coupl(nGC_99)**2d0 -   &
                        4d0*Nc*cima*coupl(nGC_225)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_10)*coupl(nGC_9) + 6d0*cima*coupl(  &
                        nGC_116)*coupl(nGC_134) + 3d0*cima*coupl(nGC_141)*coupl&
                        (nGC_85) - 4d0*cima*coupl(nGC_205)**2d0*coupl(nGC_99)**&
                        2d0 - 4d0*cima*coupl(nGC_209)**2d0*coupl(nGC_99)**2d0  &
                         - 4d0*cima*coupl(nGC_221)**2d0*coupl(nGC_99)**2d0 +   &
                        6d0*cima*coupl(nGC_617)*coupl(nGC_71) + 6d0*coupl(     &
                        nGC_10)*coupl(nGC_3)*coupl(nGC_521) + 6d0*coupl(nGC_102&
                        )*coupl(nGC_523)*coupl(nGC_71) + 6d0*coupl(nGC_103)*   &
                        coupl(nGC_134)*coupl(nGC_521) + 6d0*coupl(nGC_103)*    &
                        coupl(nGC_141)*coupl(nGC_597) + 6d0*coupl(nGC_134)*    &
                        coupl(nGC_3)*coupl(nGC_597) + 6d0*coupl(nGC_4)*coupl(  &
                        nGC_557)*coupl(nGC_71))/(48d0*pi**2d0)
      coupl(nGC_1963) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl(&
                        nGC_1632)
      coupl(nGC_1967) = coupl(nGC_1709) + coupl(nGC_195)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_196)*dZHl_QED2/2d0 + coupl(nGC_196)*dZbL_QED2&
                        /2d0 + coupl(nGC_196)*dZbR_QED2/2d0
      coupl(nGC_1969) = coupl(nGC_144)*dZHh_QED2 + coupl(nGC_148)*dZHlHh_QED2  &
                         + coupl(nGC_1636)
      coupl(nGC_1601) = (-3d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 + &
                        9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99 &
                        )**2d0 - 3d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 4d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_523) - 4d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_557) + 3d0*cima*coupl(nGC_113)**2d0 - &
                        3d0*cima*coupl(nGC_128)**2d0*coupl(nGC_99)**2d0 + 9d0* &
                        cima*coupl(nGC_128)*coupl(nGC_129)*coupl(nGC_99)**2d0  &
                         - 3d0*cima*coupl(nGC_129)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_84)**2d0 + 3d0*coupl(nGC_102)*coupl(&
                        nGC_103)*coupl(nGC_84) + 3d0*coupl(nGC_103)*coupl(     &
                        nGC_113)*coupl(nGC_4) + 3d0*coupl(nGC_103)*coupl(      &
                        nGC_113)*coupl(nGC_557) + 3d0*coupl(nGC_103)*coupl(    &
                        nGC_523)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_1282) = (Nc*cMB**2d0*cima*coupl(nGC_122)**2d0 + Nc*cMB**2d0*   &
                        cima*coupl(nGC_125)**2d0 + Nc*cMC**2d0*cima*coupl(     &
                        nGC_123)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_126)**2d0 + &
                        Nc*cMD**2d0*cima*coupl(nGC_122)**2d0 + Nc*cMD**2d0*cima&
                        *coupl(nGC_125)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_122  &
                        )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_125)**2d0 + Nc*cMT &
                        **2d0*cima*coupl(nGC_123)**2d0 + Nc*cMT**2d0*cima*coupl&
                        (nGC_126)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_123)**2d0  &
                         + Nc*cMU**2d0*cima*coupl(nGC_126)**2d0 + cME**2d0*cima&
                        *coupl(nGC_124)**2d0 + cME**2d0*cima*coupl(nGC_128)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_124)**2d0 + cMM**2d0*cima&
                        *coupl(nGC_128)**2d0 + cMTA**2d0*cima*coupl(nGC_124)** &
                        2d0 + cMTA**2d0*cima*coupl(nGC_128)**2d0 + cMW**2d0*   &
                        cima*coupl(nGC_103)**2d0 + cMW**2d0*cima*coupl(nGC_523 &
                        )**2d0 - cMW**2d0*coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1281) = cima*(coupl(nGC_103)**2d0 + coupl(nGC_523)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_1280) = cima*(-3d0*Nc*coupl(nGC_122)**2d0 - 3d0*Nc*coupl(      &
                        nGC_123)**2d0 - 3d0*Nc*coupl(nGC_125)**2d0 - 3d0*Nc*   &
                        coupl(nGC_126)**2d0 - coupl(nGC_103)**2d0 - 3d0*coupl( &
                        nGC_124)**2d0 - 3d0*coupl(nGC_128)**2d0 - 3d0*coupl(   &
                        nGC_129)**2d0 - coupl(nGC_523)**2d0)/(48d0*pi**2d0)
      coupl(nGC_1368) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) -  &
                        Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) - Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) + Nc* &
                        cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) + Nc*  &
                        cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) + Nc*  &
                        cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + Nc*  &
                        cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + Nc*  &
                        cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) + cME* &
                        coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl(    &
                        nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*coupl(     &
                        nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*coupl(    &
                        nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima*coupl(&
                        nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(nGC_154)*coupl&
                        (nGC_84) + 2d0*coupl(nGC_103)*coupl(nGC_154)*coupl(    &
                        nGC_523) + 2d0*coupl(nGC_166)*coupl(nGC_3)*coupl(      &
                        nGC_523))/(16d0*pi**2d0)
      coupl(nGC_2162) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZtR_QED2 &
                         + coupl(nGC_1788) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_1508) = -coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_585) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
