!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_2265) = -coupl(nGC_1346)
      coupl(nGC_2267) = -coupl(nGC_1533)
      coupl(nGC_2268) = -coupl(nGC_1532)
      coupl(nGC_1594) = (-8d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_99)**2d0 - &
                        8d0*Nc*cima*coupl(nGC_200)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_204)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_216)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_220)**2d0*coupl(nGC_99)**2d0 -   &
                        8d0*Nc*cima*coupl(nGC_228)**2d0*coupl(nGC_99)**2d0 +   &
                        3d0*cima*coupl(nGC_151)*coupl(nGC_85) - 8d0*cima*coupl(&
                        nGC_208)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_212)**2d0*coupl(nGC_99)**2d0 - 8d0*cima*coupl(     &
                        nGC_224)**2d0*coupl(nGC_99)**2d0 + 6d0*cima*coupl(     &
                        nGC_617)*coupl(nGC_96) + 6d0*coupl(nGC_102)*coupl(     &
                        nGC_523)*coupl(nGC_96) + 6d0*coupl(nGC_103)*coupl(     &
                        nGC_151)*coupl(nGC_597) + 6d0*coupl(nGC_4)*coupl(      &
                        nGC_557)*coupl(nGC_96))/(48d0*pi**2d0)
      coupl(nGC_1986) = coupl(nGC_128)*dZZA_QED2/2d0 + coupl(nGC_1675) + coupl(&
                        nGC_4)*dZA_QED2/2d0 + coupl(nGC_4)*dZeMinusL_QED2
      coupl(nGC_1621) = (3d0*Nc*cima*coupl(nGC_20)**2d0 + 3d0*Nc*cima*coupl(   &
                        nGC_579)**2d0 - Nc*cima*coupl(nGC_585)**4d0*sq2**4d0 - &
                        3d0*Nc*coupl(nGC_20)*coupl(nGC_585)**2d0*sq2**2d0 - 3d0&
                        *Nc*coupl(nGC_579)*coupl(nGC_585)**2d0*sq2**2d0 + 9d0* &
                        cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
      coupl(nGC_2257) = -coupl(nGC_1315)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
