!******************************************************************************!
!                                                                              !
!    ctparameter162.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter162.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter162
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter162()
  if (dtb_QED2_scheme .eq. 0) then
    dtb_QED2 = (dZHh_MS_QED2*tb - dZHl_MS_QED2*tb + 2d0*dtHl_QED1*(-ca**3d0 -  &
               ca**2d0*sa*tb + ca*sa**2d0 + sa**3d0*tb)/(cMHL**2d0*vev) + 2d0* &
               dtHh_QED1*(ca**3d0*tb - ca**2d0*sa - ca*sa**2d0*tb + sa**3d0)/( &
               cMHH**2d0*vev))/(2d0*(-ca**2d0 + sa**2d0))
    dtb_QED2 = cone*real(dtb_QED2,kind=dp)
  end if 
end subroutine set_ctparameter162
end module ctparameter162
