!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(2400)%branch(0:0))
      call av(2400, 0, 1, 1, 0, FVFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2401)%branch(0:0))
      call av(2401, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_220, nGC_220/))

      allocate(vertices(2402)%branch(0:0))
      call av(2402, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2403)%branch(0:0))
      call av(2403, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_208, nGC_208/))

      allocate(vertices(2404)%branch(0:0))
      call av(2404, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2405)%branch(0:0))
      call av(2405, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2406)%branch(0:0))
      call av(2406, 0, 1, 1, 0, VUaU0, (/0, 1/), (/nGC_593/))

      allocate(vertices(2407)%branch(0:0))
      call av(2407, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_89/))

      allocate(vertices(2408)%branch(0:0))
      call av(2408, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_95/))

      allocate(vertices(2409)%branch(0:0))
      call av(2409, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2410)%branch(0:0))
      call av(2410, 0, 27, 1, 0, FSFa0, (/0, 1/), (/nGC_220, nGC_220/))

      allocate(vertices(2411)%branch(0:0))
      call av(2411, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(2412)%branch(0:0))
      call av(2412, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2413)%branch(0:0))
      call av(2413, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(2414)%branch(0:0))
      call av(2414, 0, 1, 1, 0, FaVF1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(2415)%branch(0:0))
      call av(2415, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(2416)%branch(0:0))
      call av(2416, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(2417)%branch(0:0))
      call av(2417, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2418)%branch(0:0))
      call av(2418, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2419)%branch(0:0))
      call av(2419, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_228, nGC_228/))

      allocate(vertices(2420)%branch(0:0))
      call av(2420, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2421)%branch(0:0))
      call av(2421, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2422)%branch(0:0))
      call av(2422, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_147/))

      allocate(vertices(2423)%branch(0:0))
      call av(2423, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(2424)%branch(0:0))
      call av(2424, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2425)%branch(0:0))
      call av(2425, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_147/))

      allocate(vertices(2426)%branch(0:0))
      call av(2426, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(2427)%branch(0:0))
      call av(2427, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_72/))

      allocate(vertices(2428)%branch(0:0))
      call av(2428, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_152/))

      allocate(vertices(2429)%branch(0:0))
      call av(2429, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2430)%branch(0:0))
      call av(2430, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(2431)%branch(0:0))
      call av(2431, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2432)%branch(0:0))
      call av(2432, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_93/))

      allocate(vertices(2433)%branch(0:0))
      call av(2433, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2434)%branch(0:0))
      call av(2434, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2435)%branch(0:0))
      call av(2435, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_136/))

      allocate(vertices(2436)%branch(0:0))
      call av(2436, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_167/))

      allocate(vertices(2437)%branch(0:0))
      call av(2437, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2438)%branch(0:0))
      call av(2438, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(2439)%branch(0:0))
      call av(2439, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_154/))

      allocate(vertices(2440)%branch(0:0))
      call av(2440, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_215, nGC_215/))

      allocate(vertices(2441)%branch(0:0))
      call av(2441, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2442)%branch(0:0))
      call av(2442, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_98/))

      allocate(vertices(2443)%branch(0:0))
      call av(2443, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2444)%branch(0:0))
      call av(2444, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(2445)%branch(0:0))
      call av(2445, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(2446)%branch(0:0))
      call av(2446, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_86/))

      allocate(vertices(2447)%branch(0:0))
      call av(2447, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_137/))

      allocate(vertices(2448)%branch(0:0))
      call av(2448, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2449)%branch(0:0))
      call av(2449, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(2450)%branch(0:0))
      call av(2450, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2451)%branch(0:0))
      call av(2451, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_167/))

      allocate(vertices(2452)%branch(0:0))
      call av(2452, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_199, nGC_199/))

      allocate(vertices(2453)%branch(0:0))
      call av(2453, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_555, nGC_116, nGC_555/))

      allocate(vertices(2454)%branch(0:0))
      call av(2454, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2455)%branch(0:0))
      call av(2455, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2456)%branch(0:0))
      call av(2456, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2457)%branch(0:0))
      call av(2457, 0, 18, 1, 0, VFaF0, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(2458)%branch(0:0))
      call av(2458, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2459)%branch(0:0))
      call av(2459, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_143/))

      allocate(vertices(2460)%branch(0:0))
      call av(2460, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2461)%branch(0:0))
      call av(2461, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2462)%branch(0:0))
      call av(2462, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_129/))

      allocate(vertices(2463)%branch(0:0))
      call av(2463, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_98/))

      allocate(vertices(2464)%branch(0:0))
      call av(2464, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(2465)%branch(0:0))
      call av(2465, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2466)%branch(0:0))
      call av(2466, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2467)%branch(0:0))
      call av(2467, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_87/))

      allocate(vertices(2468)%branch(0:0))
      call av(2468, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2469)%branch(0:0))
      call av(2469, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_84/))

      allocate(vertices(2470)%branch(0:0))
      call av(2470, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2471)%branch(0:0))
      call av(2471, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2472)%branch(0:0))
      call av(2472, 0, 1, 1, 0, SFFa1, (/0, 1/), (/nGC_221/))

      allocate(vertices(2473)%branch(0:0))
      call av(2473, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2474)%branch(0:0))
      call av(2474, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_160/))

      allocate(vertices(2475)%branch(0:0))
      call av(2475, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2476)%branch(0:0))
      call av(2476, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_154/))

      allocate(vertices(2477)%branch(0:0))
      call av(2477, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2478)%branch(0:0))
      call av(2478, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(2479)%branch(0:0))
      call av(2479, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_95/))

      allocate(vertices(2480)%branch(0:0))
      call av(2480, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(2481)%branch(0:0))
      call av(2481, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2482)%branch(0:0))
      call av(2482, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2483)%branch(0:0))
      call av(2483, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_92/))

      allocate(vertices(2484)%branch(0:0))
      call av(2484, 0, 1, 1, 0, FFaV0, (/0, 1/), (/nGC_129/))

      allocate(vertices(2485)%branch(0:0))
      call av(2485, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_149/))

      allocate(vertices(2486)%branch(0:0))
      call av(2486, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2487)%branch(0:0))
      call av(2487, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2488)%branch(0:0))
      call av(2488, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_170/))

      allocate(vertices(2489)%branch(0:0))
      call av(2489, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2490)%branch(0:0))
      call av(2490, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_163/))

      allocate(vertices(2491)%branch(0:0))
      call av(2491, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2492)%branch(0:0))
      call av(2492, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2493)%branch(0:0))
      call av(2493, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_167/))

      allocate(vertices(2494)%branch(0:0))
      call av(2494, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2495)%branch(0:0))
      call av(2495, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2496)%branch(0:0))
      call av(2496, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_12/))

      allocate(vertices(2497)%branch(0:0))
      call av(2497, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_191/))

      allocate(vertices(2498)%branch(0:0))
      call av(2498, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2499)%branch(0:0))
      call av(2499, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2500)%branch(0:0))
      call av(2500, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_214, nGC_527/))

      allocate(vertices(2501)%branch(0:0))
      call av(2501, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_221/))

      allocate(vertices(2502)%branch(0:0))
      call av(2502, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(2503)%branch(0:0))
      call av(2503, 0, 17, 1, 0, FaFV1, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(2504)%branch(0:0))
      call av(2504, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2505)%branch(0:0))
      call av(2505, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_100/))

      allocate(vertices(2506)%branch(0:0))
      call av(2506, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_69/))

      allocate(vertices(2507)%branch(0:0))
      call av(2507, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2508)%branch(0:0))
      call av(2508, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2509)%branch(0:1))
      call av(2509, 0, 40, 2, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(2509, 1, 41, 3, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(2510)%branch(0:0))
      call av(2510, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_95/))

      allocate(vertices(2511)%branch(0:0))
      call av(2511, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_523/))

      allocate(vertices(2512)%branch(0:0))
      call av(2512, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2513)%branch(0:0))
      call av(2513, 0, 27, 1, 0, FSFa0, (/0, 1/), (/nGC_195, nGC_195/))

      allocate(vertices(2514)%branch(0:0))
      call av(2514, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2515)%branch(0:0))
      call av(2515, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2516)%branch(0:0))
      call av(2516, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_9/))

      allocate(vertices(2517)%branch(0:0))
      call av(2517, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2518)%branch(0:0))
      call av(2518, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(2519)%branch(0:0))
      call av(2519, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2520)%branch(0:0))
      call av(2520, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2521)%branch(0:0))
      call av(2521, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2522)%branch(0:0))
      call av(2522, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_555, nGC_116, nGC_555/))

      allocate(vertices(2523)%branch(0:0))
      call av(2523, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2524)%branch(0:0))
      call av(2524, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(2525)%branch(0:0))
      call av(2525, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(2526)%branch(0:0))
      call av(2526, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_617, nGC_619, nGC_74/))

      allocate(vertices(2527)%branch(0:0))
      call av(2527, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_116/))

      allocate(vertices(2528)%branch(0:0))
      call av(2528, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_78/))

      allocate(vertices(2529)%branch(0:0))
      call av(2529, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(2530)%branch(0:0))
      call av(2530, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2531)%branch(0:0))
      call av(2531, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2532)%branch(0:0))
      call av(2532, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2533)%branch(0:0))
      call av(2533, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2534)%branch(0:0))
      call av(2534, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2535)%branch(0:0))
      call av(2535, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_138/))

      allocate(vertices(2536)%branch(0:0))
      call av(2536, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2537)%branch(0:0))
      call av(2537, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_200, nGC_200/))

      allocate(vertices(2538)%branch(0:0))
      call av(2538, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2539)%branch(0:0))
      call av(2539, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_525/))

      allocate(vertices(2540)%branch(0:0))
      call av(2540, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2541)%branch(0:0))
      call av(2541, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(2542)%branch(0:0))
      call av(2542, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(2543)%branch(0:0))
      call av(2543, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(2544)%branch(0:0))
      call av(2544, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2545)%branch(0:0))
      call av(2545, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2546)%branch(0:0))
      call av(2546, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_86/))

      allocate(vertices(2547)%branch(0:0))
      call av(2547, 0, 26, 1, 0, FaSF1, (/0, 1/), (/nGC_218, nGC_563/))

      allocate(vertices(2548)%branch(0:0))
      call av(2548, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2549)%branch(0:0))
      call av(2549, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2550)%branch(0:0))
      call av(2550, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(2551)%branch(0:0))
      call av(2551, 0, 19, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(2552)%branch(0:0))
      call av(2552, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2553)%branch(0:0))
      call av(2553, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2554)%branch(0:0))
      call av(2554, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2555)%branch(0:0))
      call av(2555, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2556)%branch(0:0))
      call av(2556, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_226, nGC_547/))

      allocate(vertices(2557)%branch(0:3))
      call av(2557, 0, 53, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(2557, 1, 51, 6, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(2557, 2, 52, 7, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      call av(2557, 3, 50, 6, 0, UVUaV0, (/2, 0/), (/nGC_21/))

      allocate(vertices(2558)%branch(0:0))
      call av(2558, 0, 1, 1, 0, FFaS2, (/0, 1/), (/nGC_221/))

      allocate(vertices(2559)%branch(0:0))
      call av(2559, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2560)%branch(0:0))
      call av(2560, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_137/))

      allocate(vertices(2561)%branch(0:0))
      call av(2561, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(2562)%branch(0:0))
      call av(2562, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_555, nGC_116, nGC_555/))

      allocate(vertices(2563)%branch(0:0))
      call av(2563, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2564)%branch(0:0))
      call av(2564, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2565)%branch(0:1))
      call av(2565, 0, 11, 2, 0, FFaV1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(2565, 1, 12, 3, 0, FFaV1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(2566)%branch(0:0))
      call av(2566, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2567)%branch(0:0))
      call av(2567, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2568)%branch(0:0))
      call av(2568, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_206, nGC_621/))

      allocate(vertices(2569)%branch(0:0))
      call av(2569, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_84/))

      allocate(vertices(2570)%branch(0:0))
      call av(2570, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2571)%branch(0:0))
      call av(2571, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(2572)%branch(0:0))
      call av(2572, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2573)%branch(0:0))
      call av(2573, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_177/))

      allocate(vertices(2574)%branch(0:0))
      call av(2574, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_170/))

      allocate(vertices(2575)%branch(0:0))
      call av(2575, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2576)%branch(0:0))
      call av(2576, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(2577)%branch(0:0))
      call av(2577, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2578)%branch(0:0))
      call av(2578, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2579)%branch(0:0))
      call av(2579, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_91/))

      allocate(vertices(2580)%branch(0:0))
      call av(2580, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_139/))

      allocate(vertices(2581)%branch(0:0))
      call av(2581, 0, 19, 1, 0, VFFa1, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(2582)%branch(0:0))
      call av(2582, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_89/))

      allocate(vertices(2583)%branch(0:5))
      call av(2583, 0, 105, 6, 0, VUUaV0, (/2, 0/), (/nGC_21/))

      call av(2583, 1, 103, 6, 0, VUUaV0, (/2, 0/), (/nGC_21/))

      call av(2583, 2, 104, 6, 0, VUUaV0, (/2, 0/), (/nGC_21/))

      call av(2583, 3, 102, 6, 0, VUUaV0, (/2, 0/), (/nGC_21/))

      call av(2583, 4, 106, 7, 0, VUUaV0, (/2, 0/), (/nGC_541/))

      call av(2583, 5, 107, 7, 0, VUUaV0, (/2, 0/), (/nGC_541/))

      allocate(vertices(2584)%branch(0:0))
      call av(2584, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_197, nGC_213/))

      allocate(vertices(2585)%branch(0:0))
      call av(2585, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_69/))

      allocate(vertices(2586)%branch(0:0))
      call av(2586, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_90/))

      allocate(vertices(2587)%branch(0:0))
      call av(2587, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2588)%branch(0:0))
      call av(2588, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2589)%branch(0:0))
      call av(2589, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2590)%branch(0:0))
      call av(2590, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2591)%branch(0:0))
      call av(2591, 0, 1, 1, 0, FFaV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(2592)%branch(0:0))
      call av(2592, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2593)%branch(0:0))
      call av(2593, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2594)%branch(0:0))
      call av(2594, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2595)%branch(0:0))
      call av(2595, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2596)%branch(0:0))
      call av(2596, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_595/))

      allocate(vertices(2597)%branch(0:0))
      call av(2597, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2598)%branch(0:0))
      call av(2598, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2599)%branch(0:0))
      call av(2599, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_226, nGC_547/))

      allocate(vertices(2600)%branch(0:0))
      call av(2600, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2601)%branch(0:0))
      call av(2601, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2602)%branch(0:0))
      call av(2602, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2603)%branch(0:0))
      call av(2603, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(2604)%branch(0:0))
      call av(2604, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_106/))

      allocate(vertices(2605)%branch(0:0))
      call av(2605, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2606)%branch(0:0))
      call av(2606, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2607)%branch(0:0))
      call av(2607, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2608)%branch(0:0))
      call av(2608, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2609)%branch(0:0))
      call av(2609, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2610)%branch(0:0))
      call av(2610, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_96/))

      allocate(vertices(2611)%branch(0:0))
      call av(2611, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2612)%branch(0:0))
      call av(2612, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_223, nGC_223/))

      allocate(vertices(2613)%branch(0:0))
      call av(2613, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2614)%branch(0:0))
      call av(2614, 0, 1, 1, 0, SFFa0, (/0, 1/), (/nGC_206, nGC_621/))

      allocate(vertices(2615)%branch(0:0))
      call av(2615, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2616)%branch(0:0))
      call av(2616, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(2617)%branch(0:0))
      call av(2617, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2618)%branch(0:0))
      call av(2618, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_72, nGC_72, nGC_615/))

      allocate(vertices(2619)%branch(0:0))
      call av(2619, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2620)%branch(0:0))
      call av(2620, 0, 1, 1, 0, FaVF0, (/0, 1/), (/nGC_129/))

      allocate(vertices(2621)%branch(0:0))
      call av(2621, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2622)%branch(0:0))
      call av(2622, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2623)%branch(0:0))
      call av(2623, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(2624)%branch(0:0))
      call av(2624, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2625)%branch(0:0))
      call av(2625, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_82/))

      allocate(vertices(2626)%branch(0:0))
      call av(2626, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2627)%branch(0:0))
      call av(2627, 0, 1, 1, 0, FaVF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(2628)%branch(0:0))
      call av(2628, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_167/))

      allocate(vertices(2629)%branch(0:0))
      call av(2629, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(2630)%branch(0:0))
      call av(2630, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(2631)%branch(0:0))
      call av(2631, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_47/))

      allocate(vertices(2632)%branch(0:0))
      call av(2632, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_155/))

      allocate(vertices(2633)%branch(0:0))
      call av(2633, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2634)%branch(0:0))
      call av(2634, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2635)%branch(0:0))
      call av(2635, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_160/))

      allocate(vertices(2636)%branch(0:0))
      call av(2636, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_138/))

      allocate(vertices(2637)%branch(0:0))
      call av(2637, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_142/))

      allocate(vertices(2638)%branch(0:0))
      call av(2638, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2639)%branch(0:0))
      call av(2639, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_155/))

      allocate(vertices(2640)%branch(0:0))
      call av(2640, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2641)%branch(0:0))
      call av(2641, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2642)%branch(0:0))
      call av(2642, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2643)%branch(0:1))
      call av(2643, 0, 24, 4, 0, VUaU0, (/1, 0/), (/nGC_587/))

      call av(2643, 1, 25, 5, 0, VUaU0, (/1, 0/), (/nGC_587/))

      allocate(vertices(2644)%branch(0:0))
      call av(2644, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2645)%branch(0:0))
      call av(2645, 0, 27, 1, 0, FSFa0, (/0, 1/), (/nGC_215, nGC_215/))

      allocate(vertices(2646)%branch(0:0))
      call av(2646, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2647)%branch(0:0))
      call av(2647, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_47/))

      allocate(vertices(2648)%branch(0:0))
      call av(2648, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(2649)%branch(0:0))
      call av(2649, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_167/))

      allocate(vertices(2650)%branch(0:0))
      call av(2650, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_136/))

      allocate(vertices(2651)%branch(0:0))
      call av(2651, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2652)%branch(0:0))
      call av(2652, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_206, nGC_621/))

      allocate(vertices(2653)%branch(0:0))
      call av(2653, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2654)%branch(0:0))
      call av(2654, 0, 27, 1, 0, FSFa0, (/0, 1/), (/nGC_228, nGC_228/))

      allocate(vertices(2655)%branch(0:0))
      call av(2655, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_132/))

      allocate(vertices(2656)%branch(0:0))
      call av(2656, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_81/))

      allocate(vertices(2657)%branch(0:0))
      call av(2657, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2658)%branch(0:0))
      call av(2658, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(2659)%branch(0:0))
      call av(2659, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2660)%branch(0:0))
      call av(2660, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2661)%branch(0:0))
      call av(2661, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2662)%branch(0:0))
      call av(2662, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_220, nGC_220/))

      allocate(vertices(2663)%branch(0:1))
      call av(2663, 0, 40, 2, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(2663, 1, 41, 3, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(2664)%branch(0:0))
      call av(2664, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2665)%branch(0:0))
      call av(2665, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(2666)%branch(0:0))
      call av(2666, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2667)%branch(0:0))
      call av(2667, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2668)%branch(0:0))
      call av(2668, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2669)%branch(0:0))
      call av(2669, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2670)%branch(0:0))
      call av(2670, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2671)%branch(0:0))
      call av(2671, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2672)%branch(0:0))
      call av(2672, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2673)%branch(0:0))
      call av(2673, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2674)%branch(0:0))
      call av(2674, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_138/))

      allocate(vertices(2675)%branch(0:0))
      call av(2675, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2676)%branch(0:0))
      call av(2676, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_72/))

      allocate(vertices(2677)%branch(0:0))
      call av(2677, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_81/))

      allocate(vertices(2678)%branch(0:0))
      call av(2678, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2679)%branch(0:0))
      call av(2679, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_555, nGC_555, nGC_116/))

      allocate(vertices(2680)%branch(0:0))
      call av(2680, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(2681)%branch(0:0))
      call av(2681, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(2682)%branch(0:0))
      call av(2682, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_76/))

      allocate(vertices(2683)%branch(0:0))
      call av(2683, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2684)%branch(0:0))
      call av(2684, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_98/))

      allocate(vertices(2685)%branch(0:0))
      call av(2685, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2686)%branch(0:0))
      call av(2686, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2687)%branch(0:0))
      call av(2687, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_89/))

      allocate(vertices(2688)%branch(0:0))
      call av(2688, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(2689)%branch(0:0))
      call av(2689, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2690)%branch(0:0))
      call av(2690, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(2691)%branch(0:0))
      call av(2691, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2692)%branch(0:0))
      call av(2692, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2693)%branch(0:0))
      call av(2693, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2694)%branch(0:0))
      call av(2694, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_155/))

      allocate(vertices(2695)%branch(0:0))
      call av(2695, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2696)%branch(0:0))
      call av(2696, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2697)%branch(0:0))
      call av(2697, 0, 1, 1, 0, FaSF1, (/0, 1/), (/nGC_222, nGC_591/))

      allocate(vertices(2698)%branch(0:0))
      call av(2698, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2699)%branch(0:0))
      call av(2699, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2700)%branch(0:0))
      call av(2700, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_219, nGC_219/))

      allocate(vertices(2701)%branch(0:0))
      call av(2701, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(2702)%branch(0:0))
      call av(2702, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_132/))

      allocate(vertices(2703)%branch(0:0))
      call av(2703, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(2704)%branch(0:0))
      call av(2704, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2705)%branch(0:0))
      call av(2705, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(2706)%branch(0:0))
      call av(2706, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2707)%branch(0:0))
      call av(2707, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2708)%branch(0:0))
      call av(2708, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(2709)%branch(0:0))
      call av(2709, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2710)%branch(0:5))
      call av(2710, 0, 91, 6, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(2710, 1, 90, 6, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(2710, 2, 93, 6, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(2710, 3, 92, 6, 0, VUaVU0, (/2, 0/), (/nGC_21/))

      call av(2710, 4, 95, 7, 0, VUaVU0, (/2, 0/), (/nGC_541/))

      call av(2710, 5, 94, 7, 0, VUaVU0, (/2, 0/), (/nGC_541/))

      allocate(vertices(2711)%branch(0:0))
      call av(2711, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_597/))

      allocate(vertices(2712)%branch(0:0))
      call av(2712, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2713)%branch(0:5))
      call av(2713, 0, 8, 7, 0, VVVV0, (/2, 0/), (/nGC_573, nGC_575, nGC_577/))

      call av(2713, 1, 9, 6, 0, VVVV0, (/2, 0/), (/nGC_579, nGC_541, nGC_581/))

      call av(2713, 2, 7, 6, 0, VVVV0, (/2, 0/), (/nGC_579, nGC_541, nGC_581/))

      call av(2713, 3, 6, 7, 0, VVVV0, (/2, 0/), (/nGC_573, nGC_575, nGC_577/))

      call av(2713, 4, 5, 6, 0, VVVV0, (/2, 0/), (/nGC_20, nGC_573, nGC_583/))

      call av(2713, 5, 4, 6, 0, VVVV0, (/2, 0/), (/nGC_20, nGC_573, nGC_583/))

      allocate(vertices(2714)%branch(0:0))
      call av(2714, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_8, nGC_543, nGC_8/))

      allocate(vertices(2715)%branch(0:0))
      call av(2715, 0, 1, 1, 0, SFFa0, (/0, 1/), (/nGC_210, nGC_533/))

      allocate(vertices(2716)%branch(0:0))
      call av(2716, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(2717)%branch(0:0))
      call av(2717, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2718)%branch(0:0))
      call av(2718, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2719)%branch(0:0))
      call av(2719, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_54/))

      allocate(vertices(2720)%branch(0:0))
      call av(2720, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2721)%branch(0:0))
      call av(2721, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(2722)%branch(0:0))
      call av(2722, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_138/))

      allocate(vertices(2723)%branch(0:0))
      call av(2723, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2724)%branch(0:0))
      call av(2724, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2725)%branch(0:0))
      call av(2725, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2726)%branch(0:0))
      call av(2726, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_597/))

      allocate(vertices(2727)%branch(0:0))
      call av(2727, 0, 1, 1, 0, UUaV1, (/0, 1/), (/nGC_567/))

      allocate(vertices(2728)%branch(0:0))
      call av(2728, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2729)%branch(0:0))
      call av(2729, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2730)%branch(0:0))
      call av(2730, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_223, nGC_223/))

      allocate(vertices(2731)%branch(0:0))
      call av(2731, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2732)%branch(0:0))
      call av(2732, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2733)%branch(0:0))
      call av(2733, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2734)%branch(0:0))
      call av(2734, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2735)%branch(0:0))
      call av(2735, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2736)%branch(0:0))
      call av(2736, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(2737)%branch(0:0))
      call av(2737, 0, 1, 1, 0, FVFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(2738)%branch(0:0))
      call av(2738, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(2739)%branch(0:0))
      call av(2739, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2740)%branch(0:0))
      call av(2740, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(2741)%branch(0:0))
      call av(2741, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(2742)%branch(0:0))
      call av(2742, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2743)%branch(0:0))
      call av(2743, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(2744)%branch(0:0))
      call av(2744, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2745)%branch(0:0))
      call av(2745, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2746)%branch(0:0))
      call av(2746, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2747)%branch(0:0))
      call av(2747, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_129/))

      allocate(vertices(2748)%branch(0:0))
      call av(2748, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_150/))

      allocate(vertices(2749)%branch(0:0))
      call av(2749, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2750)%branch(0:0))
      call av(2750, 0, 26, 1, 0, FaSF1, (/0, 1/), (/nGC_226, nGC_547/))

      allocate(vertices(2751)%branch(0:0))
      call av(2751, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_146/))

      allocate(vertices(2752)%branch(0:0))
      call av(2752, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2753)%branch(0:0))
      call av(2753, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2754)%branch(0:0))
      call av(2754, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2755)%branch(0:0))
      call av(2755, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_146/))

      allocate(vertices(2756)%branch(0:1))
      call av(2756, 0, 38, 2, 0, VFaF0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(2756, 1, 39, 3, 0, VFaF0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(2757)%branch(0:0))
      call av(2757, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(2758)%branch(0:0))
      call av(2758, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2759)%branch(0:0))
      call av(2759, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(2760)%branch(0:0))
      call av(2760, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(2761)%branch(0:0))
      call av(2761, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(2762)%branch(0:0))
      call av(2762, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_164/))

      allocate(vertices(2763)%branch(0:0))
      call av(2763, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_193, nGC_217/))

      allocate(vertices(2764)%branch(0:0))
      call av(2764, 0, 17, 1, 0, FaFV1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(2765)%branch(0:0))
      call av(2765, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2766)%branch(0:0))
      call av(2766, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(2767)%branch(0:0))
      call av(2767, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2768)%branch(0:0))
      call av(2768, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2769)%branch(0:0))
      call av(2769, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2770)%branch(0:0))
      call av(2770, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(2771)%branch(0:0))
      call av(2771, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_91/))

      allocate(vertices(2772)%branch(0:0))
      call av(2772, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2773)%branch(0:0))
      call av(2773, 0, 27, 1, 0, FVFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(2774)%branch(0:0))
      call av(2774, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2775)%branch(0:0))
      call av(2775, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2776)%branch(0:0))
      call av(2776, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(2777)%branch(0:0))
      call av(2777, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_637/))

      allocate(vertices(2778)%branch(0:0))
      call av(2778, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_94/))

      allocate(vertices(2779)%branch(0:0))
      call av(2779, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2780)%branch(0:0))
      call av(2780, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2781)%branch(0:0))
      call av(2781, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2782)%branch(0:0))
      call av(2782, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_219, nGC_219/))

      allocate(vertices(2783)%branch(0:0))
      call av(2783, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2784)%branch(0:0))
      call av(2784, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(2785)%branch(0:0))
      call av(2785, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(2786)%branch(0:0))
      call av(2786, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2787)%branch(0:0))
      call av(2787, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_210, nGC_533/))

      allocate(vertices(2788)%branch(0:0))
      call av(2788, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2789)%branch(0:0))
      call av(2789, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2790)%branch(0:0))
      call av(2790, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_227, nGC_227/))

      allocate(vertices(2791)%branch(0:0))
      call av(2791, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(2792)%branch(0:0))
      call av(2792, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2793)%branch(0:0))
      call av(2793, 0, 27, 1, 0, FVFa0, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(2794)%branch(0:0))
      call av(2794, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_52/))

      allocate(vertices(2795)%branch(0:0))
      call av(2795, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(2796)%branch(0:0))
      call av(2796, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2797)%branch(0:0))
      call av(2797, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2798)%branch(0:0))
      call av(2798, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2799)%branch(0:0))
      call av(2799, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(2800)%branch(0:0))
      call av(2800, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_227, nGC_227/))

      allocate(vertices(2801)%branch(0:0))
      call av(2801, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(2802)%branch(0:0))
      call av(2802, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2803)%branch(0:0))
      call av(2803, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2804)%branch(0:0))
      call av(2804, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2805)%branch(0:0))
      call av(2805, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_118/))

      allocate(vertices(2806)%branch(0:0))
      call av(2806, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_9/))

      allocate(vertices(2807)%branch(0:0))
      call av(2807, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_4/))

      allocate(vertices(2808)%branch(0:0))
      call av(2808, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2809)%branch(0:0))
      call av(2809, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_55/))

      allocate(vertices(2810)%branch(0:0))
      call av(2810, 0, 17, 1, 0, FaFV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(2811)%branch(0:0))
      call av(2811, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(2812)%branch(0:0))
      call av(2812, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2813)%branch(0:0))
      call av(2813, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2814)%branch(0:0))
      call av(2814, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_93/))

      allocate(vertices(2815)%branch(0:0))
      call av(2815, 0, 1, 1, 0, VUaU0, (/0, 1/), (/nGC_611/))

      allocate(vertices(2816)%branch(0:0))
      call av(2816, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2817)%branch(0:0))
      call av(2817, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_167/))

      allocate(vertices(2818)%branch(0:0))
      call av(2818, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2819)%branch(0:0))
      call av(2819, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2820)%branch(0:0))
      call av(2820, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2821)%branch(0:0))
      call av(2821, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2822)%branch(0:0))
      call av(2822, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2823)%branch(0:0))
      call av(2823, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2824)%branch(0:0))
      call av(2824, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2825)%branch(0:0))
      call av(2825, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2826)%branch(0:0))
      call av(2826, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2827)%branch(0:0))
      call av(2827, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2828)%branch(0:0))
      call av(2828, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(2829)%branch(0:0))
      call av(2829, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2830)%branch(0:0))
      call av(2830, 0, 1, 1, 0, UaUV0, (/0, 1/), (/nGC_539/))

      allocate(vertices(2831)%branch(0:0))
      call av(2831, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2832)%branch(0:0))
      call av(2832, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2833)%branch(0:0))
      call av(2833, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2834)%branch(0:0))
      call av(2834, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(2835)%branch(0:0))
      call av(2835, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_80/))

      allocate(vertices(2836)%branch(0:0))
      call av(2836, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2837)%branch(0:0))
      call av(2837, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(2838)%branch(0:0))
      call av(2838, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_96/))

      allocate(vertices(2839)%branch(0:0))
      call av(2839, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_212, nGC_212/))

      allocate(vertices(2840)%branch(0:0))
      call av(2840, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2841)%branch(0:0))
      call av(2841, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2842)%branch(0:0))
      call av(2842, 0, 18, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(2843)%branch(0:0))
      call av(2843, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_137/))

      allocate(vertices(2844)%branch(0:0))
      call av(2844, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(2845)%branch(0:0))
      call av(2845, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(2846)%branch(0:0))
      call av(2846, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_177/))

      allocate(vertices(2847)%branch(0:0))
      call av(2847, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2848)%branch(0:0))
      call av(2848, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_165/))

      allocate(vertices(2849)%branch(0:0))
      call av(2849, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2850)%branch(0:0))
      call av(2850, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2851)%branch(0:0))
      call av(2851, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(2852)%branch(0:0))
      call av(2852, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_523/))

      allocate(vertices(2853)%branch(0:0))
      call av(2853, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(2854)%branch(0:0))
      call av(2854, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_222, nGC_591/))

      allocate(vertices(2855)%branch(0:0))
      call av(2855, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2856)%branch(0:0))
      call av(2856, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2857)%branch(0:0))
      call av(2857, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2858)%branch(0:0))
      call av(2858, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_163/))

      allocate(vertices(2859)%branch(0:0))
      call av(2859, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2860)%branch(0:0))
      call av(2860, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_225, nGC_201/))

      allocate(vertices(2861)%branch(0:0))
      call av(2861, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_91/))

      allocate(vertices(2862)%branch(0:0))
      call av(2862, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(2863)%branch(0:0))
      call av(2863, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2864)%branch(0:0))
      call av(2864, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_69/))

      allocate(vertices(2865)%branch(0:0))
      call av(2865, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2866)%branch(0:0))
      call av(2866, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_166/))

      allocate(vertices(2867)%branch(0:0))
      call av(2867, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(2868)%branch(0:0))
      call av(2868, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2869)%branch(0:0))
      call av(2869, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_161/))

      allocate(vertices(2870)%branch(0:0))
      call av(2870, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(2871)%branch(0:0))
      call av(2871, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_88/))

      allocate(vertices(2872)%branch(0:0))
      call av(2872, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2873)%branch(0:0))
      call av(2873, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_212, nGC_212/))

      allocate(vertices(2874)%branch(0:0))
      call av(2874, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2875)%branch(0:0))
      call av(2875, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2876)%branch(0:0))
      call av(2876, 0, 26, 1, 0, FaSF1, (/0, 1/), (/nGC_216, nGC_216/))

      allocate(vertices(2877)%branch(0:0))
      call av(2877, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2878)%branch(0:0))
      call av(2878, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2879)%branch(0:0))
      call av(2879, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_86/))

      allocate(vertices(2880)%branch(0:0))
      call av(2880, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2881)%branch(0:0))
      call av(2881, 0, 1, 1, 0, FaVF0, (/0, 1/), (/nGC_99/))

      allocate(vertices(2882)%branch(0:0))
      call av(2882, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_567/))

      allocate(vertices(2883)%branch(0:0))
      call av(2883, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2884)%branch(0:0))
      call av(2884, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2885)%branch(0:0))
      call av(2885, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2886)%branch(0:0))
      call av(2886, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2887)%branch(0:0))
      call av(2887, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(2888)%branch(0:0))
      call av(2888, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(2889)%branch(0:0))
      call av(2889, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2890)%branch(0:0))
      call av(2890, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(2891)%branch(0:0))
      call av(2891, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(2892)%branch(0:0))
      call av(2892, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(2893)%branch(0:0))
      call av(2893, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2894)%branch(0:0))
      call av(2894, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(2895)%branch(0:0))
      call av(2895, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(2896)%branch(0:0))
      call av(2896, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2897)%branch(0:0))
      call av(2897, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_605/))

      allocate(vertices(2898)%branch(0:0))
      call av(2898, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_64/))

      allocate(vertices(2899)%branch(0:1))
      call av(2899, 0, 11, 2, 0, FFaV1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(2899, 1, 12, 3, 0, FFaV1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(2900)%branch(0:0))
      call av(2900, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2901)%branch(0:0))
      call av(2901, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_609/))

      allocate(vertices(2902)%branch(0:0))
      call av(2902, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(2903)%branch(0:0))
      call av(2903, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_82/))

      allocate(vertices(2904)%branch(0:0))
      call av(2904, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_523/))

      allocate(vertices(2905)%branch(0:0))
      call av(2905, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_129/))

      allocate(vertices(2906)%branch(0:0))
      call av(2906, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2907)%branch(0:0))
      call av(2907, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2908)%branch(0:0))
      call av(2908, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2909)%branch(0:0))
      call av(2909, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2910)%branch(0:0))
      call av(2910, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2911)%branch(0:0))
      call av(2911, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2912)%branch(0:0))
      call av(2912, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(2913)%branch(0:0))
      call av(2913, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2914)%branch(0:0))
      call av(2914, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2915)%branch(0:0))
      call av(2915, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_609/))

      allocate(vertices(2916)%branch(0:0))
      call av(2916, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2917)%branch(0:0))
      call av(2917, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_109/))

      allocate(vertices(2918)%branch(0:0))
      call av(2918, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(2919)%branch(0:0))
      call av(2919, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(2920)%branch(0:0))
      call av(2920, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2921)%branch(0:0))
      call av(2921, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(2922)%branch(0:0))
      call av(2922, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(2923)%branch(0:0))
      call av(2923, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(2924)%branch(0:0))
      call av(2924, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2925)%branch(0:0))
      call av(2925, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2926)%branch(0:0))
      call av(2926, 0, 1, 1, 0, VUUa0, (/0, 1/), (/nGC_567/))

      allocate(vertices(2927)%branch(0:0))
      call av(2927, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_121/))

      allocate(vertices(2928)%branch(0:0))
      call av(2928, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(2929)%branch(0:0))
      call av(2929, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2930)%branch(0:0))
      call av(2930, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2931)%branch(0:0))
      call av(2931, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_146/))

      allocate(vertices(2932)%branch(0:0))
      call av(2932, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_549/))

      allocate(vertices(2933)%branch(0:0))
      call av(2933, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_95/))

      allocate(vertices(2934)%branch(0:0))
      call av(2934, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_208, nGC_208/))

      allocate(vertices(2935)%branch(0:0))
      call av(2935, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_625/))

      allocate(vertices(2936)%branch(0:0))
      call av(2936, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(2937)%branch(0:0))
      call av(2937, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_141/))

      allocate(vertices(2938)%branch(0:0))
      call av(2938, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_116/))

      allocate(vertices(2939)%branch(0:0))
      call av(2939, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2940)%branch(0:0))
      call av(2940, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2941)%branch(0:0))
      call av(2941, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_216, nGC_216/))

      allocate(vertices(2942)%branch(0:0))
      call av(2942, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_9/))

      allocate(vertices(2943)%branch(0:0))
      call av(2943, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(2944)%branch(0:0))
      call av(2944, 0, 27, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2945)%branch(0:0))
      call av(2945, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2946)%branch(0:0))
      call av(2946, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(2947)%branch(0:0))
      call av(2947, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(2948)%branch(0:0))
      call av(2948, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_9/))

      allocate(vertices(2949)%branch(0:0))
      call av(2949, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_211, nGC_211/))

      allocate(vertices(2950)%branch(0:0))
      call av(2950, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(2951)%branch(0:0))
      call av(2951, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(2952)%branch(0:0))
      call av(2952, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_218, nGC_563/))

      allocate(vertices(2953)%branch(0:0))
      call av(2953, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2954)%branch(0:0))
      call av(2954, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_95/))

      allocate(vertices(2955)%branch(0:0))
      call av(2955, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2956)%branch(0:0))
      call av(2956, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_200, nGC_200/))

      allocate(vertices(2957)%branch(0:0))
      call av(2957, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(2958)%branch(0:0))
      call av(2958, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2959)%branch(0:0))
      call av(2959, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2960)%branch(0:0))
      call av(2960, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(2961)%branch(0:0))
      call av(2961, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_147/))

      allocate(vertices(2962)%branch(0:0))
      call av(2962, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_148/))

      allocate(vertices(2963)%branch(0:0))
      call av(2963, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(2964)%branch(0:0))
      call av(2964, 0, 19, 1, 0, VFFa1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(2965)%branch(0:0))
      call av(2965, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2966)%branch(0:0))
      call av(2966, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(2967)%branch(0:0))
      call av(2967, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2968)%branch(0:0))
      call av(2968, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2969)%branch(0:0))
      call av(2969, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2970)%branch(0:0))
      call av(2970, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(2971)%branch(0:0))
      call av(2971, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_84, nGC_85, nGC_84/))

      allocate(vertices(2972)%branch(0:0))
      call av(2972, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2973)%branch(0:0))
      call av(2973, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_140/))

      allocate(vertices(2974)%branch(0:0))
      call av(2974, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2975)%branch(0:0))
      call av(2975, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(2976)%branch(0:0))
      call av(2976, 0, 18, 1, 0, VFaF0, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(2977)%branch(0:0))
      call av(2977, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2978)%branch(0:0))
      call av(2978, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_155/))

      allocate(vertices(2979)%branch(0:0))
      call av(2979, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_77/))

      allocate(vertices(2980)%branch(0:0))
      call av(2980, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_160/))

      allocate(vertices(2981)%branch(0:0))
      call av(2981, 0, 26, 1, 0, FaSF1, (/0, 1/), (/nGC_196, nGC_196/))

      allocate(vertices(2982)%branch(0:0))
      call av(2982, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2983)%branch(0:0))
      call av(2983, 0, 27, 1, 0, FSFa0, (/0, 1/), (/nGC_200, nGC_200/))

      allocate(vertices(2984)%branch(0:0))
      call av(2984, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_521/))

      allocate(vertices(2985)%branch(0:0))
      call av(2985, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_625/))

      allocate(vertices(2986)%branch(0:0))
      call av(2986, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(2987)%branch(0:0))
      call av(2987, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2988)%branch(0:0))
      call av(2988, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(2989)%branch(0:0))
      call av(2989, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2990)%branch(0:0))
      call av(2990, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2991)%branch(0:0))
      call av(2991, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(2992)%branch(0:0))
      call av(2992, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(2993)%branch(0:0))
      call av(2993, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(2994)%branch(0:0))
      call av(2994, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(2995)%branch(0:0))
      call av(2995, 0, 17, 1, 0, FaFV1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2996)%branch(0:0))
      call av(2996, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_529, nGC_531, nGC_10/))

      allocate(vertices(2997)%branch(0:0))
      call av(2997, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(2998)%branch(0:0))
      call av(2998, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(2999)%branch(0:0))
      call av(2999, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_213, nGC_197/))

      allocate(vertices(3000)%branch(0:0))
      call av(3000, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3001)%branch(0:0))
      call av(3001, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_551/))

      allocate(vertices(3002)%branch(0:0))
      call av(3002, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3003)%branch(0:0))
      call av(3003, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(3004)%branch(0:0))
      call av(3004, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3005)%branch(0:0))
      call av(3005, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_72/))

      allocate(vertices(3006)%branch(0:0))
      call av(3006, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(3007)%branch(0:0))
      call av(3007, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_555, nGC_555/))

      allocate(vertices(3008)%branch(0:0))
      call av(3008, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_162/))

      allocate(vertices(3009)%branch(0:0))
      call av(3009, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_8/))

      allocate(vertices(3010)%branch(0:0))
      call av(3010, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_148/))

      allocate(vertices(3011)%branch(0:0))
      call av(3011, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(3012)%branch(0:0))
      call av(3012, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3013)%branch(0:0))
      call av(3013, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(3014)%branch(0:0))
      call av(3014, 0, 19, 1, 0, VFFa1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3015)%branch(0:0))
      call av(3015, 0, 1, 1, 0, FVFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3016)%branch(0:0))
      call av(3016, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(3017)%branch(0:0))
      call av(3017, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3018)%branch(0:0))
      call av(3018, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3019)%branch(0:0))
      call av(3019, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3020)%branch(0:0))
      call av(3020, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_8, nGC_8, nGC_543/))

      allocate(vertices(3021)%branch(0:0))
      call av(3021, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(3022)%branch(0:0))
      call av(3022, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3023)%branch(0:0))
      call av(3023, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3024)%branch(0:0))
      call av(3024, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_171/))

      allocate(vertices(3025)%branch(0:0))
      call av(3025, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3026)%branch(0:0))
      call av(3026, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(3027)%branch(0:0))
      call av(3027, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3028)%branch(0:0))
      call av(3028, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_92/))

      allocate(vertices(3029)%branch(0:0))
      call av(3029, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3030)%branch(0:0))
      call av(3030, 0, 26, 1, 0, FaSF1, (/0, 1/), (/nGC_217, nGC_193/))

      allocate(vertices(3031)%branch(0:0))
      call av(3031, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3032)%branch(0:0))
      call av(3032, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_3/))

      allocate(vertices(3033)%branch(0:0))
      call av(3033, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(3034)%branch(0:0))
      call av(3034, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3035)%branch(0:0))
      call av(3035, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3036)%branch(0:0))
      call av(3036, 0, 26, 1, 0, FaVF1, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3037)%branch(0:0))
      call av(3037, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3038)%branch(0:0))
      call av(3038, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3039)%branch(0:0))
      call av(3039, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3040)%branch(0:0))
      call av(3040, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3041)%branch(0:0))
      call av(3041, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3042)%branch(0:0))
      call av(3042, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_175/))

      allocate(vertices(3043)%branch(0:0))
      call av(3043, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3044)%branch(0:0))
      call av(3044, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(3045)%branch(0:0))
      call av(3045, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3046)%branch(0:0))
      call av(3046, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_85/))

      allocate(vertices(3047)%branch(0:0))
      call av(3047, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3048)%branch(0:0))
      call av(3048, 0, 1, 1, 0, SFaF1, (/0, 1/), (/nGC_221/))

      allocate(vertices(3049)%branch(0:0))
      call av(3049, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3050)%branch(0:0))
      call av(3050, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_77/))

      allocate(vertices(3051)%branch(0:1))
      call av(3051, 0, 2, 4, 0, VVV1, (/1, 0/), (/nGC_18/))

      call av(3051, 1, 3, 5, 0, VVV1, (/1, 0/), (/nGC_18/))

      allocate(vertices(3052)%branch(0:0))
      call av(3052, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3053)%branch(0:0))
      call av(3053, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3054)%branch(0:0))
      call av(3054, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(3055)%branch(0:0))
      call av(3055, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3056)%branch(0:0))
      call av(3056, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3057)%branch(0:0))
      call av(3057, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3058)%branch(0:1))
      call av(3058, 0, 20, 4, 0, UUaV1, (/1, 0/), (/nGC_627/))

      call av(3058, 1, 21, 5, 0, UUaV1, (/1, 0/), (/nGC_627/))

      allocate(vertices(3059)%branch(0:0))
      call av(3059, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3060)%branch(0:0))
      call av(3060, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(3061)%branch(0:0))
      call av(3061, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3062)%branch(0:0))
      call av(3062, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3063)%branch(0:0))
      call av(3063, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_201, nGC_225/))

      allocate(vertices(3064)%branch(0:0))
      call av(3064, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3065)%branch(0:0))
      call av(3065, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3066)%branch(0:0))
      call av(3066, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3067)%branch(0:0))
      call av(3067, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3068)%branch(0:0))
      call av(3068, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3069)%branch(0:0))
      call av(3069, 0, 26, 1, 0, FaVF1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3070)%branch(0:0))
      call av(3070, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_76/))

      allocate(vertices(3071)%branch(0:0))
      call av(3071, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_555, nGC_555/))

      allocate(vertices(3072)%branch(0:0))
      call av(3072, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(3073)%branch(0:0))
      call av(3073, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(3074)%branch(0:0))
      call av(3074, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3075)%branch(0:0))
      call av(3075, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3076)%branch(0:0))
      call av(3076, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(3077)%branch(0:0))
      call av(3077, 0, 18, 1, 0, VFaF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(3078)%branch(0:0))
      call av(3078, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3079)%branch(0:0))
      call av(3079, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3080)%branch(0:0))
      call av(3080, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3081)%branch(0:0))
      call av(3081, 0, 18, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(3082)%branch(0:0))
      call av(3082, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(3083)%branch(0:0))
      call av(3083, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3084)%branch(0:0))
      call av(3084, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3085)%branch(0:0))
      call av(3085, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3086)%branch(0:0))
      call av(3086, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(3087)%branch(0:0))
      call av(3087, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_129/))

      allocate(vertices(3088)%branch(0:0))
      call av(3088, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_555, nGC_555/))

      allocate(vertices(3089)%branch(0:0))
      call av(3089, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(3090)%branch(0:0))
      call av(3090, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_84/))

      allocate(vertices(3091)%branch(0:0))
      call av(3091, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(3092)%branch(0:0))
      call av(3092, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3093)%branch(0:0))
      call av(3093, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(3094)%branch(0:0))
      call av(3094, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_589/))

      allocate(vertices(3095)%branch(0:0))
      call av(3095, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_113, nGC_116, nGC_115/))

      allocate(vertices(3096)%branch(0:0))
      call av(3096, 0, 1, 1, 0, VUaU0, (/0, 1/), (/nGC_569/))

      allocate(vertices(3097)%branch(0:0))
      call av(3097, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_9/))

      allocate(vertices(3098)%branch(0:0))
      call av(3098, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_51/))

      allocate(vertices(3099)%branch(0:0))
      call av(3099, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_185/))

      allocate(vertices(3100)%branch(0:0))
      call av(3100, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(3101)%branch(0:0))
      call av(3101, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(3102)%branch(0:0))
      call av(3102, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(3103)%branch(0:0))
      call av(3103, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3104)%branch(0:0))
      call av(3104, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(3105)%branch(0:0))
      call av(3105, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(3106)%branch(0:5))
      call av(3106, 0, 59, 7, 0, UUaVV0, (/2, 0/), (/nGC_541/))

      call av(3106, 1, 57, 6, 0, UUaVV0, (/2, 0/), (/nGC_21/))

      call av(3106, 2, 55, 6, 0, UUaVV0, (/2, 0/), (/nGC_21/))

      call av(3106, 3, 56, 6, 0, UUaVV0, (/2, 0/), (/nGC_21/))

      call av(3106, 4, 54, 6, 0, UUaVV0, (/2, 0/), (/nGC_21/))

      call av(3106, 5, 58, 7, 0, UUaVV0, (/2, 0/), (/nGC_541/))

      allocate(vertices(3107)%branch(0:0))
      call av(3107, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_523/))

      allocate(vertices(3108)%branch(0:0))
      call av(3108, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3109)%branch(0:0))
      call av(3109, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_158/))

      allocate(vertices(3110)%branch(0:0))
      call av(3110, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3111)%branch(0:0))
      call av(3111, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(3112)%branch(0:0))
      call av(3112, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3113)%branch(0:0))
      call av(3113, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_179/))

      allocate(vertices(3114)%branch(0:0))
      call av(3114, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_226, nGC_547/))

      allocate(vertices(3115)%branch(0:0))
      call av(3115, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3116)%branch(0:0))
      call av(3116, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3117)%branch(0:0))
      call av(3117, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_128/))

      allocate(vertices(3118)%branch(0:0))
      call av(3118, 0, 18, 1, 0, VFaF0, (/0, 1/), (/nGC_126, nGC_123/))

      allocate(vertices(3119)%branch(0:0))
      call av(3119, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3120)%branch(0:0))
      call av(3120, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(3121)%branch(0:0))
      call av(3121, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3122)%branch(0:0))
      call av(3122, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3123)%branch(0:0))
      call av(3123, 0, 27, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(3124)%branch(0:0))
      call av(3124, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(3125)%branch(0:0))
      call av(3125, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3126)%branch(0:0))
      call av(3126, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3127)%branch(0:0))
      call av(3127, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(3128)%branch(0:0))
      call av(3128, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3129)%branch(0:0))
      call av(3129, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3130)%branch(0:0))
      call av(3130, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_147/))

      allocate(vertices(3131)%branch(0:0))
      call av(3131, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3132)%branch(0:0))
      call av(3132, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_199, nGC_199/))

      allocate(vertices(3133)%branch(0:0))
      call av(3133, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3134)%branch(0:0))
      call av(3134, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_50/))

      allocate(vertices(3135)%branch(0:0))
      call av(3135, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(3136)%branch(0:0))
      call av(3136, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3137)%branch(0:0))
      call av(3137, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3138)%branch(0:0))
      call av(3138, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_221/))

      allocate(vertices(3139)%branch(0:0))
      call av(3139, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(3140)%branch(0:0))
      call av(3140, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_166/))

      allocate(vertices(3141)%branch(0:0))
      call av(3141, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3142)%branch(0:0))
      call av(3142, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_175/))

      allocate(vertices(3143)%branch(0:0))
      call av(3143, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3144)%branch(0:0))
      call av(3144, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(3145)%branch(0:0))
      call av(3145, 0, 1, 1, 0, FSFa2, (/0, 1/), (/nGC_209/))

      allocate(vertices(3146)%branch(0:0))
      call av(3146, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(3147)%branch(0:0))
      call av(3147, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_557/))

      allocate(vertices(3148)%branch(0:0))
      call av(3148, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3149)%branch(0:0))
      call av(3149, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_607/))

      allocate(vertices(3150)%branch(0:0))
      call av(3150, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_11/))

      allocate(vertices(3151)%branch(0:0))
      call av(3151, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(3152)%branch(0:0))
      call av(3152, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(3153)%branch(0:0))
      call av(3153, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3154)%branch(0:0))
      call av(3154, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(3155)%branch(0:0))
      call av(3155, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3156)%branch(0:1))
      call av(3156, 0, 35, 3, 0, FaFV1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(3156, 1, 34, 2, 0, FaFV1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(3157)%branch(0:0))
      call av(3157, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_8/))

      allocate(vertices(3158)%branch(0:0))
      call av(3158, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_142/))

      allocate(vertices(3159)%branch(0:0))
      call av(3159, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(3160)%branch(0:0))
      call av(3160, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3161)%branch(0:0))
      call av(3161, 0, 1, 1, 0, FaFS2, (/0, 1/), (/nGC_205/))

      allocate(vertices(3162)%branch(0:0))
      call av(3162, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3163)%branch(0:0))
      call av(3163, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(3164)%branch(0:0))
      call av(3164, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_63/))

      allocate(vertices(3165)%branch(0:0))
      call av(3165, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(3166)%branch(0:0))
      call av(3166, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_54/))

      allocate(vertices(3167)%branch(0:0))
      call av(3167, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(3168)%branch(0:0))
      call av(3168, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_86/))

      allocate(vertices(3169)%branch(0:0))
      call av(3169, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(3170)%branch(0:0))
      call av(3170, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(3171)%branch(0:0))
      call av(3171, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(3172)%branch(0:0))
      call av(3172, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(3173)%branch(0:0))
      call av(3173, 0, 19, 1, 0, VFFa0, (/0, 1/), (/nGC_99/))

      allocate(vertices(3174)%branch(0:0))
      call av(3174, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(3175)%branch(0:0))
      call av(3175, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3176)%branch(0:0))
      call av(3176, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_49/))

      allocate(vertices(3177)%branch(0:0))
      call av(3177, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_129/))

      allocate(vertices(3178)%branch(0:0))
      call av(3178, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(3179)%branch(0:0))
      call av(3179, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_181/))

      allocate(vertices(3180)%branch(0:0))
      call av(3180, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3181)%branch(0:0))
      call av(3181, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(3182)%branch(0:0))
      call av(3182, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(3183)%branch(0:0))
      call av(3183, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_80/))

      allocate(vertices(3184)%branch(0:0))
      call av(3184, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_11/))

      allocate(vertices(3185)%branch(0:0))
      call av(3185, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(3186)%branch(0:0))
      call av(3186, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_164/))

      allocate(vertices(3187)%branch(0:0))
      call av(3187, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3188)%branch(0:0))
      call av(3188, 0, 18, 1, 0, VFaF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(3189)%branch(0:0))
      call av(3189, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_207, nGC_207/))

      allocate(vertices(3190)%branch(0:0))
      call av(3190, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(3191)%branch(0:0))
      call av(3191, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(3192)%branch(0:0))
      call av(3192, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_204, nGC_204/))

      allocate(vertices(3193)%branch(0:0))
      call av(3193, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(3194)%branch(0:0))
      call av(3194, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(3195)%branch(0:0))
      call av(3195, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(3196)%branch(0:0))
      call av(3196, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_113/))

      allocate(vertices(3197)%branch(0:0))
      call av(3197, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3198)%branch(0:0))
      call av(3198, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_228, nGC_228/))

      allocate(vertices(3199)%branch(0:0))
      call av(3199, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

    end subroutine fill_vertices_mdl4
end module vertices_info4
