!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 10:04             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(4800)%branch(0:0))
      call av(4800, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4801)%branch(0:1))
      call av(4801, 0, 40, 2, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4801, 1, 41, 3, 0, VFFa1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4802)%branch(0:0))
      call av(4802, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(4803)%branch(0:0))
      call av(4803, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4804)%branch(0:0))
      call av(4804, 0, 1, 1, 0, FVFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4805)%branch(0:0))
      call av(4805, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_128, nGC_124/))

      allocate(vertices(4806)%branch(0:0))
      call av(4806, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4807)%branch(0:0))
      call av(4807, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4808)%branch(0:0))
      call av(4808, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_193, nGC_217/))

      allocate(vertices(4809)%branch(0:0))
      call av(4809, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4810)%branch(0:0))
      call av(4810, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(4811)%branch(0:0))
      call av(4811, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_623/))

      allocate(vertices(4812)%branch(0:0))
      call av(4812, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4813)%branch(0:0))
      call av(4813, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4814)%branch(0:0))
      call av(4814, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4815)%branch(0:0))
      call av(4815, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4816)%branch(0:0))
      call av(4816, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4817)%branch(0:0))
      call av(4817, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_130/))

      allocate(vertices(4818)%branch(0:0))
      call av(4818, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4819)%branch(0:0))
      call av(4819, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4820)%branch(0:0))
      call av(4820, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4821)%branch(0:0))
      call av(4821, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4822)%branch(0:0))
      call av(4822, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_617, nGC_619, nGC_74/))

      allocate(vertices(4823)%branch(0:1))
      call av(4823, 0, 11, 2, 0, FFaV1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4823, 1, 12, 3, 0, FFaV1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4824)%branch(0:0))
      call av(4824, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_145/))

      allocate(vertices(4825)%branch(0:0))
      call av(4825, 0, 17, 1, 0, FaFV1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4826)%branch(0:0))
      call av(4826, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4827)%branch(0:0))
      call av(4827, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4828)%branch(0:0))
      call av(4828, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_202, nGC_545/))

      allocate(vertices(4829)%branch(0:0))
      call av(4829, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4830)%branch(0:0))
      call av(4830, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4831)%branch(0:0))
      call av(4831, 0, 19, 1, 0, SFFa0, (/0, 1/), (/nGC_200, nGC_200/))

      allocate(vertices(4832)%branch(0:0))
      call av(4832, 0, 1, 1, 0, FFaV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4833)%branch(0:0))
      call av(4833, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4834)%branch(0:0))
      call av(4834, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4835)%branch(0:0))
      call av(4835, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_198, nGC_559/))

      allocate(vertices(4836)%branch(0:0))
      call av(4836, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4837)%branch(0:0))
      call av(4837, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(4838)%branch(0:0))
      call av(4838, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4839)%branch(0:0))
      call av(4839, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4840)%branch(0:0))
      call av(4840, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_141/))

      allocate(vertices(4841)%branch(0:0))
      call av(4841, 0, 17, 1, 0, FaFV1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4842)%branch(0:0))
      call av(4842, 0, 1, 1, 0, FaSF1, (/0, 1/), (/nGC_212, nGC_212/))

      allocate(vertices(4843)%branch(0:0))
      call av(4843, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4844)%branch(0:0))
      call av(4844, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4845)%branch(0:0))
      call av(4845, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_223, nGC_223/))

      allocate(vertices(4846)%branch(0:0))
      call av(4846, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4847)%branch(0:0))
      call av(4847, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4848)%branch(0:0))
      call av(4848, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_593/))

      allocate(vertices(4849)%branch(0:0))
      call av(4849, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4850)%branch(0:0))
      call av(4850, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_179/))

      allocate(vertices(4851)%branch(0:0))
      call av(4851, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4852)%branch(0:0))
      call av(4852, 0, 26, 1, 0, FaSF1, (/0, 1/), (/nGC_201, nGC_225/))

      allocate(vertices(4853)%branch(0:0))
      call av(4853, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4854)%branch(0:0))
      call av(4854, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4855)%branch(0:0))
      call av(4855, 0, 1, 1, 0, FaSF1, (/0, 1/), (/nGC_224, nGC_224/))

      allocate(vertices(4856)%branch(0:0))
      call av(4856, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4857)%branch(0:0))
      call av(4857, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_553/))

      allocate(vertices(4858)%branch(0:0))
      call av(4858, 0, 1, 1, 0, VUaU1, (/0, 1/), (/nGC_597/))

      allocate(vertices(4859)%branch(0:0))
      call av(4859, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4860)%branch(0:0))
      call av(4860, 0, 18, 1, 0, SFaF0, (/0, 1/), (/nGC_194, nGC_601/))

      allocate(vertices(4861)%branch(0:0))
      call av(4861, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4862)%branch(0:0))
      call av(4862, 0, 17, 1, 0, FaFV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4863)%branch(0:0))
      call av(4863, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4864)%branch(0:0))
      call av(4864, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4865)%branch(0:0))
      call av(4865, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4866)%branch(0:0))
      call av(4866, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4867)%branch(0:0))
      call av(4867, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4868)%branch(0:0))
      call av(4868, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4869)%branch(0:0))
      call av(4869, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4870)%branch(0:0))
      call av(4870, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(4871)%branch(0:0))
      call av(4871, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4872)%branch(0:0))
      call av(4872, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_571/))

      allocate(vertices(4873)%branch(0:0))
      call av(4873, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4874)%branch(0:0))
      call av(4874, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4875)%branch(0:0))
      call av(4875, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(4876)%branch(0:0))
      call av(4876, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4877)%branch(0:0))
      call av(4877, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4878)%branch(0:0))
      call av(4878, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_555, nGC_116, nGC_555/))

      allocate(vertices(4879)%branch(0:0))
      call av(4879, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4880)%branch(0:0))
      call av(4880, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4881)%branch(0:0))
      call av(4881, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4882)%branch(0:0))
      call av(4882, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4883)%branch(0:0))
      call av(4883, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4884)%branch(0:0))
      call av(4884, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4885)%branch(0:0))
      call av(4885, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_168/))

      allocate(vertices(4886)%branch(0:0))
      call av(4886, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4887)%branch(0:0))
      call av(4887, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4888)%branch(0:0))
      call av(4888, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4889)%branch(0:0))
      call av(4889, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4890)%branch(0:0))
      call av(4890, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4891)%branch(0:0))
      call av(4891, 0, 1, 1, 0, SFFa1, (/0, 1/), (/nGC_221/))

      allocate(vertices(4892)%branch(0:0))
      call av(4892, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4893)%branch(0:0))
      call av(4893, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4894)%branch(0:0))
      call av(4894, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4895)%branch(0:0))
      call av(4895, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4896)%branch(0:0))
      call av(4896, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4897)%branch(0:0))
      call av(4897, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_555, nGC_555/))

      allocate(vertices(4898)%branch(0:0))
      call av(4898, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4899)%branch(0:0))
      call av(4899, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4900)%branch(0:0))
      call av(4900, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_151/))

      allocate(vertices(4901)%branch(0:0))
      call av(4901, 0, 17, 1, 0, FaFV1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4902)%branch(0:0))
      call av(4902, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(4903)%branch(0:0))
      call av(4903, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_207, nGC_207/))

      allocate(vertices(4904)%branch(0:0))
      call av(4904, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4905)%branch(0:0))
      call av(4905, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4906)%branch(0:0))
      call av(4906, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_129/))

      allocate(vertices(4907)%branch(0:0))
      call av(4907, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(4908)%branch(0:0))
      call av(4908, 0, 1, 1, 0, FVFa1, (/0, 1/), (/nGC_129/))

      allocate(vertices(4909)%branch(0:0))
      call av(4909, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4910)%branch(0:0))
      call av(4910, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4911)%branch(0:0))
      call av(4911, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_168/))

      allocate(vertices(4912)%branch(0:0))
      call av(4912, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(4913)%branch(0:0))
      call av(4913, 0, 17, 1, 0, FaFS0, (/0, 1/), (/nGC_217, nGC_193/))

      allocate(vertices(4914)%branch(0:0))
      call av(4914, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_140/))

      allocate(vertices(4915)%branch(0:0))
      call av(4915, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4916)%branch(0:0))
      call av(4916, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_145/))

      allocate(vertices(4917)%branch(0:0))
      call av(4917, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4918)%branch(0:0))
      call av(4918, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4919)%branch(0:0))
      call av(4919, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4920)%branch(0:0))
      call av(4920, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_557/))

      allocate(vertices(4921)%branch(0:0))
      call av(4921, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4922)%branch(0:0))
      call av(4922, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4923)%branch(0:0))
      call av(4923, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4924)%branch(0:0))
      call av(4924, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_88/))

      allocate(vertices(4925)%branch(0:0))
      call av(4925, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4926)%branch(0:0))
      call av(4926, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4927)%branch(0:0))
      call av(4927, 0, 26, 1, 0, FaSF1, (/0, 1/), (/nGC_219, nGC_219/))

      allocate(vertices(4928)%branch(0:0))
      call av(4928, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4929)%branch(0:0))
      call av(4929, 0, 1, 1, 0, FVFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4930)%branch(0:0))
      call av(4930, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4931)%branch(0:0))
      call av(4931, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4932)%branch(0:0))
      call av(4932, 0, 1, 1, 0, FaVF0, (/0, 1/), (/nGC_129/))

      allocate(vertices(4933)%branch(0:0))
      call av(4933, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_185/))

      allocate(vertices(4934)%branch(0:0))
      call av(4934, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4935)%branch(0:0))
      call av(4935, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4936)%branch(0:0))
      call av(4936, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4937)%branch(0:0))
      call av(4937, 0, 1, 1, 0, UaUV0, (/0, 1/), (/nGC_539/))

      allocate(vertices(4938)%branch(0:0))
      call av(4938, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4939)%branch(0:0))
      call av(4939, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(4940)%branch(0:0))
      call av(4940, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_140/))

      allocate(vertices(4941)%branch(0:0))
      call av(4941, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_223, nGC_223/))

      allocate(vertices(4942)%branch(0:0))
      call av(4942, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4943)%branch(0:0))
      call av(4943, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4944)%branch(0:0))
      call av(4944, 0, 18, 1, 0, VFaF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4945)%branch(0:0))
      call av(4945, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4946)%branch(0:0))
      call av(4946, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4947)%branch(0:0))
      call av(4947, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4948)%branch(0:0))
      call av(4948, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4949)%branch(0:0))
      call av(4949, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(4950)%branch(0:0))
      call av(4950, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_539/))

      allocate(vertices(4951)%branch(0:0))
      call av(4951, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4952)%branch(0:0))
      call av(4952, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_212, nGC_212/))

      allocate(vertices(4953)%branch(0:0))
      call av(4953, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4954)%branch(0:0))
      call av(4954, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4955)%branch(0:0))
      call av(4955, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_555, nGC_555, nGC_116/))

      allocate(vertices(4956)%branch(0:0))
      call av(4956, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_132/))

      allocate(vertices(4957)%branch(0:0))
      call av(4957, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_561/))

      allocate(vertices(4958)%branch(0:0))
      call av(4958, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4959)%branch(0:0))
      call av(4959, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4960)%branch(0:0))
      call av(4960, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4961)%branch(0:0))
      call av(4961, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4962)%branch(0:0))
      call av(4962, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4963)%branch(0:0))
      call av(4963, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_147/))

      allocate(vertices(4964)%branch(0:0))
      call av(4964, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_159/))

      allocate(vertices(4965)%branch(0:0))
      call av(4965, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(4966)%branch(0:0))
      call av(4966, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4967)%branch(0:0))
      call av(4967, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4968)%branch(0:0))
      call av(4968, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_4/))

      allocate(vertices(4969)%branch(0:0))
      call av(4969, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_80/))

      allocate(vertices(4970)%branch(0:0))
      call av(4970, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4971)%branch(0:0))
      call av(4971, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4972)%branch(0:0))
      call av(4972, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4973)%branch(0:0))
      call av(4973, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_64/))

      allocate(vertices(4974)%branch(0:0))
      call av(4974, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(4975)%branch(0:0))
      call av(4975, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2394)%branchCT(0:0))
      call avCT(2394, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2395)%branchCT(0:0))
      call avCT(2395, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(2396)%branchCT(0:1))
      call avCT(2396, 0, 26, 1, 0, FaVF0, (/0, 3/), (/nGC_1878/))

      call avCT(2396, 1, 26, 1, 0, FaVF0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(0)%branchCT(0:1))
      call avCT(0, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_1878/))

      call avCT(0, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_1879/))

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1882, nGC_1883/))

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1885/))

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1887/))

      allocate(vertices(12)%branchCT(0:0))
      call avCT(12, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2929)%branchCT(0:0))
      call avCT(2929, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(1777)%branchCT(0:0))
      call avCT(1777, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1891, nGC_1891/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2404)%branchCT(0:0))
      call avCT(2404, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2406)%branchCT(0:0))
      call avCT(2406, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1895/))

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(22)%branchCT(0:1))
      call avCT(22, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1897, nGC_1899/))

      call avCT(22, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1898, nGC_1900/))

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2410)%branchCT(0:1))
      call avCT(2410, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1902, nGC_1902/))

      call avCT(2410, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1903, nGC_1903/))

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1885/))

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1904/))

      allocate(vertices(2414)%branchCT(0:0))
      call avCT(2414, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1908/))

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1911, nGC_1912, nGC_1912&
      /))

      allocate(vertices(1554)%branchCT(0:0))
      call avCT(1554, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(185)%branchCT(0:1))
      call avCT(185, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1914, nGC_1916/))

      call avCT(185, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1915, nGC_1917/))

      allocate(vertices(4075)%branchCT(0:0))
      call avCT(4075, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4976)%branchCT(0:0))
      call avCT(4976, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1919, nGC_1920,       &
      nGC_1920, nGC_1921/))

      allocate(vertices(2425)%branchCT(0:0))
      call avCT(2425, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(44)%branchCT(0:1))
      call avCT(44, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1923, nGC_1925/))

      call avCT(44, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1924, nGC_1926/))

      allocate(vertices(4926)%branchCT(0:0))
      call avCT(4926, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(47)%branchCT(0:1))
      call avCT(47, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(47, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4977)%branchCT(0:0))
      call avCT(4977, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1933/))

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1934, nGC_1935,        &
      nGC_1935/))

      allocate(vertices(2400)%branchCT(0:0))
      call avCT(2400, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1936, nGC_1937/))

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2432)%branchCT(0:0))
      call avCT(2432, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(55)%branchCT(0:0))
      call avCT(55, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2437)%branchCT(0:0))
      call avCT(2437, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(61)%branchCT(0:0))
      call avCT(61, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(2441)%branchCT(0:0))
      call avCT(2441, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2442)%branchCT(0:0))
      call avCT(2442, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(2391)%branchCT(0:0))
      call avCT(2391, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3229)%branchCT(0:0))
      call avCT(3229, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2449)%branchCT(0:1))
      call avCT(2449, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1948, nGC_1950/))

      call avCT(2449, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1949, nGC_1951/))

      allocate(vertices(980)%branchCT(0:0))
      call avCT(980, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(4978)%branchCT(0:0))
      call avCT(4978, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(4519)%branchCT(0:0))
      call avCT(4519, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2457)%branchCT(0:1))
      call avCT(2457, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1953, nGC_1955/))

      call avCT(2457, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1954, nGC_1956/))

      allocate(vertices(2458)%branchCT(0:0))
      call avCT(2458, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2460)%branchCT(0:0))
      call avCT(2460, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(78)%branchCT(0:0))
      call avCT(78, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(4433)%branchCT(0:0))
      call avCT(4433, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2462)%branchCT(0:0))
      call avCT(2462, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1958/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2463)%branchCT(0:0))
      call avCT(2463, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(85)%branchCT(0:1))
      call avCT(85, 0, 19, 1, 0, VFFa1, (/0, 3/), (/nGC_1948, nGC_1950/))

      call avCT(85, 1, 19, 1, 0, VFFa1, (/2, 1/), (/nGC_1949, nGC_1951/))

      allocate(vertices(1228)%branchCT(0:0))
      call avCT(1228, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4500)%branchCT(0:0))
      call avCT(4500, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(87)%branchCT(0:1))
      call avCT(87, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1959, nGC_1961/))

      call avCT(87, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1960, nGC_1962/))

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2471)%branchCT(0:0))
      call avCT(2471, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1964/))

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(2473)%branchCT(0:0))
      call avCT(2473, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3804)%branchCT(0:1))
      call avCT(3804, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1878/))

      call avCT(3804, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1879/))

      allocate(vertices(2475)%branchCT(0:0))
      call avCT(2475, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(4656)%branchCT(0:0))
      call avCT(4656, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(4979)%branchCT(0:0))
      call avCT(4979, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1965, nGC_1966/))

      allocate(vertices(2408)%branchCT(0:0))
      call avCT(2408, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2479)%branchCT(0:0))
      call avCT(2479, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2480)%branchCT(0:1))
      call avCT(2480, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1967, nGC_1967/))

      call avCT(2480, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1968, nGC_1968/))

      allocate(vertices(1153)%branchCT(0:0))
      call avCT(1153, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2482)%branchCT(0:0))
      call avCT(2482, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(554)%branchCT(0:0))
      call avCT(554, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1970, nGC_1971/))

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2487)%branchCT(0:0))
      call avCT(2487, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(4927)%branchCT(0:1))
      call avCT(4927, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1973, nGC_1973/))

      call avCT(4927, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1974, nGC_1974/))

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4980)%branchCT(0:0))
      call avCT(4980, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1977/))

      allocate(vertices(4639)%branchCT(0:0))
      call avCT(4639, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2492)%branchCT(0:0))
      call avCT(2492, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(2493)%branchCT(0:0))
      call avCT(2493, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(3234)%branchCT(0:1))
      call avCT(3234, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(3234, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1980/))

      allocate(vertices(110)%branchCT(0:0))
      call avCT(110, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2498)%branchCT(0:0))
      call avCT(2498, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(116)%branchCT(0:0))
      call avCT(116, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(117)%branchCT(0:0))
      call avCT(117, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(4668)%branchCT(0:0))
      call avCT(4668, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2503)%branchCT(0:1))
      call avCT(2503, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(2503, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_1939/))

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2510)%branchCT(0:0))
      call avCT(2510, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2512)%branchCT(0:0))
      call avCT(2512, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1986, nGC_1987/))

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2024)%branchCT(0:0))
      call avCT(2024, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(2515)%branchCT(0:0))
      call avCT(2515, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(128)%branchCT(0:1))
      call avCT(128, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1929, nGC_1931/))

      call avCT(128, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1930, nGC_1932/))

      allocate(vertices(2516)%branchCT(0:0))
      call avCT(2516, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1990/))

      allocate(vertices(3964)%branchCT(0:0))
      call avCT(3964, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2941)%branchCT(0:1))
      call avCT(2941, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1992, nGC_1992/))

      call avCT(2941, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1993, nGC_1993/))

      allocate(vertices(1329)%branchCT(0:0))
      call avCT(1329, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1994/))

      allocate(vertices(739)%branchCT(0:0))
      call avCT(739, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1995, nGC_1997/))

      call avCT(134, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1996, nGC_1998/))

      allocate(vertices(745)%branchCT(0:0))
      call avCT(745, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(136)%branchCT(0:1))
      call avCT(136, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_1961, nGC_1959/))

      call avCT(136, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_1962, nGC_1960/))

      allocate(vertices(3239)%branchCT(0:0))
      call avCT(3239, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2521)%branchCT(0:0))
      call avCT(2521, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4315)%branchCT(0:3))
      call avCT(4315, 0, 35, 3, 0, FaFV1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(4315, 1, 35, 3, 0, FaFV1, (/3, 0/), (/nGC_2000, nGC_2002/))

      call avCT(4315, 2, 34, 2, 0, FaFV1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(4315, 3, 34, 2, 0, FaFV1, (/3, 0/), (/nGC_2000, nGC_2002/))

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(143)%branchCT(0:1))
      call avCT(143, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1897, nGC_1899/))

      call avCT(143, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1898, nGC_1900/))

      allocate(vertices(2523)%branchCT(0:0))
      call avCT(2523, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(4981)%branchCT(0:0))
      call avCT(4981, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2529)%branchCT(0:0))
      call avCT(2529, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(4098)%branchCT(0:0))
      call avCT(4098, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(147)%branchCT(0:0))
      call avCT(147, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(3711)%branchCT(0:0))
      call avCT(3711, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(2531)%branchCT(0:0))
      call avCT(2531, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2005/))

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1912,        &
      nGC_1911/))

      allocate(vertices(4982)%branchCT(0:0))
      call avCT(4982, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(2533)%branchCT(0:0))
      call avCT(2533, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(839)%branchCT(0:0))
      call avCT(839, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4270)%branchCT(0:0))
      call avCT(4270, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4421)%branchCT(0:0))
      call avCT(4421, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2536)%branchCT(0:0))
      call avCT(2536, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2007, nGC_2007/))

      allocate(vertices(1796)%branchCT(0:0))
      call avCT(1796, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4983)%branchCT(0:0))
      call avCT(4983, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2008/))

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2541)%branchCT(0:0))
      call avCT(2541, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(4209)%branchCT(0:0))
      call avCT(4209, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(2542)%branchCT(0:0))
      call avCT(2542, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2543)%branchCT(0:0))
      call avCT(2543, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(4984)%branchCT(0:0))
      call avCT(4984, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2010, nGC_2011/))

      allocate(vertices(2544)%branchCT(0:0))
      call avCT(2544, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2012, nGC_2012/))

      call avCT(168, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2013, nGC_2013/))

      allocate(vertices(2546)%branchCT(0:0))
      call avCT(2546, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(170)%branchCT(0:3))
      call avCT(170, 0, 32, 2, 0, FaVF1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(170, 1, 32, 2, 0, FaVF1, (/1, 2/), (/nGC_2015, nGC_2017/))

      call avCT(170, 2, 33, 3, 0, FaVF1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(170, 3, 33, 3, 0, FaVF1, (/1, 2/), (/nGC_2015, nGC_2017/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2421)%branchCT(0:0))
      call avCT(2421, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(3723)%branchCT(0:1))
      call avCT(3723, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1973, nGC_1973/))

      call avCT(3723, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1974, nGC_1974/))

      allocate(vertices(2031)%branchCT(0:0))
      call avCT(2031, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2555)%branchCT(0:0))
      call avCT(2555, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(4554)%branchCT(0:0))
      call avCT(4554, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2558)%branchCT(0:0))
      call avCT(2558, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1964/))

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(4412)%branchCT(0:0))
      call avCT(4412, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2564)%branchCT(0:0))
      call avCT(2564, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2567)%branchCT(0:0))
      call avCT(2567, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(187)%branchCT(0:1))
      call avCT(187, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_2019, nGC_2021/))

      call avCT(187, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_2020, nGC_2022/))

      allocate(vertices(4103)%branchCT(0:0))
      call avCT(4103, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(191)%branchCT(0:1))
      call avCT(191, 0, 17, 1, 0, FaFV0, (/0, 3/), (/nGC_2023/))

      call avCT(191, 1, 17, 1, 0, FaFV0, (/2, 1/), (/nGC_2024/))

      allocate(vertices(1805)%branchCT(0:0))
      call avCT(1805, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(2571)%branchCT(0:0))
      call avCT(2571, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(2593)%branchCT(0:0))
      call avCT(2593, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1634)%branchCT(0:0))
      call avCT(1634, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(198)%branchCT(0:0))
      call avCT(198, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2025, nGC_2026/))

      allocate(vertices(930)%branchCT(0:0))
      call avCT(930, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1635)%branchCT(0:1))
      call avCT(1635, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1995, nGC_1997/))

      call avCT(1635, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1996, nGC_1998/))

      allocate(vertices(4164)%branchCT(0:3))
      call avCT(4164, 0, 35, 3, 0, FaFV1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(4164, 1, 35, 3, 0, FaFV1, (/3, 0/), (/nGC_2027, nGC_2029/))

      call avCT(4164, 2, 34, 2, 0, FaFV1, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(4164, 3, 34, 2, 0, FaFV1, (/3, 0/), (/nGC_2027, nGC_2029/))

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1088)%branchCT(0:0))
      call avCT(1088, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(2577)%branchCT(0:0))
      call avCT(2577, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1630/))

      allocate(vertices(4407)%branchCT(0:0))
      call avCT(4407, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(1123)%branchCT(0:0))
      call avCT(1123, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(738)%branchCT(0:0))
      call avCT(738, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2031, nGC_2032/))

      allocate(vertices(1137)%branchCT(0:0))
      call avCT(1137, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1098)%branchCT(0:1))
      call avCT(1098, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2033, nGC_2033/))

      call avCT(1098, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2034, nGC_2034/))

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2590)%branchCT(0:0))
      call avCT(2590, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2040)%branchCT(0:0))
      call avCT(2040, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1182)%branchCT(0:0))
      call avCT(1182, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(2597)%branchCT(0:0))
      call avCT(2597, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2599)%branchCT(0:1))
      call avCT(2599, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_2037, nGC_2039/))

      call avCT(2599, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_2038, nGC_2040/))

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(4985)%branchCT(0:0))
      call avCT(4985, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(2603)%branchCT(0:0))
      call avCT(2603, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(2605)%branchCT(0:0))
      call avCT(2605, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1904/))

      allocate(vertices(2606)%branchCT(0:0))
      call avCT(2606, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2607)%branchCT(0:0))
      call avCT(2607, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(4140)%branchCT(0:0))
      call avCT(4140, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2609)%branchCT(0:0))
      call avCT(2609, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(1258)%branchCT(0:0))
      call avCT(1258, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2611)%branchCT(0:0))
      call avCT(2611, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2612)%branchCT(0:0))
      call avCT(2612, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2041, nGC_2041/))

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(4986)%branchCT(0:0))
      call avCT(4986, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2042/))

      allocate(vertices(1252)%branchCT(0:0))
      call avCT(1252, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1882, nGC_1883/))

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2043/))

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1958/))

      allocate(vertices(2621)%branchCT(0:0))
      call avCT(2621, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2623)%branchCT(0:1))
      call avCT(2623, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2044/))

      call avCT(2623, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2045/))

      allocate(vertices(242)%branchCT(0:0))
      call avCT(242, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1356)%branchCT(0:0))
      call avCT(1356, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2628)%branchCT(0:0))
      call avCT(2628, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(1580)%branchCT(0:0))
      call avCT(1580, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1942/))

      allocate(vertices(249)%branchCT(0:1))
      call avCT(249, 0, 19, 1, 0, VFFa0, (/0, 3/), (/nGC_2044/))

      call avCT(249, 1, 19, 1, 0, VFFa0, (/2, 1/), (/nGC_2045/))

      allocate(vertices(1378)%branchCT(0:1))
      call avCT(1378, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2046, nGC_2048/))

      call avCT(1378, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2047, nGC_2049/))

      allocate(vertices(2431)%branchCT(0:0))
      call avCT(2431, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2633)%branchCT(0:0))
      call avCT(2633, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2379)%branchCT(0:0))
      call avCT(2379, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(2634)%branchCT(0:0))
      call avCT(2634, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(254)%branchCT(0:0))
      call avCT(254, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(4834)%branchCT(0:0))
      call avCT(4834, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(4442)%branchCT(0:0))
      call avCT(4442, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2638)%branchCT(0:0))
      call avCT(2638, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(2639)%branchCT(0:0))
      call avCT(2639, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(4112)%branchCT(0:0))
      call avCT(4112, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(4823)%branchCT(0:3))
      call avCT(4823, 0, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(4823, 1, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2015, nGC_2017/))

      call avCT(4823, 2, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2014, nGC_2016/))

      call avCT(4823, 3, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2015, nGC_2017/))

      allocate(vertices(2643)%branchCT(0:1))
      call avCT(2643, 0, 24, 4, 0, VUaU0, (/3, 0/), (/nGC_2050/))

      call avCT(2643, 1, 25, 5, 0, VUaU0, (/3, 0/), (/nGC_2050/))

      allocate(vertices(3676)%branchCT(0:0))
      call avCT(3676, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2645)%branchCT(0:1))
      call avCT(2645, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2052, nGC_2052/))

      call avCT(2645, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2053, nGC_2053/))

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2649)%branchCT(0:0))
      call avCT(2649, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1939/))

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2054, nGC_2056/))

      call avCT(269, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2055, nGC_2057/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2654)%branchCT(0:1))
      call avCT(2654, 0, 27, 1, 0, FSFa0, (/0, 3/), (/nGC_2058, nGC_2058/))

      call avCT(2654, 1, 27, 1, 0, FSFa0, (/2, 1/), (/nGC_2059, nGC_2059/))

      allocate(vertices(4121)%branchCT(0:0))
      call avCT(4121, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1520)%branchCT(0:0))
      call avCT(1520, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2060/))

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(1530)%branchCT(0:0))
      call avCT(1530, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2657)%branchCT(0:0))
      call avCT(2657, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3264)%branchCT(0:0))
      call avCT(3264, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1549)%branchCT(0:0))
      call avCT(1549, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(4610)%branchCT(0:0))
      call avCT(4610, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 17, 1, 0, FaFV1, (/0, 3/), (/nGC_1948, nGC_1950/))

      call avCT(281, 1, 17, 1, 0, FaFV1, (/2, 1/), (/nGC_1949, nGC_1951/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2663)%branchCT(0:3))
      call avCT(2663, 0, 40, 2, 0, VFFa1, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(2663, 1, 40, 2, 0, VFFa1, (/1, 2/), (/nGC_2065, nGC_2067/))

      call avCT(2663, 2, 41, 3, 0, VFFa1, (/3, 0/), (/nGC_2064, nGC_2066/))

      call avCT(2663, 3, 41, 3, 0, VFFa1, (/1, 2/), (/nGC_2065, nGC_2067/))

      allocate(vertices(1575)%branchCT(0:0))
      call avCT(1575, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(4883)%branchCT(0:0))
      call avCT(4883, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(288)%branchCT(0:0))
      call avCT(288, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2667)%branchCT(0:0))
      call avCT(2667, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(4398)%branchCT(0:0))
      call avCT(4398, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4987)%branchCT(0:0))
      call avCT(4987, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2070/))

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1638/))

      allocate(vertices(2790)%branchCT(0:1))
      call avCT(2790, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_2071, nGC_2071/))

      call avCT(2790, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_2072, nGC_2072/))

      allocate(vertices(4952)%branchCT(0:0))
      call avCT(4952, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2073, nGC_2073/))

      allocate(vertices(1630)%branchCT(0:0))
      call avCT(1630, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(294)%branchCT(0:0))
      call avCT(294, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2675)%branchCT(0:0))
      call avCT(2675, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3122)%branchCT(0:0))
      call avCT(3122, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(1654)%branchCT(0:0))
      call avCT(1654, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2679)%branchCT(0:0))
      call avCT(2679, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1935,       &
      nGC_1934/))

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4119)%branchCT(0:0))
      call avCT(4119, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2683)%branchCT(0:0))
      call avCT(2683, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(1698)%branchCT(0:0))
      call avCT(1698, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2074, nGC_2075/))

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(308)%branchCT(0:1))
      call avCT(308, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2056, nGC_2054/))

      call avCT(308, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2057, nGC_2055/))

      allocate(vertices(1716)%branchCT(0:0))
      call avCT(1716, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(3958)%branchCT(0:0))
      call avCT(3958, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2686)%branchCT(0:0))
      call avCT(2686, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4120)%branchCT(0:0))
      call avCT(4120, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4320)%branchCT(0:0))
      call avCT(4320, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2076/))

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(320)%branchCT(0:1))
      call avCT(320, 0, 27, 1, 0, FVFa1, (/0, 3/), (/nGC_2044/))

      call avCT(320, 1, 27, 1, 0, FVFa1, (/2, 1/), (/nGC_2045/))

      allocate(vertices(1655)%branchCT(0:0))
      call avCT(1655, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2697)%branchCT(0:0))
      call avCT(2697, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1970, nGC_1971/))

      allocate(vertices(4547)%branchCT(0:0))
      call avCT(4547, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(2700)%branchCT(0:1))
      call avCT(2700, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1973, nGC_1973/))

      call avCT(2700, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1974, nGC_1974/))

      allocate(vertices(3274)%branchCT(0:0))
      call avCT(3274, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(3207)%branchCT(0:0))
      call avCT(3207, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1908/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1908/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(332)%branchCT(0:3))
      call avCT(332, 0, 36, 2, 0, FVFa0, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(332, 1, 36, 2, 0, FVFa0, (/3, 0/), (/nGC_2077, nGC_2079/))

      call avCT(332, 2, 37, 3, 0, FVFa0, (/1, 2/), (/nGC_2078, nGC_2080/))

      call avCT(332, 3, 37, 3, 0, FVFa0, (/3, 0/), (/nGC_2077, nGC_2079/))

      allocate(vertices(4549)%branchCT(0:0))
      call avCT(4549, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2705)%branchCT(0:0))
      call avCT(2705, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3686)%branchCT(0:0))
      call avCT(3686, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(4141)%branchCT(0:0))
      call avCT(4141, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1912, nGC_1911,       &
      nGC_1912/))

      allocate(vertices(2271)%branchCT(0:0))
      call avCT(2271, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4988)%branchCT(0:1))
      call avCT(4988, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_2083, nGC_2085,      &
      nGC_2085, nGC_2087/))

      call avCT(4988, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_2084, nGC_2086,      &
      nGC_2086, nGC_2088/))

      allocate(vertices(339)%branchCT(0:1))
      call avCT(339, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1902, nGC_1902/))

      call avCT(339, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1903, nGC_1903/))

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(4989)%branchCT(0:0))
      call avCT(4989, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(2446)%branchCT(0:0))
      call avCT(2446, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(1928)%branchCT(0:0))
      call avCT(1928, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2089/))

      allocate(vertices(1562)%branchCT(0:0))
      call avCT(1562, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(348)%branchCT(0:3))
      call avCT(348, 0, 36, 2, 0, FVFa0, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(348, 1, 36, 2, 0, FVFa0, (/3, 0/), (/nGC_2090, nGC_2092/))

      call avCT(348, 2, 37, 3, 0, FVFa0, (/1, 2/), (/nGC_2091, nGC_2093/))

      call avCT(348, 3, 37, 3, 0, FVFa0, (/3, 0/), (/nGC_2090, nGC_2092/))

      allocate(vertices(3688)%branchCT(0:0))
      call avCT(3688, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4990)%branchCT(0:0))
      call avCT(4990, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1919, nGC_1920,       &
      nGC_1920, nGC_1921/))

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2094/))

      allocate(vertices(353)%branchCT(0:0))
      call avCT(353, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2095/))

      allocate(vertices(2339)%branchCT(0:0))
      call avCT(2339, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2096/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2097/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4991)%branchCT(0:0))
      call avCT(4991, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1977/))

      allocate(vertices(4992)%branchCT(0:1))
      call avCT(4992, 0, 16, 8, 0, VV0, (/2, 0/), (/nGC_2098, nGC_2099/))

      call avCT(4992, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_2098, nGC_2099/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(3820)%branchCT(0:0))
      call avCT(3820, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1660/))

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2100/))

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(877)%branchCT(0:0))
      call avCT(877, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1877/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(4417)%branchCT(0:0))
      call avCT(4417, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(2104)%branchCT(0:0))
      call avCT(2104, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2005/))

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2101/))

      allocate(vertices(4993)%branchCT(0:0))
      call avCT(4993, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2102, nGC_2103,       &
      nGC_2103, nGC_2104/))

      allocate(vertices(375)%branchCT(0:1))
      call avCT(375, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2052, nGC_2052/))

      call avCT(375, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2053, nGC_2053/))

      allocate(vertices(2129)%branchCT(0:0))
      call avCT(2129, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2105/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(379)%branchCT(0:0))
      call avCT(379, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(474)%branchCT(0:0))
      call avCT(474, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(4494)%branchCT(0:0))
      call avCT(4494, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(382)%branchCT(0:0))
      call avCT(382, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2005/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1656/))

      allocate(vertices(4994)%branchCT(0:1))
      call avCT(4994, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2083, nGC_2085,       &
      nGC_2085, nGC_2087/))

      call avCT(4994, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2084, nGC_2086,       &
      nGC_2086, nGC_2088/))

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1910/))

      allocate(vertices(3250)%branchCT(0:0))
      call avCT(3250, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(4995)%branchCT(0:0))
      call avCT(4995, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(390)%branchCT(0:1))
      call avCT(390, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1902, nGC_1902/))

      call avCT(390, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1903, nGC_1903/))

      allocate(vertices(2198)%branchCT(0:0))
      call avCT(2198, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(4930)%branchCT(0:0))
      call avCT(4930, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2256)%branchCT(0:0))
      call avCT(2256, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(2768)%branchCT(0:1))
      call avCT(2768, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1923, nGC_1925/))

      call avCT(2768, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1924, nGC_1926/))

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(2233)%branchCT(0:0))
      call avCT(2233, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(4996)%branchCT(0:1))
      call avCT(4996, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2107, nGC_2109,       &
      nGC_2109, nGC_2111/))

      call avCT(4996, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2108, nGC_2110,       &
      nGC_2110, nGC_2112/))

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2251)%branchCT(0:0))
      call avCT(2251, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2113/))

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3287)%branchCT(0:0))
      call avCT(3287, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2566)%branchCT(0:0))
      call avCT(2566, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(4997)%branchCT(0:0))
      call avCT(4997, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(2782)%branchCT(0:1))
      call avCT(2782, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1973, nGC_1973/))

      call avCT(2782, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1974, nGC_1974/))

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2081/))

      allocate(vertices(406)%branchCT(0:0))
      call avCT(406, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(407)%branchCT(0:0))
      call avCT(407, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2115/))

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(4998)%branchCT(0:0))
      call avCT(4998, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1938/))

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(1779)%branchCT(0:0))
      call avCT(1779, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2793)%branchCT(0:1))
      call avCT(2793, 0, 27, 1, 0, FVFa0, (/0, 3/), (/nGC_1948, nGC_1950/))

      call avCT(2793, 1, 27, 1, 0, FVFa0, (/2, 1/), (/nGC_1949, nGC_1951/))

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(1816)%branchCT(0:0))
      call avCT(1816, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1892/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(4999)%branchCT(0:0))
      call avCT(4999, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1952/))

      allocate(vertices(417)%branchCT(0:0))
      call avCT(417, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1958/))

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2386)%branchCT(0:0))
      call avCT(2386, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1913/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1634/))

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_2063/))

      allocate(vertices(2422)%branchCT(0:0))
      call avCT(2422, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1922/))

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1941/))

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 1, 1, 0, SSV0, (/0, 3/), (/nGC_2116/))

      allocate(vertices(2857)%branchCT(0:0))
      call avCT(2857, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2443)%branchCT(0:0))
      call avCT(2443, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(3862)%branchCT(0:0))
      call avCT(3862, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1969/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2494)%branchCT(0:0))
      call avCT(2494, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2117/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4568)%branchCT(0:0))
      call avCT(4568, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2074, nGC_2075/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(5000)%branchCT(0:0))
      call avCT(5000, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(82)%branchCT(0:0))
      call avCT(82, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(449)%branchCT(0:0))
      call avCT(449, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(5001)%branchCT(0:0))
      call avCT(5001, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(1292)%branchCT(0:0))
      call avCT(1292, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(453)%branchCT(0:1))
      call avCT(453, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_2012, nGC_2012/))

      call avCT(453, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_2013, nGC_2013/))

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(4047)%branchCT(0:0))
      call avCT(4047, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 1, 1, 0, VUUa0, (/0, 3/), (/nGC_2118/))

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(5002)%branchCT(0:0))
      call avCT(5002, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1933/))

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2119/))

      allocate(vertices(3707)%branchCT(0:0))
      call avCT(3707, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2006/))

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1631/))

      allocate(vertices(2832)%branchCT(0:0))
      call avCT(2832, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1637/))

      allocate(vertices(5003)%branchCT(0:0))
      call avCT(5003, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2004/))

      allocate(vertices(2834)%branchCT(0:0))
      call avCT(2834, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2120/))

      allocate(vertices(5004)%branchCT(0:0))
      call avCT(5004, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4145)%branchCT(0:0))
      call avCT(4145, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(2257)%branchCT(0:0))
      call avCT(2257, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2122/))

      allocate(vertices(2838)%branchCT(0:0))
      call avCT(2838, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(5005)%branchCT(0:0))
      call avCT(5005, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2840)%branchCT(0:0))
      call avCT(2840, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5006)%branchCT(0:0))
      call avCT(5006, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2123, nGC_2124/))

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2125/))

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1651/))

      allocate(vertices(3710)%branchCT(0:0))
      call avCT(3710, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1655/))

      allocate(vertices(3603)%branchCT(0:0))
      call avCT(3603, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2117/))

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(4761)%branchCT(0:0))
      call avCT(4761, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1632/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1964/))

      allocate(vertices(3712)%branchCT(0:0))
      call avCT(3712, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1639/))

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1890/))

      allocate(vertices(2849)%branchCT(0:0))
      call avCT(2849, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(2851)%branchCT(0:0))
      call avCT(2851, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(3966)%branchCT(0:1))
      call avCT(3966, 0, 19, 1, 0, SFFa0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(3966, 1, 19, 1, 0, SFFa0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2855)%branchCT(0:0))
      call avCT(2855, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1881/))

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(482)%branchCT(0:0))
      call avCT(482, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2860)%branchCT(0:1))
      call avCT(2860, 0, 18, 1, 0, SFaF0, (/0, 3/), (/nGC_1959, nGC_1961/))

      call avCT(2860, 1, 18, 1, 0, SFaF0, (/2, 1/), (/nGC_1960, nGC_1962/))

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1888/))

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(488)%branchCT(0:3))
      call avCT(488, 0, 11, 2, 0, FFaV1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(488, 1, 11, 2, 0, FFaV1, (/3, 0/), (/nGC_2000, nGC_2002/))

      call avCT(488, 2, 12, 3, 0, FFaV1, (/1, 2/), (/nGC_2001, nGC_2003/))

      call avCT(488, 3, 12, 3, 0, FFaV1, (/3, 0/), (/nGC_2000, nGC_2002/))

      allocate(vertices(489)%branchCT(0:0))
      call avCT(489, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1893/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1945/))

      allocate(vertices(2866)%branchCT(0:0))
      call avCT(2866, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(2868)%branchCT(0:0))
      call avCT(2868, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1940/))

      allocate(vertices(2869)%branchCT(0:0))
      call avCT(2869, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1889/))

      allocate(vertices(497)%branchCT(0:0))
      call avCT(497, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2872)%branchCT(0:0))
      call avCT(2872, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(5007)%branchCT(0:0))
      call avCT(5007, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2004/))

      allocate(vertices(2874)%branchCT(0:0))
      call avCT(2874, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1886/))

      allocate(vertices(500)%branchCT(0:0))
      call avCT(500, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1657/))

      allocate(vertices(502)%branchCT(0:1))
      call avCT(502, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_2046, nGC_2048/))

      call avCT(502, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_2047, nGC_2049/))

      allocate(vertices(2875)%branchCT(0:0))
      call avCT(2875, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2876)%branchCT(0:1))
      call avCT(2876, 0, 26, 1, 0, FaSF1, (/0, 3/), (/nGC_1992, nGC_1992/))

      call avCT(2876, 1, 26, 1, 0, FaSF1, (/2, 1/), (/nGC_1993, nGC_1993/))

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2005/))

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1975/))

      allocate(vertices(508)%branchCT(0:0))
      call avCT(508, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1896/))

      allocate(vertices(2881)%branchCT(0:0))
      call avCT(2881, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(2882)%branchCT(0:0))
      call avCT(2882, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2097/))

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2018/))

      allocate(vertices(510)%branchCT(0:0))
      call avCT(510, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1957/))

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1907/))

      allocate(vertices(3718)%branchCT(0:0))
      call avCT(3718, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1935, nGC_1934,       &
      nGC_1935/))

      allocate(vertices(2887)%branchCT(0:0))
      call avCT(2887, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1972/))

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1671/))

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2074, nGC_2075/))

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1884/))

      allocate(vertices(2890)%branchCT(0:0))
      call avCT(2890, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1991/))

      allocate(vertices(2891)%branchCT(0:1))
      call avCT(2891, 0, 17, 1, 0, FaFS0, (/0, 3/), (/nGC_1967, nGC_1967/))

      call avCT(2891, 1, 17, 1, 0, FaFS0, (/2, 1/), (/nGC_1968, nGC_1968/))

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1909/))

      allocate(vertices(516)%branchCT(0:3))
      call avCT(516, 0, 36, 2, 0, FVFa0, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(516, 1, 36, 2, 0, FVFa0, (/3, 0/), (/nGC_2027, nGC_2029/))

      call avCT(516, 2, 37, 3, 0, FVFa0, (/1, 2/), (/nGC_2028, nGC_2030/))

      call avCT(516, 3, 37, 3, 0, FVFa0, (/3, 0/), (/nGC_2027, nGC_2029/))

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1999/))

      allocate(vertices(2894)%branchCT(0:0))
      call avCT(2894, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1633/))

      allocate(vertices(4445)%branchCT(0:0))
      call avCT(4445, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(4008)%branchCT(0:0))
      call avCT(4008, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2074, nGC_2075/))

      allocate(vertices(83)%branchCT(0:0))
      call avCT(83, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(522)%branchCT(0:0))
      call avCT(522, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1894/))

      allocate(vertices(523)%branchCT(0:0))
      call avCT(523, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2081/))

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1927/))

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1657/))

    end subroutine fill_vertices_mdl7
end module vertices_info7
